package org.openxma.xmadsl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.emf.ecore.EObject;
import org.openxma.xmadsl.linking.impl.SimpleAttributeResolver;
import org.openxma.xmadsl.linking.*;
import org.openxma.xmadsl.linking.impl.*;
import org.openxma.xmadsl.model.*;
import org.openxma.xmadsl.scoping.impl.*;
import org.openxma.xmadsl.scoping.*;
import com.google.common.base.Function;

public abstract class GenXmaDslScopeProvider extends AbstractDeclarativeScopeProvider {
    protected final static ImportUriResolver IMPORT_URI_RESOLVER = new ImportUriResolver();

	public IScope scope_Property_type(Property property,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(property.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(property));
	}
	public IScope scope_SessionFunction_parameterType(SessionFunction sessionFunction,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(sessionFunction.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(sessionFunction));
	}
	public IScope scope_SessionFunction_resultType(SessionFunction sessionFunction,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(sessionFunction.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(sessionFunction));
	}
	public IScope scope_Component_xmaComponent(Component component,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(component.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(component));
	}
	public IScope scope_ReferencedXMAPage_xmaPage(ReferencedXMAPage referencedXMAPage,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(referencedXMAPage.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(referencedXMAPage));
	}
	public IScope scope_ReferencedXMAComposite_xmaComposite(ReferencedXMAComposite referencedXMAComposite,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(referencedXMAComposite.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(referencedXMAComposite));
	}
	public IScope scope_XMAWidgetGrayLogic_xmaWidget(XMAWidgetGrayLogic xMAWidgetGrayLogic,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(xMAWidgetGrayLogic.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(xMAWidgetGrayLogic));
	}
	public IScope scope_DataObjectVariable_type(DataObjectVariable dataObjectVariable,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(dataObjectVariable.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(dataObjectVariable));
	}
	public IScope scope_FieldReference_object(FieldReference fieldReference,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(fieldReference.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(fieldReference));
	}
	public IScope scope_FieldReference_attributeHolder(FieldReference fieldReference,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(fieldReference.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(fieldReference));
	}
	public IScope scope_CustomizeableField_object(CustomizeableField customizeableField,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(customizeableField.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(customizeableField));
	}
	public IScope scope_CustomizeableField_attributeHolder(CustomizeableField customizeableField,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(customizeableField.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(customizeableField));
	}
	public IScope scope_XMAWidgetEventMapping_control(XMAWidgetEventMapping xMAWidgetEventMapping,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(xMAWidgetEventMapping.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(xMAWidgetEventMapping));
	}
	public IScope scope_XMAWidgetEventMapping_eventFunction(XMAWidgetEventMapping xMAWidgetEventMapping,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(xMAWidgetEventMapping.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(xMAWidgetEventMapping));
	}
	public IScope scope_GuiElementEventMapping_control(GuiElementEventMapping guiElementEventMapping,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(guiElementEventMapping.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(guiElementEventMapping));
	}
	public IScope scope_GuiElementEventMapping_eventFunction(GuiElementEventMapping guiElementEventMapping,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(guiElementEventMapping.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(guiElementEventMapping));
	}
	public IScope scope_InitEventMapping_eventFunction(InitEventMapping initEventMapping,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(initEventMapping.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(initEventMapping));
	}
	public IScope scope_DataMapping_control(DataMapping dataMapping,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(dataMapping.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(dataMapping));
	}
	public IScope scope_XmadslPage_template(XmadslPage xmadslPage,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(xmadslPage.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(xmadslPage));
	}
	public IScope scope_PageCustomization_pageToCustomize(PageCustomization pageCustomization,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(pageCustomization.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(pageCustomization));
	}
	public IScope scope_ReferencedComposite_reference(ReferencedComposite referencedComposite,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(referencedComposite.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(referencedComposite));
	}
	public IScope scope_Table_key(Table table,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(table.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(table));
	}
	public IScope scope_Table_object(Table table,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(table.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(table));
	}
	public IScope scope_TableColumn_attributeHolder(TableColumn tableColumn,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(tableColumn.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(tableColumn));
	}
	public IScope scope_TableColumn_object(TableColumn tableColumn,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(tableColumn.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(tableColumn));
	}
	public IScope scope_ReferencedGroup_reference(ReferencedGroup referencedGroup,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(referencedGroup.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(referencedGroup));
	}
	public IScope scope_ReferencedTabFolder_reference(ReferencedTabFolder referencedTabFolder,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(referencedTabFolder.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(referencedTabFolder));
	}
	public IScope scope_ReferencedTabPage_reference(ReferencedTabPage referencedTabPage,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(referencedTabPage.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(referencedTabPage));
	}
	public IScope scope_LayoutData_style(LayoutData layoutData,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(layoutData.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(layoutData));
	}
	public IScope scope_SiblingAttachment_sibling(SiblingAttachment siblingAttachment,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(siblingAttachment.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(siblingAttachment));
	}
	public IScope scope_XmadslVariable_reference(XmadslVariable xmadslVariable,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(xmadslVariable.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(xmadslVariable));
	}
	public IScope scope_XmaVariable_reference(XmaVariable xmaVariable,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(xmaVariable.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(xmaVariable));
	}
	public IScope scope_CustomizeComponentModel_component(CustomizeComponentModel customizeComponentModel,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(customizeComponentModel.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(customizeComponentModel));
	}
	public IScope scope_CustomizationOfComposite_page(CustomizationOfComposite customizationOfComposite,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(customizationOfComposite.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(customizationOfComposite));
	}
	public IScope scope_CustomizationOfComposite_composite(CustomizationOfComposite customizationOfComposite,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(customizationOfComposite.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(customizationOfComposite));
	}
	public IScope scope_CustomizationOfGroup_group(CustomizationOfGroup customizationOfGroup,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(customizationOfGroup.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(customizationOfGroup));
	}
	public IScope scope_CustomizationOfGroup_page(CustomizationOfGroup customizationOfGroup,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(customizationOfGroup.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(customizationOfGroup));
	}
	public IScope scope_CustomizationOfTabFolder_page(CustomizationOfTabFolder customizationOfTabFolder,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(customizationOfTabFolder.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(customizationOfTabFolder));
	}
	public IScope scope_CustomizationOfTabFolder_tabFolder(CustomizationOfTabFolder customizationOfTabFolder,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(customizationOfTabFolder.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(customizationOfTabFolder));
	}
	public IScope scope_Dependency_dependency(Dependency dependency,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(dependency.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(dependency));
	}
	public IScope scope_ServiceOperation_delegateOperation(ServiceOperation serviceOperation,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(serviceOperation.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(serviceOperation));
	}
	public IScope scope_ServiceOperation_delegate(ServiceOperation serviceOperation,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(serviceOperation.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(serviceOperation));
	}
	public IScope scope_SimpleType_editor(SimpleType simpleType,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(simpleType.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(simpleType));
	}
	public IScope scope_DataTypeAndTypeParameter_dataType(DataTypeAndTypeParameter dataTypeAndTypeParameter,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(dataTypeAndTypeParameter.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(dataTypeAndTypeParameter));
	}
	public IScope scope_DataViewSource_source(DataViewSource dataViewSource,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(dataViewSource.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(dataViewSource));
	}
	public IScope scope_DataView_superType(DataView dataView,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(dataView.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(dataView));
	}
	public IScope scope_IncludeExcludeDefinition_view(IncludeExcludeDefinition includeExcludeDefinition,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(includeExcludeDefinition.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(includeExcludeDefinition));
	}
	public IScope scope_IncludeExcludeDefinition_reference(IncludeExcludeDefinition includeExcludeDefinition,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(includeExcludeDefinition.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(includeExcludeDefinition));
	}
	public IScope scope_AttributeWithProperties_attributeHolder(AttributeWithProperties attributeWithProperties,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(attributeWithProperties.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(attributeWithProperties));
	}
	public IScope scope_FinderParameter_reference(FinderParameter finderParameter,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(finderParameter.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(finderParameter));
	}
	public IScope scope_FinderParameter_type(FinderParameter finderParameter,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(finderParameter.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(finderParameter));
	}
	public IScope scope_BasicFinder_dataView(BasicFinder basicFinder,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(basicFinder.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(basicFinder));
	}
	public IScope scope_BasicFinder_sortOrder(BasicFinder basicFinder,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(basicFinder.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(basicFinder));
	}
	public IScope scope_Entity_superType(Entity entity,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(entity.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(entity));
	}
	public IScope scope_Reference_type(Reference reference,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(reference.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(reference));
	}
	public IScope scope_Reference_opposite(Reference reference,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(reference.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(reference));
	}
	public IScope scope_Query_finder(Query query,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(query.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(query));
	}
	public IScope scope_Column_attribute(Column column,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(column.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(column));
	}
	public IScope scope_ManyToOne_reference(ManyToOne manyToOne,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(manyToOne.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(manyToOne));
	}
	public IScope scope_OneToOne_reference(OneToOne oneToOne,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(oneToOne.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(oneToOne));
	}
	public IScope scope_OneToMany_reference(OneToMany oneToMany,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(oneToMany.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(oneToMany));
	}
	public IScope scope_OneToMany_sortOrder(OneToMany oneToMany,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(oneToMany.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(oneToMany));
	}
	public IScope scope_DataBaseConstraint_fields(DataBaseConstraint dataBaseConstraint,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(dataBaseConstraint.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(dataBaseConstraint));
	}
	public IScope scope_DataBaseFieldWithOrder_field(DataBaseFieldWithOrder dataBaseFieldWithOrder,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(dataBaseFieldWithOrder.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(dataBaseFieldWithOrder));
	}
	public IScope scope_ValidatorReference_validator(ValidatorReference validatorReference,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(validatorReference.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(validatorReference));
	}
	public IScope scope_ParameterValue_referencedParameter(ParameterValue parameterValue,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(parameterValue.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(parameterValue));
	}
	public IScope scope_AttributeTextProperty_unitAttribute(AttributeTextProperty attributeTextProperty,EReference eReference) {
		EClass eClass = (EClass) eReference.getEType();
		return new DefaultScope(attributeTextProperty.eResource(),eClass,IMPORT_URI_RESOLVER,getNameResolver(attributeTextProperty));
	}
    protected Function<EObject, String> getNameResolver(EObject eObject) {
       return SimpleAttributeResolver.NAME_RESOLVER;
    }
}
