package org.openxma.xmadsl;

import java.util.ArrayList;
import java.util.HashMap;

import org.eclipse.emf.ecore.EObject;

/**
 * Utility for linking
 * 
 */
public class LinkerUtil {
		
	private static final HashMap<EObject,ArrayList<String>> elementsWithReferences = new HashMap<EObject,ArrayList<String>>();
	
	/**
	 * Get a list with the names of all done linkings for the rootNode
	 * 
	 * @param rootNode
	 * @return
	 */
	public static ArrayList<String> getLinkingsDone(EObject eObj) {
		
		if (eObj == null) {
			throw new IllegalArgumentException("Root node has to be defined");
		}
		
		ArrayList<String> list = elementsWithReferences.get(eObj);
		if (list == null) {
			list = new ArrayList<String>();
			elementsWithReferences.put(eObj,list);
		}
		
		return list;
	}
	
	/**
	 * 
	 * @param rootNode
	 */
	public static void initLinker(EObject rootNode) {
		
		elementsWithReferences.clear();
		//LogUtil.log("Init linker "+rootNode.getClass()+rootNode.toString());
	}
}

