/*******************************************************************************
 * Copyright (c) 2008 itemis AG (http://www.itemis.eu) and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package org.openxma.xmadsl.diagnostics;

import org.openarchitectureware.xtext.parser.parsetree.Node;


/**
 * @author Sebastian Zarnekow - Initial contribution and API
 */
public abstract class AbstractDiagnostic implements Diagnostic {

	protected abstract Node getNode();

	public int getLength() {
		return getNode().getEnd()-getNode().getStart();
	}

	public int getOffset() {
		return getNode().getStart();
	}

	public int getColumn() {
		return 1;
	}

	public int getLine() {
		return getNode().getLine();
	}

	public String getLocation() {
		return null;
	}

	@Override
	public String toString() {
		StringBuffer b = new StringBuffer();
		b.append(getClass().getSimpleName());
		b.append(": ");
		b.append(getLocation());
		b.append(":");
		b.append(getLine());
		b.append(" ");
		b.append(getMessage());
		return b.toString();
	}

}