package org.openxma.xmadsl.formatting;

import java.util.ArrayList;
import java.util.Iterator;

import org.eclipse.emf.ecore.EObject;
import org.openxma.xmadsl.model.Attribute;
import org.openxma.xmadsl.model.ComplexType;
import org.openxma.xmadsl.model.DomainModel;
import org.openxma.xmadsl.model.DomainObject;

public class DomainModelFormatting extends ModelFormatting {
	
	private static DomainModelFormatting instance;		
	public static DomainModelFormatting getInstance() {
		if (instance == null) {
			instance = new DomainModelFormatting();
		}
		return instance;
	}	
	
	@Override
	public ArrayList<String> formatModel(EObject obj) {
		
		if (obj == null || obj instanceof DomainModel == false) {
			throw new IllegalArgumentException("Element to be formatted has to be an instance of DomainModel: "+obj);
		}
		
		DomainModel domainModel = (DomainModel)obj;		
		
        ArrayList<String> data = new ArrayList<String>();
        
        formatImports(domainModel.getImports(),data);        
		
    	Iterator<DomainObject> bdIt = domainModel.getDomainObjects().iterator();
    	while (bdIt.hasNext()) {
    		DomainObject domObject = bdIt.next();
    		if (domObject instanceof ComplexType) {
    			ComplexType complexType = (ComplexType)domObject;
	    		data.add("");        		
	    		data.add("Entity "+complexType.getName()+" {"); 
	    		
	    		for (int i=0;i<complexType.getAttributes().size();i++) {
	    			Attribute attr = (Attribute)complexType.getAttributes().get(i);
	    			String typeName = attr.getType().getDataType().getName();
	        		data.add("");      
	    			data.add(indent(1)+typeName+" "+attr.getName());    			        			        			
	    		}
	    		data.add("");         		
	    		data.add("}");
    		}
    	}
    	return data;
	}	
	

}
