/**
 * <copyright>
 * </copyright>
 *
 * $Id: Component.java 3607 2009-06-17 17:22:39Z hoenninger $
 */
package org.openxma.xmadsl.model;

import org.eclipse.emf.common.util.EList;

import at.spardat.xma.guidesign.XMAComponent;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Component</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.openxma.xmadsl.model.Component#getCustomizedAttributeList <em>Customized Attribute List</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Component#getPages <em>Pages</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Component#getDataobjects <em>Dataobjects</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Component#getEvents <em>Events</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Component#getXmaComponent <em>Xma Component</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Component#getCommands <em>Commands</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Component#getConditionsBlock <em>Conditions Block</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.openxma.xmadsl.model.XmadslPackage#getComponent()
 * @model
 * @generated
 */
public interface Component extends ReferencedXMAGuiElement {
	/**
	 * Returns the value of the '<em><b>Dataobjects</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.xmadsl.model.DataObjectVariable}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Dataobjects</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Dataobjects</em>' containment reference list.
	 * @see org.openxma.xmadsl.model.XmadslPackage#getComponent_Dataobjects()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EList<DataObjectVariable> getDataobjects();

	/**
	 * Returns the value of the '<em><b>Pages</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.xmadsl.model.Page}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pages</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pages</em>' containment reference list.
	 * @see org.openxma.xmadsl.model.XmadslPackage#getComponent_Pages()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EList<Page> getPages();

	/**
	 * Returns the value of the '<em><b>Commands</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.xmadsl.model.Command}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Commands</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Commands</em>' containment reference list.
	 * @see org.openxma.xmadsl.model.XmadslPackage#getComponent_Commands()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EList<Command> getCommands();

	/**
	 * Returns the value of the '<em><b>Customized Attribute List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Customized Attribute List</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Customized Attribute List</em>' containment reference.
	 * @see #setCustomizedAttributeList(CustomizeAttributeList)
	 * @see org.openxma.xmadsl.model.XmadslPackage#getComponent_CustomizedAttributeList()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	CustomizeAttributeList getCustomizedAttributeList();

	/**
	 * Sets the value of the '{@link org.openxma.xmadsl.model.Component#getCustomizedAttributeList <em>Customized Attribute List</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Customized Attribute List</em>' containment reference.
	 * @see #getCustomizedAttributeList()
	 * @generated
	 */
	void setCustomizedAttributeList(CustomizeAttributeList value);

	/**
	 * Returns the value of the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Events</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Events</em>' containment reference.
	 * @see #setEvents(EventMappingList)
	 * @see org.openxma.xmadsl.model.XmadslPackage#getComponent_Events()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EventMappingList getEvents();

	/**
	 * Sets the value of the '{@link org.openxma.xmadsl.model.Component#getEvents <em>Events</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Events</em>' containment reference.
	 * @see #getEvents()
	 * @generated
	 */
	void setEvents(EventMappingList value);

	/**
	 * Returns the value of the '<em><b>Xma Component</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Xma Component</em>' reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Xma Component</em>' reference.
	 * @see #setXmaComponent(XMAComponent)
	 * @see org.openxma.xmadsl.model.XmadslPackage#getComponent_XmaComponent()
	 * @model ordered="false"
	 * @generated
	 */
	XMAComponent getXmaComponent();

	/**
	 * Sets the value of the '{@link org.openxma.xmadsl.model.Component#getXmaComponent <em>Xma Component</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Xma Component</em>' reference.
	 * @see #getXmaComponent()
	 * @generated
	 */
	void setXmaComponent(XMAComponent value);

	/**
	 * Returns the value of the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Conditions Block</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Conditions Block</em>' containment reference.
	 * @see #setConditionsBlock(ConditionsBlock)
	 * @see org.openxma.xmadsl.model.XmadslPackage#getComponent_ConditionsBlock()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	ConditionsBlock getConditionsBlock();

	/**
	 * Sets the value of the '{@link org.openxma.xmadsl.model.Component#getConditionsBlock <em>Conditions Block</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Conditions Block</em>' containment reference.
	 * @see #getConditionsBlock()
	 * @generated
	 */
	void setConditionsBlock(ConditionsBlock value);

} // Component
