/**
 * <copyright>
 * </copyright>
 *
 * $Id: CustomizeableField.java 3642 2009-06-26 11:53:03Z hoenninger $
 */
package org.openxma.xmadsl.model;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Customizeable Field</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.openxma.xmadsl.model.CustomizeableField#getTextProperties <em>Text Properties</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.CustomizeableField#getFieldFlags <em>Field Flags</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.CustomizeableField#getConstraints <em>Constraints</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.CustomizeableField#getFormat <em>Format</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.openxma.xmadsl.model.XmadslPackage#getCustomizeableField()
 * @model
 * @generated
 */
public interface CustomizeableField extends SimpleElement, IField {
	/**
	 * Returns the value of the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Text Properties</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Text Properties</em>' containment reference.
	 * @see #setTextProperties(TextProperties)
	 * @see org.openxma.xmadsl.model.XmadslPackage#getCustomizeableField_TextProperties()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	TextProperties getTextProperties();

	/**
	 * Sets the value of the '{@link org.openxma.xmadsl.model.CustomizeableField#getTextProperties <em>Text Properties</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Text Properties</em>' containment reference.
	 * @see #getTextProperties()
	 * @generated
	 */
	void setTextProperties(TextProperties value);

	/**
	 * Returns the value of the '<em><b>Constraints</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.xmadsl.model.Constraint}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Constraints</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Constraints</em>' containment reference list.
	 * @see org.openxma.xmadsl.model.XmadslPackage#getCustomizeableField_Constraints()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EList<Constraint> getConstraints();

	/**
	 * Returns the value of the '<em><b>Field Flags</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.xmadsl.model.FieldFlag}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Field Flags</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Field Flags</em>' containment reference list.
	 * @see org.openxma.xmadsl.model.XmadslPackage#getCustomizeableField_FieldFlags()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EList<FieldFlag> getFieldFlags();

	/**
	 * Returns the value of the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Format</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Format</em>' containment reference.
	 * @see #setFormat(ValidatorReference)
	 * @see org.openxma.xmadsl.model.XmadslPackage#getCustomizeableField_Format()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	ValidatorReference getFormat();

	/**
	 * Sets the value of the '{@link org.openxma.xmadsl.model.CustomizeableField#getFormat <em>Format</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Format</em>' containment reference.
	 * @see #getFormat()
	 * @generated
	 */
	void setFormat(ValidatorReference value);
	
    /**
     * @modified
     * @return the label text for the field
     */
    public String getLabelText();
    
    /**
     * @modified
     * @return the label text for the field
     */
    public String getTooltipText();    
    
    /**
     * @modified
     * @return the unit text for the field
     */
    public String getUnitText();
    
    /**
     * @modified
     * @return the unit text for the field
     */
    public Attribute getUnitAttribute();	
    
    /**
     * @modified
     * @return the unit object for the field
     */    
    public Object getUnitObject(); 
    
    /**
     * @modified
     * @return the unit text for the field
     */
    public Attribute getAttribute();	    
        

} // CustomizeableField
