/**
 * <copyright>
 * </copyright>
 *
 * $Id: LayoutDirection.java 3224 2009-02-27 00:13:04Z michael_clay $
 */
package org.openxma.xmadsl.model;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import org.eclipse.emf.common.util.Enumerator;

/**
 * <!-- begin-user-doc -->
 * A representation of the literals of the enumeration '<em><b>Layout Direction</b></em>',
 * and utility methods for working with them.
 * <!-- end-user-doc -->
 * @see org.openxma.xmadsl.model.XmadslPackage#getLayoutDirection()
 * @model
 * @generated
 */
public enum LayoutDirection implements Enumerator {
	/**
	 * The '<em><b>NULL</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #NULL_VALUE
	 * @generated
	 * @ordered
	 */
	NULL(0, "NULL", "NULL"),

	/**
	 * The '<em><b>TOP BOTTOM</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #TOP_BOTTOM_VALUE
	 * @generated
	 * @ordered
	 */
	TOP_BOTTOM(1, "TOP_BOTTOM", "TOP_BOTTOM"),

	/**
	 * The '<em><b>BOTTOM TOP</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #BOTTOM_TOP_VALUE
	 * @generated
	 * @ordered
	 */
	BOTTOM_TOP(2, "BOTTOM_TOP", "BOTTOM_TOP"),

	/**
	 * The '<em><b>LEFT RIGHT</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #LEFT_RIGHT_VALUE
	 * @generated
	 * @ordered
	 */
	LEFT_RIGHT(3, "LEFT_RIGHT", "LEFT_RIGHT"),

	/**
	 * The '<em><b>RIGHT LEFT</b></em>' literal object.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #RIGHT_LEFT_VALUE
	 * @generated
	 * @ordered
	 */
	RIGHT_LEFT(4, "RIGHT_LEFT", "RIGHT_LEFT");

	/**
	 * The '<em><b>NULL</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>NULL</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #NULL
	 * @model
	 * @generated
	 * @ordered
	 */
	public static final int NULL_VALUE = 0;

	/**
	 * The '<em><b>TOP BOTTOM</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>TOP BOTTOM</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #TOP_BOTTOM
	 * @model
	 * @generated
	 * @ordered
	 */
	public static final int TOP_BOTTOM_VALUE = 1;

	/**
	 * The '<em><b>BOTTOM TOP</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>BOTTOM TOP</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #BOTTOM_TOP
	 * @model
	 * @generated
	 * @ordered
	 */
	public static final int BOTTOM_TOP_VALUE = 2;

	/**
	 * The '<em><b>LEFT RIGHT</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>LEFT RIGHT</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #LEFT_RIGHT
	 * @model
	 * @generated
	 * @ordered
	 */
	public static final int LEFT_RIGHT_VALUE = 3;

	/**
	 * The '<em><b>RIGHT LEFT</b></em>' literal value.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of '<em><b>RIGHT LEFT</b></em>' literal object isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @see #RIGHT_LEFT
	 * @model
	 * @generated
	 * @ordered
	 */
	public static final int RIGHT_LEFT_VALUE = 4;

	/**
	 * An array of all the '<em><b>Layout Direction</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static final LayoutDirection[] VALUES_ARRAY =
		new LayoutDirection[] {
			NULL,
			TOP_BOTTOM,
			BOTTOM_TOP,
			LEFT_RIGHT,
			RIGHT_LEFT,
		};

	/**
	 * A public read-only list of all the '<em><b>Layout Direction</b></em>' enumerators.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static final List<LayoutDirection> VALUES = Collections.unmodifiableList(Arrays.asList(VALUES_ARRAY));

	/**
	 * Returns the '<em><b>Layout Direction</b></em>' literal with the specified literal value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static LayoutDirection get(String literal) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			LayoutDirection result = VALUES_ARRAY[i];
			if (result.toString().equals(literal)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>Layout Direction</b></em>' literal with the specified name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static LayoutDirection getByName(String name) {
		for (int i = 0; i < VALUES_ARRAY.length; ++i) {
			LayoutDirection result = VALUES_ARRAY[i];
			if (result.getName().equals(name)) {
				return result;
			}
		}
		return null;
	}

	/**
	 * Returns the '<em><b>Layout Direction</b></em>' literal with the specified integer value.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static LayoutDirection get(int value) {
		switch (value) {
			case NULL_VALUE: return NULL;
			case TOP_BOTTOM_VALUE: return TOP_BOTTOM;
			case BOTTOM_TOP_VALUE: return BOTTOM_TOP;
			case LEFT_RIGHT_VALUE: return LEFT_RIGHT;
			case RIGHT_LEFT_VALUE: return RIGHT_LEFT;
		}
		return null;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final int value;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String name;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private final String literal;

	/**
	 * Only this class can construct instances.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private LayoutDirection(int value, String name, String literal) {
		this.value = value;
		this.name = name;
		this.literal = literal;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public int getValue() {
	  return value;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getName() {
	  return name;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getLiteral() {
	  return literal;
	}

	/**
	 * Returns the literal value of the enumerator, which is its string representation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		return literal;
	}
	
} //LayoutDirection
