/**
 * <copyright>
 * </copyright>
 *
 * $Id: Persistence.java 3642 2009-06-26 11:53:03Z hoenninger $
 */
package org.openxma.xmadsl.model;

import org.eclipse.emf.common.util.EList;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Persistence</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.openxma.xmadsl.model.Persistence#getOneToManyAssociations <em>One To Many Associations</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Persistence#getTableAlias <em>Table Alias</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Persistence#getColumns <em>Columns</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Persistence#getManyToOneAssociations <em>Many To One Associations</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Persistence#isLazy <em>Lazy</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Persistence#getDataBaseConstraints <em>Data Base Constraints</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Persistence#getOneToOneAssociations <em>One To One Associations</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Persistence#getQueryMappings <em>Query Mappings</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Persistence#getTableName <em>Table Name</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.Persistence#getDataSource <em>Data Source</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.openxma.xmadsl.model.XmadslPackage#getPersistence()
 * @model
 * @generated
 */
public interface Persistence extends ServiceDelegate, Dependant {
	/**
	 * Returns the value of the '<em><b>One To Many Associations</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.xmadsl.model.OneToMany}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>One To Many Associations</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>One To Many Associations</em>' containment reference list.
	 * @see org.openxma.xmadsl.model.XmadslPackage#getPersistence_OneToManyAssociations()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EList<OneToMany> getOneToManyAssociations();

	/**
	 * Returns the value of the '<em><b>Data Source</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Data Source</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Data Source</em>' attribute.
	 * @see #setDataSource(String)
	 * @see org.openxma.xmadsl.model.XmadslPackage#getPersistence_DataSource()
	 * @model unique="false" ordered="false"
	 * @generated
	 */
	String getDataSource();

	/**
	 * Sets the value of the '{@link org.openxma.xmadsl.model.Persistence#getDataSource <em>Data Source</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Data Source</em>' attribute.
	 * @see #getDataSource()
	 * @generated
	 */
	void setDataSource(String value);

	/**
	 * Returns the value of the '<em><b>Many To One Associations</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.xmadsl.model.ManyToOne}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Many To One Associations</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Many To One Associations</em>' containment reference list.
	 * @see org.openxma.xmadsl.model.XmadslPackage#getPersistence_ManyToOneAssociations()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EList<ManyToOne> getManyToOneAssociations();

	/**
	 * Returns the value of the '<em><b>Lazy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Lazy</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Lazy</em>' attribute.
	 * @see #setLazy(boolean)
	 * @see org.openxma.xmadsl.model.XmadslPackage#getPersistence_Lazy()
	 * @model unique="false" ordered="false"
	 * @generated
	 */
	boolean isLazy();

	/**
	 * Sets the value of the '{@link org.openxma.xmadsl.model.Persistence#isLazy <em>Lazy</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Lazy</em>' attribute.
	 * @see #isLazy()
	 * @generated
	 */
	void setLazy(boolean value);

	/**
	 * Returns the value of the '<em><b>Table Alias</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Table Alias</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Table Alias</em>' attribute.
	 * @see #setTableAlias(String)
	 * @see org.openxma.xmadsl.model.XmadslPackage#getPersistence_TableAlias()
	 * @model unique="false" ordered="false"
	 * @generated
	 */
	String getTableAlias();

	/**
	 * Sets the value of the '{@link org.openxma.xmadsl.model.Persistence#getTableAlias <em>Table Alias</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Table Alias</em>' attribute.
	 * @see #getTableAlias()
	 * @generated
	 */
	void setTableAlias(String value);

	/**
	 * Returns the value of the '<em><b>Columns</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.xmadsl.model.Column}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Columns</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Columns</em>' containment reference list.
	 * @see org.openxma.xmadsl.model.XmadslPackage#getPersistence_Columns()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EList<Column> getColumns();

	/**
	 * Returns the value of the '<em><b>Query Mappings</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.xmadsl.model.Query}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Query Mappings</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Query Mappings</em>' containment reference list.
	 * @see org.openxma.xmadsl.model.XmadslPackage#getPersistence_QueryMappings()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EList<Query> getQueryMappings();

	/**
	 * Returns the value of the '<em><b>One To One Associations</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.xmadsl.model.OneToOne}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>One To One Associations</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>One To One Associations</em>' containment reference list.
	 * @see org.openxma.xmadsl.model.XmadslPackage#getPersistence_OneToOneAssociations()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EList<OneToOne> getOneToOneAssociations();

	/**
	 * Returns the value of the '<em><b>Data Base Constraints</b></em>' containment reference list.
	 * The list contents are of type {@link org.openxma.xmadsl.model.DataBaseConstraint}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Data Base Constraints</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Data Base Constraints</em>' containment reference list.
	 * @see org.openxma.xmadsl.model.XmadslPackage#getPersistence_DataBaseConstraints()
	 * @model containment="true" ordered="false"
	 * @generated
	 */
	EList<DataBaseConstraint> getDataBaseConstraints();

	/**
	 * Returns the value of the '<em><b>Table Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Table Name</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Table Name</em>' attribute.
	 * @see #setTableName(String)
	 * @see org.openxma.xmadsl.model.XmadslPackage#getPersistence_TableName()
	 * @model unique="false" ordered="false"
	 * @generated
	 */
	String getTableName();

	/**
	 * Sets the value of the '{@link org.openxma.xmadsl.model.Persistence#getTableName <em>Table Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Table Name</em>' attribute.
	 * @see #getTableName()
	 * @generated
	 */
	void setTableName(String value);

} // Persistence
