/**
 * <copyright>
 * </copyright>
 *
 * $Id: XmadslFactory.java 3642 2009-06-26 11:53:03Z hoenninger $
 */
package org.openxma.xmadsl.model;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.openxma.xmadsl.model.XmadslPackage
 * @generated
 */
public interface XmadslFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	XmadslFactory eINSTANCE = org.openxma.xmadsl.model.impl.XmadslFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Domain Model</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Domain Model</em>'.
	 * @generated
	 */
	DomainModel createDomainModel();

	/**
	 * Returns a new object of class '<em>Application Model</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Application Model</em>'.
	 * @generated
	 */
	ApplicationModel createApplicationModel();

	/**
	 * Returns a new object of class '<em>Component Model</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Component Model</em>'.
	 * @generated
	 */
	ComponentModel createComponentModel();

	/**
	 * Returns a new object of class '<em>Customization</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customization</em>'.
	 * @generated
	 */
	Customization createCustomization();

	/**
	 * Returns a new object of class '<em>Defaults</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Defaults</em>'.
	 * @generated
	 */
	Defaults createDefaults();

	/**
	 * Returns a new object of class '<em>Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Property</em>'.
	 * @generated
	 */
	Property createProperty();

	/**
	 * Returns a new object of class '<em>Style</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Style</em>'.
	 * @generated
	 */
	Style createStyle();

	/**
	 * Returns a new object of class '<em>Application Session</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Application Session</em>'.
	 * @generated
	 */
	ApplicationSession createApplicationSession();

	/**
	 * Returns a new object of class '<em>Session Function</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Session Function</em>'.
	 * @generated
	 */
	SessionFunction createSessionFunction();

	/**
	 * Returns a new object of class '<em>Enabled Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Enabled Flag</em>'.
	 * @generated
	 */
	EnabledFlag createEnabledFlag();

	/**
	 * Returns a new object of class '<em>Mandatory Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Mandatory Flag</em>'.
	 * @generated
	 */
	MandatoryFlag createMandatoryFlag();

	/**
	 * Returns a new object of class '<em>Visible Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Visible Flag</em>'.
	 * @generated
	 */
	VisibleFlag createVisibleFlag();

	/**
	 * Returns a new object of class '<em>Collapsed Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Collapsed Flag</em>'.
	 * @generated
	 */
	CollapsedFlag createCollapsedFlag();

	/**
	 * Returns a new object of class '<em>Editable Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Editable Flag</em>'.
	 * @generated
	 */
	EditableFlag createEditableFlag();

	/**
	 * Returns a new object of class '<em>Component</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Component</em>'.
	 * @generated
	 */
	Component createComponent();

	/**
	 * Returns a new object of class '<em>Referenced XMA Page</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced XMA Page</em>'.
	 * @generated
	 */
	ReferencedXMAPage createReferencedXMAPage();

	/**
	 * Returns a new object of class '<em>Referenced XMA Composite</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced XMA Composite</em>'.
	 * @generated
	 */
	ReferencedXMAComposite createReferencedXMAComposite();

	/**
	 * Returns a new object of class '<em>Gray Logic</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gray Logic</em>'.
	 * @generated
	 */
	GrayLogic createGrayLogic();

	/**
	 * Returns a new object of class '<em>XMA Widget Gray Logic</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>XMA Widget Gray Logic</em>'.
	 * @generated
	 */
	XMAWidgetGrayLogic createXMAWidgetGrayLogic();

	/**
	 * Returns a new object of class '<em>Data Object Variable</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data Object Variable</em>'.
	 * @generated
	 */
	DataObjectVariable createDataObjectVariable();

	/**
	 * Returns a new object of class '<em>Customize Attribute List</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customize Attribute List</em>'.
	 * @generated
	 */
	CustomizeAttributeList createCustomizeAttributeList();

	/**
	 * Returns a new object of class '<em>Customized Attribute</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customized Attribute</em>'.
	 * @generated
	 */
	CustomizedAttribute createCustomizedAttribute();

	/**
	 * Returns a new object of class '<em>Text Properties</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Text Properties</em>'.
	 * @generated
	 */
	TextProperties createTextProperties();

	/**
	 * Returns a new object of class '<em>Field Reference</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Field Reference</em>'.
	 * @generated
	 */
	FieldReference createFieldReference();

	/**
	 * Returns a new object of class '<em>Customizeable Field</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customizeable Field</em>'.
	 * @generated
	 */
	CustomizeableField createCustomizeableField();

	/**
	 * Returns a new object of class '<em>Command</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Command</em>'.
	 * @generated
	 */
	Command createCommand();

	/**
	 * Returns a new object of class '<em>Event Mapping List</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Event Mapping List</em>'.
	 * @generated
	 */
	EventMappingList createEventMappingList();

	/**
	 * Returns a new object of class '<em>XMA Widget Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>XMA Widget Event Mapping</em>'.
	 * @generated
	 */
	XMAWidgetEventMapping createXMAWidgetEventMapping();

	/**
	 * Returns a new object of class '<em>Gui Element Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gui Element Event Mapping</em>'.
	 * @generated
	 */
	GuiElementEventMapping createGuiElementEventMapping();

	/**
	 * Returns a new object of class '<em>Init Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Init Event Mapping</em>'.
	 * @generated
	 */
	InitEventMapping createInitEventMapping();

	/**
	 * Returns a new object of class '<em>Data Mapping List</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data Mapping List</em>'.
	 * @generated
	 */
	DataMappingList createDataMappingList();

	/**
	 * Returns a new object of class '<em>Data Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data Mapping</em>'.
	 * @generated
	 */
	DataMapping createDataMapping();

	/**
	 * Returns a new object of class '<em>Page</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Page</em>'.
	 * @generated
	 */
	XmadslPage createXmadslPage();

	/**
	 * Returns a new object of class '<em>Page Customization</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Page Customization</em>'.
	 * @generated
	 */
	PageCustomization createPageCustomization();

	/**
	 * Returns a new object of class '<em>Gui Element With Event dummy</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Gui Element With Event dummy</em>'.
	 * @generated
	 */
	GuiElementWithEvent_dummy createGuiElementWithEvent_dummy();

	/**
	 * Returns a new object of class '<em>Text</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Text</em>'.
	 * @generated
	 */
	Text createText();

	/**
	 * Returns a new object of class '<em>Label</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Label</em>'.
	 * @generated
	 */
	Label createLabel();

	/**
	 * Returns a new object of class '<em>Button</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Button</em>'.
	 * @generated
	 */
	Button createButton();

	/**
	 * Returns a new object of class '<em>Composite</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Composite</em>'.
	 * @generated
	 */
	XmadslComposite createXmadslComposite();

	/**
	 * Returns a new object of class '<em>Referenced Composite</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced Composite</em>'.
	 * @generated
	 */
	ReferencedComposite createReferencedComposite();

	/**
	 * Returns a new object of class '<em>Table</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Table</em>'.
	 * @generated
	 */
	Table createTable();

	/**
	 * Returns a new object of class '<em>Table Column</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Table Column</em>'.
	 * @generated
	 */
	TableColumn createTableColumn();

	/**
	 * Returns a new object of class '<em>Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Group</em>'.
	 * @generated
	 */
	Group createGroup();

	/**
	 * Returns a new object of class '<em>Referenced Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced Group</em>'.
	 * @generated
	 */
	ReferencedGroup createReferencedGroup();

	/**
	 * Returns a new object of class '<em>Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tab Folder</em>'.
	 * @generated
	 */
	TabFolder createTabFolder();

	/**
	 * Returns a new object of class '<em>Referenced Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced Tab Folder</em>'.
	 * @generated
	 */
	ReferencedTabFolder createReferencedTabFolder();

	/**
	 * Returns a new object of class '<em>Tab Page</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tab Page</em>'.
	 * @generated
	 */
	TabPage createTabPage();

	/**
	 * Returns a new object of class '<em>Referenced Tab Page</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Referenced Tab Page</em>'.
	 * @generated
	 */
	ReferencedTabPage createReferencedTabPage();

	/**
	 * Returns a new object of class '<em>Layout Data</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Layout Data</em>'.
	 * @generated
	 */
	LayoutData createLayoutData();

	/**
	 * Returns a new object of class '<em>Compose Data</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Compose Data</em>'.
	 * @generated
	 */
	ComposeData createComposeData();

	/**
	 * Returns a new object of class '<em>Padding Width</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Padding Width</em>'.
	 * @generated
	 */
	PaddingWidth createPaddingWidth();

	/**
	 * Returns a new object of class '<em>Tabulator Position</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Tabulator Position</em>'.
	 * @generated
	 */
	TabulatorPosition createTabulatorPosition();

	/**
	 * Returns a new object of class '<em>Page Content</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Page Content</em>'.
	 * @generated
	 */
	PageContent createPageContent();

	/**
	 * Returns a new object of class '<em>Composite Content</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Composite Content</em>'.
	 * @generated
	 */
	CompositeContent createCompositeContent();

	/**
	 * Returns a new object of class '<em>Set Of Simple Elements</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Set Of Simple Elements</em>'.
	 * @generated
	 */
	SetOfSimpleElements createSetOfSimpleElements();

	/**
	 * Returns a new object of class '<em>Parent Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Parent Attachment</em>'.
	 * @generated
	 */
	ParentAttachment createParentAttachment();

	/**
	 * Returns a new object of class '<em>Sibling Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sibling Attachment</em>'.
	 * @generated
	 */
	SiblingAttachment createSiblingAttachment();

	/**
	 * Returns a new object of class '<em>Offset</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Offset</em>'.
	 * @generated
	 */
	Offset createOffset();

	/**
	 * Returns a new object of class '<em>Dummy1</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Dummy1</em>'.
	 * @generated
	 */
	Dummy1 createDummy1();

	/**
	 * Returns a new object of class '<em>Field Variable</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Field Variable</em>'.
	 * @generated
	 */
	FieldVariable createFieldVariable();

	/**
	 * Returns a new object of class '<em>Variable</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Variable</em>'.
	 * @generated
	 */
	XmadslVariable createXmadslVariable();

	/**
	 * Returns a new object of class '<em>Xma Variable</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Xma Variable</em>'.
	 * @generated
	 */
	XmaVariable createXmaVariable();

	/**
	 * Returns a new object of class '<em>Customize Component Model</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customize Component Model</em>'.
	 * @generated
	 */
	CustomizeComponentModel createCustomizeComponentModel();

	/**
	 * Returns a new object of class '<em>Customization Of Composite</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customization Of Composite</em>'.
	 * @generated
	 */
	CustomizationOfComposite createCustomizationOfComposite();

	/**
	 * Returns a new object of class '<em>Customization Of Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customization Of Group</em>'.
	 * @generated
	 */
	CustomizationOfGroup createCustomizationOfGroup();

	/**
	 * Returns a new object of class '<em>Customization Of Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Customization Of Tab Folder</em>'.
	 * @generated
	 */
	CustomizationOfTabFolder createCustomizationOfTabFolder();

	/**
	 * Returns a new object of class '<em>Service</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Service</em>'.
	 * @generated
	 */
	Service createService();

	/**
	 * Returns a new object of class '<em>Dependency</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Dependency</em>'.
	 * @generated
	 */
	Dependency createDependency();

	/**
	 * Returns a new object of class '<em>Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Parameter</em>'.
	 * @generated
	 */
	Parameter createParameter();

	/**
	 * Returns a new object of class '<em>Service Operation</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Service Operation</em>'.
	 * @generated
	 */
	ServiceOperation createServiceOperation();

	/**
	 * Returns a new object of class '<em>Import</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Import</em>'.
	 * @generated
	 */
	Import createImport();

	/**
	 * Returns a new object of class '<em>Simple Type</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Simple Type</em>'.
	 * @generated
	 */
	SimpleType createSimpleType();

	/**
	 * Returns a new object of class '<em>Data Type And Type Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data Type And Type Parameter</em>'.
	 * @generated
	 */
	DataTypeAndTypeParameter createDataTypeAndTypeParameter();

	/**
	 * Returns a new object of class '<em>Value Object</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Value Object</em>'.
	 * @generated
	 */
	ValueObject createValueObject();

	/**
	 * Returns a new object of class '<em>Data View Source</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data View Source</em>'.
	 * @generated
	 */
	DataViewSource createDataViewSource();

	/**
	 * Returns a new object of class '<em>Data View Source Definition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data View Source Definition</em>'.
	 * @generated
	 */
	DataViewSourceDefinition createDataViewSourceDefinition();

	/**
	 * Returns a new object of class '<em>Data View</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data View</em>'.
	 * @generated
	 */
	DataView createDataView();

	/**
	 * Returns a new object of class '<em>Include Exclude Definition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Include Exclude Definition</em>'.
	 * @generated
	 */
	IncludeExcludeDefinition createIncludeExcludeDefinition();

	/**
	 * Returns a new object of class '<em>Attribute With Properties</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Attribute With Properties</em>'.
	 * @generated
	 */
	AttributeWithProperties createAttributeWithProperties();

	/**
	 * Returns a new object of class '<em>Finder Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Finder Parameter</em>'.
	 * @generated
	 */
	FinderParameter createFinderParameter();

	/**
	 * Returns a new object of class '<em>Basic Finder</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Basic Finder</em>'.
	 * @generated
	 */
	BasicFinder createBasicFinder();

	/**
	 * Returns a new object of class '<em>Custom Finder</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Custom Finder</em>'.
	 * @generated
	 */
	CustomFinder createCustomFinder();

	/**
	 * Returns a new object of class '<em>Entity</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Entity</em>'.
	 * @generated
	 */
	Entity createEntity();

	/**
	 * Returns a new object of class '<em>Conditions Block</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Conditions Block</em>'.
	 * @generated
	 */
	ConditionsBlock createConditionsBlock();

	/**
	 * Returns a new object of class '<em>Reference</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Reference</em>'.
	 * @generated
	 */
	Reference createReference();

	/**
	 * Returns a new object of class '<em>Persistence</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Persistence</em>'.
	 * @generated
	 */
	Persistence createPersistence();

	/**
	 * Returns a new object of class '<em>Query</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Query</em>'.
	 * @generated
	 */
	Query createQuery();

	/**
	 * Returns a new object of class '<em>Column</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Column</em>'.
	 * @generated
	 */
	Column createColumn();

	/**
	 * Returns a new object of class '<em>Many To One</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Many To One</em>'.
	 * @generated
	 */
	ManyToOne createManyToOne();

	/**
	 * Returns a new object of class '<em>One To One</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>One To One</em>'.
	 * @generated
	 */
	OneToOne createOneToOne();

	/**
	 * Returns a new object of class '<em>One To Many</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>One To Many</em>'.
	 * @generated
	 */
	OneToMany createOneToMany();

	/**
	 * Returns a new object of class '<em>Data Base Constraint</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data Base Constraint</em>'.
	 * @generated
	 */
	DataBaseConstraint createDataBaseConstraint();

	/**
	 * Returns a new object of class '<em>Data Base Field With Order</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Data Base Field With Order</em>'.
	 * @generated
	 */
	DataBaseFieldWithOrder createDataBaseFieldWithOrder();

	/**
	 * Returns a new object of class '<em>Sort Order</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sort Order</em>'.
	 * @generated
	 */
	SortOrder createSortOrder();

	/**
	 * Returns a new object of class '<em>Attribute</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Attribute</em>'.
	 * @generated
	 */
	Attribute createAttribute();

	/**
	 * Returns a new object of class '<em>Constraint</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Constraint</em>'.
	 * @generated
	 */
	Constraint createConstraint();

	/**
	 * Returns a new object of class '<em>Validator Reference</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Validator Reference</em>'.
	 * @generated
	 */
	ValidatorReference createValidatorReference();

	/**
	 * Returns a new object of class '<em>Parameter Value</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Parameter Value</em>'.
	 * @generated
	 */
	ParameterValue createParameterValue();

	/**
	 * Returns a new object of class '<em>Status Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Status Flag</em>'.
	 * @generated
	 */
	StatusFlag createStatusFlag();

	/**
	 * Returns a new object of class '<em>Required Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Required Flag</em>'.
	 * @generated
	 */
	RequiredFlag createRequiredFlag();

	/**
	 * Returns a new object of class '<em>Read Only Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Read Only Flag</em>'.
	 * @generated
	 */
	ReadOnlyFlag createReadOnlyFlag();

	/**
	 * Returns a new object of class '<em>Available Flag</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Available Flag</em>'.
	 * @generated
	 */
	AvailableFlag createAvailableFlag();

	/**
	 * Returns a new object of class '<em>Attribute Validation Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Attribute Validation Property</em>'.
	 * @generated
	 */
	AttributeValidationProperty createAttributeValidationProperty();

	/**
	 * Returns a new object of class '<em>Attribute Text Property</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Attribute Text Property</em>'.
	 * @generated
	 */
	AttributeTextProperty createAttributeTextProperty();

	/**
	 * Returns a new object of class '<em>Integer Parameter Value</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Integer Parameter Value</em>'.
	 * @generated
	 */
	IntegerParameterValue createIntegerParameterValue();

	/**
	 * Returns a new object of class '<em>String Parameter Value</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>String Parameter Value</em>'.
	 * @generated
	 */
	StringParameterValue createStringParameterValue();

	/**
	 * Returns a new object of class '<em>Boolean Parameter Value</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Boolean Parameter Value</em>'.
	 * @generated
	 */
	BooleanParameterValue createBooleanParameterValue();

	/**
	 * Returns a new object of class '<em>Parameter Definition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Parameter Definition</em>'.
	 * @generated
	 */
	ParameterDefinition createParameterDefinition();

	/**
	 * Returns a new object of class '<em>Type Definition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Type Definition</em>'.
	 * @generated
	 */
	TypeDefinition createTypeDefinition();

	/**
	 * Returns a new object of class '<em>Validator</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Validator</em>'.
	 * @generated
	 */
	Validator createValidator();

	/**
	 * Returns a new object of class '<em>Editor</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Editor</em>'.
	 * @generated
	 */
	Editor createEditor();

	/**
	 * Returns a new object of class '<em>Equality Expr</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Equality Expr</em>'.
	 * @generated
	 */
	EqualityExpr createEqualityExpr();

	/**
	 * Returns a new object of class '<em>Cond OR Expr</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Cond OR Expr</em>'.
	 * @generated
	 */
	CondORExpr createCondORExpr();

	/**
	 * Returns a new object of class '<em>Cond OR Rights</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Cond OR Rights</em>'.
	 * @generated
	 */
	CondORRights createCondORRights();

	/**
	 * Returns a new object of class '<em>Cond AND Expr</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Cond AND Expr</em>'.
	 * @generated
	 */
	CondANDExpr createCondANDExpr();

	/**
	 * Returns a new object of class '<em>Cond AND Rights</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Cond AND Rights</em>'.
	 * @generated
	 */
	CondANDRights createCondANDRights();

	/**
	 * Returns a new object of class '<em>Relational Expr</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Relational Expr</em>'.
	 * @generated
	 */
	RelationalExpr createRelationalExpr();

	/**
	 * Returns a new object of class '<em>Additive Expr</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Additive Expr</em>'.
	 * @generated
	 */
	AdditiveExpr createAdditiveExpr();

	/**
	 * Returns a new object of class '<em>Additive Rights</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Additive Rights</em>'.
	 * @generated
	 */
	AdditiveRights createAdditiveRights();

	/**
	 * Returns a new object of class '<em>Multiplicative Expr</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Multiplicative Expr</em>'.
	 * @generated
	 */
	MultiplicativeExpr createMultiplicativeExpr();

	/**
	 * Returns a new object of class '<em>Multiplicative Rights</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Multiplicative Rights</em>'.
	 * @generated
	 */
	MultiplicativeRights createMultiplicativeRights();

	/**
	 * Returns a new object of class '<em>Call</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Call</em>'.
	 * @generated
	 */
	Call createCall();

	/**
	 * Returns a new object of class '<em>Paren Expr</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Paren Expr</em>'.
	 * @generated
	 */
	ParenExpr createParenExpr();

	/**
	 * Returns a new object of class '<em>Int Literal</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Int Literal</em>'.
	 * @generated
	 */
	IntLiteral createIntLiteral();

	/**
	 * Returns a new object of class '<em>String Literal</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>String Literal</em>'.
	 * @generated
	 */
	StringLiteral createStringLiteral();

	/**
	 * Returns a new object of class '<em>True Literal</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>True Literal</em>'.
	 * @generated
	 */
	TrueLiteral createTrueLiteral();

	/**
	 * Returns a new object of class '<em>False Literal</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>False Literal</em>'.
	 * @generated
	 */
	FalseLiteral createFalseLiteral();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	XmadslPackage getXmadslPackage();

} //XmadslFactory
