/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.openxma.xmadsl.model.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.openxma.xmadsl.model.Attribute;
import org.openxma.xmadsl.model.AttributeHolder;
import org.openxma.xmadsl.model.AttributeProperty;
import org.openxma.xmadsl.model.AttributeWithProperties;
import org.openxma.xmadsl.model.XmadslPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Attribute With Properties</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.openxma.xmadsl.model.impl.AttributeWithPropertiesImpl#getAttributeHolder <em>Attribute Holder</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class AttributeWithPropertiesImpl extends AttributeHolderImpl implements AttributeWithProperties {
	/**
	 * The cached value of the '{@link #getAttributeHolder() <em>Attribute Holder</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAttributeHolder()
	 * @generated
	 * @ordered
	 */
	protected AttributeHolder attributeHolder;
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected AttributeWithPropertiesImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return XmadslPackage.eINSTANCE.getAttributeWithProperties();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttributeHolder getAttributeHolder() {
		if (attributeHolder != null && attributeHolder.eIsProxy()) {
			InternalEObject oldAttributeHolder = (InternalEObject)attributeHolder;
			attributeHolder = (AttributeHolder)eResolveProxy(oldAttributeHolder);
			if (attributeHolder != oldAttributeHolder) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, XmadslPackage.ATTRIBUTE_WITH_PROPERTIES__ATTRIBUTE_HOLDER, oldAttributeHolder, attributeHolder));
			}
		}
		return attributeHolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttributeHolder basicGetAttributeHolder() {
		return attributeHolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setAttributeHolder(AttributeHolder newAttributeHolder) {
		AttributeHolder oldAttributeHolder = attributeHolder;
		attributeHolder = newAttributeHolder;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.ATTRIBUTE_WITH_PROPERTIES__ATTRIBUTE_HOLDER, oldAttributeHolder, attributeHolder));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case XmadslPackage.ATTRIBUTE_WITH_PROPERTIES__ATTRIBUTE_HOLDER:
				if (resolve) return getAttributeHolder();
				return basicGetAttributeHolder();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case XmadslPackage.ATTRIBUTE_WITH_PROPERTIES__ATTRIBUTE_HOLDER:
				setAttributeHolder((AttributeHolder)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case XmadslPackage.ATTRIBUTE_WITH_PROPERTIES__ATTRIBUTE_HOLDER:
				setAttributeHolder((AttributeHolder)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case XmadslPackage.ATTRIBUTE_WITH_PROPERTIES__ATTRIBUTE_HOLDER:
				return attributeHolder != null;
		}
		return super.eIsSet(featureID);
	}
	
    /**
     * @modified
     * @return the name of the attribute
     */    
	public String getName() {
		if (attributeHolder != null) {
			return attributeHolder.getName();
		}
		return null;
	}
	
    /**
     * @modified
     * @return the attribute
     */   	
    public Attribute getAttribute() {
    	if (attributeHolder != null) {
    		return attributeHolder.getAttribute();
    	}
    	return null;
    }
    
    /**
     * @modified
     * @return the attribute
     */   	
    public String getLabelText() {
    	
    	System.out.println(">>>>> getLabelText for AttributeWithProperties: "+getName());
    	
    	EList<AttributeProperty> attrProp = getAttributProperties();
    	String labelText = null;
    	if (attrProp != null && attrProp.size()>0) { 
    		labelText = AttributePropertyImpl.getLabelText(getAttributProperties());
    	}
    	if (labelText == null && attributeHolder != null) {
    		labelText = attributeHolder.getLabelText();
    	}
    	return labelText;    	
    }
    
    /**
     * @modified
     * @return the attribute
     */   	
    public String getTooltipText() {
    	
    	EList<AttributeProperty> attrProp = getAttributProperties();
    	String tooltipText = null;
    	if (attrProp != null && attrProp.size()>0) { 
    		tooltipText = AttributePropertyImpl.getTooltipText(getAttributProperties());
    	}
    	if (tooltipText == null && attributeHolder != null) {
    		tooltipText = attributeHolder.getTooltipText();
    	}
    	return tooltipText;    	
    }
    
    /**
     * @modified
     * @return the attribute
     */   	
    public String getUnitText() {
    	
    	EList<AttributeProperty> attrProp = getAttributProperties();
    	String tooltipText = null;
    	if (attrProp != null && attrProp.size()>0) { 
    		tooltipText = AttributePropertyImpl.getUnitText(getAttributProperties());
    	}
    	if (tooltipText == null && attributeHolder != null) {
    		tooltipText = attributeHolder.getUnitText();
    	}
    	return tooltipText;    	
    }   
    
    /**
     * @modified
     * @return the attribute
     */   	
    public Attribute getUnitAttribute() {
    	
    	EList<AttributeProperty> attrProp = getAttributProperties();
    	Attribute tooltipText = null;
    	if (attrProp != null && attrProp.size()>0) { 
    		tooltipText = AttributePropertyImpl.getUnitAttribute(getAttributProperties());
    	}
    	if (tooltipText == null && attributeHolder != null) {
    		tooltipText = attributeHolder.getUnitAttribute();
    	}
    	return tooltipText;    	
    }       

} //AttributeWithPropertiesImpl
