/**
 * <copyright>
 * </copyright>
 *
 * $Id: ComponentImpl.java 3607 2009-06-17 17:22:39Z hoenninger $
 */
package org.openxma.xmadsl.model.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.openxma.xmadsl.model.Command;
import org.openxma.xmadsl.model.Component;
import org.openxma.xmadsl.model.ConditionsBlock;
import org.openxma.xmadsl.model.CustomizeAttributeList;
import org.openxma.xmadsl.model.DataObjectVariable;
import org.openxma.xmadsl.model.EventMappingList;
import org.openxma.xmadsl.model.Page;
import org.openxma.xmadsl.model.XmadslPackage;

import at.spardat.xma.guidesign.XMAComponent;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Component</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.openxma.xmadsl.model.impl.ComponentImpl#getCustomizedAttributeList <em>Customized Attribute List</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ComponentImpl#getPages <em>Pages</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ComponentImpl#getDataobjects <em>Dataobjects</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ComponentImpl#getEvents <em>Events</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ComponentImpl#getXmaComponent <em>Xma Component</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ComponentImpl#getCommands <em>Commands</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.ComponentImpl#getConditionsBlock <em>Conditions Block</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class ComponentImpl extends ReferencedXMAGuiElementImpl implements Component {
	/**
	 * The cached value of the '{@link #getCustomizedAttributeList() <em>Customized Attribute List</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCustomizedAttributeList()
	 * @generated
	 * @ordered
	 */
	protected CustomizeAttributeList customizedAttributeList;

	/**
	 * The cached value of the '{@link #getPages() <em>Pages</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPages()
	 * @generated
	 * @ordered
	 */
	protected EList<Page> pages;

	/**
	 * The cached value of the '{@link #getDataobjects() <em>Dataobjects</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataobjects()
	 * @generated
	 * @ordered
	 */
	protected EList<DataObjectVariable> dataobjects;

	/**
	 * The cached value of the '{@link #getEvents() <em>Events</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEvents()
	 * @generated
	 * @ordered
	 */
	protected EventMappingList events;

	/**
	 * The cached value of the '{@link #getXmaComponent() <em>Xma Component</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getXmaComponent()
	 * @generated
	 * @ordered
	 */
	protected XMAComponent xmaComponent;

	/**
	 * The cached value of the '{@link #getCommands() <em>Commands</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCommands()
	 * @generated
	 * @ordered
	 */
	protected EList<Command> commands;

	/**
	 * The cached value of the '{@link #getConditionsBlock() <em>Conditions Block</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getConditionsBlock()
	 * @generated
	 * @ordered
	 */
	protected ConditionsBlock conditionsBlock;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ComponentImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return XmadslPackage.eINSTANCE.getComponent();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<DataObjectVariable> getDataobjects() {
		if (dataobjects == null) {
			dataobjects = new EObjectContainmentEList<DataObjectVariable>(DataObjectVariable.class, this, XmadslPackage.COMPONENT__DATAOBJECTS);
		}
		return dataobjects;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Page> getPages() {
		if (pages == null) {
			pages = new EObjectContainmentEList<Page>(Page.class, this, XmadslPackage.COMPONENT__PAGES);
		}
		return pages;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Command> getCommands() {
		if (commands == null) {
			commands = new EObjectContainmentEList<Command>(Command.class, this, XmadslPackage.COMPONENT__COMMANDS);
		}
		return commands;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizeAttributeList getCustomizedAttributeList() {
		return customizedAttributeList;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetCustomizedAttributeList(CustomizeAttributeList newCustomizedAttributeList, NotificationChain msgs) {
		CustomizeAttributeList oldCustomizedAttributeList = customizedAttributeList;
		customizedAttributeList = newCustomizedAttributeList;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, XmadslPackage.COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST, oldCustomizedAttributeList, newCustomizedAttributeList);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCustomizedAttributeList(CustomizeAttributeList newCustomizedAttributeList) {
		if (newCustomizedAttributeList != customizedAttributeList) {
			NotificationChain msgs = null;
			if (customizedAttributeList != null)
				msgs = ((InternalEObject)customizedAttributeList).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST, null, msgs);
			if (newCustomizedAttributeList != null)
				msgs = ((InternalEObject)newCustomizedAttributeList).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST, null, msgs);
			msgs = basicSetCustomizedAttributeList(newCustomizedAttributeList, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST, newCustomizedAttributeList, newCustomizedAttributeList));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventMappingList getEvents() {
		return events;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetEvents(EventMappingList newEvents, NotificationChain msgs) {
		EventMappingList oldEvents = events;
		events = newEvents;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, XmadslPackage.COMPONENT__EVENTS, oldEvents, newEvents);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEvents(EventMappingList newEvents) {
		if (newEvents != events) {
			NotificationChain msgs = null;
			if (events != null)
				msgs = ((InternalEObject)events).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.COMPONENT__EVENTS, null, msgs);
			if (newEvents != null)
				msgs = ((InternalEObject)newEvents).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.COMPONENT__EVENTS, null, msgs);
			msgs = basicSetEvents(newEvents, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.COMPONENT__EVENTS, newEvents, newEvents));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XMAComponent getXmaComponent() {
		if (xmaComponent != null && xmaComponent.eIsProxy()) {
			InternalEObject oldXmaComponent = (InternalEObject)xmaComponent;
			xmaComponent = (XMAComponent)eResolveProxy(oldXmaComponent);
			if (xmaComponent != oldXmaComponent) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, XmadslPackage.COMPONENT__XMA_COMPONENT, oldXmaComponent, xmaComponent));
			}
		}
		return xmaComponent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XMAComponent basicGetXmaComponent() {
		return xmaComponent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setXmaComponent(XMAComponent newXmaComponent) {
		XMAComponent oldXmaComponent = xmaComponent;
		xmaComponent = newXmaComponent;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.COMPONENT__XMA_COMPONENT, oldXmaComponent, xmaComponent));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ConditionsBlock getConditionsBlock() {
		return conditionsBlock;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetConditionsBlock(ConditionsBlock newConditionsBlock, NotificationChain msgs) {
		ConditionsBlock oldConditionsBlock = conditionsBlock;
		conditionsBlock = newConditionsBlock;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, XmadslPackage.COMPONENT__CONDITIONS_BLOCK, oldConditionsBlock, newConditionsBlock);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setConditionsBlock(ConditionsBlock newConditionsBlock) {
		if (newConditionsBlock != conditionsBlock) {
			NotificationChain msgs = null;
			if (conditionsBlock != null)
				msgs = ((InternalEObject)conditionsBlock).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.COMPONENT__CONDITIONS_BLOCK, null, msgs);
			if (newConditionsBlock != null)
				msgs = ((InternalEObject)newConditionsBlock).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.COMPONENT__CONDITIONS_BLOCK, null, msgs);
			msgs = basicSetConditionsBlock(newConditionsBlock, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.COMPONENT__CONDITIONS_BLOCK, newConditionsBlock, newConditionsBlock));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case XmadslPackage.COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST:
				return basicSetCustomizedAttributeList(null, msgs);
			case XmadslPackage.COMPONENT__PAGES:
				return ((InternalEList<?>)getPages()).basicRemove(otherEnd, msgs);
			case XmadslPackage.COMPONENT__DATAOBJECTS:
				return ((InternalEList<?>)getDataobjects()).basicRemove(otherEnd, msgs);
			case XmadslPackage.COMPONENT__EVENTS:
				return basicSetEvents(null, msgs);
			case XmadslPackage.COMPONENT__COMMANDS:
				return ((InternalEList<?>)getCommands()).basicRemove(otherEnd, msgs);
			case XmadslPackage.COMPONENT__CONDITIONS_BLOCK:
				return basicSetConditionsBlock(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case XmadslPackage.COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST:
				return getCustomizedAttributeList();
			case XmadslPackage.COMPONENT__PAGES:
				return getPages();
			case XmadslPackage.COMPONENT__DATAOBJECTS:
				return getDataobjects();
			case XmadslPackage.COMPONENT__EVENTS:
				return getEvents();
			case XmadslPackage.COMPONENT__XMA_COMPONENT:
				if (resolve) return getXmaComponent();
				return basicGetXmaComponent();
			case XmadslPackage.COMPONENT__COMMANDS:
				return getCommands();
			case XmadslPackage.COMPONENT__CONDITIONS_BLOCK:
				return getConditionsBlock();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case XmadslPackage.COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST:
				setCustomizedAttributeList((CustomizeAttributeList)newValue);
				return;
			case XmadslPackage.COMPONENT__PAGES:
				getPages().clear();
				getPages().addAll((Collection<? extends Page>)newValue);
				return;
			case XmadslPackage.COMPONENT__DATAOBJECTS:
				getDataobjects().clear();
				getDataobjects().addAll((Collection<? extends DataObjectVariable>)newValue);
				return;
			case XmadslPackage.COMPONENT__EVENTS:
				setEvents((EventMappingList)newValue);
				return;
			case XmadslPackage.COMPONENT__XMA_COMPONENT:
				setXmaComponent((XMAComponent)newValue);
				return;
			case XmadslPackage.COMPONENT__COMMANDS:
				getCommands().clear();
				getCommands().addAll((Collection<? extends Command>)newValue);
				return;
			case XmadslPackage.COMPONENT__CONDITIONS_BLOCK:
				setConditionsBlock((ConditionsBlock)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case XmadslPackage.COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST:
				setCustomizedAttributeList((CustomizeAttributeList)null);
				return;
			case XmadslPackage.COMPONENT__PAGES:
				getPages().clear();
				return;
			case XmadslPackage.COMPONENT__DATAOBJECTS:
				getDataobjects().clear();
				return;
			case XmadslPackage.COMPONENT__EVENTS:
				setEvents((EventMappingList)null);
				return;
			case XmadslPackage.COMPONENT__XMA_COMPONENT:
				setXmaComponent((XMAComponent)null);
				return;
			case XmadslPackage.COMPONENT__COMMANDS:
				getCommands().clear();
				return;
			case XmadslPackage.COMPONENT__CONDITIONS_BLOCK:
				setConditionsBlock((ConditionsBlock)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case XmadslPackage.COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST:
				return customizedAttributeList != null;
			case XmadslPackage.COMPONENT__PAGES:
				return pages != null && !pages.isEmpty();
			case XmadslPackage.COMPONENT__DATAOBJECTS:
				return dataobjects != null && !dataobjects.isEmpty();
			case XmadslPackage.COMPONENT__EVENTS:
				return events != null;
			case XmadslPackage.COMPONENT__XMA_COMPONENT:
				return xmaComponent != null;
			case XmadslPackage.COMPONENT__COMMANDS:
				return commands != null && !commands.isEmpty();
			case XmadslPackage.COMPONENT__CONDITIONS_BLOCK:
				return conditionsBlock != null;
		}
		return super.eIsSet(featureID);
	}

} //ComponentImpl
