/**
 * <copyright>
 * </copyright>
 *
 * $Id: CustomizeableFieldImpl.java 3642 2009-06-26 11:53:03Z hoenninger $
 */
package org.openxma.xmadsl.model.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.openxma.xmadsl.model.AttributeHolder;
import org.openxma.xmadsl.model.Attribute;
import org.openxma.xmadsl.model.ComposedElement;
import org.openxma.xmadsl.model.Constraint;
import org.openxma.xmadsl.model.CustomizeableField;
import org.openxma.xmadsl.model.DataObjectVariable;
import org.openxma.xmadsl.model.FieldFlag;
import org.openxma.xmadsl.model.IField;
import org.openxma.xmadsl.model.GuiElement;
import org.openxma.xmadsl.model.LayoutData;
import org.openxma.xmadsl.model.SimpleElement;
import org.openxma.xmadsl.model.TextProperties;
import org.openxma.xmadsl.model.ValidatorReference;
import org.openxma.xmadsl.model.XmadslPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Customizeable Field</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.openxma.xmadsl.model.impl.CustomizeableFieldImpl#getObject <em>Object</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.CustomizeableFieldImpl#getAttributeHolder <em>Attribute Holder</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.CustomizeableFieldImpl#getTextProperties <em>Text Properties</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.CustomizeableFieldImpl#getFieldFlags <em>Field Flags</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.CustomizeableFieldImpl#getConstraints <em>Constraints</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.CustomizeableFieldImpl#getFormat <em>Format</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class CustomizeableFieldImpl extends SimpleElementImpl implements CustomizeableField {
	/**
	 * The cached value of the '{@link #getObject() <em>Object</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getObject()
	 * @generated
	 * @ordered
	 */
	protected DataObjectVariable object;

	/**
	 * The cached value of the '{@link #getAttributeHolder() <em>Attribute Holder</em>}' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAttributeHolder()
	 * @generated
	 * @ordered
	 */
	protected AttributeHolder attributeHolder;

	/**
	 * The cached value of the '{@link #getTextProperties() <em>Text Properties</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTextProperties()
	 * @generated
	 * @ordered
	 */
	protected TextProperties textProperties;

	/**
	 * The cached value of the '{@link #getFieldFlags() <em>Field Flags</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFieldFlags()
	 * @generated
	 * @ordered
	 */
	protected EList<FieldFlag> fieldFlags;

	/**
	 * The cached value of the '{@link #getConstraints() <em>Constraints</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getConstraints()
	 * @generated
	 * @ordered
	 */
	protected EList<Constraint> constraints;

	/**
	 * The cached value of the '{@link #getFormat() <em>Format</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFormat()
	 * @generated
	 * @ordered
	 */
	protected ValidatorReference format;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected CustomizeableFieldImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return XmadslPackage.eINSTANCE.getCustomizeableField();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttributeHolder getAttributeHolder() {
		if (attributeHolder != null && attributeHolder.eIsProxy()) {
			InternalEObject oldAttributeHolder = (InternalEObject)attributeHolder;
			attributeHolder = (AttributeHolder)eResolveProxy(oldAttributeHolder);
			if (attributeHolder != oldAttributeHolder) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, XmadslPackage.CUSTOMIZEABLE_FIELD__ATTRIBUTE_HOLDER, oldAttributeHolder, attributeHolder));
			}
		}
		return attributeHolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttributeHolder basicGetAttributeHolder() {
		return attributeHolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setAttributeHolder(AttributeHolder newAttributeHolder) {
		AttributeHolder oldAttributeHolder = attributeHolder;
		attributeHolder = newAttributeHolder;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.CUSTOMIZEABLE_FIELD__ATTRIBUTE_HOLDER, oldAttributeHolder, attributeHolder));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataObjectVariable getObject() {
		if (object != null && object.eIsProxy()) {
			InternalEObject oldObject = (InternalEObject)object;
			object = (DataObjectVariable)eResolveProxy(oldObject);
			if (object != oldObject) {
				if (eNotificationRequired())
					eNotify(new ENotificationImpl(this, Notification.RESOLVE, XmadslPackage.CUSTOMIZEABLE_FIELD__OBJECT, oldObject, object));
			}
		}
		return object;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataObjectVariable basicGetObject() {
		return object;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setObject(DataObjectVariable newObject) {
		DataObjectVariable oldObject = object;
		object = newObject;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.CUSTOMIZEABLE_FIELD__OBJECT, oldObject, object));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TextProperties getTextProperties() {
		return textProperties;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetTextProperties(TextProperties newTextProperties, NotificationChain msgs) {
		TextProperties oldTextProperties = textProperties;
		textProperties = newTextProperties;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, XmadslPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES, oldTextProperties, newTextProperties);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTextProperties(TextProperties newTextProperties) {
		if (newTextProperties != textProperties) {
			NotificationChain msgs = null;
			if (textProperties != null)
				msgs = ((InternalEObject)textProperties).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES, null, msgs);
			if (newTextProperties != null)
				msgs = ((InternalEObject)newTextProperties).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES, null, msgs);
			msgs = basicSetTextProperties(newTextProperties, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES, newTextProperties, newTextProperties));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Constraint> getConstraints() {
		if (constraints == null) {
			constraints = new EObjectContainmentEList<Constraint>(Constraint.class, this, XmadslPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS);
		}
		return constraints;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<FieldFlag> getFieldFlags() {
		if (fieldFlags == null) {
			fieldFlags = new EObjectContainmentEList<FieldFlag>(FieldFlag.class, this, XmadslPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS);
		}
		return fieldFlags;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ValidatorReference getFormat() {
		return format;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetFormat(ValidatorReference newFormat, NotificationChain msgs) {
		ValidatorReference oldFormat = format;
		format = newFormat;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, XmadslPackage.CUSTOMIZEABLE_FIELD__FORMAT, oldFormat, newFormat);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFormat(ValidatorReference newFormat) {
		if (newFormat != format) {
			NotificationChain msgs = null;
			if (format != null)
				msgs = ((InternalEObject)format).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.CUSTOMIZEABLE_FIELD__FORMAT, null, msgs);
			if (newFormat != null)
				msgs = ((InternalEObject)newFormat).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - XmadslPackage.CUSTOMIZEABLE_FIELD__FORMAT, null, msgs);
			msgs = basicSetFormat(newFormat, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.CUSTOMIZEABLE_FIELD__FORMAT, newFormat, newFormat));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case XmadslPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES:
				return basicSetTextProperties(null, msgs);
			case XmadslPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS:
				return ((InternalEList<?>)getFieldFlags()).basicRemove(otherEnd, msgs);
			case XmadslPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS:
				return ((InternalEList<?>)getConstraints()).basicRemove(otherEnd, msgs);
			case XmadslPackage.CUSTOMIZEABLE_FIELD__FORMAT:
				return basicSetFormat(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case XmadslPackage.CUSTOMIZEABLE_FIELD__OBJECT:
				if (resolve) return getObject();
				return basicGetObject();
			case XmadslPackage.CUSTOMIZEABLE_FIELD__ATTRIBUTE_HOLDER:
				if (resolve) return getAttributeHolder();
				return basicGetAttributeHolder();
			case XmadslPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES:
				return getTextProperties();
			case XmadslPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS:
				return getFieldFlags();
			case XmadslPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS:
				return getConstraints();
			case XmadslPackage.CUSTOMIZEABLE_FIELD__FORMAT:
				return getFormat();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case XmadslPackage.CUSTOMIZEABLE_FIELD__OBJECT:
				setObject((DataObjectVariable)newValue);
				return;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__ATTRIBUTE_HOLDER:
				setAttributeHolder((AttributeHolder)newValue);
				return;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES:
				setTextProperties((TextProperties)newValue);
				return;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS:
				getFieldFlags().clear();
				getFieldFlags().addAll((Collection<? extends FieldFlag>)newValue);
				return;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS:
				getConstraints().clear();
				getConstraints().addAll((Collection<? extends Constraint>)newValue);
				return;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__FORMAT:
				setFormat((ValidatorReference)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case XmadslPackage.CUSTOMIZEABLE_FIELD__OBJECT:
				setObject((DataObjectVariable)null);
				return;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__ATTRIBUTE_HOLDER:
				setAttributeHolder((AttributeHolder)null);
				return;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES:
				setTextProperties((TextProperties)null);
				return;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS:
				getFieldFlags().clear();
				return;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS:
				getConstraints().clear();
				return;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__FORMAT:
				setFormat((ValidatorReference)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case XmadslPackage.CUSTOMIZEABLE_FIELD__OBJECT:
				return object != null;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__ATTRIBUTE_HOLDER:
				return attributeHolder != null;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES:
				return textProperties != null;
			case XmadslPackage.CUSTOMIZEABLE_FIELD__FIELD_FLAGS:
				return fieldFlags != null && !fieldFlags.isEmpty();
			case XmadslPackage.CUSTOMIZEABLE_FIELD__CONSTRAINTS:
				return constraints != null && !constraints.isEmpty();
			case XmadslPackage.CUSTOMIZEABLE_FIELD__FORMAT:
				return format != null;
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass) {
		if (baseClass == IField.class) {
			switch (derivedFeatureID) {
				case XmadslPackage.CUSTOMIZEABLE_FIELD__OBJECT: return XmadslPackage.IFIELD__OBJECT;
				case XmadslPackage.CUSTOMIZEABLE_FIELD__ATTRIBUTE_HOLDER: return XmadslPackage.IFIELD__ATTRIBUTE_HOLDER;
				default: return -1;
			}
		}
		return super.eBaseStructuralFeatureID(derivedFeatureID, baseClass);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass) {
		if (baseClass == IField.class) {
			switch (baseFeatureID) {
				case XmadslPackage.IFIELD__OBJECT: return XmadslPackage.CUSTOMIZEABLE_FIELD__OBJECT;
				case XmadslPackage.IFIELD__ATTRIBUTE_HOLDER: return XmadslPackage.CUSTOMIZEABLE_FIELD__ATTRIBUTE_HOLDER;
				default: return -1;
			}
		}
		return super.eDerivedStructuralFeatureID(baseFeatureID, baseClass);
	}

	/**
     * @modified
     * @return the label text for the field
     */	
	public String getLabelText() {

		String labelText = null;		
		TextProperties textProperties = getTextProperties();		
		if (textProperties != null && textProperties.getLabelText() != null) {
			labelText = textProperties.getLabelText();
		} else {			
			if (attributeHolder != null) {
				labelText = attributeHolder.getLabelText();
			}
		}
		if (labelText == null) {
			labelText = getObject().getName()+"."+getAttribute().getName();
		}
		return labelText;
	}
	
	/**
     * @modified
     * @return the label text for the field
     */	
	public String getTooltipText() {

		String labelText = null;		
		TextProperties textProperties = getTextProperties();		
		if (textProperties != null && textProperties.getLabelText() != null) {
			labelText = textProperties.getLabelText();
		} else {
			if (attributeHolder != null) {
				labelText = attributeHolder.getTooltipText();
			}
		}
		if (labelText == null) {
			labelText = "Data for field " + getObject().getName()+"."+getAttribute().getName();
		}
		return labelText;
	}		

    /**
     * @modified
     * @return the unit text for the field
     */	
	public String getUnitText() {
		
		String unitText = null;		
		TextProperties textProperties = getTextProperties();		
		if (textProperties != null && textProperties.getUnitLabelText() != null) {
			unitText = textProperties.getUnitLabelText();
		} else {
			if (attributeHolder != null) {
				unitText = attributeHolder.getUnitText();
			}
		}
		return unitText;	
	}
	
    /**
     * @modified
     * @return the unit text for the field
     */
    public Attribute getUnitAttribute() {
    	Attribute unitAttribute = null;
		if (attributeHolder != null) {
			unitAttribute = attributeHolder.getUnitAttribute();
		}
		return unitAttribute;
    }    
    
    /**
     * @modified
     * @return the unit object for the field
     */    
    public Object getUnitObject() {
    	Object unitObject = getUnitText();
    	if (unitObject == null) {
    		unitObject = getUnitAttribute();
    	}
    	return unitObject;
    }
    
    /**
     * @modified
     * @return the unit text for the field
     */
    public Attribute getAttribute() {
    	if (attributeHolder != null) {
    		return attributeHolder.getAttribute();
    	}
    	return null;
    }

} //CustomizeableFieldImpl
