/**
 * <copyright>
 * </copyright>
 *
 * $Id: PersistenceImpl.java 3642 2009-06-26 11:53:03Z hoenninger $
 */
package org.openxma.xmadsl.model.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.common.util.EList;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.openxma.xmadsl.model.Column;
import org.openxma.xmadsl.model.DataBaseConstraint;
import org.openxma.xmadsl.model.Dependant;
import org.openxma.xmadsl.model.Dependency;
import org.openxma.xmadsl.model.ManyToOne;
import org.openxma.xmadsl.model.OneToMany;
import org.openxma.xmadsl.model.OneToOne;
import org.openxma.xmadsl.model.Persistence;
import org.openxma.xmadsl.model.Query;
import org.openxma.xmadsl.model.ServiceDelegate;
import org.openxma.xmadsl.model.XmadslPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Persistence</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.openxma.xmadsl.model.impl.PersistenceImpl#getOneToManyAssociations <em>One To Many Associations</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.PersistenceImpl#getTableAlias <em>Table Alias</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.PersistenceImpl#getColumns <em>Columns</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.PersistenceImpl#getManyToOneAssociations <em>Many To One Associations</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.PersistenceImpl#isLazy <em>Lazy</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.PersistenceImpl#getDataBaseConstraints <em>Data Base Constraints</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.PersistenceImpl#getOneToOneAssociations <em>One To One Associations</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.PersistenceImpl#getQueryMappings <em>Query Mappings</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.PersistenceImpl#getTableName <em>Table Name</em>}</li>
 *   <li>{@link org.openxma.xmadsl.model.impl.PersistenceImpl#getDataSource <em>Data Source</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class PersistenceImpl extends ServiceDelegateImpl implements Persistence {
	/**
	 * The cached value of the '{@link #getOneToManyAssociations() <em>One To Many Associations</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOneToManyAssociations()
	 * @generated
	 * @ordered
	 */
	protected EList<OneToMany> oneToManyAssociations;

	/**
	 * The default value of the '{@link #getTableAlias() <em>Table Alias</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTableAlias()
	 * @generated
	 * @ordered
	 */
	protected static final String TABLE_ALIAS_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getTableAlias() <em>Table Alias</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTableAlias()
	 * @generated
	 * @ordered
	 */
	protected String tableAlias = TABLE_ALIAS_EDEFAULT;

	/**
	 * The cached value of the '{@link #getColumns() <em>Columns</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getColumns()
	 * @generated
	 * @ordered
	 */
	protected EList<Column> columns;

	/**
	 * The cached value of the '{@link #getManyToOneAssociations() <em>Many To One Associations</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getManyToOneAssociations()
	 * @generated
	 * @ordered
	 */
	protected EList<ManyToOne> manyToOneAssociations;

	/**
	 * The default value of the '{@link #isLazy() <em>Lazy</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isLazy()
	 * @generated
	 * @ordered
	 */
	protected static final boolean LAZY_EDEFAULT = false;

	/**
	 * The cached value of the '{@link #isLazy() <em>Lazy</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isLazy()
	 * @generated
	 * @ordered
	 */
	protected boolean lazy = LAZY_EDEFAULT;

	/**
	 * The cached value of the '{@link #getDataBaseConstraints() <em>Data Base Constraints</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataBaseConstraints()
	 * @generated
	 * @ordered
	 */
	protected EList<DataBaseConstraint> dataBaseConstraints;

	/**
	 * The cached value of the '{@link #getOneToOneAssociations() <em>One To One Associations</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getOneToOneAssociations()
	 * @generated
	 * @ordered
	 */
	protected EList<OneToOne> oneToOneAssociations;

	/**
	 * The cached value of the '{@link #getQueryMappings() <em>Query Mappings</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getQueryMappings()
	 * @generated
	 * @ordered
	 */
	protected EList<Query> queryMappings;

	/**
	 * The default value of the '{@link #getTableName() <em>Table Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTableName()
	 * @generated
	 * @ordered
	 */
	protected static final String TABLE_NAME_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getTableName() <em>Table Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getTableName()
	 * @generated
	 * @ordered
	 */
	protected String tableName = TABLE_NAME_EDEFAULT;

	/**
	 * The default value of the '{@link #getDataSource() <em>Data Source</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataSource()
	 * @generated
	 * @ordered
	 */
	protected static final String DATA_SOURCE_EDEFAULT = null;

	/**
	 * The cached value of the '{@link #getDataSource() <em>Data Source</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDataSource()
	 * @generated
	 * @ordered
	 */
	protected String dataSource = DATA_SOURCE_EDEFAULT;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PersistenceImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return XmadslPackage.eINSTANCE.getPersistence();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getDataSource() {
		return dataSource;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDataSource(String newDataSource) {
		String oldDataSource = dataSource;
		dataSource = newDataSource;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.PERSISTENCE__DATA_SOURCE, oldDataSource, dataSource));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<OneToMany> getOneToManyAssociations() {
		if (oneToManyAssociations == null) {
			oneToManyAssociations = new EObjectContainmentEList<OneToMany>(OneToMany.class, this, XmadslPackage.PERSISTENCE__ONE_TO_MANY_ASSOCIATIONS);
		}
		return oneToManyAssociations;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<ManyToOne> getManyToOneAssociations() {
		if (manyToOneAssociations == null) {
			manyToOneAssociations = new EObjectContainmentEList<ManyToOne>(ManyToOne.class, this, XmadslPackage.PERSISTENCE__MANY_TO_ONE_ASSOCIATIONS);
		}
		return manyToOneAssociations;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Column> getColumns() {
		if (columns == null) {
			columns = new EObjectContainmentEList<Column>(Column.class, this, XmadslPackage.PERSISTENCE__COLUMNS);
		}
		return columns;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getTableName() {
		return tableName;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTableName(String newTableName) {
		String oldTableName = tableName;
		tableName = newTableName;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.PERSISTENCE__TABLE_NAME, oldTableName, tableName));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<DataBaseConstraint> getDataBaseConstraints() {
		if (dataBaseConstraints == null) {
			dataBaseConstraints = new EObjectContainmentEList<DataBaseConstraint>(DataBaseConstraint.class, this, XmadslPackage.PERSISTENCE__DATA_BASE_CONSTRAINTS);
		}
		return dataBaseConstraints;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Query> getQueryMappings() {
		if (queryMappings == null) {
			queryMappings = new EObjectContainmentEList<Query>(Query.class, this, XmadslPackage.PERSISTENCE__QUERY_MAPPINGS);
		}
		return queryMappings;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public boolean isLazy() {
		return lazy;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLazy(boolean newLazy) {
		boolean oldLazy = lazy;
		lazy = newLazy;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.PERSISTENCE__LAZY, oldLazy, lazy));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<OneToOne> getOneToOneAssociations() {
		if (oneToOneAssociations == null) {
			oneToOneAssociations = new EObjectContainmentEList<OneToOne>(OneToOne.class, this, XmadslPackage.PERSISTENCE__ONE_TO_ONE_ASSOCIATIONS);
		}
		return oneToOneAssociations;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String getTableAlias() {
		return tableAlias;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setTableAlias(String newTableAlias) {
		String oldTableAlias = tableAlias;
		tableAlias = newTableAlias;
		if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, XmadslPackage.PERSISTENCE__TABLE_ALIAS, oldTableAlias, tableAlias));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case XmadslPackage.PERSISTENCE__ONE_TO_MANY_ASSOCIATIONS:
				return ((InternalEList<?>)getOneToManyAssociations()).basicRemove(otherEnd, msgs);
			case XmadslPackage.PERSISTENCE__COLUMNS:
				return ((InternalEList<?>)getColumns()).basicRemove(otherEnd, msgs);
			case XmadslPackage.PERSISTENCE__MANY_TO_ONE_ASSOCIATIONS:
				return ((InternalEList<?>)getManyToOneAssociations()).basicRemove(otherEnd, msgs);
			case XmadslPackage.PERSISTENCE__DATA_BASE_CONSTRAINTS:
				return ((InternalEList<?>)getDataBaseConstraints()).basicRemove(otherEnd, msgs);
			case XmadslPackage.PERSISTENCE__ONE_TO_ONE_ASSOCIATIONS:
				return ((InternalEList<?>)getOneToOneAssociations()).basicRemove(otherEnd, msgs);
			case XmadslPackage.PERSISTENCE__QUERY_MAPPINGS:
				return ((InternalEList<?>)getQueryMappings()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case XmadslPackage.PERSISTENCE__ONE_TO_MANY_ASSOCIATIONS:
				return getOneToManyAssociations();
			case XmadslPackage.PERSISTENCE__TABLE_ALIAS:
				return getTableAlias();
			case XmadslPackage.PERSISTENCE__COLUMNS:
				return getColumns();
			case XmadslPackage.PERSISTENCE__MANY_TO_ONE_ASSOCIATIONS:
				return getManyToOneAssociations();
			case XmadslPackage.PERSISTENCE__LAZY:
				return isLazy() ? Boolean.TRUE : Boolean.FALSE;
			case XmadslPackage.PERSISTENCE__DATA_BASE_CONSTRAINTS:
				return getDataBaseConstraints();
			case XmadslPackage.PERSISTENCE__ONE_TO_ONE_ASSOCIATIONS:
				return getOneToOneAssociations();
			case XmadslPackage.PERSISTENCE__QUERY_MAPPINGS:
				return getQueryMappings();
			case XmadslPackage.PERSISTENCE__TABLE_NAME:
				return getTableName();
			case XmadslPackage.PERSISTENCE__DATA_SOURCE:
				return getDataSource();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case XmadslPackage.PERSISTENCE__ONE_TO_MANY_ASSOCIATIONS:
				getOneToManyAssociations().clear();
				getOneToManyAssociations().addAll((Collection<? extends OneToMany>)newValue);
				return;
			case XmadslPackage.PERSISTENCE__TABLE_ALIAS:
				setTableAlias((String)newValue);
				return;
			case XmadslPackage.PERSISTENCE__COLUMNS:
				getColumns().clear();
				getColumns().addAll((Collection<? extends Column>)newValue);
				return;
			case XmadslPackage.PERSISTENCE__MANY_TO_ONE_ASSOCIATIONS:
				getManyToOneAssociations().clear();
				getManyToOneAssociations().addAll((Collection<? extends ManyToOne>)newValue);
				return;
			case XmadslPackage.PERSISTENCE__LAZY:
				setLazy(((Boolean)newValue).booleanValue());
				return;
			case XmadslPackage.PERSISTENCE__DATA_BASE_CONSTRAINTS:
				getDataBaseConstraints().clear();
				getDataBaseConstraints().addAll((Collection<? extends DataBaseConstraint>)newValue);
				return;
			case XmadslPackage.PERSISTENCE__ONE_TO_ONE_ASSOCIATIONS:
				getOneToOneAssociations().clear();
				getOneToOneAssociations().addAll((Collection<? extends OneToOne>)newValue);
				return;
			case XmadslPackage.PERSISTENCE__QUERY_MAPPINGS:
				getQueryMappings().clear();
				getQueryMappings().addAll((Collection<? extends Query>)newValue);
				return;
			case XmadslPackage.PERSISTENCE__TABLE_NAME:
				setTableName((String)newValue);
				return;
			case XmadslPackage.PERSISTENCE__DATA_SOURCE:
				setDataSource((String)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case XmadslPackage.PERSISTENCE__ONE_TO_MANY_ASSOCIATIONS:
				getOneToManyAssociations().clear();
				return;
			case XmadslPackage.PERSISTENCE__TABLE_ALIAS:
				setTableAlias(TABLE_ALIAS_EDEFAULT);
				return;
			case XmadslPackage.PERSISTENCE__COLUMNS:
				getColumns().clear();
				return;
			case XmadslPackage.PERSISTENCE__MANY_TO_ONE_ASSOCIATIONS:
				getManyToOneAssociations().clear();
				return;
			case XmadslPackage.PERSISTENCE__LAZY:
				setLazy(LAZY_EDEFAULT);
				return;
			case XmadslPackage.PERSISTENCE__DATA_BASE_CONSTRAINTS:
				getDataBaseConstraints().clear();
				return;
			case XmadslPackage.PERSISTENCE__ONE_TO_ONE_ASSOCIATIONS:
				getOneToOneAssociations().clear();
				return;
			case XmadslPackage.PERSISTENCE__QUERY_MAPPINGS:
				getQueryMappings().clear();
				return;
			case XmadslPackage.PERSISTENCE__TABLE_NAME:
				setTableName(TABLE_NAME_EDEFAULT);
				return;
			case XmadslPackage.PERSISTENCE__DATA_SOURCE:
				setDataSource(DATA_SOURCE_EDEFAULT);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case XmadslPackage.PERSISTENCE__ONE_TO_MANY_ASSOCIATIONS:
				return oneToManyAssociations != null && !oneToManyAssociations.isEmpty();
			case XmadslPackage.PERSISTENCE__TABLE_ALIAS:
				return TABLE_ALIAS_EDEFAULT == null ? tableAlias != null : !TABLE_ALIAS_EDEFAULT.equals(tableAlias);
			case XmadslPackage.PERSISTENCE__COLUMNS:
				return columns != null && !columns.isEmpty();
			case XmadslPackage.PERSISTENCE__MANY_TO_ONE_ASSOCIATIONS:
				return manyToOneAssociations != null && !manyToOneAssociations.isEmpty();
			case XmadslPackage.PERSISTENCE__LAZY:
				return lazy != LAZY_EDEFAULT;
			case XmadslPackage.PERSISTENCE__DATA_BASE_CONSTRAINTS:
				return dataBaseConstraints != null && !dataBaseConstraints.isEmpty();
			case XmadslPackage.PERSISTENCE__ONE_TO_ONE_ASSOCIATIONS:
				return oneToOneAssociations != null && !oneToOneAssociations.isEmpty();
			case XmadslPackage.PERSISTENCE__QUERY_MAPPINGS:
				return queryMappings != null && !queryMappings.isEmpty();
			case XmadslPackage.PERSISTENCE__TABLE_NAME:
				return TABLE_NAME_EDEFAULT == null ? tableName != null : !TABLE_NAME_EDEFAULT.equals(tableName);
			case XmadslPackage.PERSISTENCE__DATA_SOURCE:
				return DATA_SOURCE_EDEFAULT == null ? dataSource != null : !DATA_SOURCE_EDEFAULT.equals(dataSource);
		}
		return super.eIsSet(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String toString() {
		if (eIsProxy()) return super.toString();

		StringBuffer result = new StringBuffer(super.toString());
		result.append(" (tableAlias: ");
		result.append(tableAlias);
		result.append(", lazy: ");
		result.append(lazy);
		result.append(", tableName: ");
		result.append(tableName);
		result.append(", dataSource: ");
		result.append(dataSource);
		result.append(')');
		return result.toString();
	}

} //PersistenceImpl
