/**
 * <copyright>
 * </copyright>
 *
 * $Id: XmadslFactoryImpl.java 3642 2009-06-26 11:53:03Z hoenninger $
 */
package org.openxma.xmadsl.model.impl;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.impl.EFactoryImpl;
import org.eclipse.emf.ecore.plugin.EcorePlugin;
import org.openxma.xmadsl.model.*;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class XmadslFactoryImpl extends EFactoryImpl implements XmadslFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static XmadslFactory init() {
		try {
			XmadslFactory theXmadslFactory = (XmadslFactory)EPackage.Registry.INSTANCE.getEFactory("http://www.openxma.org/xmadsl"); 
			if (theXmadslFactory != null) {
				return theXmadslFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new XmadslFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XmadslFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case XmadslPackage.DOMAIN_MODEL: return createDomainModel();
			case XmadslPackage.APPLICATION_MODEL: return createApplicationModel();
			case XmadslPackage.COMPONENT_MODEL: return createComponentModel();
			case XmadslPackage.CUSTOMIZATION: return createCustomization();
			case XmadslPackage.DEFAULTS: return createDefaults();
			case XmadslPackage.PROPERTY: return createProperty();
			case XmadslPackage.STYLE: return createStyle();
			case XmadslPackage.APPLICATION_SESSION: return createApplicationSession();
			case XmadslPackage.SESSION_FUNCTION: return createSessionFunction();
			case XmadslPackage.ENABLED_FLAG: return createEnabledFlag();
			case XmadslPackage.MANDATORY_FLAG: return createMandatoryFlag();
			case XmadslPackage.VISIBLE_FLAG: return createVisibleFlag();
			case XmadslPackage.COLLAPSED_FLAG: return createCollapsedFlag();
			case XmadslPackage.EDITABLE_FLAG: return createEditableFlag();
			case XmadslPackage.COMPONENT: return createComponent();
			case XmadslPackage.REFERENCED_XMA_PAGE: return createReferencedXMAPage();
			case XmadslPackage.REFERENCED_XMA_COMPOSITE: return createReferencedXMAComposite();
			case XmadslPackage.GRAY_LOGIC: return createGrayLogic();
			case XmadslPackage.XMA_WIDGET_GRAY_LOGIC: return createXMAWidgetGrayLogic();
			case XmadslPackage.DATA_OBJECT_VARIABLE: return createDataObjectVariable();
			case XmadslPackage.CUSTOMIZE_ATTRIBUTE_LIST: return createCustomizeAttributeList();
			case XmadslPackage.CUSTOMIZED_ATTRIBUTE: return createCustomizedAttribute();
			case XmadslPackage.TEXT_PROPERTIES: return createTextProperties();
			case XmadslPackage.FIELD_REFERENCE: return createFieldReference();
			case XmadslPackage.CUSTOMIZEABLE_FIELD: return createCustomizeableField();
			case XmadslPackage.COMMAND: return createCommand();
			case XmadslPackage.EVENT_MAPPING_LIST: return createEventMappingList();
			case XmadslPackage.XMA_WIDGET_EVENT_MAPPING: return createXMAWidgetEventMapping();
			case XmadslPackage.GUI_ELEMENT_EVENT_MAPPING: return createGuiElementEventMapping();
			case XmadslPackage.INIT_EVENT_MAPPING: return createInitEventMapping();
			case XmadslPackage.DATA_MAPPING_LIST: return createDataMappingList();
			case XmadslPackage.DATA_MAPPING: return createDataMapping();
			case XmadslPackage.XMADSL_PAGE: return createXmadslPage();
			case XmadslPackage.PAGE_CUSTOMIZATION: return createPageCustomization();
			case XmadslPackage.GUI_ELEMENT_WITH_EVENT_DUMMY: return createGuiElementWithEvent_dummy();
			case XmadslPackage.TEXT: return createText();
			case XmadslPackage.LABEL: return createLabel();
			case XmadslPackage.BUTTON: return createButton();
			case XmadslPackage.XMADSL_COMPOSITE: return createXmadslComposite();
			case XmadslPackage.REFERENCED_COMPOSITE: return createReferencedComposite();
			case XmadslPackage.TABLE: return createTable();
			case XmadslPackage.TABLE_COLUMN: return createTableColumn();
			case XmadslPackage.GROUP: return createGroup();
			case XmadslPackage.REFERENCED_GROUP: return createReferencedGroup();
			case XmadslPackage.TAB_FOLDER: return createTabFolder();
			case XmadslPackage.REFERENCED_TAB_FOLDER: return createReferencedTabFolder();
			case XmadslPackage.TAB_PAGE: return createTabPage();
			case XmadslPackage.REFERENCED_TAB_PAGE: return createReferencedTabPage();
			case XmadslPackage.LAYOUT_DATA: return createLayoutData();
			case XmadslPackage.COMPOSE_DATA: return createComposeData();
			case XmadslPackage.PADDING_WIDTH: return createPaddingWidth();
			case XmadslPackage.TABULATOR_POSITION: return createTabulatorPosition();
			case XmadslPackage.PAGE_CONTENT: return createPageContent();
			case XmadslPackage.COMPOSITE_CONTENT: return createCompositeContent();
			case XmadslPackage.SET_OF_SIMPLE_ELEMENTS: return createSetOfSimpleElements();
			case XmadslPackage.PARENT_ATTACHMENT: return createParentAttachment();
			case XmadslPackage.SIBLING_ATTACHMENT: return createSiblingAttachment();
			case XmadslPackage.OFFSET: return createOffset();
			case XmadslPackage.DUMMY1: return createDummy1();
			case XmadslPackage.FIELD_VARIABLE: return createFieldVariable();
			case XmadslPackage.XMADSL_VARIABLE: return createXmadslVariable();
			case XmadslPackage.XMA_VARIABLE: return createXmaVariable();
			case XmadslPackage.CUSTOMIZE_COMPONENT_MODEL: return createCustomizeComponentModel();
			case XmadslPackage.CUSTOMIZATION_OF_COMPOSITE: return createCustomizationOfComposite();
			case XmadslPackage.CUSTOMIZATION_OF_GROUP: return createCustomizationOfGroup();
			case XmadslPackage.CUSTOMIZATION_OF_TAB_FOLDER: return createCustomizationOfTabFolder();
			case XmadslPackage.SERVICE: return createService();
			case XmadslPackage.DEPENDENCY: return createDependency();
			case XmadslPackage.PARAMETER: return createParameter();
			case XmadslPackage.SERVICE_OPERATION: return createServiceOperation();
			case XmadslPackage.IMPORT: return createImport();
			case XmadslPackage.SIMPLE_TYPE: return createSimpleType();
			case XmadslPackage.DATA_TYPE_AND_TYPE_PARAMETER: return createDataTypeAndTypeParameter();
			case XmadslPackage.VALUE_OBJECT: return createValueObject();
			case XmadslPackage.DATA_VIEW_SOURCE: return createDataViewSource();
			case XmadslPackage.DATA_VIEW_SOURCE_DEFINITION: return createDataViewSourceDefinition();
			case XmadslPackage.DATA_VIEW: return createDataView();
			case XmadslPackage.INCLUDE_EXCLUDE_DEFINITION: return createIncludeExcludeDefinition();
			case XmadslPackage.ATTRIBUTE_WITH_PROPERTIES: return createAttributeWithProperties();
			case XmadslPackage.FINDER_PARAMETER: return createFinderParameter();
			case XmadslPackage.BASIC_FINDER: return createBasicFinder();
			case XmadslPackage.CUSTOM_FINDER: return createCustomFinder();
			case XmadslPackage.ENTITY: return createEntity();
			case XmadslPackage.CONDITIONS_BLOCK: return createConditionsBlock();
			case XmadslPackage.REFERENCE: return createReference();
			case XmadslPackage.PERSISTENCE: return createPersistence();
			case XmadslPackage.QUERY: return createQuery();
			case XmadslPackage.COLUMN: return createColumn();
			case XmadslPackage.MANY_TO_ONE: return createManyToOne();
			case XmadslPackage.ONE_TO_ONE: return createOneToOne();
			case XmadslPackage.ONE_TO_MANY: return createOneToMany();
			case XmadslPackage.DATA_BASE_CONSTRAINT: return createDataBaseConstraint();
			case XmadslPackage.DATA_BASE_FIELD_WITH_ORDER: return createDataBaseFieldWithOrder();
			case XmadslPackage.SORT_ORDER: return createSortOrder();
			case XmadslPackage.ATTRIBUTE: return createAttribute();
			case XmadslPackage.CONSTRAINT: return createConstraint();
			case XmadslPackage.VALIDATOR_REFERENCE: return createValidatorReference();
			case XmadslPackage.PARAMETER_VALUE: return createParameterValue();
			case XmadslPackage.STATUS_FLAG: return createStatusFlag();
			case XmadslPackage.REQUIRED_FLAG: return createRequiredFlag();
			case XmadslPackage.READ_ONLY_FLAG: return createReadOnlyFlag();
			case XmadslPackage.AVAILABLE_FLAG: return createAvailableFlag();
			case XmadslPackage.ATTRIBUTE_VALIDATION_PROPERTY: return createAttributeValidationProperty();
			case XmadslPackage.ATTRIBUTE_TEXT_PROPERTY: return createAttributeTextProperty();
			case XmadslPackage.INTEGER_PARAMETER_VALUE: return createIntegerParameterValue();
			case XmadslPackage.STRING_PARAMETER_VALUE: return createStringParameterValue();
			case XmadslPackage.BOOLEAN_PARAMETER_VALUE: return createBooleanParameterValue();
			case XmadslPackage.PARAMETER_DEFINITION: return createParameterDefinition();
			case XmadslPackage.TYPE_DEFINITION: return createTypeDefinition();
			case XmadslPackage.VALIDATOR: return createValidator();
			case XmadslPackage.EDITOR: return createEditor();
			case XmadslPackage.EQUALITY_EXPR: return createEqualityExpr();
			case XmadslPackage.COND_OR_EXPR: return createCondORExpr();
			case XmadslPackage.COND_OR_RIGHTS: return createCondORRights();
			case XmadslPackage.COND_AND_EXPR: return createCondANDExpr();
			case XmadslPackage.COND_AND_RIGHTS: return createCondANDRights();
			case XmadslPackage.RELATIONAL_EXPR: return createRelationalExpr();
			case XmadslPackage.ADDITIVE_EXPR: return createAdditiveExpr();
			case XmadslPackage.ADDITIVE_RIGHTS: return createAdditiveRights();
			case XmadslPackage.MULTIPLICATIVE_EXPR: return createMultiplicativeExpr();
			case XmadslPackage.MULTIPLICATIVE_RIGHTS: return createMultiplicativeRights();
			case XmadslPackage.CALL: return createCall();
			case XmadslPackage.PAREN_EXPR: return createParenExpr();
			case XmadslPackage.INT_LITERAL: return createIntLiteral();
			case XmadslPackage.STRING_LITERAL: return createStringLiteral();
			case XmadslPackage.TRUE_LITERAL: return createTrueLiteral();
			case XmadslPackage.FALSE_LITERAL: return createFalseLiteral();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object createFromString(EDataType eDataType, String initialValue) {
		switch (eDataType.getClassifierID()) {
			case XmadslPackage.EVENT_TYPE:
				return createEventTypeFromString(eDataType, initialValue);
			case XmadslPackage.ATTACHMENT_OWN_POSITION:
				return createAttachmentOwnPositionFromString(eDataType, initialValue);
			case XmadslPackage.ATTACHMENT_SIBLING_POSITION:
				return createAttachmentSiblingPositionFromString(eDataType, initialValue);
			case XmadslPackage.CONTENT_ALIGNMENT:
				return createContentAlignmentFromString(eDataType, initialValue);
			case XmadslPackage.SERVICE_TYPE:
				return createServiceTypeFromString(eDataType, initialValue);
			case XmadslPackage.BOOLEAN_VALUE:
				return createBooleanValueFromString(eDataType, initialValue);
			case XmadslPackage.VALUE_MODEL_TYPE:
				return createValueModelTypeFromString(eDataType, initialValue);
			case XmadslPackage.PARAMETER_DEFINITION_TYPE:
				return createParameterDefinitionTypeFromString(eDataType, initialValue);
			case XmadslPackage.MULTIPLICATIVE_OP:
				return createMultiplicativeOpFromString(eDataType, initialValue);
			case XmadslPackage.ADDITIVE_OP:
				return createAdditiveOpFromString(eDataType, initialValue);
			case XmadslPackage.RELATIONAL_OP:
				return createRelationalOpFromString(eDataType, initialValue);
			case XmadslPackage.EQUALITY_OP:
				return createEqualityOpFromString(eDataType, initialValue);
			case XmadslPackage.OR_OP:
				return createOrOpFromString(eDataType, initialValue);
			case XmadslPackage.AND_OP:
				return createAndOpFromString(eDataType, initialValue);
			case XmadslPackage.VARIABLE_ACCESS:
				return createVariableAccessFromString(eDataType, initialValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String convertToString(EDataType eDataType, Object instanceValue) {
		switch (eDataType.getClassifierID()) {
			case XmadslPackage.EVENT_TYPE:
				return convertEventTypeToString(eDataType, instanceValue);
			case XmadslPackage.ATTACHMENT_OWN_POSITION:
				return convertAttachmentOwnPositionToString(eDataType, instanceValue);
			case XmadslPackage.ATTACHMENT_SIBLING_POSITION:
				return convertAttachmentSiblingPositionToString(eDataType, instanceValue);
			case XmadslPackage.CONTENT_ALIGNMENT:
				return convertContentAlignmentToString(eDataType, instanceValue);
			case XmadslPackage.SERVICE_TYPE:
				return convertServiceTypeToString(eDataType, instanceValue);
			case XmadslPackage.BOOLEAN_VALUE:
				return convertBooleanValueToString(eDataType, instanceValue);
			case XmadslPackage.VALUE_MODEL_TYPE:
				return convertValueModelTypeToString(eDataType, instanceValue);
			case XmadslPackage.PARAMETER_DEFINITION_TYPE:
				return convertParameterDefinitionTypeToString(eDataType, instanceValue);
			case XmadslPackage.MULTIPLICATIVE_OP:
				return convertMultiplicativeOpToString(eDataType, instanceValue);
			case XmadslPackage.ADDITIVE_OP:
				return convertAdditiveOpToString(eDataType, instanceValue);
			case XmadslPackage.RELATIONAL_OP:
				return convertRelationalOpToString(eDataType, instanceValue);
			case XmadslPackage.EQUALITY_OP:
				return convertEqualityOpToString(eDataType, instanceValue);
			case XmadslPackage.OR_OP:
				return convertOrOpToString(eDataType, instanceValue);
			case XmadslPackage.AND_OP:
				return convertAndOpToString(eDataType, instanceValue);
			case XmadslPackage.VARIABLE_ACCESS:
				return convertVariableAccessToString(eDataType, instanceValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DomainModel createDomainModel() {
		DomainModelImpl domainModel = new DomainModelImpl();
		return domainModel;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ApplicationModel createApplicationModel() {
		ApplicationModelImpl applicationModel = new ApplicationModelImpl();
		return applicationModel;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ComponentModel createComponentModel() {
		ComponentModelImpl componentModel = new ComponentModelImpl();
		return componentModel;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Customization createCustomization() {
		CustomizationImpl customization = new CustomizationImpl();
		return customization;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Defaults createDefaults() {
		DefaultsImpl defaults = new DefaultsImpl();
		return defaults;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Property createProperty() {
		PropertyImpl property = new PropertyImpl();
		return property;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Style createStyle() {
		StyleImpl style = new StyleImpl();
		return style;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ApplicationSession createApplicationSession() {
		ApplicationSessionImpl applicationSession = new ApplicationSessionImpl();
		return applicationSession;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SessionFunction createSessionFunction() {
		SessionFunctionImpl sessionFunction = new SessionFunctionImpl();
		return sessionFunction;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EnabledFlag createEnabledFlag() {
		EnabledFlagImpl enabledFlag = new EnabledFlagImpl();
		return enabledFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MandatoryFlag createMandatoryFlag() {
		MandatoryFlagImpl mandatoryFlag = new MandatoryFlagImpl();
		return mandatoryFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VisibleFlag createVisibleFlag() {
		VisibleFlagImpl visibleFlag = new VisibleFlagImpl();
		return visibleFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CollapsedFlag createCollapsedFlag() {
		CollapsedFlagImpl collapsedFlag = new CollapsedFlagImpl();
		return collapsedFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EditableFlag createEditableFlag() {
		EditableFlagImpl editableFlag = new EditableFlagImpl();
		return editableFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Component createComponent() {
		ComponentImpl component = new ComponentImpl();
		return component;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedXMAPage createReferencedXMAPage() {
		ReferencedXMAPageImpl referencedXMAPage = new ReferencedXMAPageImpl();
		return referencedXMAPage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedXMAComposite createReferencedXMAComposite() {
		ReferencedXMACompositeImpl referencedXMAComposite = new ReferencedXMACompositeImpl();
		return referencedXMAComposite;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GrayLogic createGrayLogic() {
		GrayLogicImpl grayLogic = new GrayLogicImpl();
		return grayLogic;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XMAWidgetGrayLogic createXMAWidgetGrayLogic() {
		XMAWidgetGrayLogicImpl xmaWidgetGrayLogic = new XMAWidgetGrayLogicImpl();
		return xmaWidgetGrayLogic;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataObjectVariable createDataObjectVariable() {
		DataObjectVariableImpl dataObjectVariable = new DataObjectVariableImpl();
		return dataObjectVariable;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizeAttributeList createCustomizeAttributeList() {
		CustomizeAttributeListImpl customizeAttributeList = new CustomizeAttributeListImpl();
		return customizeAttributeList;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizedAttribute createCustomizedAttribute() {
		CustomizedAttributeImpl customizedAttribute = new CustomizedAttributeImpl();
		return customizedAttribute;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TextProperties createTextProperties() {
		TextPropertiesImpl textProperties = new TextPropertiesImpl();
		return textProperties;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FieldReference createFieldReference() {
		FieldReferenceImpl fieldReference = new FieldReferenceImpl();
		return fieldReference;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizeableField createCustomizeableField() {
		CustomizeableFieldImpl customizeableField = new CustomizeableFieldImpl();
		return customizeableField;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Command createCommand() {
		CommandImpl command = new CommandImpl();
		return command;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventMappingList createEventMappingList() {
		EventMappingListImpl eventMappingList = new EventMappingListImpl();
		return eventMappingList;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XMAWidgetEventMapping createXMAWidgetEventMapping() {
		XMAWidgetEventMappingImpl xmaWidgetEventMapping = new XMAWidgetEventMappingImpl();
		return xmaWidgetEventMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GuiElementEventMapping createGuiElementEventMapping() {
		GuiElementEventMappingImpl guiElementEventMapping = new GuiElementEventMappingImpl();
		return guiElementEventMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public InitEventMapping createInitEventMapping() {
		InitEventMappingImpl initEventMapping = new InitEventMappingImpl();
		return initEventMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataMappingList createDataMappingList() {
		DataMappingListImpl dataMappingList = new DataMappingListImpl();
		return dataMappingList;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataMapping createDataMapping() {
		DataMappingImpl dataMapping = new DataMappingImpl();
		return dataMapping;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XmadslPage createXmadslPage() {
		XmadslPageImpl xmadslPage = new XmadslPageImpl();
		return xmadslPage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PageCustomization createPageCustomization() {
		PageCustomizationImpl pageCustomization = new PageCustomizationImpl();
		return pageCustomization;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GuiElementWithEvent_dummy createGuiElementWithEvent_dummy() {
		GuiElementWithEvent_dummyImpl guiElementWithEvent_dummy = new GuiElementWithEvent_dummyImpl();
		return guiElementWithEvent_dummy;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Text createText() {
		TextImpl text = new TextImpl();
		return text;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Label createLabel() {
		LabelImpl label = new LabelImpl();
		return label;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Button createButton() {
		ButtonImpl button = new ButtonImpl();
		return button;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XmadslComposite createXmadslComposite() {
		XmadslCompositeImpl xmadslComposite = new XmadslCompositeImpl();
		return xmadslComposite;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedComposite createReferencedComposite() {
		ReferencedCompositeImpl referencedComposite = new ReferencedCompositeImpl();
		return referencedComposite;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Table createTable() {
		TableImpl table = new TableImpl();
		return table;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TableColumn createTableColumn() {
		TableColumnImpl tableColumn = new TableColumnImpl();
		return tableColumn;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Group createGroup() {
		GroupImpl group = new GroupImpl();
		return group;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedGroup createReferencedGroup() {
		ReferencedGroupImpl referencedGroup = new ReferencedGroupImpl();
		return referencedGroup;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TabFolder createTabFolder() {
		TabFolderImpl tabFolder = new TabFolderImpl();
		return tabFolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedTabFolder createReferencedTabFolder() {
		ReferencedTabFolderImpl referencedTabFolder = new ReferencedTabFolderImpl();
		return referencedTabFolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TabPage createTabPage() {
		TabPageImpl tabPage = new TabPageImpl();
		return tabPage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReferencedTabPage createReferencedTabPage() {
		ReferencedTabPageImpl referencedTabPage = new ReferencedTabPageImpl();
		return referencedTabPage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public LayoutData createLayoutData() {
		LayoutDataImpl layoutData = new LayoutDataImpl();
		return layoutData;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ComposeData createComposeData() {
		ComposeDataImpl composeData = new ComposeDataImpl();
		return composeData;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PaddingWidth createPaddingWidth() {
		PaddingWidthImpl paddingWidth = new PaddingWidthImpl();
		return paddingWidth;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TabulatorPosition createTabulatorPosition() {
		TabulatorPositionImpl tabulatorPosition = new TabulatorPositionImpl();
		return tabulatorPosition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PageContent createPageContent() {
		PageContentImpl pageContent = new PageContentImpl();
		return pageContent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CompositeContent createCompositeContent() {
		CompositeContentImpl compositeContent = new CompositeContentImpl();
		return compositeContent;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SetOfSimpleElements createSetOfSimpleElements() {
		SetOfSimpleElementsImpl setOfSimpleElements = new SetOfSimpleElementsImpl();
		return setOfSimpleElements;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ParentAttachment createParentAttachment() {
		ParentAttachmentImpl parentAttachment = new ParentAttachmentImpl();
		return parentAttachment;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SiblingAttachment createSiblingAttachment() {
		SiblingAttachmentImpl siblingAttachment = new SiblingAttachmentImpl();
		return siblingAttachment;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Offset createOffset() {
		OffsetImpl offset = new OffsetImpl();
		return offset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Dummy1 createDummy1() {
		Dummy1Impl dummy1 = new Dummy1Impl();
		return dummy1;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FieldVariable createFieldVariable() {
		FieldVariableImpl fieldVariable = new FieldVariableImpl();
		return fieldVariable;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XmadslVariable createXmadslVariable() {
		XmadslVariableImpl xmadslVariable = new XmadslVariableImpl();
		return xmadslVariable;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XmaVariable createXmaVariable() {
		XmaVariableImpl xmaVariable = new XmaVariableImpl();
		return xmaVariable;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizeComponentModel createCustomizeComponentModel() {
		CustomizeComponentModelImpl customizeComponentModel = new CustomizeComponentModelImpl();
		return customizeComponentModel;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizationOfComposite createCustomizationOfComposite() {
		CustomizationOfCompositeImpl customizationOfComposite = new CustomizationOfCompositeImpl();
		return customizationOfComposite;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizationOfGroup createCustomizationOfGroup() {
		CustomizationOfGroupImpl customizationOfGroup = new CustomizationOfGroupImpl();
		return customizationOfGroup;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomizationOfTabFolder createCustomizationOfTabFolder() {
		CustomizationOfTabFolderImpl customizationOfTabFolder = new CustomizationOfTabFolderImpl();
		return customizationOfTabFolder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Service createService() {
		ServiceImpl service = new ServiceImpl();
		return service;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Dependency createDependency() {
		DependencyImpl dependency = new DependencyImpl();
		return dependency;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Parameter createParameter() {
		ParameterImpl parameter = new ParameterImpl();
		return parameter;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ServiceOperation createServiceOperation() {
		ServiceOperationImpl serviceOperation = new ServiceOperationImpl();
		return serviceOperation;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Import createImport() {
		ImportImpl import_ = new ImportImpl();
		return import_;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SimpleType createSimpleType() {
		SimpleTypeImpl simpleType = new SimpleTypeImpl();
		return simpleType;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataTypeAndTypeParameter createDataTypeAndTypeParameter() {
		DataTypeAndTypeParameterImpl dataTypeAndTypeParameter = new DataTypeAndTypeParameterImpl();
		return dataTypeAndTypeParameter;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ValueObject createValueObject() {
		ValueObjectImpl valueObject = new ValueObjectImpl();
		return valueObject;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataViewSource createDataViewSource() {
		DataViewSourceImpl dataViewSource = new DataViewSourceImpl();
		return dataViewSource;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataViewSourceDefinition createDataViewSourceDefinition() {
		DataViewSourceDefinitionImpl dataViewSourceDefinition = new DataViewSourceDefinitionImpl();
		return dataViewSourceDefinition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataView createDataView() {
		DataViewImpl dataView = new DataViewImpl();
		return dataView;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IncludeExcludeDefinition createIncludeExcludeDefinition() {
		IncludeExcludeDefinitionImpl includeExcludeDefinition = new IncludeExcludeDefinitionImpl();
		return includeExcludeDefinition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttributeWithProperties createAttributeWithProperties() {
		AttributeWithPropertiesImpl attributeWithProperties = new AttributeWithPropertiesImpl();
		return attributeWithProperties;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FinderParameter createFinderParameter() {
		FinderParameterImpl finderParameter = new FinderParameterImpl();
		return finderParameter;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BasicFinder createBasicFinder() {
		BasicFinderImpl basicFinder = new BasicFinderImpl();
		return basicFinder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CustomFinder createCustomFinder() {
		CustomFinderImpl customFinder = new CustomFinderImpl();
		return customFinder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Entity createEntity() {
		EntityImpl entity = new EntityImpl();
		return entity;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ConditionsBlock createConditionsBlock() {
		ConditionsBlockImpl conditionsBlock = new ConditionsBlockImpl();
		return conditionsBlock;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Reference createReference() {
		ReferenceImpl reference = new ReferenceImpl();
		return reference;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Persistence createPersistence() {
		PersistenceImpl persistence = new PersistenceImpl();
		return persistence;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Query createQuery() {
		QueryImpl query = new QueryImpl();
		return query;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Column createColumn() {
		ColumnImpl column = new ColumnImpl();
		return column;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ManyToOne createManyToOne() {
		ManyToOneImpl manyToOne = new ManyToOneImpl();
		return manyToOne;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OneToOne createOneToOne() {
		OneToOneImpl oneToOne = new OneToOneImpl();
		return oneToOne;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OneToMany createOneToMany() {
		OneToManyImpl oneToMany = new OneToManyImpl();
		return oneToMany;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataBaseConstraint createDataBaseConstraint() {
		DataBaseConstraintImpl dataBaseConstraint = new DataBaseConstraintImpl();
		return dataBaseConstraint;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DataBaseFieldWithOrder createDataBaseFieldWithOrder() {
		DataBaseFieldWithOrderImpl dataBaseFieldWithOrder = new DataBaseFieldWithOrderImpl();
		return dataBaseFieldWithOrder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SortOrder createSortOrder() {
		SortOrderImpl sortOrder = new SortOrderImpl();
		return sortOrder;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Attribute createAttribute() {
		AttributeImpl attribute = new AttributeImpl();
		return attribute;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Constraint createConstraint() {
		ConstraintImpl constraint = new ConstraintImpl();
		return constraint;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ValidatorReference createValidatorReference() {
		ValidatorReferenceImpl validatorReference = new ValidatorReferenceImpl();
		return validatorReference;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ParameterValue createParameterValue() {
		ParameterValueImpl parameterValue = new ParameterValueImpl();
		return parameterValue;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StatusFlag createStatusFlag() {
		StatusFlagImpl statusFlag = new StatusFlagImpl();
		return statusFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RequiredFlag createRequiredFlag() {
		RequiredFlagImpl requiredFlag = new RequiredFlagImpl();
		return requiredFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReadOnlyFlag createReadOnlyFlag() {
		ReadOnlyFlagImpl readOnlyFlag = new ReadOnlyFlagImpl();
		return readOnlyFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AvailableFlag createAvailableFlag() {
		AvailableFlagImpl availableFlag = new AvailableFlagImpl();
		return availableFlag;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttributeValidationProperty createAttributeValidationProperty() {
		AttributeValidationPropertyImpl attributeValidationProperty = new AttributeValidationPropertyImpl();
		return attributeValidationProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttributeTextProperty createAttributeTextProperty() {
		AttributeTextPropertyImpl attributeTextProperty = new AttributeTextPropertyImpl();
		return attributeTextProperty;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IntegerParameterValue createIntegerParameterValue() {
		IntegerParameterValueImpl integerParameterValue = new IntegerParameterValueImpl();
		return integerParameterValue;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StringParameterValue createStringParameterValue() {
		StringParameterValueImpl stringParameterValue = new StringParameterValueImpl();
		return stringParameterValue;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BooleanParameterValue createBooleanParameterValue() {
		BooleanParameterValueImpl booleanParameterValue = new BooleanParameterValueImpl();
		return booleanParameterValue;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ParameterDefinition createParameterDefinition() {
		ParameterDefinitionImpl parameterDefinition = new ParameterDefinitionImpl();
		return parameterDefinition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TypeDefinition createTypeDefinition() {
		TypeDefinitionImpl typeDefinition = new TypeDefinitionImpl();
		return typeDefinition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Validator createValidator() {
		ValidatorImpl validator = new ValidatorImpl();
		return validator;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Editor createEditor() {
		EditorImpl editor = new EditorImpl();
		return editor;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EqualityExpr createEqualityExpr() {
		EqualityExprImpl equalityExpr = new EqualityExprImpl();
		return equalityExpr;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CondORExpr createCondORExpr() {
		CondORExprImpl condORExpr = new CondORExprImpl();
		return condORExpr;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CondORRights createCondORRights() {
		CondORRightsImpl condORRights = new CondORRightsImpl();
		return condORRights;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CondANDExpr createCondANDExpr() {
		CondANDExprImpl condANDExpr = new CondANDExprImpl();
		return condANDExpr;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CondANDRights createCondANDRights() {
		CondANDRightsImpl condANDRights = new CondANDRightsImpl();
		return condANDRights;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RelationalExpr createRelationalExpr() {
		RelationalExprImpl relationalExpr = new RelationalExprImpl();
		return relationalExpr;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdditiveExpr createAdditiveExpr() {
		AdditiveExprImpl additiveExpr = new AdditiveExprImpl();
		return additiveExpr;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdditiveRights createAdditiveRights() {
		AdditiveRightsImpl additiveRights = new AdditiveRightsImpl();
		return additiveRights;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MultiplicativeExpr createMultiplicativeExpr() {
		MultiplicativeExprImpl multiplicativeExpr = new MultiplicativeExprImpl();
		return multiplicativeExpr;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MultiplicativeRights createMultiplicativeRights() {
		MultiplicativeRightsImpl multiplicativeRights = new MultiplicativeRightsImpl();
		return multiplicativeRights;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Call createCall() {
		CallImpl call = new CallImpl();
		return call;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ParenExpr createParenExpr() {
		ParenExprImpl parenExpr = new ParenExprImpl();
		return parenExpr;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public IntLiteral createIntLiteral() {
		IntLiteralImpl intLiteral = new IntLiteralImpl();
		return intLiteral;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public StringLiteral createStringLiteral() {
		StringLiteralImpl stringLiteral = new StringLiteralImpl();
		return stringLiteral;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TrueLiteral createTrueLiteral() {
		TrueLiteralImpl trueLiteral = new TrueLiteralImpl();
		return trueLiteral;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FalseLiteral createFalseLiteral() {
		FalseLiteralImpl falseLiteral = new FalseLiteralImpl();
		return falseLiteral;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EventType createEventTypeFromString(EDataType eDataType, String initialValue) {
		EventType result = EventType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertEventTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttachmentOwnPosition createAttachmentOwnPositionFromString(EDataType eDataType, String initialValue) {
		AttachmentOwnPosition result = AttachmentOwnPosition.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertAttachmentOwnPositionToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AttachmentSiblingPosition createAttachmentSiblingPositionFromString(EDataType eDataType, String initialValue) {
		AttachmentSiblingPosition result = AttachmentSiblingPosition.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertAttachmentSiblingPositionToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContentAlignment createContentAlignmentFromString(EDataType eDataType, String initialValue) {
		ContentAlignment result = ContentAlignment.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertContentAlignmentToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ServiceType createServiceTypeFromString(EDataType eDataType, String initialValue) {
		ServiceType result = ServiceType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertServiceTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BooleanValue createBooleanValueFromString(EDataType eDataType, String initialValue) {
		BooleanValue result = BooleanValue.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertBooleanValueToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ValueModelType createValueModelTypeFromString(EDataType eDataType, String initialValue) {
		ValueModelType result = ValueModelType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertValueModelTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ParameterDefinitionType createParameterDefinitionTypeFromString(EDataType eDataType, String initialValue) {
		ParameterDefinitionType result = ParameterDefinitionType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertParameterDefinitionTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public MultiplicativeOp createMultiplicativeOpFromString(EDataType eDataType, String initialValue) {
		MultiplicativeOp result = MultiplicativeOp.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertMultiplicativeOpToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AdditiveOp createAdditiveOpFromString(EDataType eDataType, String initialValue) {
		AdditiveOp result = AdditiveOp.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertAdditiveOpToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RelationalOp createRelationalOpFromString(EDataType eDataType, String initialValue) {
		RelationalOp result = RelationalOp.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertRelationalOpToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EqualityOp createEqualityOpFromString(EDataType eDataType, String initialValue) {
		EqualityOp result = EqualityOp.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertEqualityOpToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OrOp createOrOpFromString(EDataType eDataType, String initialValue) {
		OrOp result = OrOp.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertOrOpToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public AndOp createAndOpFromString(EDataType eDataType, String initialValue) {
		AndOp result = AndOp.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertAndOpToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public VariableAccess createVariableAccessFromString(EDataType eDataType, String initialValue) {
		VariableAccess result = VariableAccess.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertVariableAccessToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XmadslPackage getXmadslPackage() {
		return (XmadslPackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static XmadslPackage getPackage() {
		return XmadslPackage.eINSTANCE;
	}

} //XmadslFactoryImpl
