/**
 * <copyright>
 * </copyright>
 *
 * $Id: XmadslAdapterFactory.java 3642 2009-06-26 11:53:03Z hoenninger $
 */
package org.openxma.xmadsl.model.util;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;
import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;
import org.eclipse.emf.ecore.EObject;
import org.openxma.xmadsl.model.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see org.openxma.xmadsl.model.XmadslPackage
 * @generated
 */
public class XmadslAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static XmadslPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XmadslAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = XmadslPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected XmadslSwitch<Adapter> modelSwitch =
		new XmadslSwitch<Adapter>() {
			@Override
			public Adapter caseModel(Model object) {
				return createModelAdapter();
			}
			@Override
			public Adapter caseDomainModel(DomainModel object) {
				return createDomainModelAdapter();
			}
			@Override
			public Adapter caseApplicationModel(ApplicationModel object) {
				return createApplicationModelAdapter();
			}
			@Override
			public Adapter caseComponentModel(ComponentModel object) {
				return createComponentModelAdapter();
			}
			@Override
			public Adapter caseDomainObject(DomainObject object) {
				return createDomainObjectAdapter();
			}
			@Override
			public Adapter caseCustomization(Customization object) {
				return createCustomizationAdapter();
			}
			@Override
			public Adapter caseDefaults(Defaults object) {
				return createDefaultsAdapter();
			}
			@Override
			public Adapter caseProperty(Property object) {
				return createPropertyAdapter();
			}
			@Override
			public Adapter caseStyle(Style object) {
				return createStyleAdapter();
			}
			@Override
			public Adapter caseApplicationSession(ApplicationSession object) {
				return createApplicationSessionAdapter();
			}
			@Override
			public Adapter caseSessionFunction(SessionFunction object) {
				return createSessionFunctionAdapter();
			}
			@Override
			public Adapter caseFieldFlag(FieldFlag object) {
				return createFieldFlagAdapter();
			}
			@Override
			public Adapter caseEnabledFlag(EnabledFlag object) {
				return createEnabledFlagAdapter();
			}
			@Override
			public Adapter caseMandatoryFlag(MandatoryFlag object) {
				return createMandatoryFlagAdapter();
			}
			@Override
			public Adapter caseVisibleFlag(VisibleFlag object) {
				return createVisibleFlagAdapter();
			}
			@Override
			public Adapter caseCollapsedFlag(CollapsedFlag object) {
				return createCollapsedFlagAdapter();
			}
			@Override
			public Adapter caseEditableFlag(EditableFlag object) {
				return createEditableFlagAdapter();
			}
			@Override
			public Adapter caseComponent(Component object) {
				return createComponentAdapter();
			}
			@Override
			public Adapter caseReferencedXMAGuiElement(ReferencedXMAGuiElement object) {
				return createReferencedXMAGuiElementAdapter();
			}
			@Override
			public Adapter caseReferencedXMAPage(ReferencedXMAPage object) {
				return createReferencedXMAPageAdapter();
			}
			@Override
			public Adapter caseReferencedXMAComposite(ReferencedXMAComposite object) {
				return createReferencedXMACompositeAdapter();
			}
			@Override
			public Adapter caseGrayLogic(GrayLogic object) {
				return createGrayLogicAdapter();
			}
			@Override
			public Adapter caseXMAWidgetGrayLogic(XMAWidgetGrayLogic object) {
				return createXMAWidgetGrayLogicAdapter();
			}
			@Override
			public Adapter caseDataObjectVariable(DataObjectVariable object) {
				return createDataObjectVariableAdapter();
			}
			@Override
			public Adapter caseCustomizeAttributeList(CustomizeAttributeList object) {
				return createCustomizeAttributeListAdapter();
			}
			@Override
			public Adapter caseCustomizedAttribute(CustomizedAttribute object) {
				return createCustomizedAttributeAdapter();
			}
			@Override
			public Adapter caseTextProperties(TextProperties object) {
				return createTextPropertiesAdapter();
			}
			@Override
			public Adapter caseIField(IField object) {
				return createIFieldAdapter();
			}
			@Override
			public Adapter caseFieldReference(FieldReference object) {
				return createFieldReferenceAdapter();
			}
			@Override
			public Adapter caseCustomizeableField(CustomizeableField object) {
				return createCustomizeableFieldAdapter();
			}
			@Override
			public Adapter caseCommand(Command object) {
				return createCommandAdapter();
			}
			@Override
			public Adapter caseEventMappingList(EventMappingList object) {
				return createEventMappingListAdapter();
			}
			@Override
			public Adapter caseEventMapping(EventMapping object) {
				return createEventMappingAdapter();
			}
			@Override
			public Adapter caseControlEventMapping(ControlEventMapping object) {
				return createControlEventMappingAdapter();
			}
			@Override
			public Adapter caseXMAWidgetEventMapping(XMAWidgetEventMapping object) {
				return createXMAWidgetEventMappingAdapter();
			}
			@Override
			public Adapter caseGuiElementEventMapping(GuiElementEventMapping object) {
				return createGuiElementEventMappingAdapter();
			}
			@Override
			public Adapter caseInitEventMapping(InitEventMapping object) {
				return createInitEventMappingAdapter();
			}
			@Override
			public Adapter caseDataMappingList(DataMappingList object) {
				return createDataMappingListAdapter();
			}
			@Override
			public Adapter caseDataMapping(DataMapping object) {
				return createDataMappingAdapter();
			}
			@Override
			public Adapter casePageDefinition(PageDefinition object) {
				return createPageDefinitionAdapter();
			}
			@Override
			public Adapter casePage(Page object) {
				return createPageAdapter();
			}
			@Override
			public Adapter caseXmadslPage(XmadslPage object) {
				return createXmadslPageAdapter();
			}
			@Override
			public Adapter casePageCustomization(PageCustomization object) {
				return createPageCustomizationAdapter();
			}
			@Override
			public Adapter caseGuiElement(GuiElement object) {
				return createGuiElementAdapter();
			}
			@Override
			public Adapter caseComposite(Composite object) {
				return createCompositeAdapter();
			}
			@Override
			public Adapter caseComposedElement(ComposedElement object) {
				return createComposedElementAdapter();
			}
			@Override
			public Adapter caseComplexElement(ComplexElement object) {
				return createComplexElementAdapter();
			}
			@Override
			public Adapter caseSimpleElement(SimpleElement object) {
				return createSimpleElementAdapter();
			}
			@Override
			public Adapter caseIGuiElementWithEvent(IGuiElementWithEvent object) {
				return createIGuiElementWithEventAdapter();
			}
			@Override
			public Adapter caseGuiElementWithEvent_dummy(GuiElementWithEvent_dummy object) {
				return createGuiElementWithEvent_dummyAdapter();
			}
			@Override
			public Adapter caseText(Text object) {
				return createTextAdapter();
			}
			@Override
			public Adapter caseLabel(Label object) {
				return createLabelAdapter();
			}
			@Override
			public Adapter caseButton(Button object) {
				return createButtonAdapter();
			}
			@Override
			public Adapter caseIComposite(IComposite object) {
				return createICompositeAdapter();
			}
			@Override
			public Adapter caseXmadslComposite(XmadslComposite object) {
				return createXmadslCompositeAdapter();
			}
			@Override
			public Adapter caseReferencedComposite(ReferencedComposite object) {
				return createReferencedCompositeAdapter();
			}
			@Override
			public Adapter caseTable(Table object) {
				return createTableAdapter();
			}
			@Override
			public Adapter caseTableColumn(TableColumn object) {
				return createTableColumnAdapter();
			}
			@Override
			public Adapter caseIGroup(IGroup object) {
				return createIGroupAdapter();
			}
			@Override
			public Adapter caseGroup(Group object) {
				return createGroupAdapter();
			}
			@Override
			public Adapter caseReferencedGroup(ReferencedGroup object) {
				return createReferencedGroupAdapter();
			}
			@Override
			public Adapter caseITabFolder(ITabFolder object) {
				return createITabFolderAdapter();
			}
			@Override
			public Adapter caseTabFolder(TabFolder object) {
				return createTabFolderAdapter();
			}
			@Override
			public Adapter caseReferencedTabFolder(ReferencedTabFolder object) {
				return createReferencedTabFolderAdapter();
			}
			@Override
			public Adapter caseITabPage(ITabPage object) {
				return createITabPageAdapter();
			}
			@Override
			public Adapter caseTabPage(TabPage object) {
				return createTabPageAdapter();
			}
			@Override
			public Adapter caseReferencedTabPage(ReferencedTabPage object) {
				return createReferencedTabPageAdapter();
			}
			@Override
			public Adapter caseLayoutData(LayoutData object) {
				return createLayoutDataAdapter();
			}
			@Override
			public Adapter caseComposeData(ComposeData object) {
				return createComposeDataAdapter();
			}
			@Override
			public Adapter casePaddingWidth(PaddingWidth object) {
				return createPaddingWidthAdapter();
			}
			@Override
			public Adapter caseTabulatorPosition(TabulatorPosition object) {
				return createTabulatorPositionAdapter();
			}
			@Override
			public Adapter caseContent(Content object) {
				return createContentAdapter();
			}
			@Override
			public Adapter casePageContent(PageContent object) {
				return createPageContentAdapter();
			}
			@Override
			public Adapter caseCompositeContent(CompositeContent object) {
				return createCompositeContentAdapter();
			}
			@Override
			public Adapter caseSetOfSimpleElements(SetOfSimpleElements object) {
				return createSetOfSimpleElementsAdapter();
			}
			@Override
			public Adapter caseAttachment(Attachment object) {
				return createAttachmentAdapter();
			}
			@Override
			public Adapter caseParentAttachment(ParentAttachment object) {
				return createParentAttachmentAdapter();
			}
			@Override
			public Adapter caseSiblingAttachment(SiblingAttachment object) {
				return createSiblingAttachmentAdapter();
			}
			@Override
			public Adapter caseOffset(Offset object) {
				return createOffsetAdapter();
			}
			@Override
			public Adapter caseReferenceableByXmadslVariable(ReferenceableByXmadslVariable object) {
				return createReferenceableByXmadslVariableAdapter();
			}
			@Override
			public Adapter caseDummy1(Dummy1 object) {
				return createDummy1Adapter();
			}
			@Override
			public Adapter caseVariable(Variable object) {
				return createVariableAdapter();
			}
			@Override
			public Adapter caseFieldVariable(FieldVariable object) {
				return createFieldVariableAdapter();
			}
			@Override
			public Adapter caseXmadslVariable(XmadslVariable object) {
				return createXmadslVariableAdapter();
			}
			@Override
			public Adapter caseXmaVariable(XmaVariable object) {
				return createXmaVariableAdapter();
			}
			@Override
			public Adapter caseCustomizeComponentModel(CustomizeComponentModel object) {
				return createCustomizeComponentModelAdapter();
			}
			@Override
			public Adapter caseCustomizationOfGuiElement(CustomizationOfGuiElement object) {
				return createCustomizationOfGuiElementAdapter();
			}
			@Override
			public Adapter caseCustomizationOfComposite(CustomizationOfComposite object) {
				return createCustomizationOfCompositeAdapter();
			}
			@Override
			public Adapter caseCustomizationOfGroup(CustomizationOfGroup object) {
				return createCustomizationOfGroupAdapter();
			}
			@Override
			public Adapter caseCustomizationOfTabFolder(CustomizationOfTabFolder object) {
				return createCustomizationOfTabFolderAdapter();
			}
			@Override
			public Adapter caseIElementWithName(IElementWithName object) {
				return createIElementWithNameAdapter();
			}
			@Override
			public Adapter caseIElementWithLayoutData(IElementWithLayoutData object) {
				return createIElementWithLayoutDataAdapter();
			}
			@Override
			public Adapter caseService(Service object) {
				return createServiceAdapter();
			}
			@Override
			public Adapter caseDependency(Dependency object) {
				return createDependencyAdapter();
			}
			@Override
			public Adapter caseDependant(Dependant object) {
				return createDependantAdapter();
			}
			@Override
			public Adapter caseParameter(Parameter object) {
				return createParameterAdapter();
			}
			@Override
			public Adapter caseServiceOperation(ServiceOperation object) {
				return createServiceOperationAdapter();
			}
			@Override
			public Adapter caseServiceDelegate(ServiceDelegate object) {
				return createServiceDelegateAdapter();
			}
			@Override
			public Adapter caseServiceDelegateOperation(ServiceDelegateOperation object) {
				return createServiceDelegateOperationAdapter();
			}
			@Override
			public Adapter caseImport(Import object) {
				return createImportAdapter();
			}
			@Override
			public Adapter caseDataType(DataType object) {
				return createDataTypeAdapter();
			}
			@Override
			public Adapter caseComplexType(ComplexType object) {
				return createComplexTypeAdapter();
			}
			@Override
			public Adapter caseSimpleType(SimpleType object) {
				return createSimpleTypeAdapter();
			}
			@Override
			public Adapter caseDataTypeAndTypeParameter(DataTypeAndTypeParameter object) {
				return createDataTypeAndTypeParameterAdapter();
			}
			@Override
			public Adapter caseValueObject(ValueObject object) {
				return createValueObjectAdapter();
			}
			@Override
			public Adapter caseDataViewSource(DataViewSource object) {
				return createDataViewSourceAdapter();
			}
			@Override
			public Adapter caseDataViewSourceDefinition(DataViewSourceDefinition object) {
				return createDataViewSourceDefinitionAdapter();
			}
			@Override
			public Adapter caseDataView(DataView object) {
				return createDataViewAdapter();
			}
			@Override
			public Adapter caseIncludeExcludeDefinition(IncludeExcludeDefinition object) {
				return createIncludeExcludeDefinitionAdapter();
			}
			@Override
			public Adapter caseAttributeWithProperties(AttributeWithProperties object) {
				return createAttributeWithPropertiesAdapter();
			}
			@Override
			public Adapter caseAttributeHolder(AttributeHolder object) {
				return createAttributeHolderAdapter();
			}
			@Override
			public Adapter caseFinderParameterType(FinderParameterType object) {
				return createFinderParameterTypeAdapter();
			}
			@Override
			public Adapter caseFinderParameter(FinderParameter object) {
				return createFinderParameterAdapter();
			}
			@Override
			public Adapter caseFinder(Finder object) {
				return createFinderAdapter();
			}
			@Override
			public Adapter caseBasicFinder(BasicFinder object) {
				return createBasicFinderAdapter();
			}
			@Override
			public Adapter caseCustomFinder(CustomFinder object) {
				return createCustomFinderAdapter();
			}
			@Override
			public Adapter caseEntity(Entity object) {
				return createEntityAdapter();
			}
			@Override
			public Adapter caseConditionsBlock(ConditionsBlock object) {
				return createConditionsBlockAdapter();
			}
			@Override
			public Adapter caseReference(Reference object) {
				return createReferenceAdapter();
			}
			@Override
			public Adapter casePersistence(Persistence object) {
				return createPersistenceAdapter();
			}
			@Override
			public Adapter caseQuery(Query object) {
				return createQueryAdapter();
			}
			@Override
			public Adapter caseColumn(Column object) {
				return createColumnAdapter();
			}
			@Override
			public Adapter caseManyToOne(ManyToOne object) {
				return createManyToOneAdapter();
			}
			@Override
			public Adapter caseOneToOne(OneToOne object) {
				return createOneToOneAdapter();
			}
			@Override
			public Adapter caseOneToMany(OneToMany object) {
				return createOneToManyAdapter();
			}
			@Override
			public Adapter caseDataBaseField(DataBaseField object) {
				return createDataBaseFieldAdapter();
			}
			@Override
			public Adapter caseDataBaseConstraint(DataBaseConstraint object) {
				return createDataBaseConstraintAdapter();
			}
			@Override
			public Adapter caseDataBaseFieldWithOrder(DataBaseFieldWithOrder object) {
				return createDataBaseFieldWithOrderAdapter();
			}
			@Override
			public Adapter caseSortOrder(SortOrder object) {
				return createSortOrderAdapter();
			}
			@Override
			public Adapter caseAttribute(Attribute object) {
				return createAttributeAdapter();
			}
			@Override
			public Adapter caseConstraint(Constraint object) {
				return createConstraintAdapter();
			}
			@Override
			public Adapter caseValidatorReference(ValidatorReference object) {
				return createValidatorReferenceAdapter();
			}
			@Override
			public Adapter caseParameterValue(ParameterValue object) {
				return createParameterValueAdapter();
			}
			@Override
			public Adapter caseStatusFlag(StatusFlag object) {
				return createStatusFlagAdapter();
			}
			@Override
			public Adapter caseAttributeFlag(AttributeFlag object) {
				return createAttributeFlagAdapter();
			}
			@Override
			public Adapter caseRequiredFlag(RequiredFlag object) {
				return createRequiredFlagAdapter();
			}
			@Override
			public Adapter caseReadOnlyFlag(ReadOnlyFlag object) {
				return createReadOnlyFlagAdapter();
			}
			@Override
			public Adapter caseAvailableFlag(AvailableFlag object) {
				return createAvailableFlagAdapter();
			}
			@Override
			public Adapter caseAttributeProperty(AttributeProperty object) {
				return createAttributePropertyAdapter();
			}
			@Override
			public Adapter caseAttributeValidationProperty(AttributeValidationProperty object) {
				return createAttributeValidationPropertyAdapter();
			}
			@Override
			public Adapter caseAttributeTextProperty(AttributeTextProperty object) {
				return createAttributeTextPropertyAdapter();
			}
			@Override
			public Adapter caseIntegerParameterValue(IntegerParameterValue object) {
				return createIntegerParameterValueAdapter();
			}
			@Override
			public Adapter caseStringParameterValue(StringParameterValue object) {
				return createStringParameterValueAdapter();
			}
			@Override
			public Adapter caseBooleanParameterValue(BooleanParameterValue object) {
				return createBooleanParameterValueAdapter();
			}
			@Override
			public Adapter caseParameterDefinition(ParameterDefinition object) {
				return createParameterDefinitionAdapter();
			}
			@Override
			public Adapter caseTypeDefinition(TypeDefinition object) {
				return createTypeDefinitionAdapter();
			}
			@Override
			public Adapter caseValidator(Validator object) {
				return createValidatorAdapter();
			}
			@Override
			public Adapter caseEditor(Editor object) {
				return createEditorAdapter();
			}
			@Override
			public Adapter caseEqualityExpr(EqualityExpr object) {
				return createEqualityExprAdapter();
			}
			@Override
			public Adapter caseCondORExpr(CondORExpr object) {
				return createCondORExprAdapter();
			}
			@Override
			public Adapter caseCondORRights(CondORRights object) {
				return createCondORRightsAdapter();
			}
			@Override
			public Adapter caseCondANDExpr(CondANDExpr object) {
				return createCondANDExprAdapter();
			}
			@Override
			public Adapter caseCondANDRights(CondANDRights object) {
				return createCondANDRightsAdapter();
			}
			@Override
			public Adapter caseAtomicBoolExpr(AtomicBoolExpr object) {
				return createAtomicBoolExprAdapter();
			}
			@Override
			public Adapter caseRelationalExpr(RelationalExpr object) {
				return createRelationalExprAdapter();
			}
			@Override
			public Adapter caseAdditiveExpr(AdditiveExpr object) {
				return createAdditiveExprAdapter();
			}
			@Override
			public Adapter caseAdditiveRights(AdditiveRights object) {
				return createAdditiveRightsAdapter();
			}
			@Override
			public Adapter caseMultiplicativeExpr(MultiplicativeExpr object) {
				return createMultiplicativeExprAdapter();
			}
			@Override
			public Adapter caseMultiplicativeRights(MultiplicativeRights object) {
				return createMultiplicativeRightsAdapter();
			}
			@Override
			public Adapter caseAtomicExpr(AtomicExpr object) {
				return createAtomicExprAdapter();
			}
			@Override
			public Adapter caseCall(Call object) {
				return createCallAdapter();
			}
			@Override
			public Adapter caseParenExpr(ParenExpr object) {
				return createParenExprAdapter();
			}
			@Override
			public Adapter caseLiteral(Literal object) {
				return createLiteralAdapter();
			}
			@Override
			public Adapter caseIntLiteral(IntLiteral object) {
				return createIntLiteralAdapter();
			}
			@Override
			public Adapter caseStringLiteral(StringLiteral object) {
				return createStringLiteralAdapter();
			}
			@Override
			public Adapter caseBoolLiteral(BoolLiteral object) {
				return createBoolLiteralAdapter();
			}
			@Override
			public Adapter caseTrueLiteral(TrueLiteral object) {
				return createTrueLiteralAdapter();
			}
			@Override
			public Adapter caseFalseLiteral(FalseLiteral object) {
				return createFalseLiteralAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Model <em>Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Model
	 * @generated
	 */
	public Adapter createModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DomainModel <em>Domain Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DomainModel
	 * @generated
	 */
	public Adapter createDomainModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ApplicationModel <em>Application Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ApplicationModel
	 * @generated
	 */
	public Adapter createApplicationModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ComponentModel <em>Component Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ComponentModel
	 * @generated
	 */
	public Adapter createComponentModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DomainObject <em>Domain Object</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DomainObject
	 * @generated
	 */
	public Adapter createDomainObjectAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Customization <em>Customization</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Customization
	 * @generated
	 */
	public Adapter createCustomizationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Defaults <em>Defaults</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Defaults
	 * @generated
	 */
	public Adapter createDefaultsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ApplicationSession <em>Application Session</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ApplicationSession
	 * @generated
	 */
	public Adapter createApplicationSessionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.SessionFunction <em>Session Function</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.SessionFunction
	 * @generated
	 */
	public Adapter createSessionFunctionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.FieldFlag <em>Field Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.FieldFlag
	 * @generated
	 */
	public Adapter createFieldFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.EnabledFlag <em>Enabled Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.EnabledFlag
	 * @generated
	 */
	public Adapter createEnabledFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.MandatoryFlag <em>Mandatory Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.MandatoryFlag
	 * @generated
	 */
	public Adapter createMandatoryFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.VisibleFlag <em>Visible Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.VisibleFlag
	 * @generated
	 */
	public Adapter createVisibleFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CollapsedFlag <em>Collapsed Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CollapsedFlag
	 * @generated
	 */
	public Adapter createCollapsedFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.EditableFlag <em>Editable Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.EditableFlag
	 * @generated
	 */
	public Adapter createEditableFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Component <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Component
	 * @generated
	 */
	public Adapter createComponentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ReferencedXMAGuiElement <em>Referenced XMA Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ReferencedXMAGuiElement
	 * @generated
	 */
	public Adapter createReferencedXMAGuiElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ReferencedXMAPage <em>Referenced XMA Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ReferencedXMAPage
	 * @generated
	 */
	public Adapter createReferencedXMAPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ReferencedXMAComposite <em>Referenced XMA Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ReferencedXMAComposite
	 * @generated
	 */
	public Adapter createReferencedXMACompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.GrayLogic <em>Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.GrayLogic
	 * @generated
	 */
	public Adapter createGrayLogicAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.XMAWidgetGrayLogic <em>XMA Widget Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.XMAWidgetGrayLogic
	 * @generated
	 */
	public Adapter createXMAWidgetGrayLogicAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DataObjectVariable <em>Data Object Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DataObjectVariable
	 * @generated
	 */
	public Adapter createDataObjectVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CustomizeAttributeList <em>Customize Attribute List</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CustomizeAttributeList
	 * @generated
	 */
	public Adapter createCustomizeAttributeListAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CustomizedAttribute <em>Customized Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CustomizedAttribute
	 * @generated
	 */
	public Adapter createCustomizedAttributeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.TextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.TextProperties
	 * @generated
	 */
	public Adapter createTextPropertiesAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.IField <em>IField</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.IField
	 * @generated
	 */
	public Adapter createIFieldAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.FieldReference <em>Field Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.FieldReference
	 * @generated
	 */
	public Adapter createFieldReferenceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CustomizeableField <em>Customizeable Field</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CustomizeableField
	 * @generated
	 */
	public Adapter createCustomizeableFieldAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Command <em>Command</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Command
	 * @generated
	 */
	public Adapter createCommandAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.EventMappingList <em>Event Mapping List</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.EventMappingList
	 * @generated
	 */
	public Adapter createEventMappingListAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.EventMapping <em>Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.EventMapping
	 * @generated
	 */
	public Adapter createEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ControlEventMapping <em>Control Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ControlEventMapping
	 * @generated
	 */
	public Adapter createControlEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.XMAWidgetEventMapping <em>XMA Widget Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.XMAWidgetEventMapping
	 * @generated
	 */
	public Adapter createXMAWidgetEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.GuiElementEventMapping <em>Gui Element Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.GuiElementEventMapping
	 * @generated
	 */
	public Adapter createGuiElementEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.InitEventMapping <em>Init Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.InitEventMapping
	 * @generated
	 */
	public Adapter createInitEventMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DataMappingList <em>Data Mapping List</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DataMappingList
	 * @generated
	 */
	public Adapter createDataMappingListAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DataMapping <em>Data Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DataMapping
	 * @generated
	 */
	public Adapter createDataMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.PageDefinition <em>Page Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.PageDefinition
	 * @generated
	 */
	public Adapter createPageDefinitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Page <em>Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Page
	 * @generated
	 */
	public Adapter createPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.XmadslPage <em>Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.XmadslPage
	 * @generated
	 */
	public Adapter createXmadslPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.PageCustomization <em>Page Customization</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.PageCustomization
	 * @generated
	 */
	public Adapter createPageCustomizationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.GuiElement <em>Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.GuiElement
	 * @generated
	 */
	public Adapter createGuiElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Composite <em>Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Composite
	 * @generated
	 */
	public Adapter createCompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ComposedElement <em>Composed Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ComposedElement
	 * @generated
	 */
	public Adapter createComposedElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ComplexElement <em>Complex Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ComplexElement
	 * @generated
	 */
	public Adapter createComplexElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.SimpleElement <em>Simple Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.SimpleElement
	 * @generated
	 */
	public Adapter createSimpleElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.IGuiElementWithEvent <em>IGui Element With Event</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.IGuiElementWithEvent
	 * @generated
	 */
	public Adapter createIGuiElementWithEventAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.GuiElementWithEvent_dummy <em>Gui Element With Event dummy</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.GuiElementWithEvent_dummy
	 * @generated
	 */
	public Adapter createGuiElementWithEvent_dummyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Text <em>Text</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Text
	 * @generated
	 */
	public Adapter createTextAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Label <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Label
	 * @generated
	 */
	public Adapter createLabelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Button <em>Button</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Button
	 * @generated
	 */
	public Adapter createButtonAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.IComposite <em>IComposite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.IComposite
	 * @generated
	 */
	public Adapter createICompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.XmadslComposite <em>Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.XmadslComposite
	 * @generated
	 */
	public Adapter createXmadslCompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ReferencedComposite <em>Referenced Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ReferencedComposite
	 * @generated
	 */
	public Adapter createReferencedCompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Table <em>Table</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Table
	 * @generated
	 */
	public Adapter createTableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.TableColumn <em>Table Column</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.TableColumn
	 * @generated
	 */
	public Adapter createTableColumnAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.IGroup <em>IGroup</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.IGroup
	 * @generated
	 */
	public Adapter createIGroupAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Group <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Group
	 * @generated
	 */
	public Adapter createGroupAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ReferencedGroup <em>Referenced Group</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ReferencedGroup
	 * @generated
	 */
	public Adapter createReferencedGroupAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ITabFolder <em>ITab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ITabFolder
	 * @generated
	 */
	public Adapter createITabFolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.TabFolder <em>Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.TabFolder
	 * @generated
	 */
	public Adapter createTabFolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ReferencedTabFolder <em>Referenced Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ReferencedTabFolder
	 * @generated
	 */
	public Adapter createReferencedTabFolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ITabPage <em>ITab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ITabPage
	 * @generated
	 */
	public Adapter createITabPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.TabPage <em>Tab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.TabPage
	 * @generated
	 */
	public Adapter createTabPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ReferencedTabPage <em>Referenced Tab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ReferencedTabPage
	 * @generated
	 */
	public Adapter createReferencedTabPageAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.LayoutData <em>Layout Data</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.LayoutData
	 * @generated
	 */
	public Adapter createLayoutDataAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ComposeData <em>Compose Data</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ComposeData
	 * @generated
	 */
	public Adapter createComposeDataAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.PaddingWidth <em>Padding Width</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.PaddingWidth
	 * @generated
	 */
	public Adapter createPaddingWidthAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.TabulatorPosition <em>Tabulator Position</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.TabulatorPosition
	 * @generated
	 */
	public Adapter createTabulatorPositionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Content <em>Content</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Content
	 * @generated
	 */
	public Adapter createContentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.PageContent <em>Page Content</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.PageContent
	 * @generated
	 */
	public Adapter createPageContentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CompositeContent <em>Composite Content</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CompositeContent
	 * @generated
	 */
	public Adapter createCompositeContentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.SetOfSimpleElements <em>Set Of Simple Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.SetOfSimpleElements
	 * @generated
	 */
	public Adapter createSetOfSimpleElementsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Attachment <em>Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Attachment
	 * @generated
	 */
	public Adapter createAttachmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ParentAttachment <em>Parent Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ParentAttachment
	 * @generated
	 */
	public Adapter createParentAttachmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.SiblingAttachment <em>Sibling Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.SiblingAttachment
	 * @generated
	 */
	public Adapter createSiblingAttachmentAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Offset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Offset
	 * @generated
	 */
	public Adapter createOffsetAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ReferenceableByXmadslVariable <em>Referenceable By Xmadsl Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ReferenceableByXmadslVariable
	 * @generated
	 */
	public Adapter createReferenceableByXmadslVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Dummy1 <em>Dummy1</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Dummy1
	 * @generated
	 */
	public Adapter createDummy1Adapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Variable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Variable
	 * @generated
	 */
	public Adapter createVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.FieldVariable <em>Field Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.FieldVariable
	 * @generated
	 */
	public Adapter createFieldVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.XmadslVariable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.XmadslVariable
	 * @generated
	 */
	public Adapter createXmadslVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.XmaVariable <em>Xma Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.XmaVariable
	 * @generated
	 */
	public Adapter createXmaVariableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CustomizeComponentModel <em>Customize Component Model</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CustomizeComponentModel
	 * @generated
	 */
	public Adapter createCustomizeComponentModelAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CustomizationOfGuiElement <em>Customization Of Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CustomizationOfGuiElement
	 * @generated
	 */
	public Adapter createCustomizationOfGuiElementAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CustomizationOfComposite <em>Customization Of Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CustomizationOfComposite
	 * @generated
	 */
	public Adapter createCustomizationOfCompositeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CustomizationOfGroup <em>Customization Of Group</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CustomizationOfGroup
	 * @generated
	 */
	public Adapter createCustomizationOfGroupAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CustomizationOfTabFolder <em>Customization Of Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CustomizationOfTabFolder
	 * @generated
	 */
	public Adapter createCustomizationOfTabFolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.IElementWithName <em>IElement With Name</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.IElementWithName
	 * @generated
	 */
	public Adapter createIElementWithNameAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.IElementWithLayoutData <em>IElement With Layout Data</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.IElementWithLayoutData
	 * @generated
	 */
	public Adapter createIElementWithLayoutDataAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Service <em>Service</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Service
	 * @generated
	 */
	public Adapter createServiceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Dependency <em>Dependency</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Dependency
	 * @generated
	 */
	public Adapter createDependencyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Dependant <em>Dependant</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Dependant
	 * @generated
	 */
	public Adapter createDependantAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Parameter <em>Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Parameter
	 * @generated
	 */
	public Adapter createParameterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ServiceOperation <em>Service Operation</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ServiceOperation
	 * @generated
	 */
	public Adapter createServiceOperationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ServiceDelegate <em>Service Delegate</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ServiceDelegate
	 * @generated
	 */
	public Adapter createServiceDelegateAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ServiceDelegateOperation <em>Service Delegate Operation</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ServiceDelegateOperation
	 * @generated
	 */
	public Adapter createServiceDelegateOperationAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Import <em>Import</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Import
	 * @generated
	 */
	public Adapter createImportAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DataType
	 * @generated
	 */
	public Adapter createDataTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ComplexType <em>Complex Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ComplexType
	 * @generated
	 */
	public Adapter createComplexTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.SimpleType <em>Simple Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.SimpleType
	 * @generated
	 */
	public Adapter createSimpleTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DataTypeAndTypeParameter <em>Data Type And Type Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DataTypeAndTypeParameter
	 * @generated
	 */
	public Adapter createDataTypeAndTypeParameterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ValueObject <em>Value Object</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ValueObject
	 * @generated
	 */
	public Adapter createValueObjectAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DataViewSource <em>Data View Source</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DataViewSource
	 * @generated
	 */
	public Adapter createDataViewSourceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DataViewSourceDefinition <em>Data View Source Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DataViewSourceDefinition
	 * @generated
	 */
	public Adapter createDataViewSourceDefinitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DataView <em>Data View</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DataView
	 * @generated
	 */
	public Adapter createDataViewAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.IncludeExcludeDefinition <em>Include Exclude Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.IncludeExcludeDefinition
	 * @generated
	 */
	public Adapter createIncludeExcludeDefinitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.AttributeWithProperties <em>Attribute With Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.AttributeWithProperties
	 * @generated
	 */
	public Adapter createAttributeWithPropertiesAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.AttributeHolder <em>Attribute Holder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.AttributeHolder
	 * @generated
	 */
	public Adapter createAttributeHolderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.FinderParameterType <em>Finder Parameter Type</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.FinderParameterType
	 * @generated
	 */
	public Adapter createFinderParameterTypeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.FinderParameter <em>Finder Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.FinderParameter
	 * @generated
	 */
	public Adapter createFinderParameterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Finder <em>Finder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Finder
	 * @generated
	 */
	public Adapter createFinderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.BasicFinder <em>Basic Finder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.BasicFinder
	 * @generated
	 */
	public Adapter createBasicFinderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CustomFinder <em>Custom Finder</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CustomFinder
	 * @generated
	 */
	public Adapter createCustomFinderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Entity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Entity
	 * @generated
	 */
	public Adapter createEntityAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ConditionsBlock <em>Conditions Block</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ConditionsBlock
	 * @generated
	 */
	public Adapter createConditionsBlockAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Reference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Reference
	 * @generated
	 */
	public Adapter createReferenceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Persistence <em>Persistence</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Persistence
	 * @generated
	 */
	public Adapter createPersistenceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Query <em>Query</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Query
	 * @generated
	 */
	public Adapter createQueryAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Column <em>Column</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Column
	 * @generated
	 */
	public Adapter createColumnAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ManyToOne <em>Many To One</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ManyToOne
	 * @generated
	 */
	public Adapter createManyToOneAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.OneToOne <em>One To One</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.OneToOne
	 * @generated
	 */
	public Adapter createOneToOneAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.OneToMany <em>One To Many</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.OneToMany
	 * @generated
	 */
	public Adapter createOneToManyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DataBaseField <em>Data Base Field</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DataBaseField
	 * @generated
	 */
	public Adapter createDataBaseFieldAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DataBaseConstraint <em>Data Base Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DataBaseConstraint
	 * @generated
	 */
	public Adapter createDataBaseConstraintAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.DataBaseFieldWithOrder <em>Data Base Field With Order</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.DataBaseFieldWithOrder
	 * @generated
	 */
	public Adapter createDataBaseFieldWithOrderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.SortOrder <em>Sort Order</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.SortOrder
	 * @generated
	 */
	public Adapter createSortOrderAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Attribute <em>Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Attribute
	 * @generated
	 */
	public Adapter createAttributeAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Constraint <em>Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Constraint
	 * @generated
	 */
	public Adapter createConstraintAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ValidatorReference <em>Validator Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ValidatorReference
	 * @generated
	 */
	public Adapter createValidatorReferenceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ParameterValue <em>Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ParameterValue
	 * @generated
	 */
	public Adapter createParameterValueAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.StatusFlag <em>Status Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.StatusFlag
	 * @generated
	 */
	public Adapter createStatusFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.AttributeFlag <em>Attribute Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.AttributeFlag
	 * @generated
	 */
	public Adapter createAttributeFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.RequiredFlag <em>Required Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.RequiredFlag
	 * @generated
	 */
	public Adapter createRequiredFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ReadOnlyFlag <em>Read Only Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ReadOnlyFlag
	 * @generated
	 */
	public Adapter createReadOnlyFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.AvailableFlag <em>Available Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.AvailableFlag
	 * @generated
	 */
	public Adapter createAvailableFlagAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.AttributeProperty <em>Attribute Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.AttributeProperty
	 * @generated
	 */
	public Adapter createAttributePropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.AttributeValidationProperty <em>Attribute Validation Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.AttributeValidationProperty
	 * @generated
	 */
	public Adapter createAttributeValidationPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.AttributeTextProperty <em>Attribute Text Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.AttributeTextProperty
	 * @generated
	 */
	public Adapter createAttributeTextPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.IntegerParameterValue <em>Integer Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.IntegerParameterValue
	 * @generated
	 */
	public Adapter createIntegerParameterValueAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.StringParameterValue <em>String Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.StringParameterValue
	 * @generated
	 */
	public Adapter createStringParameterValueAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.BooleanParameterValue <em>Boolean Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.BooleanParameterValue
	 * @generated
	 */
	public Adapter createBooleanParameterValueAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Property <em>Property</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Property
	 * @generated
	 */
	public Adapter createPropertyAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Style <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Style
	 * @generated
	 */
	public Adapter createStyleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ParameterDefinition <em>Parameter Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ParameterDefinition
	 * @generated
	 */
	public Adapter createParameterDefinitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.TypeDefinition <em>Type Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.TypeDefinition
	 * @generated
	 */
	public Adapter createTypeDefinitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Validator <em>Validator</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Validator
	 * @generated
	 */
	public Adapter createValidatorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Editor <em>Editor</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Editor
	 * @generated
	 */
	public Adapter createEditorAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.EqualityExpr <em>Equality Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.EqualityExpr
	 * @generated
	 */
	public Adapter createEqualityExprAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CondORExpr <em>Cond OR Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CondORExpr
	 * @generated
	 */
	public Adapter createCondORExprAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CondORRights <em>Cond OR Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CondORRights
	 * @generated
	 */
	public Adapter createCondORRightsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CondANDExpr <em>Cond AND Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CondANDExpr
	 * @generated
	 */
	public Adapter createCondANDExprAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.CondANDRights <em>Cond AND Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.CondANDRights
	 * @generated
	 */
	public Adapter createCondANDRightsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.AtomicBoolExpr <em>Atomic Bool Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.AtomicBoolExpr
	 * @generated
	 */
	public Adapter createAtomicBoolExprAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.RelationalExpr <em>Relational Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.RelationalExpr
	 * @generated
	 */
	public Adapter createRelationalExprAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.AdditiveExpr <em>Additive Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.AdditiveExpr
	 * @generated
	 */
	public Adapter createAdditiveExprAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.AdditiveRights <em>Additive Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.AdditiveRights
	 * @generated
	 */
	public Adapter createAdditiveRightsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.MultiplicativeExpr <em>Multiplicative Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.MultiplicativeExpr
	 * @generated
	 */
	public Adapter createMultiplicativeExprAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.MultiplicativeRights <em>Multiplicative Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.MultiplicativeRights
	 * @generated
	 */
	public Adapter createMultiplicativeRightsAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.AtomicExpr <em>Atomic Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.AtomicExpr
	 * @generated
	 */
	public Adapter createAtomicExprAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Call <em>Call</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Call
	 * @generated
	 */
	public Adapter createCallAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.ParenExpr <em>Paren Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.ParenExpr
	 * @generated
	 */
	public Adapter createParenExprAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.Literal <em>Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.Literal
	 * @generated
	 */
	public Adapter createLiteralAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.IntLiteral <em>Int Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.IntLiteral
	 * @generated
	 */
	public Adapter createIntLiteralAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.StringLiteral <em>String Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.StringLiteral
	 * @generated
	 */
	public Adapter createStringLiteralAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.BoolLiteral <em>Bool Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.BoolLiteral
	 * @generated
	 */
	public Adapter createBoolLiteralAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.TrueLiteral <em>True Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.TrueLiteral
	 * @generated
	 */
	public Adapter createTrueLiteralAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link org.openxma.xmadsl.model.FalseLiteral <em>False Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see org.openxma.xmadsl.model.FalseLiteral
	 * @generated
	 */
	public Adapter createFalseLiteralAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //XmadslAdapterFactory
