/**
 * <copyright>
 * </copyright>
 *
 * $Id: XmadslSwitch.java 3642 2009-06-26 11:53:03Z hoenninger $
 */
package org.openxma.xmadsl.model.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.openxma.xmadsl.model.*;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see org.openxma.xmadsl.model.XmadslPackage
 * @generated
 */
public class XmadslSwitch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static XmadslPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public XmadslSwitch() {
		if (modelPackage == null) {
			modelPackage = XmadslPackage.eINSTANCE;
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	public T doSwitch(EObject theEObject) {
		return doSwitch(theEObject.eClass(), theEObject);
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(EClass theEClass, EObject theEObject) {
		if (theEClass.eContainer() == modelPackage) {
			return doSwitch(theEClass.getClassifierID(), theEObject);
		}
		else {
			List<EClass> eSuperTypes = theEClass.getESuperTypes();
			return
				eSuperTypes.isEmpty() ?
					defaultCase(theEObject) :
					doSwitch(eSuperTypes.get(0), theEObject);
		}
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case XmadslPackage.MODEL: {
				Model model = (Model)theEObject;
				T result = caseModel(model);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DOMAIN_MODEL: {
				DomainModel domainModel = (DomainModel)theEObject;
				T result = caseDomainModel(domainModel);
				if (result == null) result = caseModel(domainModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.APPLICATION_MODEL: {
				ApplicationModel applicationModel = (ApplicationModel)theEObject;
				T result = caseApplicationModel(applicationModel);
				if (result == null) result = caseModel(applicationModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COMPONENT_MODEL: {
				ComponentModel componentModel = (ComponentModel)theEObject;
				T result = caseComponentModel(componentModel);
				if (result == null) result = caseModel(componentModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DOMAIN_OBJECT: {
				DomainObject domainObject = (DomainObject)theEObject;
				T result = caseDomainObject(domainObject);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CUSTOMIZATION: {
				Customization customization = (Customization)theEObject;
				T result = caseCustomization(customization);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DEFAULTS: {
				Defaults defaults = (Defaults)theEObject;
				T result = caseDefaults(defaults);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PROPERTY: {
				Property property = (Property)theEObject;
				T result = caseProperty(property);
				if (result == null) result = caseReferenceableByXmadslVariable(property);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.STYLE: {
				Style style = (Style)theEObject;
				T result = caseStyle(style);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.APPLICATION_SESSION: {
				ApplicationSession applicationSession = (ApplicationSession)theEObject;
				T result = caseApplicationSession(applicationSession);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.SESSION_FUNCTION: {
				SessionFunction sessionFunction = (SessionFunction)theEObject;
				T result = caseSessionFunction(sessionFunction);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.FIELD_FLAG: {
				FieldFlag fieldFlag = (FieldFlag)theEObject;
				T result = caseFieldFlag(fieldFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ENABLED_FLAG: {
				EnabledFlag enabledFlag = (EnabledFlag)theEObject;
				T result = caseEnabledFlag(enabledFlag);
				if (result == null) result = caseFieldFlag(enabledFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.MANDATORY_FLAG: {
				MandatoryFlag mandatoryFlag = (MandatoryFlag)theEObject;
				T result = caseMandatoryFlag(mandatoryFlag);
				if (result == null) result = caseFieldFlag(mandatoryFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.VISIBLE_FLAG: {
				VisibleFlag visibleFlag = (VisibleFlag)theEObject;
				T result = caseVisibleFlag(visibleFlag);
				if (result == null) result = caseFieldFlag(visibleFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COLLAPSED_FLAG: {
				CollapsedFlag collapsedFlag = (CollapsedFlag)theEObject;
				T result = caseCollapsedFlag(collapsedFlag);
				if (result == null) result = caseFieldFlag(collapsedFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.EDITABLE_FLAG: {
				EditableFlag editableFlag = (EditableFlag)theEObject;
				T result = caseEditableFlag(editableFlag);
				if (result == null) result = caseFieldFlag(editableFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COMPONENT: {
				Component component = (Component)theEObject;
				T result = caseComponent(component);
				if (result == null) result = caseReferencedXMAGuiElement(component);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.REFERENCED_XMA_GUI_ELEMENT: {
				ReferencedXMAGuiElement referencedXMAGuiElement = (ReferencedXMAGuiElement)theEObject;
				T result = caseReferencedXMAGuiElement(referencedXMAGuiElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.REFERENCED_XMA_PAGE: {
				ReferencedXMAPage referencedXMAPage = (ReferencedXMAPage)theEObject;
				T result = caseReferencedXMAPage(referencedXMAPage);
				if (result == null) result = caseReferencedXMAGuiElement(referencedXMAPage);
				if (result == null) result = casePage(referencedXMAPage);
				if (result == null) result = casePageDefinition(referencedXMAPage);
				if (result == null) result = caseComposite(referencedXMAPage);
				if (result == null) result = caseGuiElement(referencedXMAPage);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.REFERENCED_XMA_COMPOSITE: {
				ReferencedXMAComposite referencedXMAComposite = (ReferencedXMAComposite)theEObject;
				T result = caseReferencedXMAComposite(referencedXMAComposite);
				if (result == null) result = caseIComposite(referencedXMAComposite);
				if (result == null) result = caseReferencedXMAGuiElement(referencedXMAComposite);
				if (result == null) result = caseComposite(referencedXMAComposite);
				if (result == null) result = caseComplexElement(referencedXMAComposite);
				if (result == null) result = caseGuiElement(referencedXMAComposite);
				if (result == null) result = caseComposedElement(referencedXMAComposite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.GRAY_LOGIC: {
				GrayLogic grayLogic = (GrayLogic)theEObject;
				T result = caseGrayLogic(grayLogic);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.XMA_WIDGET_GRAY_LOGIC: {
				XMAWidgetGrayLogic xmaWidgetGrayLogic = (XMAWidgetGrayLogic)theEObject;
				T result = caseXMAWidgetGrayLogic(xmaWidgetGrayLogic);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DATA_OBJECT_VARIABLE: {
				DataObjectVariable dataObjectVariable = (DataObjectVariable)theEObject;
				T result = caseDataObjectVariable(dataObjectVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CUSTOMIZE_ATTRIBUTE_LIST: {
				CustomizeAttributeList customizeAttributeList = (CustomizeAttributeList)theEObject;
				T result = caseCustomizeAttributeList(customizeAttributeList);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CUSTOMIZED_ATTRIBUTE: {
				CustomizedAttribute customizedAttribute = (CustomizedAttribute)theEObject;
				T result = caseCustomizedAttribute(customizedAttribute);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.TEXT_PROPERTIES: {
				TextProperties textProperties = (TextProperties)theEObject;
				T result = caseTextProperties(textProperties);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.IFIELD: {
				IField iField = (IField)theEObject;
				T result = caseIField(iField);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.FIELD_REFERENCE: {
				FieldReference fieldReference = (FieldReference)theEObject;
				T result = caseFieldReference(fieldReference);
				if (result == null) result = caseIField(fieldReference);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CUSTOMIZEABLE_FIELD: {
				CustomizeableField customizeableField = (CustomizeableField)theEObject;
				T result = caseCustomizeableField(customizeableField);
				if (result == null) result = caseSimpleElement(customizeableField);
				if (result == null) result = caseIField(customizeableField);
				if (result == null) result = caseComposedElement(customizeableField);
				if (result == null) result = caseIElementWithLayoutData(customizeableField);
				if (result == null) result = caseGuiElement(customizeableField);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COMMAND: {
				Command command = (Command)theEObject;
				T result = caseCommand(command);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.EVENT_MAPPING_LIST: {
				EventMappingList eventMappingList = (EventMappingList)theEObject;
				T result = caseEventMappingList(eventMappingList);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.EVENT_MAPPING: {
				EventMapping eventMapping = (EventMapping)theEObject;
				T result = caseEventMapping(eventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CONTROL_EVENT_MAPPING: {
				ControlEventMapping controlEventMapping = (ControlEventMapping)theEObject;
				T result = caseControlEventMapping(controlEventMapping);
				if (result == null) result = caseEventMapping(controlEventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.XMA_WIDGET_EVENT_MAPPING: {
				XMAWidgetEventMapping xmaWidgetEventMapping = (XMAWidgetEventMapping)theEObject;
				T result = caseXMAWidgetEventMapping(xmaWidgetEventMapping);
				if (result == null) result = caseControlEventMapping(xmaWidgetEventMapping);
				if (result == null) result = caseEventMapping(xmaWidgetEventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.GUI_ELEMENT_EVENT_MAPPING: {
				GuiElementEventMapping guiElementEventMapping = (GuiElementEventMapping)theEObject;
				T result = caseGuiElementEventMapping(guiElementEventMapping);
				if (result == null) result = caseControlEventMapping(guiElementEventMapping);
				if (result == null) result = caseEventMapping(guiElementEventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.INIT_EVENT_MAPPING: {
				InitEventMapping initEventMapping = (InitEventMapping)theEObject;
				T result = caseInitEventMapping(initEventMapping);
				if (result == null) result = caseEventMapping(initEventMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DATA_MAPPING_LIST: {
				DataMappingList dataMappingList = (DataMappingList)theEObject;
				T result = caseDataMappingList(dataMappingList);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DATA_MAPPING: {
				DataMapping dataMapping = (DataMapping)theEObject;
				T result = caseDataMapping(dataMapping);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PAGE_DEFINITION: {
				PageDefinition pageDefinition = (PageDefinition)theEObject;
				T result = casePageDefinition(pageDefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PAGE: {
				Page page = (Page)theEObject;
				T result = casePage(page);
				if (result == null) result = casePageDefinition(page);
				if (result == null) result = caseComposite(page);
				if (result == null) result = caseGuiElement(page);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.XMADSL_PAGE: {
				XmadslPage xmadslPage = (XmadslPage)theEObject;
				T result = caseXmadslPage(xmadslPage);
				if (result == null) result = casePage(xmadslPage);
				if (result == null) result = casePageDefinition(xmadslPage);
				if (result == null) result = caseComposite(xmadslPage);
				if (result == null) result = caseGuiElement(xmadslPage);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PAGE_CUSTOMIZATION: {
				PageCustomization pageCustomization = (PageCustomization)theEObject;
				T result = casePageCustomization(pageCustomization);
				if (result == null) result = casePageDefinition(pageCustomization);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.GUI_ELEMENT: {
				GuiElement guiElement = (GuiElement)theEObject;
				T result = caseGuiElement(guiElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COMPOSITE: {
				Composite composite = (Composite)theEObject;
				T result = caseComposite(composite);
				if (result == null) result = caseGuiElement(composite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COMPOSED_ELEMENT: {
				ComposedElement composedElement = (ComposedElement)theEObject;
				T result = caseComposedElement(composedElement);
				if (result == null) result = caseGuiElement(composedElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COMPLEX_ELEMENT: {
				ComplexElement complexElement = (ComplexElement)theEObject;
				T result = caseComplexElement(complexElement);
				if (result == null) result = caseComposedElement(complexElement);
				if (result == null) result = caseGuiElement(complexElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.SIMPLE_ELEMENT: {
				SimpleElement simpleElement = (SimpleElement)theEObject;
				T result = caseSimpleElement(simpleElement);
				if (result == null) result = caseComposedElement(simpleElement);
				if (result == null) result = caseIElementWithLayoutData(simpleElement);
				if (result == null) result = caseGuiElement(simpleElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.IGUI_ELEMENT_WITH_EVENT: {
				IGuiElementWithEvent iGuiElementWithEvent = (IGuiElementWithEvent)theEObject;
				T result = caseIGuiElementWithEvent(iGuiElementWithEvent);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.GUI_ELEMENT_WITH_EVENT_DUMMY: {
				GuiElementWithEvent_dummy guiElementWithEvent_dummy = (GuiElementWithEvent_dummy)theEObject;
				T result = caseGuiElementWithEvent_dummy(guiElementWithEvent_dummy);
				if (result == null) result = caseIGuiElementWithEvent(guiElementWithEvent_dummy);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.TEXT: {
				Text text = (Text)theEObject;
				T result = caseText(text);
				if (result == null) result = caseSimpleElement(text);
				if (result == null) result = caseComposedElement(text);
				if (result == null) result = caseIElementWithLayoutData(text);
				if (result == null) result = caseGuiElement(text);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.LABEL: {
				Label label = (Label)theEObject;
				T result = caseLabel(label);
				if (result == null) result = caseSimpleElement(label);
				if (result == null) result = caseComposedElement(label);
				if (result == null) result = caseIElementWithLayoutData(label);
				if (result == null) result = caseGuiElement(label);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.BUTTON: {
				Button button = (Button)theEObject;
				T result = caseButton(button);
				if (result == null) result = caseSimpleElement(button);
				if (result == null) result = caseIGuiElementWithEvent(button);
				if (result == null) result = caseComposedElement(button);
				if (result == null) result = caseIElementWithLayoutData(button);
				if (result == null) result = caseGuiElement(button);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ICOMPOSITE: {
				IComposite iComposite = (IComposite)theEObject;
				T result = caseIComposite(iComposite);
				if (result == null) result = caseComposite(iComposite);
				if (result == null) result = caseComplexElement(iComposite);
				if (result == null) result = caseGuiElement(iComposite);
				if (result == null) result = caseComposedElement(iComposite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.XMADSL_COMPOSITE: {
				XmadslComposite xmadslComposite = (XmadslComposite)theEObject;
				T result = caseXmadslComposite(xmadslComposite);
				if (result == null) result = caseIComposite(xmadslComposite);
				if (result == null) result = caseIElementWithLayoutData(xmadslComposite);
				if (result == null) result = caseComposite(xmadslComposite);
				if (result == null) result = caseComplexElement(xmadslComposite);
				if (result == null) result = caseGuiElement(xmadslComposite);
				if (result == null) result = caseComposedElement(xmadslComposite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.REFERENCED_COMPOSITE: {
				ReferencedComposite referencedComposite = (ReferencedComposite)theEObject;
				T result = caseReferencedComposite(referencedComposite);
				if (result == null) result = caseIComposite(referencedComposite);
				if (result == null) result = caseComposite(referencedComposite);
				if (result == null) result = caseComplexElement(referencedComposite);
				if (result == null) result = caseGuiElement(referencedComposite);
				if (result == null) result = caseComposedElement(referencedComposite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.TABLE: {
				Table table = (Table)theEObject;
				T result = caseTable(table);
				if (result == null) result = caseComplexElement(table);
				if (result == null) result = caseIGuiElementWithEvent(table);
				if (result == null) result = caseComposedElement(table);
				if (result == null) result = caseGuiElement(table);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.TABLE_COLUMN: {
				TableColumn tableColumn = (TableColumn)theEObject;
				T result = caseTableColumn(tableColumn);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.IGROUP: {
				IGroup iGroup = (IGroup)theEObject;
				T result = caseIGroup(iGroup);
				if (result == null) result = caseComposite(iGroup);
				if (result == null) result = caseComplexElement(iGroup);
				if (result == null) result = caseGuiElement(iGroup);
				if (result == null) result = caseComposedElement(iGroup);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.GROUP: {
				Group group = (Group)theEObject;
				T result = caseGroup(group);
				if (result == null) result = caseIElementWithLayoutData(group);
				if (result == null) result = caseIGroup(group);
				if (result == null) result = caseComposite(group);
				if (result == null) result = caseComplexElement(group);
				if (result == null) result = caseGuiElement(group);
				if (result == null) result = caseComposedElement(group);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.REFERENCED_GROUP: {
				ReferencedGroup referencedGroup = (ReferencedGroup)theEObject;
				T result = caseReferencedGroup(referencedGroup);
				if (result == null) result = caseIGroup(referencedGroup);
				if (result == null) result = caseComposite(referencedGroup);
				if (result == null) result = caseComplexElement(referencedGroup);
				if (result == null) result = caseGuiElement(referencedGroup);
				if (result == null) result = caseComposedElement(referencedGroup);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ITAB_FOLDER: {
				ITabFolder iTabFolder = (ITabFolder)theEObject;
				T result = caseITabFolder(iTabFolder);
				if (result == null) result = caseComplexElement(iTabFolder);
				if (result == null) result = caseComposedElement(iTabFolder);
				if (result == null) result = caseGuiElement(iTabFolder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.TAB_FOLDER: {
				TabFolder tabFolder = (TabFolder)theEObject;
				T result = caseTabFolder(tabFolder);
				if (result == null) result = caseITabFolder(tabFolder);
				if (result == null) result = caseIElementWithLayoutData(tabFolder);
				if (result == null) result = caseComplexElement(tabFolder);
				if (result == null) result = caseComposedElement(tabFolder);
				if (result == null) result = caseGuiElement(tabFolder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.REFERENCED_TAB_FOLDER: {
				ReferencedTabFolder referencedTabFolder = (ReferencedTabFolder)theEObject;
				T result = caseReferencedTabFolder(referencedTabFolder);
				if (result == null) result = caseITabFolder(referencedTabFolder);
				if (result == null) result = caseComplexElement(referencedTabFolder);
				if (result == null) result = caseComposedElement(referencedTabFolder);
				if (result == null) result = caseGuiElement(referencedTabFolder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ITAB_PAGE: {
				ITabPage iTabPage = (ITabPage)theEObject;
				T result = caseITabPage(iTabPage);
				if (result == null) result = casePage(iTabPage);
				if (result == null) result = casePageDefinition(iTabPage);
				if (result == null) result = caseComposite(iTabPage);
				if (result == null) result = caseGuiElement(iTabPage);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.TAB_PAGE: {
				TabPage tabPage = (TabPage)theEObject;
				T result = caseTabPage(tabPage);
				if (result == null) result = caseITabPage(tabPage);
				if (result == null) result = casePage(tabPage);
				if (result == null) result = casePageDefinition(tabPage);
				if (result == null) result = caseComposite(tabPage);
				if (result == null) result = caseGuiElement(tabPage);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.REFERENCED_TAB_PAGE: {
				ReferencedTabPage referencedTabPage = (ReferencedTabPage)theEObject;
				T result = caseReferencedTabPage(referencedTabPage);
				if (result == null) result = caseITabPage(referencedTabPage);
				if (result == null) result = casePage(referencedTabPage);
				if (result == null) result = casePageDefinition(referencedTabPage);
				if (result == null) result = caseComposite(referencedTabPage);
				if (result == null) result = caseGuiElement(referencedTabPage);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.LAYOUT_DATA: {
				LayoutData layoutData = (LayoutData)theEObject;
				T result = caseLayoutData(layoutData);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COMPOSE_DATA: {
				ComposeData composeData = (ComposeData)theEObject;
				T result = caseComposeData(composeData);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PADDING_WIDTH: {
				PaddingWidth paddingWidth = (PaddingWidth)theEObject;
				T result = casePaddingWidth(paddingWidth);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.TABULATOR_POSITION: {
				TabulatorPosition tabulatorPosition = (TabulatorPosition)theEObject;
				T result = caseTabulatorPosition(tabulatorPosition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CONTENT: {
				Content content = (Content)theEObject;
				T result = caseContent(content);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PAGE_CONTENT: {
				PageContent pageContent = (PageContent)theEObject;
				T result = casePageContent(pageContent);
				if (result == null) result = caseContent(pageContent);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COMPOSITE_CONTENT: {
				CompositeContent compositeContent = (CompositeContent)theEObject;
				T result = caseCompositeContent(compositeContent);
				if (result == null) result = caseContent(compositeContent);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.SET_OF_SIMPLE_ELEMENTS: {
				SetOfSimpleElements setOfSimpleElements = (SetOfSimpleElements)theEObject;
				T result = caseSetOfSimpleElements(setOfSimpleElements);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ATTACHMENT: {
				Attachment attachment = (Attachment)theEObject;
				T result = caseAttachment(attachment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PARENT_ATTACHMENT: {
				ParentAttachment parentAttachment = (ParentAttachment)theEObject;
				T result = caseParentAttachment(parentAttachment);
				if (result == null) result = caseAttachment(parentAttachment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.SIBLING_ATTACHMENT: {
				SiblingAttachment siblingAttachment = (SiblingAttachment)theEObject;
				T result = caseSiblingAttachment(siblingAttachment);
				if (result == null) result = caseAttachment(siblingAttachment);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.OFFSET: {
				Offset offset = (Offset)theEObject;
				T result = caseOffset(offset);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.REFERENCEABLE_BY_XMADSL_VARIABLE: {
				ReferenceableByXmadslVariable referenceableByXmadslVariable = (ReferenceableByXmadslVariable)theEObject;
				T result = caseReferenceableByXmadslVariable(referenceableByXmadslVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DUMMY1: {
				Dummy1 dummy1 = (Dummy1)theEObject;
				T result = caseDummy1(dummy1);
				if (result == null) result = caseReferenceableByXmadslVariable(dummy1);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.VARIABLE: {
				Variable variable = (Variable)theEObject;
				T result = caseVariable(variable);
				if (result == null) result = caseAtomicExpr(variable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.FIELD_VARIABLE: {
				FieldVariable fieldVariable = (FieldVariable)theEObject;
				T result = caseFieldVariable(fieldVariable);
				if (result == null) result = caseVariable(fieldVariable);
				if (result == null) result = caseAtomicExpr(fieldVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.XMADSL_VARIABLE: {
				XmadslVariable xmadslVariable = (XmadslVariable)theEObject;
				T result = caseXmadslVariable(xmadslVariable);
				if (result == null) result = caseVariable(xmadslVariable);
				if (result == null) result = caseAtomicExpr(xmadslVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.XMA_VARIABLE: {
				XmaVariable xmaVariable = (XmaVariable)theEObject;
				T result = caseXmaVariable(xmaVariable);
				if (result == null) result = caseVariable(xmaVariable);
				if (result == null) result = caseAtomicExpr(xmaVariable);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CUSTOMIZE_COMPONENT_MODEL: {
				CustomizeComponentModel customizeComponentModel = (CustomizeComponentModel)theEObject;
				T result = caseCustomizeComponentModel(customizeComponentModel);
				if (result == null) result = caseModel(customizeComponentModel);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CUSTOMIZATION_OF_GUI_ELEMENT: {
				CustomizationOfGuiElement customizationOfGuiElement = (CustomizationOfGuiElement)theEObject;
				T result = caseCustomizationOfGuiElement(customizationOfGuiElement);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CUSTOMIZATION_OF_COMPOSITE: {
				CustomizationOfComposite customizationOfComposite = (CustomizationOfComposite)theEObject;
				T result = caseCustomizationOfComposite(customizationOfComposite);
				if (result == null) result = caseCustomizationOfGuiElement(customizationOfComposite);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CUSTOMIZATION_OF_GROUP: {
				CustomizationOfGroup customizationOfGroup = (CustomizationOfGroup)theEObject;
				T result = caseCustomizationOfGroup(customizationOfGroup);
				if (result == null) result = caseCustomizationOfGuiElement(customizationOfGroup);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CUSTOMIZATION_OF_TAB_FOLDER: {
				CustomizationOfTabFolder customizationOfTabFolder = (CustomizationOfTabFolder)theEObject;
				T result = caseCustomizationOfTabFolder(customizationOfTabFolder);
				if (result == null) result = caseCustomizationOfGuiElement(customizationOfTabFolder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.IELEMENT_WITH_NAME: {
				IElementWithName iElementWithName = (IElementWithName)theEObject;
				T result = caseIElementWithName(iElementWithName);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.IELEMENT_WITH_LAYOUT_DATA: {
				IElementWithLayoutData iElementWithLayoutData = (IElementWithLayoutData)theEObject;
				T result = caseIElementWithLayoutData(iElementWithLayoutData);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.SERVICE: {
				Service service = (Service)theEObject;
				T result = caseService(service);
				if (result == null) result = caseServiceDelegate(service);
				if (result == null) result = caseDependant(service);
				if (result == null) result = caseDomainObject(service);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DEPENDENCY: {
				Dependency dependency = (Dependency)theEObject;
				T result = caseDependency(dependency);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DEPENDANT: {
				Dependant dependant = (Dependant)theEObject;
				T result = caseDependant(dependant);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PARAMETER: {
				Parameter parameter = (Parameter)theEObject;
				T result = caseParameter(parameter);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.SERVICE_OPERATION: {
				ServiceOperation serviceOperation = (ServiceOperation)theEObject;
				T result = caseServiceOperation(serviceOperation);
				if (result == null) result = caseServiceDelegateOperation(serviceOperation);
				if (result == null) result = caseIElementWithName(serviceOperation);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.SERVICE_DELEGATE: {
				ServiceDelegate serviceDelegate = (ServiceDelegate)theEObject;
				T result = caseServiceDelegate(serviceDelegate);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.SERVICE_DELEGATE_OPERATION: {
				ServiceDelegateOperation serviceDelegateOperation = (ServiceDelegateOperation)theEObject;
				T result = caseServiceDelegateOperation(serviceDelegateOperation);
				if (result == null) result = caseIElementWithName(serviceDelegateOperation);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.IMPORT: {
				Import import_ = (Import)theEObject;
				T result = caseImport(import_);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DATA_TYPE: {
				DataType dataType = (DataType)theEObject;
				T result = caseDataType(dataType);
				if (result == null) result = caseDomainObject(dataType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COMPLEX_TYPE: {
				ComplexType complexType = (ComplexType)theEObject;
				T result = caseComplexType(complexType);
				if (result == null) result = caseDataType(complexType);
				if (result == null) result = caseDomainObject(complexType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.SIMPLE_TYPE: {
				SimpleType simpleType = (SimpleType)theEObject;
				T result = caseSimpleType(simpleType);
				if (result == null) result = caseDataType(simpleType);
				if (result == null) result = caseDomainObject(simpleType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DATA_TYPE_AND_TYPE_PARAMETER: {
				DataTypeAndTypeParameter dataTypeAndTypeParameter = (DataTypeAndTypeParameter)theEObject;
				T result = caseDataTypeAndTypeParameter(dataTypeAndTypeParameter);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.VALUE_OBJECT: {
				ValueObject valueObject = (ValueObject)theEObject;
				T result = caseValueObject(valueObject);
				if (result == null) result = caseComplexType(valueObject);
				if (result == null) result = caseDataType(valueObject);
				if (result == null) result = caseDomainObject(valueObject);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DATA_VIEW_SOURCE: {
				DataViewSource dataViewSource = (DataViewSource)theEObject;
				T result = caseDataViewSource(dataViewSource);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DATA_VIEW_SOURCE_DEFINITION: {
				DataViewSourceDefinition dataViewSourceDefinition = (DataViewSourceDefinition)theEObject;
				T result = caseDataViewSourceDefinition(dataViewSourceDefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DATA_VIEW: {
				DataView dataView = (DataView)theEObject;
				T result = caseDataView(dataView);
				if (result == null) result = caseComplexType(dataView);
				if (result == null) result = caseDataType(dataView);
				if (result == null) result = caseDomainObject(dataView);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.INCLUDE_EXCLUDE_DEFINITION: {
				IncludeExcludeDefinition includeExcludeDefinition = (IncludeExcludeDefinition)theEObject;
				T result = caseIncludeExcludeDefinition(includeExcludeDefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ATTRIBUTE_WITH_PROPERTIES: {
				AttributeWithProperties attributeWithProperties = (AttributeWithProperties)theEObject;
				T result = caseAttributeWithProperties(attributeWithProperties);
				if (result == null) result = caseAttributeHolder(attributeWithProperties);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ATTRIBUTE_HOLDER: {
				AttributeHolder attributeHolder = (AttributeHolder)theEObject;
				T result = caseAttributeHolder(attributeHolder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.FINDER_PARAMETER_TYPE: {
				FinderParameterType finderParameterType = (FinderParameterType)theEObject;
				T result = caseFinderParameterType(finderParameterType);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.FINDER_PARAMETER: {
				FinderParameter finderParameter = (FinderParameter)theEObject;
				T result = caseFinderParameter(finderParameter);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.FINDER: {
				Finder finder = (Finder)theEObject;
				T result = caseFinder(finder);
				if (result == null) result = caseServiceDelegateOperation(finder);
				if (result == null) result = caseIElementWithName(finder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.BASIC_FINDER: {
				BasicFinder basicFinder = (BasicFinder)theEObject;
				T result = caseBasicFinder(basicFinder);
				if (result == null) result = caseFinder(basicFinder);
				if (result == null) result = caseFinderParameterType(basicFinder);
				if (result == null) result = caseServiceDelegateOperation(basicFinder);
				if (result == null) result = caseIElementWithName(basicFinder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CUSTOM_FINDER: {
				CustomFinder customFinder = (CustomFinder)theEObject;
				T result = caseCustomFinder(customFinder);
				if (result == null) result = caseFinder(customFinder);
				if (result == null) result = caseServiceDelegateOperation(customFinder);
				if (result == null) result = caseIElementWithName(customFinder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ENTITY: {
				Entity entity = (Entity)theEObject;
				T result = caseEntity(entity);
				if (result == null) result = caseComplexType(entity);
				if (result == null) result = caseDataType(entity);
				if (result == null) result = caseDomainObject(entity);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CONDITIONS_BLOCK: {
				ConditionsBlock conditionsBlock = (ConditionsBlock)theEObject;
				T result = caseConditionsBlock(conditionsBlock);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.REFERENCE: {
				Reference reference = (Reference)theEObject;
				T result = caseReference(reference);
				if (result == null) result = caseDataBaseField(reference);
				if (result == null) result = caseIElementWithName(reference);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PERSISTENCE: {
				Persistence persistence = (Persistence)theEObject;
				T result = casePersistence(persistence);
				if (result == null) result = caseServiceDelegate(persistence);
				if (result == null) result = caseDependant(persistence);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.QUERY: {
				Query query = (Query)theEObject;
				T result = caseQuery(query);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COLUMN: {
				Column column = (Column)theEObject;
				T result = caseColumn(column);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.MANY_TO_ONE: {
				ManyToOne manyToOne = (ManyToOne)theEObject;
				T result = caseManyToOne(manyToOne);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ONE_TO_ONE: {
				OneToOne oneToOne = (OneToOne)theEObject;
				T result = caseOneToOne(oneToOne);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ONE_TO_MANY: {
				OneToMany oneToMany = (OneToMany)theEObject;
				T result = caseOneToMany(oneToMany);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DATA_BASE_FIELD: {
				DataBaseField dataBaseField = (DataBaseField)theEObject;
				T result = caseDataBaseField(dataBaseField);
				if (result == null) result = caseIElementWithName(dataBaseField);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DATA_BASE_CONSTRAINT: {
				DataBaseConstraint dataBaseConstraint = (DataBaseConstraint)theEObject;
				T result = caseDataBaseConstraint(dataBaseConstraint);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.DATA_BASE_FIELD_WITH_ORDER: {
				DataBaseFieldWithOrder dataBaseFieldWithOrder = (DataBaseFieldWithOrder)theEObject;
				T result = caseDataBaseFieldWithOrder(dataBaseFieldWithOrder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.SORT_ORDER: {
				SortOrder sortOrder = (SortOrder)theEObject;
				T result = caseSortOrder(sortOrder);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ATTRIBUTE: {
				Attribute attribute = (Attribute)theEObject;
				T result = caseAttribute(attribute);
				if (result == null) result = caseFinderParameterType(attribute);
				if (result == null) result = caseReferenceableByXmadslVariable(attribute);
				if (result == null) result = caseDataBaseField(attribute);
				if (result == null) result = caseAttributeHolder(attribute);
				if (result == null) result = caseIElementWithName(attribute);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CONSTRAINT: {
				Constraint constraint = (Constraint)theEObject;
				T result = caseConstraint(constraint);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.VALIDATOR_REFERENCE: {
				ValidatorReference validatorReference = (ValidatorReference)theEObject;
				T result = caseValidatorReference(validatorReference);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PARAMETER_VALUE: {
				ParameterValue parameterValue = (ParameterValue)theEObject;
				T result = caseParameterValue(parameterValue);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.STATUS_FLAG: {
				StatusFlag statusFlag = (StatusFlag)theEObject;
				T result = caseStatusFlag(statusFlag);
				if (result == null) result = caseReferenceableByXmadslVariable(statusFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ATTRIBUTE_FLAG: {
				AttributeFlag attributeFlag = (AttributeFlag)theEObject;
				T result = caseAttributeFlag(attributeFlag);
				if (result == null) result = caseAttributeProperty(attributeFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.REQUIRED_FLAG: {
				RequiredFlag requiredFlag = (RequiredFlag)theEObject;
				T result = caseRequiredFlag(requiredFlag);
				if (result == null) result = caseAttributeFlag(requiredFlag);
				if (result == null) result = caseAttributeProperty(requiredFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.READ_ONLY_FLAG: {
				ReadOnlyFlag readOnlyFlag = (ReadOnlyFlag)theEObject;
				T result = caseReadOnlyFlag(readOnlyFlag);
				if (result == null) result = caseAttributeFlag(readOnlyFlag);
				if (result == null) result = caseAttributeProperty(readOnlyFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.AVAILABLE_FLAG: {
				AvailableFlag availableFlag = (AvailableFlag)theEObject;
				T result = caseAvailableFlag(availableFlag);
				if (result == null) result = caseAttributeFlag(availableFlag);
				if (result == null) result = caseAttributeProperty(availableFlag);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ATTRIBUTE_PROPERTY: {
				AttributeProperty attributeProperty = (AttributeProperty)theEObject;
				T result = caseAttributeProperty(attributeProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ATTRIBUTE_VALIDATION_PROPERTY: {
				AttributeValidationProperty attributeValidationProperty = (AttributeValidationProperty)theEObject;
				T result = caseAttributeValidationProperty(attributeValidationProperty);
				if (result == null) result = caseAttributeProperty(attributeValidationProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ATTRIBUTE_TEXT_PROPERTY: {
				AttributeTextProperty attributeTextProperty = (AttributeTextProperty)theEObject;
				T result = caseAttributeTextProperty(attributeTextProperty);
				if (result == null) result = caseAttributeProperty(attributeTextProperty);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.INTEGER_PARAMETER_VALUE: {
				IntegerParameterValue integerParameterValue = (IntegerParameterValue)theEObject;
				T result = caseIntegerParameterValue(integerParameterValue);
				if (result == null) result = caseParameterValue(integerParameterValue);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.STRING_PARAMETER_VALUE: {
				StringParameterValue stringParameterValue = (StringParameterValue)theEObject;
				T result = caseStringParameterValue(stringParameterValue);
				if (result == null) result = caseParameterValue(stringParameterValue);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.BOOLEAN_PARAMETER_VALUE: {
				BooleanParameterValue booleanParameterValue = (BooleanParameterValue)theEObject;
				T result = caseBooleanParameterValue(booleanParameterValue);
				if (result == null) result = caseParameterValue(booleanParameterValue);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PARAMETER_DEFINITION: {
				ParameterDefinition parameterDefinition = (ParameterDefinition)theEObject;
				T result = caseParameterDefinition(parameterDefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.TYPE_DEFINITION: {
				TypeDefinition typeDefinition = (TypeDefinition)theEObject;
				T result = caseTypeDefinition(typeDefinition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.VALIDATOR: {
				Validator validator = (Validator)theEObject;
				T result = caseValidator(validator);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.EDITOR: {
				Editor editor = (Editor)theEObject;
				T result = caseEditor(editor);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.EQUALITY_EXPR: {
				EqualityExpr equalityExpr = (EqualityExpr)theEObject;
				T result = caseEqualityExpr(equalityExpr);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COND_OR_EXPR: {
				CondORExpr condORExpr = (CondORExpr)theEObject;
				T result = caseCondORExpr(condORExpr);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COND_OR_RIGHTS: {
				CondORRights condORRights = (CondORRights)theEObject;
				T result = caseCondORRights(condORRights);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COND_AND_EXPR: {
				CondANDExpr condANDExpr = (CondANDExpr)theEObject;
				T result = caseCondANDExpr(condANDExpr);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.COND_AND_RIGHTS: {
				CondANDRights condANDRights = (CondANDRights)theEObject;
				T result = caseCondANDRights(condANDRights);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ATOMIC_BOOL_EXPR: {
				AtomicBoolExpr atomicBoolExpr = (AtomicBoolExpr)theEObject;
				T result = caseAtomicBoolExpr(atomicBoolExpr);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.RELATIONAL_EXPR: {
				RelationalExpr relationalExpr = (RelationalExpr)theEObject;
				T result = caseRelationalExpr(relationalExpr);
				if (result == null) result = caseAtomicBoolExpr(relationalExpr);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ADDITIVE_EXPR: {
				AdditiveExpr additiveExpr = (AdditiveExpr)theEObject;
				T result = caseAdditiveExpr(additiveExpr);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ADDITIVE_RIGHTS: {
				AdditiveRights additiveRights = (AdditiveRights)theEObject;
				T result = caseAdditiveRights(additiveRights);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.MULTIPLICATIVE_EXPR: {
				MultiplicativeExpr multiplicativeExpr = (MultiplicativeExpr)theEObject;
				T result = caseMultiplicativeExpr(multiplicativeExpr);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.MULTIPLICATIVE_RIGHTS: {
				MultiplicativeRights multiplicativeRights = (MultiplicativeRights)theEObject;
				T result = caseMultiplicativeRights(multiplicativeRights);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.ATOMIC_EXPR: {
				AtomicExpr atomicExpr = (AtomicExpr)theEObject;
				T result = caseAtomicExpr(atomicExpr);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.CALL: {
				Call call = (Call)theEObject;
				T result = caseCall(call);
				if (result == null) result = caseAtomicExpr(call);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.PAREN_EXPR: {
				ParenExpr parenExpr = (ParenExpr)theEObject;
				T result = caseParenExpr(parenExpr);
				if (result == null) result = caseAtomicExpr(parenExpr);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.LITERAL: {
				Literal literal = (Literal)theEObject;
				T result = caseLiteral(literal);
				if (result == null) result = caseAtomicExpr(literal);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.INT_LITERAL: {
				IntLiteral intLiteral = (IntLiteral)theEObject;
				T result = caseIntLiteral(intLiteral);
				if (result == null) result = caseLiteral(intLiteral);
				if (result == null) result = caseAtomicExpr(intLiteral);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.STRING_LITERAL: {
				StringLiteral stringLiteral = (StringLiteral)theEObject;
				T result = caseStringLiteral(stringLiteral);
				if (result == null) result = caseLiteral(stringLiteral);
				if (result == null) result = caseAtomicExpr(stringLiteral);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.BOOL_LITERAL: {
				BoolLiteral boolLiteral = (BoolLiteral)theEObject;
				T result = caseBoolLiteral(boolLiteral);
				if (result == null) result = caseLiteral(boolLiteral);
				if (result == null) result = caseAtomicExpr(boolLiteral);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.TRUE_LITERAL: {
				TrueLiteral trueLiteral = (TrueLiteral)theEObject;
				T result = caseTrueLiteral(trueLiteral);
				if (result == null) result = caseBoolLiteral(trueLiteral);
				if (result == null) result = caseLiteral(trueLiteral);
				if (result == null) result = caseAtomicExpr(trueLiteral);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case XmadslPackage.FALSE_LITERAL: {
				FalseLiteral falseLiteral = (FalseLiteral)theEObject;
				T result = caseFalseLiteral(falseLiteral);
				if (result == null) result = caseBoolLiteral(falseLiteral);
				if (result == null) result = caseLiteral(falseLiteral);
				if (result == null) result = caseAtomicExpr(falseLiteral);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseModel(Model object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Domain Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Domain Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDomainModel(DomainModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Application Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Application Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseApplicationModel(ApplicationModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Component Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Component Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComponentModel(ComponentModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Domain Object</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Domain Object</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDomainObject(DomainObject object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customization</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customization</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomization(Customization object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Defaults</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Defaults</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDefaults(Defaults object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Application Session</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Application Session</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseApplicationSession(ApplicationSession object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Session Function</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Session Function</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSessionFunction(SessionFunction object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Field Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Field Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFieldFlag(FieldFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Enabled Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Enabled Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEnabledFlag(EnabledFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Mandatory Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Mandatory Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMandatoryFlag(MandatoryFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Visible Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Visible Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVisibleFlag(VisibleFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Collapsed Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Collapsed Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCollapsedFlag(CollapsedFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Editable Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Editable Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEditableFlag(EditableFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Component</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Component</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComponent(Component object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced XMA Gui Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced XMA Gui Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedXMAGuiElement(ReferencedXMAGuiElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced XMA Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced XMA Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedXMAPage(ReferencedXMAPage object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced XMA Composite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced XMA Composite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedXMAComposite(ReferencedXMAComposite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Gray Logic</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Gray Logic</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGrayLogic(GrayLogic object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>XMA Widget Gray Logic</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>XMA Widget Gray Logic</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseXMAWidgetGrayLogic(XMAWidgetGrayLogic object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Object Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Object Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataObjectVariable(DataObjectVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customize Attribute List</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customize Attribute List</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizeAttributeList(CustomizeAttributeList object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customized Attribute</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customized Attribute</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizedAttribute(CustomizedAttribute object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Text Properties</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Text Properties</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTextProperties(TextProperties object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IField</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IField</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIField(IField object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Field Reference</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Field Reference</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFieldReference(FieldReference object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customizeable Field</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customizeable Field</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizeableField(CustomizeableField object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Command</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Command</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCommand(Command object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Event Mapping List</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Event Mapping List</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEventMappingList(EventMappingList object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEventMapping(EventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Control Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Control Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseControlEventMapping(ControlEventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>XMA Widget Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>XMA Widget Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseXMAWidgetEventMapping(XMAWidgetEventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Gui Element Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Gui Element Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGuiElementEventMapping(GuiElementEventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Init Event Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Init Event Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseInitEventMapping(InitEventMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Mapping List</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Mapping List</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataMappingList(DataMappingList object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Mapping</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Mapping</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataMapping(DataMapping object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Page Definition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Page Definition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePageDefinition(PageDefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePage(Page object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseXmadslPage(XmadslPage object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Page Customization</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Page Customization</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePageCustomization(PageCustomization object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Gui Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Gui Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGuiElement(GuiElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Composite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Composite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComposite(Composite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Composed Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Composed Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComposedElement(ComposedElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Complex Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Complex Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComplexElement(ComplexElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Simple Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Simple Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSimpleElement(SimpleElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IGui Element With Event</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IGui Element With Event</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIGuiElementWithEvent(IGuiElementWithEvent object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Gui Element With Event dummy</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Gui Element With Event dummy</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGuiElementWithEvent_dummy(GuiElementWithEvent_dummy object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Text</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Text</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseText(Text object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Label</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Label</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLabel(Label object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Button</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Button</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseButton(Button object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IComposite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IComposite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIComposite(IComposite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Composite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Composite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseXmadslComposite(XmadslComposite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced Composite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced Composite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedComposite(ReferencedComposite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Table</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Table</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTable(Table object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Table Column</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Table Column</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTableColumn(TableColumn object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IGroup</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IGroup</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIGroup(IGroup object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Group</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Group</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGroup(Group object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced Group</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced Group</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedGroup(ReferencedGroup object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>ITab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>ITab Folder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseITabFolder(ITabFolder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tab Folder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTabFolder(TabFolder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced Tab Folder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedTabFolder(ReferencedTabFolder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>ITab Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>ITab Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseITabPage(ITabPage object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tab Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tab Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTabPage(TabPage object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenced Tab Page</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenced Tab Page</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferencedTabPage(ReferencedTabPage object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Layout Data</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Layout Data</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLayoutData(LayoutData object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Compose Data</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Compose Data</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComposeData(ComposeData object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Padding Width</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Padding Width</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePaddingWidth(PaddingWidth object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Tabulator Position</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Tabulator Position</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTabulatorPosition(TabulatorPosition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Content</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Content</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseContent(Content object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Page Content</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Page Content</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePageContent(PageContent object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Composite Content</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Composite Content</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCompositeContent(CompositeContent object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Set Of Simple Elements</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Set Of Simple Elements</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSetOfSimpleElements(SetOfSimpleElements object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attachment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttachment(Attachment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Parent Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Parent Attachment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseParentAttachment(ParentAttachment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sibling Attachment</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sibling Attachment</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSiblingAttachment(SiblingAttachment object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Offset</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Offset</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOffset(Offset object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Referenceable By Xmadsl Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Referenceable By Xmadsl Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReferenceableByXmadslVariable(ReferenceableByXmadslVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Dummy1</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Dummy1</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDummy1(Dummy1 object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseVariable(Variable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Field Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Field Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFieldVariable(FieldVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseXmadslVariable(XmadslVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Xma Variable</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Xma Variable</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseXmaVariable(XmaVariable object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customize Component Model</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customize Component Model</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizeComponentModel(CustomizeComponentModel object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customization Of Gui Element</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customization Of Gui Element</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizationOfGuiElement(CustomizationOfGuiElement object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customization Of Composite</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customization Of Composite</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizationOfComposite(CustomizationOfComposite object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customization Of Group</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customization Of Group</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizationOfGroup(CustomizationOfGroup object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Customization Of Tab Folder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Customization Of Tab Folder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomizationOfTabFolder(CustomizationOfTabFolder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IElement With Name</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IElement With Name</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIElementWithName(IElementWithName object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>IElement With Layout Data</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>IElement With Layout Data</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIElementWithLayoutData(IElementWithLayoutData object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseService(Service object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Dependency</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Dependency</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDependency(Dependency object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Dependant</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Dependant</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDependant(Dependant object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Parameter</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseParameter(Parameter object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Operation</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Operation</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseServiceOperation(ServiceOperation object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Delegate</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Delegate</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseServiceDelegate(ServiceDelegate object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Service Delegate Operation</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Service Delegate Operation</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseServiceDelegateOperation(ServiceDelegateOperation object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Import</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Import</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseImport(Import object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataType(DataType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Complex Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Complex Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseComplexType(ComplexType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Simple Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Simple Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSimpleType(SimpleType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Type And Type Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Type And Type Parameter</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataTypeAndTypeParameter(DataTypeAndTypeParameter object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Value Object</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Value Object</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseValueObject(ValueObject object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data View Source</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data View Source</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataViewSource(DataViewSource object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data View Source Definition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data View Source Definition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataViewSourceDefinition(DataViewSourceDefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data View</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data View</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataView(DataView object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Include Exclude Definition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Include Exclude Definition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIncludeExcludeDefinition(IncludeExcludeDefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attribute With Properties</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attribute With Properties</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttributeWithProperties(AttributeWithProperties object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attribute Holder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attribute Holder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttributeHolder(AttributeHolder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Finder Parameter Type</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Finder Parameter Type</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFinderParameterType(FinderParameterType object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Finder Parameter</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Finder Parameter</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFinderParameter(FinderParameter object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Finder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Finder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFinder(Finder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Basic Finder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Basic Finder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBasicFinder(BasicFinder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Custom Finder</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Custom Finder</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCustomFinder(CustomFinder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Entity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Entity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEntity(Entity object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Conditions Block</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Conditions Block</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseConditionsBlock(ConditionsBlock object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Reference</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Reference</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReference(Reference object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Persistence</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Persistence</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T casePersistence(Persistence object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Query</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Query</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseQuery(Query object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Column</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Column</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseColumn(Column object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Many To One</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Many To One</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseManyToOne(ManyToOne object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>One To One</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>One To One</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOneToOne(OneToOne object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>One To Many</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>One To Many</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOneToMany(OneToMany object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Base Field</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Base Field</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataBaseField(DataBaseField object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Base Constraint</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Base Constraint</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataBaseConstraint(DataBaseConstraint object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Data Base Field With Order</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Data Base Field With Order</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDataBaseFieldWithOrder(DataBaseFieldWithOrder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sort Order</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sort Order</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSortOrder(SortOrder object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attribute</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attribute</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttribute(Attribute object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Constraint</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Constraint</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseConstraint(Constraint object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Validator Reference</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Validator Reference</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseValidatorReference(ValidatorReference object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Parameter Value</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Parameter Value</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseParameterValue(ParameterValue object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Status Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Status Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStatusFlag(StatusFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attribute Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attribute Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttributeFlag(AttributeFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Required Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Required Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRequiredFlag(RequiredFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Read Only Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Read Only Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReadOnlyFlag(ReadOnlyFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Available Flag</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Available Flag</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAvailableFlag(AvailableFlag object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attribute Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attribute Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttributeProperty(AttributeProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attribute Validation Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attribute Validation Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttributeValidationProperty(AttributeValidationProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Attribute Text Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Attribute Text Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAttributeTextProperty(AttributeTextProperty object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Integer Parameter Value</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Integer Parameter Value</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIntegerParameterValue(IntegerParameterValue object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>String Parameter Value</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>String Parameter Value</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStringParameterValue(StringParameterValue object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Boolean Parameter Value</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Boolean Parameter Value</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBooleanParameterValue(BooleanParameterValue object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Property</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Property</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseProperty(Property object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Style</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Style</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStyle(Style object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Parameter Definition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Parameter Definition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseParameterDefinition(ParameterDefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Type Definition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Type Definition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTypeDefinition(TypeDefinition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Validator</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Validator</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseValidator(Validator object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Editor</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Editor</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEditor(Editor object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Equality Expr</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Equality Expr</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseEqualityExpr(EqualityExpr object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cond OR Expr</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cond OR Expr</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCondORExpr(CondORExpr object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cond OR Rights</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cond OR Rights</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCondORRights(CondORRights object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cond AND Expr</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cond AND Expr</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCondANDExpr(CondANDExpr object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Cond AND Rights</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Cond AND Rights</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCondANDRights(CondANDRights object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Atomic Bool Expr</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Atomic Bool Expr</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAtomicBoolExpr(AtomicBoolExpr object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Relational Expr</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Relational Expr</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRelationalExpr(RelationalExpr object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Additive Expr</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Additive Expr</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAdditiveExpr(AdditiveExpr object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Additive Rights</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Additive Rights</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAdditiveRights(AdditiveRights object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Multiplicative Expr</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Multiplicative Expr</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMultiplicativeExpr(MultiplicativeExpr object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Multiplicative Rights</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Multiplicative Rights</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseMultiplicativeRights(MultiplicativeRights object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Atomic Expr</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Atomic Expr</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseAtomicExpr(AtomicExpr object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Call</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Call</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCall(Call object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Paren Expr</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Paren Expr</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseParenExpr(ParenExpr object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Literal</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Literal</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLiteral(Literal object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Int Literal</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Int Literal</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseIntLiteral(IntLiteral object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>String Literal</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>String Literal</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStringLiteral(StringLiteral object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Bool Literal</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Bool Literal</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBoolLiteral(BoolLiteral object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>True Literal</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>True Literal</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTrueLiteral(TrueLiteral object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>False Literal</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>False Literal</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFalseLiteral(FalseLiteral object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	public T defaultCase(EObject object) {
		return null;
	}

} //XmadslSwitch
