
package org.openxma.xmadsl.parser;

import java.io.InputStream;
import java.util.List;

import org.eclipse.emf.common.util.URI;
import org.openarchitectureware.workflow.issues.Issues;
import org.openarchitectureware.workflow.issues.IssuesImpl;
import org.openxma.xmadsl.diagnostics.Diagnostic;
import org.openxma.xmadsl.diagnostics.ListBasedDiagnosticConsumer;
import org.openxma.xmadsl.linking.ILinker;
import org.openxma.xmadsl.linking.lazy.LazyLinker;

public class XtextParser extends GenParser {

	private URI uri;
	private ILinker linker = new LazyLinker();
	
	public XtextParser(InputStream in) {
		super(in);
	}

	public URI getUri() {
		return uri;
	}

	public void setUri(URI uri) {
		this.uri = uri;
	}
	
	@Override
	protected void internalLink() {
		final ListBasedDiagnosticConsumer consumer = new ListBasedDiagnosticConsumer();
		linker.linkModel(getRootNode().getModelElement(), consumer);
		List<Diagnostic> diagnostics = consumer.getResult();
	}
	
	public Issues doCheck() {
		return new IssuesImpl();
	}
	
//	@Override
//	protected void internalLink() {
//		ResourceLoader cl = ResourceLoaderFactory.createResourceLoader();
//		try {
//			ResourceLoaderFactory.setCurrentThreadResourceLoader(new ResourceLoaderImpl(GenParser.class.getClassLoader()));
//			ExecutionContext ctx = getExecutionContext();
//			XtendFacade facade = XtendFacade.create(ctx, "org::openxma::xmadsl::Linking");
//			facade.call("initLinker",getRootNode().getModelElement());			
//			facade.call("link", getRootNode().getModelElement());
//		} catch (Exception e) {
//			// todo: choose/add logging mechanism capable to work inside and outside of osgi environments
//			e.printStackTrace();
//			internalErrors.add(new ErrorMsg("Error during linking phase : "+e.getMessage(),0,1,1));
//		} finally {
//			ResourceLoaderFactory.setCurrentThreadResourceLoader(cl);
//		}
//	}


}
