lexer grammar xmadsl;
@members {
	 private List<ErrorMsg> errors = new ArrayList<ErrorMsg>();
	public List<ErrorMsg> getErrors() {
		return errors;
	}

	public String getErrorMessage(RecognitionException e, String[] tokenNames) {
		String msg = super.getErrorMessage(e,tokenNames);
		errors.add(AntlrUtil.create(msg,e,tokenNames));
		return msg;
	}
}
@header {
package org.openxma.xmadsl.parser;

import org.openarchitectureware.xtext.parser.ErrorMsg;
import org.openarchitectureware.xtext.parser.impl.AntlrUtil;

}

T10 : 'Package' ;
T11 : 'Customization' ;
T12 : '{' ;
T13 : '}' ;
T14 : 'property' ;
T15 : 'Style' ;
T16 : 'Context' ;
T17 : 'Function' ;
T18 : '(' ;
T19 : ')' ;
T20 : 'enabled=' ;
T21 : 'mandatory=' ;
T22 : 'visible=' ;
T23 : 'collapsed=' ;
T24 : 'editable=' ;
T25 : 'Component' ;
T26 : 'xma' ;
T27 : '::' ;
T28 : 'Page' ;
T29 : 'Composite' ;
T30 : 'Graylogic' ;
T31 : 'Data' ;
T32 : '[]' ;
T33 : 'customize' ;
T34 : 'constraints=' ;
T35 : 'format=' ;
T36 : 'flags=' ;
T37 : 'label=' ;
T38 : 'tooltip=' ;
T39 : 'unitlabel=' ;
T40 : '.' ;
T41 : 'Command' ;
T42 : 'UICommand' ;
T43 : 'EventMapping' ;
T44 : '->' ;
T45 : 'onInit' ;
T46 : 'DataMapping' ;
T47 : '<->' ;
T48 : 'onSelection' ;
T49 : 'onDefaultSelection' ;
T50 : 'onExpand' ;
T51 : 'onCollapse' ;
T52 : '<' ;
T53 : '>' ;
T54 : 'Text' ;
T55 : 'Label' ;
T56 : 'Button' ;
T57 : 'scrollable' ;
T58 : '=' ;
T59 : 'Table' ;
T60 : 'key=' ;
T61 : 'columnMinWidth=' ;
T62 : 'align=' ;
T63 : 'width=' ;
T64 : 'minWidth=' ;
T65 : 'maxWidth=' ;
T66 : 'Group' ;
T67 : 'group' ;
T68 : 'Tabfolder' ;
T69 : 'Tabpage' ;
T70 : 'style=' ;
T71 : 'height=' ;
T72 : 'tabulator=' ;
T73 : ',' ;
T74 : 'spacing=' ;
T75 : '%' ;
T76 : '@' ;
T77 : '+' ;
T78 : 'left' ;
T79 : 'right' ;
T80 : 'top' ;
T81 : 'bottom' ;
T82 : 'vcenter' ;
T83 : 'hcenter' ;
T84 : 'center' ;
T85 : 'extend' ;
T86 : 'Service' ;
T87 : 'uses' ;
T88 : 'operation' ;
T89 : 'op' ;
T90 : 'throws' ;
T91 : 'delegates-to' ;
T92 : 'remote' ;
T93 : 'local' ;
T94 : 'Import' ;
T95 : 'Type' ;
T96 : 'validation' ;
T97 : 'editor' ;
T98 : 'dynamic' ;
T99 : 'Struct' ;
T100 : 'of' ;
T101 : 'editable' ;
T102 : 'DataView' ;
T103 : 'extends' ;
T104 : 'excludes' ;
T105 : '*' ;
T106 : 'id' ;
T107 : 'natural' ;
T108 : 'finder' ;
T109 : 'with-paging' ;
T110 : 'order-by' ;
T111 : 'custom-finder' ;
T112 : 'abstract' ;
T113 : 'Entity' ;
T114 : 'Conditions' ;
T115 : 'ref' ;
T116 : 'reference' ;
T117 : 'containment' ;
T118 : 'readonly' ;
T119 : 'required' ;
T120 : 'Persistence' ;
T121 : 'lazy' ;
T122 : 'dataSource=' ;
T123 : 'table=' ;
T124 : 'alias=' ;
T125 : 'ColumnMapping' ;
T126 : 'query' ;
T127 : 'userType=' ;
T128 : 'columnType=' ;
T129 : 'not-null' ;
T130 : 'versioned' ;
T131 : 'many-to-one' ;
T132 : 'unique' ;
T133 : 'eager' ;
T134 : 'joined' ;
T135 : 'cascade=' ;
T136 : 'one-to-one' ;
T137 : 'constrained' ;
T138 : 'one-to-many' ;
T139 : 'order-by=' ;
T140 : 'sort-order' ;
T141 : 'default' ;
T142 : 'attribute' ;
T143 : 'attr' ;
T144 : 'identifier' ;
T145 : 'version' ;
T146 : '[' ;
T147 : ']' ;
T148 : 'null' ;
T149 : 'required=' ;
T150 : 'readonly=' ;
T151 : 'available=' ;
T152 : 'unit=' ;
T153 : 'true' ;
T154 : 'false' ;
T155 : 'native' ;
T156 : 'redefines' ;
T157 : 'Validator' ;
T158 : 'Editor' ;
T159 : 'string' ;
T160 : 'number' ;
T161 : 'boolean' ;
T162 : 'date' ;
T163 : 'timestamp' ;
T164 : 'enumeration' ;
T165 : 'integer' ;
T166 : 'index' ;
T167 : 'unique-key' ;
T168 : 'natural-key' ;
T169 : 'primary-key' ;
T170 : '|' ;
T171 : 'and' ;
T172 : 'or' ;
T173 : 'asc' ;
T174 : 'desc' ;
T175 : 'Collection' ;
T176 : 'Set' ;
T177 : 'List' ;
T178 : 'Map' ;
T179 : 'public' ;
T180 : 'protected' ;
T181 : 'package' ;
T182 : 'private' ;
T183 : '/' ;
T184 : '-' ;
T185 : '<=' ;
T186 : '>=' ;
T187 : '==' ;
T188 : '!=' ;
T189 : '||' ;
T190 : '&&' ;
T191 : 'getValue()' ;
T192 : 'hasValue()' ;
T193 : 'getSelectedValue()' ;
T194 : 'isSelected()' ;
T195 : 'getSelectionCount()' ;
T196 : 'size()' ;
T197 : 'isValid()' ;

// $ANTLR src "..//org.openxma.dsl.grammar/src-gen/org/openxma/xmadsl/parser/xmadsl.g" 9326
RULE_ID :

	 ('^')?('a'..'z'|'A'..'Z'|'_') ('a'..'z'|'A'..'Z'|'_'|'0'..'9')*
	 
;

// $ANTLR src "..//org.openxma.dsl.grammar/src-gen/org/openxma/xmadsl/parser/xmadsl.g" 9332
RULE_STRING :

	 '\"' ( '\\' ('b'|'t'|'n'|'f'|'r'|'\"'|'\''|'\\') | ~('\\'|'\"') )* '\"' |
	 '\'' ( '\\' ('b'|'t'|'n'|'f'|'r'|'\"'|'\''|'\\') | ~('\\'|'\'') )* '\''
	 
;

// $ANTLR src "..//org.openxma.dsl.grammar/src-gen/org/openxma/xmadsl/parser/xmadsl.g" 9339
RULE_INT :

	 ('-')?('0'..'9')+
	 
;

// $ANTLR src "..//org.openxma.dsl.grammar/src-gen/org/openxma/xmadsl/parser/xmadsl.g" 9345
RULE_WS :

	 (' '|'\t'|'\r'|'\n')+ {$channel=HIDDEN;}
	 
;

// $ANTLR src "..//org.openxma.dsl.grammar/src-gen/org/openxma/xmadsl/parser/xmadsl.g" 9351
RULE_ML_COMMENT :

	 '/*' ( options {greedy=false;} : . )* '*/' {$channel=HIDDEN;}
	 
;

// $ANTLR src "..//org.openxma.dsl.grammar/src-gen/org/openxma/xmadsl/parser/xmadsl.g" 9357
RULE_SL_COMMENT :

	 '//' ~('\n'|'\r')* '\r'? '\n' {$channel=HIDDEN;}
	 
;

