/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/
package org.openxma.xmadsl.resource;

import org.eclipse.emf.common.util.URI;
import org.eclipse.emf.ecore.resource.impl.URIHandlerImpl;

/**
 * An implementation of a {@link URIHandler URI handler} that can handle
 * 'classpath' uri's.
 * 
 * @author <a href="mailto:michael.clay@s-itsolutions.at">Michael Clay</a>
 * @version $Revision$ $Date$
 */
public class ClasspathURIHandler extends URIHandlerImpl {

	@Override
	public boolean canHandle(URI uri) {
		return uri.toString().startsWith(ClasspathResourceFactory.CLASSPATH_RESOURCE_PREFIX);
	}

}