package org.openxma.xmadsl.util;

import java.util.List;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EReference;
import org.openarchitectureware.xtext.Assignment;
import org.openarchitectureware.xtext.CrossReference;

public class GrammarUtil {
	// TODO replace me by compiled grammar model
	public static EReference getReference(CrossReference ref,
			EClass referenceOwner) {
		final List<EReference> references = referenceOwner.getEAllReferences();
		final String feature = containingAssignment(ref).getFeature();
		for (EReference reference : references) {
			if (!reference.isContainment()
					&& reference.getName().equals(feature))
				return reference;
		}
		return null;
	}

	public static Assignment containingAssignment(EObject e) {
		return getContainerOfType(e, Assignment.class);
	}

	@SuppressWarnings("unchecked")
	public static <T extends EObject> T getContainerOfType(EObject ele,
			Class<T> type) {
		if (type.isAssignableFrom(ele.getClass()))
			return (T) ele;
		if (ele.eContainer() != null)
			return getContainerOfType(ele.eContainer(), type);
		return null;
	}
}
