package org.openxma.xmadsl.validation;

import java.util.Collections;
import java.util.List;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;
import org.openxma.xmadsl.scoping.impl.ImportUriResolver;
import org.openxma.xmadsl.scoping.impl.ImportUriUtil;


/**
 * @author Sebastian Zarnekow - Initial contribution and API
 */
public class ImportUriValidator extends AbstractDeclarativeValidator {

	private ImportUriResolver resolver = new ImportUriResolver();

	@Check(value=CheckType.FAST)
	public void checkImportUriIsValid(EObject object) {
		String importURI = getResolver().resolve(object);
		if (importURI != null && !ImportUriUtil.isValid(object, importURI)) {
			error("Imported resource could not be found.", getResolver().getAttribute(object).getFeatureID());
		}
	}

	@Override
	protected List<? extends EPackage> getEPackages() {
		return Collections.emptyList();
	}
	
	public void setResolver(ImportUriResolver resolver) {
		this.resolver = resolver;
	}

	public ImportUriResolver getResolver() {
		return resolver;
	}

}
