/**
 * <copyright>
 * </copyright>
 *
 * $Id: XmadslPackage.java 3642 2009-06-26 11:53:03Z hoenninger $
 */
package org.openxma.xmadsl.model;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.openxma.xmadsl.model.XmadslFactory
 * @model kind="package"
 * @generated
 */
public interface XmadslPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "xmadsl";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.openxma.org/xmadsl";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "xmadsl";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	XmadslPackage eINSTANCE = org.openxma.xmadsl.model.impl.XmadslPackageImpl.init();

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ModelImpl <em>Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ModelImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getModel()
	 * @generated
	 */
	int MODEL = 0;

	/**
	 * The feature id for the '<em><b>Imports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL__IMPORTS = 0;

	/**
	 * The number of structural features of the '<em>Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DomainModelImpl <em>Domain Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DomainModelImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDomainModel()
	 * @generated
	 */
	int DOMAIN_MODEL = 1;

	/**
	 * The feature id for the '<em><b>Imports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_MODEL__IMPORTS = MODEL__IMPORTS;

	/**
	 * The feature id for the '<em><b>Package</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_MODEL__PACKAGE = MODEL_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_MODEL__DOC = MODEL_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Domain Objects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_MODEL__DOMAIN_OBJECTS = MODEL_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Domain Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_MODEL_FEATURE_COUNT = MODEL_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ApplicationModelImpl <em>Application Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ApplicationModelImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getApplicationModel()
	 * @generated
	 */
	int APPLICATION_MODEL = 2;

	/**
	 * The feature id for the '<em><b>Imports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int APPLICATION_MODEL__IMPORTS = MODEL__IMPORTS;

	/**
	 * The feature id for the '<em><b>Customization</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int APPLICATION_MODEL__CUSTOMIZATION = MODEL_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Defaults</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int APPLICATION_MODEL__DEFAULTS = MODEL_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Application</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int APPLICATION_MODEL__APPLICATION = MODEL_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Application Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int APPLICATION_MODEL_FEATURE_COUNT = MODEL_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ComponentModelImpl <em>Component Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ComponentModelImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getComponentModel()
	 * @generated
	 */
	int COMPONENT_MODEL = 3;

	/**
	 * The feature id for the '<em><b>Imports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_MODEL__IMPORTS = MODEL__IMPORTS;

	/**
	 * The feature id for the '<em><b>Component</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_MODEL__COMPONENT = MODEL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Component Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_MODEL_FEATURE_COUNT = MODEL_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DomainObjectImpl <em>Domain Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DomainObjectImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDomainObject()
	 * @generated
	 */
	int DOMAIN_OBJECT = 4;

	/**
	 * The number of structural features of the '<em>Domain Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DOMAIN_OBJECT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CustomizationImpl <em>Customization</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CustomizationImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCustomization()
	 * @generated
	 */
	int CUSTOMIZATION = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION__NAME = 0;

	/**
	 * The feature id for the '<em><b>Validators</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION__VALIDATORS = 1;

	/**
	 * The feature id for the '<em><b>Datatypes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION__DATATYPES = 2;

	/**
	 * The feature id for the '<em><b>Styles</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION__STYLES = 3;

	/**
	 * The feature id for the '<em><b>Editors</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION__EDITORS = 4;

	/**
	 * The number of structural features of the '<em>Customization</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_FEATURE_COUNT = 5;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DefaultsImpl <em>Defaults</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DefaultsImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDefaults()
	 * @generated
	 */
	int DEFAULTS = 6;

	/**
	 * The feature id for the '<em><b>Datatypes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFAULTS__DATATYPES = 0;

	/**
	 * The feature id for the '<em><b>Editors</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFAULTS__EDITORS = 1;

	/**
	 * The feature id for the '<em><b>Validators</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFAULTS__VALIDATORS = 2;

	/**
	 * The number of structural features of the '<em>Defaults</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEFAULTS_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.IElementWithNameImpl <em>IElement With Name</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.IElementWithNameImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getIElementWithName()
	 * @generated
	 */
	int IELEMENT_WITH_NAME = 90;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ReferenceableByXmadslVariableImpl <em>Referenceable By Xmadsl Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ReferenceableByXmadslVariableImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getReferenceableByXmadslVariable()
	 * @generated
	 */
	int REFERENCEABLE_BY_XMADSL_VARIABLE = 79;

	/**
	 * The number of structural features of the '<em>Referenceable By Xmadsl Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.PropertyImpl <em>Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.PropertyImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getProperty()
	 * @generated
	 */
	int PROPERTY = 7;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY__NAME = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY__TYPE = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PROPERTY_FEATURE_COUNT = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.StyleImpl <em>Style</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.StyleImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getStyle()
	 * @generated
	 */
	int STYLE = 8;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE__NAME = 0;

	/**
	 * The number of structural features of the '<em>Style</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ApplicationSessionImpl <em>Application Session</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ApplicationSessionImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getApplicationSession()
	 * @generated
	 */
	int APPLICATION_SESSION = 9;

	/**
	 * The feature id for the '<em><b>Functions</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int APPLICATION_SESSION__FUNCTIONS = 0;

	/**
	 * The feature id for the '<em><b>Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int APPLICATION_SESSION__PROPERTIES = 1;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int APPLICATION_SESSION__CONDITIONS_BLOCK = 2;

	/**
	 * The feature id for the '<em><b>Session Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int APPLICATION_SESSION__SESSION_CLASS = 3;

	/**
	 * The number of structural features of the '<em>Application Session</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int APPLICATION_SESSION_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.SessionFunctionImpl <em>Session Function</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.SessionFunctionImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getSessionFunction()
	 * @generated
	 */
	int SESSION_FUNCTION = 10;

	/**
	 * The feature id for the '<em><b>Parameter Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SESSION_FUNCTION__PARAMETER_TYPE = 0;

	/**
	 * The feature id for the '<em><b>Parameter Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SESSION_FUNCTION__PARAMETER_NAME = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SESSION_FUNCTION__NAME = 2;

	/**
	 * The feature id for the '<em><b>Result Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SESSION_FUNCTION__RESULT_TYPE = 3;

	/**
	 * The number of structural features of the '<em>Session Function</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SESSION_FUNCTION_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.FieldFlagImpl <em>Field Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.FieldFlagImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getFieldFlag()
	 * @generated
	 */
	int FIELD_FLAG = 11;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FLAG__EXPRESSION = 0;

	/**
	 * The number of structural features of the '<em>Field Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_FLAG_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.EnabledFlagImpl <em>Enabled Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.EnabledFlagImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getEnabledFlag()
	 * @generated
	 */
	int ENABLED_FLAG = 12;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENABLED_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Enabled Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENABLED_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.MandatoryFlagImpl <em>Mandatory Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.MandatoryFlagImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getMandatoryFlag()
	 * @generated
	 */
	int MANDATORY_FLAG = 13;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANDATORY_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Mandatory Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANDATORY_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.VisibleFlagImpl <em>Visible Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.VisibleFlagImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getVisibleFlag()
	 * @generated
	 */
	int VISIBLE_FLAG = 14;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISIBLE_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Visible Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VISIBLE_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CollapsedFlagImpl <em>Collapsed Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CollapsedFlagImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCollapsedFlag()
	 * @generated
	 */
	int COLLAPSED_FLAG = 15;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLLAPSED_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Collapsed Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLLAPSED_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.EditableFlagImpl <em>Editable Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.EditableFlagImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getEditableFlag()
	 * @generated
	 */
	int EDITABLE_FLAG = 16;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITABLE_FLAG__EXPRESSION = FIELD_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Editable Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITABLE_FLAG_FEATURE_COUNT = FIELD_FLAG_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ReferencedXMAGuiElementImpl <em>Referenced XMA Gui Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ReferencedXMAGuiElementImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getReferencedXMAGuiElement()
	 * @generated
	 */
	int REFERENCED_XMA_GUI_ELEMENT = 18;

	/**
	 * The number of structural features of the '<em>Referenced XMA Gui Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ComponentImpl <em>Component</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ComponentImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getComponent()
	 * @generated
	 */
	int COMPONENT = 17;

	/**
	 * The feature id for the '<em><b>Customized Attribute List</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__CUSTOMIZED_ATTRIBUTE_LIST = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Pages</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__PAGES = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__DATAOBJECTS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__EVENTS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Xma Component</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__XMA_COMPONENT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__COMMANDS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT__CONDITIONS_BLOCK = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Component</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPONENT_FEATURE_COUNT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ReferencedXMAPageImpl <em>Referenced XMA Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ReferencedXMAPageImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getReferencedXMAPage()
	 * @generated
	 */
	int REFERENCED_XMA_PAGE = 19;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__COMPOSE_LAYOUT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__DATA_MAPPING = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__DATAOBJECTS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__EVENTS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__COMMANDS = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__CONDITIONS_BLOCK = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__CONTENT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Gray Logic</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__GRAY_LOGIC = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Xma Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE__XMA_PAGE = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 8;

	/**
	 * The number of structural features of the '<em>Referenced XMA Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_PAGE_FEATURE_COUNT = REFERENCED_XMA_GUI_ELEMENT_FEATURE_COUNT + 9;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.GuiElementImpl <em>Gui Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.GuiElementImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getGuiElement()
	 * @generated
	 */
	int GUI_ELEMENT = 43;

	/**
	 * The number of structural features of the '<em>Gui Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ComposedElementImpl <em>Composed Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ComposedElementImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getComposedElement()
	 * @generated
	 */
	int COMPOSED_ELEMENT = 45;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ComplexElementImpl <em>Complex Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ComplexElementImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getComplexElement()
	 * @generated
	 */
	int COMPLEX_ELEMENT = 46;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ICompositeImpl <em>IComposite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ICompositeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getIComposite()
	 * @generated
	 */
	int ICOMPOSITE = 53;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ReferencedXMACompositeImpl <em>Referenced XMA Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ReferencedXMACompositeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getReferencedXMAComposite()
	 * @generated
	 */
	int REFERENCED_XMA_COMPOSITE = 20;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.GrayLogicImpl <em>Gray Logic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.GrayLogicImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getGrayLogic()
	 * @generated
	 */
	int GRAY_LOGIC = 21;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.XMAWidgetGrayLogicImpl <em>XMA Widget Gray Logic</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.XMAWidgetGrayLogicImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getXMAWidgetGrayLogic()
	 * @generated
	 */
	int XMA_WIDGET_GRAY_LOGIC = 22;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DataObjectVariableImpl <em>Data Object Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DataObjectVariableImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDataObjectVariable()
	 * @generated
	 */
	int DATA_OBJECT_VARIABLE = 23;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CustomizeAttributeListImpl <em>Customize Attribute List</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CustomizeAttributeListImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCustomizeAttributeList()
	 * @generated
	 */
	int CUSTOMIZE_ATTRIBUTE_LIST = 24;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CustomizedAttributeImpl <em>Customized Attribute</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CustomizedAttributeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCustomizedAttribute()
	 * @generated
	 */
	int CUSTOMIZED_ATTRIBUTE = 25;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.TextPropertiesImpl <em>Text Properties</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.TextPropertiesImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getTextProperties()
	 * @generated
	 */
	int TEXT_PROPERTIES = 26;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.IFieldImpl <em>IField</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.IFieldImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getIField()
	 * @generated
	 */
	int IFIELD = 27;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.FieldReferenceImpl <em>Field Reference</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.FieldReferenceImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getFieldReference()
	 * @generated
	 */
	int FIELD_REFERENCE = 28;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CustomizeableFieldImpl <em>Customizeable Field</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CustomizeableFieldImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCustomizeableField()
	 * @generated
	 */
	int CUSTOMIZEABLE_FIELD = 29;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CommandImpl <em>Command</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CommandImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCommand()
	 * @generated
	 */
	int COMMAND = 30;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.EventMappingListImpl <em>Event Mapping List</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.EventMappingListImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getEventMappingList()
	 * @generated
	 */
	int EVENT_MAPPING_LIST = 31;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.EventMappingImpl <em>Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.EventMappingImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getEventMapping()
	 * @generated
	 */
	int EVENT_MAPPING = 32;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ControlEventMappingImpl <em>Control Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ControlEventMappingImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getControlEventMapping()
	 * @generated
	 */
	int CONTROL_EVENT_MAPPING = 33;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.XMAWidgetEventMappingImpl <em>XMA Widget Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.XMAWidgetEventMappingImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getXMAWidgetEventMapping()
	 * @generated
	 */
	int XMA_WIDGET_EVENT_MAPPING = 34;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.GuiElementEventMappingImpl <em>Gui Element Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.GuiElementEventMappingImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getGuiElementEventMapping()
	 * @generated
	 */
	int GUI_ELEMENT_EVENT_MAPPING = 35;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.InitEventMappingImpl <em>Init Event Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.InitEventMappingImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getInitEventMapping()
	 * @generated
	 */
	int INIT_EVENT_MAPPING = 36;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DataMappingListImpl <em>Data Mapping List</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DataMappingListImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDataMappingList()
	 * @generated
	 */
	int DATA_MAPPING_LIST = 37;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DataMappingImpl <em>Data Mapping</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DataMappingImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDataMapping()
	 * @generated
	 */
	int DATA_MAPPING = 38;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.PageDefinitionImpl <em>Page Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.PageDefinitionImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getPageDefinition()
	 * @generated
	 */
	int PAGE_DEFINITION = 39;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CompositeImpl <em>Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CompositeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getComposite()
	 * @generated
	 */
	int COMPOSITE = 44;

	/**
	 * The number of structural features of the '<em>Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE_FEATURE_COUNT = GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPOSITE__CONTENT = COMPOSITE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>IComposite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ICOMPOSITE_FEATURE_COUNT = COMPOSITE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__CONTENT = ICOMPOSITE__CONTENT;

	/**
	 * The feature id for the '<em><b>Xma Composite</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE__XMA_COMPOSITE = ICOMPOSITE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Referenced XMA Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_XMA_COMPOSITE_FEATURE_COUNT = ICOMPOSITE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Widget Gray Logic</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAY_LOGIC__WIDGET_GRAY_LOGIC = 0;

	/**
	 * The number of structural features of the '<em>Gray Logic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GRAY_LOGIC_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Xma Widget</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_GRAY_LOGIC__XMA_WIDGET = 0;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_GRAY_LOGIC__FIELD_FLAGS = 1;

	/**
	 * The number of structural features of the '<em>XMA Widget Gray Logic</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_GRAY_LOGIC_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE__TYPE = 0;

	/**
	 * The feature id for the '<em><b>Is Collection</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE__IS_COLLECTION = 1;

	/**
	 * The feature id for the '<em><b>Customized Attributes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE__CUSTOMIZED_ATTRIBUTES = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE__NAME = 3;

	/**
	 * The number of structural features of the '<em>Data Object Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_OBJECT_VARIABLE_FEATURE_COUNT = 4;

	/**
	 * The feature id for the '<em><b>Customized Attributes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_ATTRIBUTE_LIST__CUSTOMIZED_ATTRIBUTES = 0;

	/**
	 * The number of structural features of the '<em>Customize Attribute List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_ATTRIBUTE_LIST_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Attribut Flag</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__ATTRIBUT_FLAG = 0;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__FORMAT = 1;

	/**
	 * The feature id for the '<em><b>Attribut Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__ATTRIBUT_FLAGS = 2;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__CONSTRAINTS = 3;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__TEXT_PROPERTIES = 4;

	/**
	 * The feature id for the '<em><b>Field</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE__FIELD = 5;

	/**
	 * The number of structural features of the '<em>Customized Attribute</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZED_ATTRIBUTE_FEATURE_COUNT = 6;

	/**
	 * The feature id for the '<em><b>Unit Label Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTIES__UNIT_LABEL_TEXT = 0;

	/**
	 * The feature id for the '<em><b>Tooltip Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTIES__TOOLTIP_TEXT = 1;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTIES__LABEL_TEXT = 2;

	/**
	 * The number of structural features of the '<em>Text Properties</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_PROPERTIES_FEATURE_COUNT = 3;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IFIELD__OBJECT = 0;

	/**
	 * The feature id for the '<em><b>Attribute Holder</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IFIELD__ATTRIBUTE_HOLDER = 1;

	/**
	 * The number of structural features of the '<em>IField</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IFIELD_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_REFERENCE__OBJECT = IFIELD__OBJECT;

	/**
	 * The feature id for the '<em><b>Attribute Holder</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_REFERENCE__ATTRIBUTE_HOLDER = IFIELD__ATTRIBUTE_HOLDER;

	/**
	 * The number of structural features of the '<em>Field Reference</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_REFERENCE_FEATURE_COUNT = IFIELD_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.PageImpl <em>Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.PageImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getPage()
	 * @generated
	 */
	int PAGE = 40;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.XmadslPageImpl <em>Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.XmadslPageImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getXmadslPage()
	 * @generated
	 */
	int XMADSL_PAGE = 41;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.PageCustomizationImpl <em>Page Customization</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.PageCustomizationImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getPageCustomization()
	 * @generated
	 */
	int PAGE_CUSTOMIZATION = 42;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.SimpleElementImpl <em>Simple Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.SimpleElementImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getSimpleElement()
	 * @generated
	 */
	int SIMPLE_ELEMENT = 47;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.IGuiElementWithEventImpl <em>IGui Element With Event</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.IGuiElementWithEventImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getIGuiElementWithEvent()
	 * @generated
	 */
	int IGUI_ELEMENT_WITH_EVENT = 48;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.TextImpl <em>Text</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.TextImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getText()
	 * @generated
	 */
	int TEXT = 50;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.LabelImpl <em>Label</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.LabelImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getLabel()
	 * @generated
	 */
	int LABEL = 51;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ButtonImpl <em>Button</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ButtonImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getButton()
	 * @generated
	 */
	int BUTTON = 52;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.XmadslCompositeImpl <em>Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.XmadslCompositeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getXmadslComposite()
	 * @generated
	 */
	int XMADSL_COMPOSITE = 54;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ReferencedCompositeImpl <em>Referenced Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ReferencedCompositeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getReferencedComposite()
	 * @generated
	 */
	int REFERENCED_COMPOSITE = 55;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.TableImpl <em>Table</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.TableImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getTable()
	 * @generated
	 */
	int TABLE = 56;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.TableColumnImpl <em>Table Column</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.TableColumnImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getTableColumn()
	 * @generated
	 */
	int TABLE_COLUMN = 57;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.IGroupImpl <em>IGroup</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.IGroupImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getIGroup()
	 * @generated
	 */
	int IGROUP = 58;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.GroupImpl <em>Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.GroupImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getGroup()
	 * @generated
	 */
	int GROUP = 59;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ReferencedGroupImpl <em>Referenced Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ReferencedGroupImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getReferencedGroup()
	 * @generated
	 */
	int REFERENCED_GROUP = 60;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ITabFolderImpl <em>ITab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ITabFolderImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getITabFolder()
	 * @generated
	 */
	int ITAB_FOLDER = 61;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.TabFolderImpl <em>Tab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.TabFolderImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getTabFolder()
	 * @generated
	 */
	int TAB_FOLDER = 62;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ReferencedTabFolderImpl <em>Referenced Tab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ReferencedTabFolderImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getReferencedTabFolder()
	 * @generated
	 */
	int REFERENCED_TAB_FOLDER = 63;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ITabPageImpl <em>ITab Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ITabPageImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getITabPage()
	 * @generated
	 */
	int ITAB_PAGE = 64;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.TabPageImpl <em>Tab Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.TabPageImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getTabPage()
	 * @generated
	 */
	int TAB_PAGE = 65;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ReferencedTabPageImpl <em>Referenced Tab Page</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ReferencedTabPageImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getReferencedTabPage()
	 * @generated
	 */
	int REFERENCED_TAB_PAGE = 66;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.LayoutDataImpl <em>Layout Data</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.LayoutDataImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getLayoutData()
	 * @generated
	 */
	int LAYOUT_DATA = 67;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ComposeDataImpl <em>Compose Data</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ComposeDataImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getComposeData()
	 * @generated
	 */
	int COMPOSE_DATA = 68;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.PaddingWidthImpl <em>Padding Width</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.PaddingWidthImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getPaddingWidth()
	 * @generated
	 */
	int PADDING_WIDTH = 69;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.TabulatorPositionImpl <em>Tabulator Position</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.TabulatorPositionImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getTabulatorPosition()
	 * @generated
	 */
	int TABULATOR_POSITION = 70;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ContentImpl <em>Content</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ContentImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getContent()
	 * @generated
	 */
	int CONTENT = 71;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.PageContentImpl <em>Page Content</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.PageContentImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getPageContent()
	 * @generated
	 */
	int PAGE_CONTENT = 72;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CompositeContentImpl <em>Composite Content</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CompositeContentImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCompositeContent()
	 * @generated
	 */
	int COMPOSITE_CONTENT = 73;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.SetOfSimpleElementsImpl <em>Set Of Simple Elements</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.SetOfSimpleElementsImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getSetOfSimpleElements()
	 * @generated
	 */
	int SET_OF_SIMPLE_ELEMENTS = 74;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AttachmentImpl <em>Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AttachmentImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAttachment()
	 * @generated
	 */
	int ATTACHMENT = 75;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ParentAttachmentImpl <em>Parent Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ParentAttachmentImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getParentAttachment()
	 * @generated
	 */
	int PARENT_ATTACHMENT = 76;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.SiblingAttachmentImpl <em>Sibling Attachment</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.SiblingAttachmentImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getSiblingAttachment()
	 * @generated
	 */
	int SIBLING_ATTACHMENT = 77;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.OffsetImpl <em>Offset</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.OffsetImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getOffset()
	 * @generated
	 */
	int OFFSET = 78;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.Dummy1Impl <em>Dummy1</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.Dummy1Impl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDummy1()
	 * @generated
	 */
	int DUMMY1 = 80;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AtomicExprImpl <em>Atomic Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AtomicExprImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAtomicExpr()
	 * @generated
	 */
	int ATOMIC_EXPR = 159;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.VariableImpl <em>Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.VariableImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getVariable()
	 * @generated
	 */
	int VARIABLE = 81;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.FieldVariableImpl <em>Field Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.FieldVariableImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getFieldVariable()
	 * @generated
	 */
	int FIELD_VARIABLE = 82;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.XmadslVariableImpl <em>Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.XmadslVariableImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getXmadslVariable()
	 * @generated
	 */
	int XMADSL_VARIABLE = 83;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.XmaVariableImpl <em>Xma Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.XmaVariableImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getXmaVariable()
	 * @generated
	 */
	int XMA_VARIABLE = 84;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CustomizeComponentModelImpl <em>Customize Component Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CustomizeComponentModelImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCustomizeComponentModel()
	 * @generated
	 */
	int CUSTOMIZE_COMPONENT_MODEL = 85;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CustomizationOfGuiElementImpl <em>Customization Of Gui Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CustomizationOfGuiElementImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCustomizationOfGuiElement()
	 * @generated
	 */
	int CUSTOMIZATION_OF_GUI_ELEMENT = 86;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CustomizationOfCompositeImpl <em>Customization Of Composite</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CustomizationOfCompositeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCustomizationOfComposite()
	 * @generated
	 */
	int CUSTOMIZATION_OF_COMPOSITE = 87;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CustomizationOfGroupImpl <em>Customization Of Group</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CustomizationOfGroupImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCustomizationOfGroup()
	 * @generated
	 */
	int CUSTOMIZATION_OF_GROUP = 88;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CustomizationOfTabFolderImpl <em>Customization Of Tab Folder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CustomizationOfTabFolderImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCustomizationOfTabFolder()
	 * @generated
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER = 89;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.IElementWithLayoutDataImpl <em>IElement With Layout Data</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.IElementWithLayoutDataImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getIElementWithLayoutData()
	 * @generated
	 */
	int IELEMENT_WITH_LAYOUT_DATA = 91;

	/**
	 * The number of structural features of the '<em>Composed Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSED_ELEMENT_FEATURE_COUNT = GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_ELEMENT__LAYOUT_DATA = COMPOSED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Simple Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_ELEMENT_FEATURE_COUNT = COMPOSED_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Layout Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__LAYOUT_DATA = SIMPLE_ELEMENT__LAYOUT_DATA;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__OBJECT = SIMPLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Attribute Holder</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__ATTRIBUTE_HOLDER = SIMPLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__TEXT_PROPERTIES = SIMPLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Field Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__FIELD_FLAGS = SIMPLE_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__CONSTRAINTS = SIMPLE_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD__FORMAT = SIMPLE_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Customizeable Field</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZEABLE_FIELD_FEATURE_COUNT = SIMPLE_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Client Only</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND__CLIENT_ONLY = 0;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND__DOC = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND__NAME = 2;

	/**
	 * The number of structural features of the '<em>Command</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMAND_FEATURE_COUNT = 3;

	/**
	 * The feature id for the '<em><b>Mapping</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING_LIST__MAPPING = 0;

	/**
	 * The number of structural features of the '<em>Event Mapping List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING_LIST_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Event Function</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING__EVENT_FUNCTION = 0;

	/**
	 * The number of structural features of the '<em>Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EVENT_MAPPING_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Event Function</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROL_EVENT_MAPPING__EVENT_FUNCTION = EVENT_MAPPING__EVENT_FUNCTION;

	/**
	 * The feature id for the '<em><b>Event</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROL_EVENT_MAPPING__EVENT = EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Control Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTROL_EVENT_MAPPING_FEATURE_COUNT = EVENT_MAPPING_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Event Function</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING__EVENT_FUNCTION = CONTROL_EVENT_MAPPING__EVENT_FUNCTION;

	/**
	 * The feature id for the '<em><b>Event</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING__EVENT = CONTROL_EVENT_MAPPING__EVENT;

	/**
	 * The feature id for the '<em><b>Control</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING__CONTROL = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>XMA Widget Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_WIDGET_EVENT_MAPPING_FEATURE_COUNT = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Event Function</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING__EVENT_FUNCTION = CONTROL_EVENT_MAPPING__EVENT_FUNCTION;

	/**
	 * The feature id for the '<em><b>Event</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING__EVENT = CONTROL_EVENT_MAPPING__EVENT;

	/**
	 * The feature id for the '<em><b>Control</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING__CONTROL = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Gui Element Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_EVENT_MAPPING_FEATURE_COUNT = CONTROL_EVENT_MAPPING_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Event Function</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INIT_EVENT_MAPPING__EVENT_FUNCTION = EVENT_MAPPING__EVENT_FUNCTION;

	/**
	 * The number of structural features of the '<em>Init Event Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INIT_EVENT_MAPPING_FEATURE_COUNT = EVENT_MAPPING_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Mapping</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING_LIST__MAPPING = 0;

	/**
	 * The number of structural features of the '<em>Data Mapping List</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING_LIST_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Field</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING__FIELD = 0;

	/**
	 * The feature id for the '<em><b>Control</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING__CONTROL = 1;

	/**
	 * The number of structural features of the '<em>Data Mapping</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_MAPPING_FEATURE_COUNT = 2;

	/**
	 * The number of structural features of the '<em>Page Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_DEFINITION_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__COMPOSE_LAYOUT = PAGE_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__DATA_MAPPING = PAGE_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__DATAOBJECTS = PAGE_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__EVENTS = PAGE_DEFINITION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__COMMANDS = PAGE_DEFINITION_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__CONDITIONS_BLOCK = PAGE_DEFINITION_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE__CONTENT = PAGE_DEFINITION_FEATURE_COUNT + 6;

	/**
	 * The number of structural features of the '<em>Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_FEATURE_COUNT = PAGE_DEFINITION_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__COMPOSE_LAYOUT = PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__DATA_MAPPING = PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__DATAOBJECTS = PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__EVENTS = PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__COMMANDS = PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__CONDITIONS_BLOCK = PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__CONTENT = PAGE__CONTENT;

	/**
	 * The feature id for the '<em><b>Label</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__LABEL = PAGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__NAME = PAGE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Template</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE__TEMPLATE = PAGE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_PAGE_FEATURE_COUNT = PAGE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Page To Customize</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_CUSTOMIZATION__PAGE_TO_CUSTOMIZE = PAGE_DEFINITION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Composites</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_CUSTOMIZATION__COMPOSITES = PAGE_DEFINITION_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Page Customization</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_CUSTOMIZATION_FEATURE_COUNT = PAGE_DEFINITION_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Complex Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPLEX_ELEMENT_FEATURE_COUNT = COMPOSED_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IGUI_ELEMENT_WITH_EVENT__NAME = 0;

	/**
	 * The number of structural features of the '<em>IGui Element With Event</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.GuiElementWithEvent_dummyImpl <em>Gui Element With Event dummy</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.GuiElementWithEvent_dummyImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getGuiElementWithEvent_dummy()
	 * @generated
	 */
	int GUI_ELEMENT_WITH_EVENT_DUMMY = 49;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_WITH_EVENT_DUMMY__NAME = IGUI_ELEMENT_WITH_EVENT__NAME;

	/**
	 * The number of structural features of the '<em>Gui Element With Event dummy</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GUI_ELEMENT_WITH_EVENT_DUMMY_FEATURE_COUNT = IGUI_ELEMENT_WITH_EVENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Layout Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__LAYOUT_DATA = SIMPLE_ELEMENT__LAYOUT_DATA;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__FORMAT = SIMPLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__NAME = SIMPLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Attribut Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__ATTRIBUT_FLAGS = SIMPLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__CONSTRAINTS = SIMPLE_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Text Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT__TEXT_PROPERTIES = SIMPLE_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Text</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TEXT_FEATURE_COUNT = SIMPLE_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Layout Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__LAYOUT_DATA = SIMPLE_ELEMENT__LAYOUT_DATA;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__NAME = SIMPLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL__TEXT = SIMPLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Label</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LABEL_FEATURE_COUNT = SIMPLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Layout Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__LAYOUT_DATA = SIMPLE_ELEMENT__LAYOUT_DATA;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__NAME = SIMPLE_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Label</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON__LABEL = SIMPLE_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Button</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BUTTON_FEATURE_COUNT = SIMPLE_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__CONTENT = ICOMPOSITE__CONTENT;

	/**
	 * The feature id for the '<em><b>Layout Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__LAYOUT_DATA = ICOMPOSITE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__NAME = ICOMPOSITE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Scrollable</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE__SCROLLABLE = ICOMPOSITE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_COMPOSITE_FEATURE_COUNT = ICOMPOSITE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_COMPOSITE__CONTENT = ICOMPOSITE__CONTENT;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_COMPOSITE__REFERENCE = ICOMPOSITE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Referenced Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_COMPOSITE_FEATURE_COUNT = ICOMPOSITE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__NAME = COMPLEX_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Key</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__KEY = COMPLEX_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Column Min Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__COLUMN_MIN_WIDTH = COMPLEX_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Layout Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__LAYOUT_DATA = COMPLEX_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__OBJECT = COMPLEX_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Columns</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE__COLUMNS = COMPLEX_ELEMENT_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Table</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_FEATURE_COUNT = COMPLEX_ELEMENT_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Attribute Holder</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__ATTRIBUTE_HOLDER = 0;

	/**
	 * The feature id for the '<em><b>Align</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__ALIGN = 1;

	/**
	 * The feature id for the '<em><b>Max Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__MAX_WIDTH = 2;

	/**
	 * The feature id for the '<em><b>Min Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__MIN_WIDTH = 3;

	/**
	 * The feature id for the '<em><b>Object</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__OBJECT = 4;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN__WIDTH = 5;

	/**
	 * The number of structural features of the '<em>Table Column</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABLE_COLUMN_FEATURE_COUNT = 6;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IGROUP__CONTENT = COMPOSITE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>IGroup</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IGROUP_FEATURE_COUNT = COMPOSITE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Layout Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_LAYOUT_DATA__LAYOUT_DATA = 0;

	/**
	 * The number of structural features of the '<em>IElement With Layout Data</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Layout Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP__LAYOUT_DATA = IELEMENT_WITH_LAYOUT_DATA__LAYOUT_DATA;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP__CONTENT = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Label</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP__LABEL = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP__NAME = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int GROUP_FEATURE_COUNT = IELEMENT_WITH_LAYOUT_DATA_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_GROUP__CONTENT = IGROUP__CONTENT;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_GROUP__REFERENCE = IGROUP_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Referenced Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_GROUP_FEATURE_COUNT = IGROUP_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_FOLDER__TAB_ITEMS = COMPLEX_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>ITab Folder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_FOLDER_FEATURE_COUNT = COMPLEX_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_FOLDER__TAB_ITEMS = ITAB_FOLDER__TAB_ITEMS;

	/**
	 * The feature id for the '<em><b>Layout Data</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_FOLDER__LAYOUT_DATA = ITAB_FOLDER_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_FOLDER__NAME = ITAB_FOLDER_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Tab Folder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_FOLDER_FEATURE_COUNT = ITAB_FOLDER_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_FOLDER__TAB_ITEMS = ITAB_FOLDER__TAB_ITEMS;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_FOLDER__REFERENCE = ITAB_FOLDER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Referenced Tab Folder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_FOLDER_FEATURE_COUNT = ITAB_FOLDER_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__COMPOSE_LAYOUT = PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__DATA_MAPPING = PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__DATAOBJECTS = PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__EVENTS = PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__COMMANDS = PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__CONDITIONS_BLOCK = PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE__CONTENT = PAGE__CONTENT;

	/**
	 * The number of structural features of the '<em>ITab Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ITAB_PAGE_FEATURE_COUNT = PAGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__COMPOSE_LAYOUT = ITAB_PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__DATA_MAPPING = ITAB_PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__DATAOBJECTS = ITAB_PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__EVENTS = ITAB_PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__COMMANDS = ITAB_PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__CONDITIONS_BLOCK = ITAB_PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__CONTENT = ITAB_PAGE__CONTENT;

	/**
	 * The feature id for the '<em><b>Label</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__LABEL = ITAB_PAGE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE__NAME = ITAB_PAGE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Tab Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TAB_PAGE_FEATURE_COUNT = ITAB_PAGE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__COMPOSE_LAYOUT = ITAB_PAGE__COMPOSE_LAYOUT;

	/**
	 * The feature id for the '<em><b>Data Mapping</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__DATA_MAPPING = ITAB_PAGE__DATA_MAPPING;

	/**
	 * The feature id for the '<em><b>Dataobjects</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__DATAOBJECTS = ITAB_PAGE__DATAOBJECTS;

	/**
	 * The feature id for the '<em><b>Events</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__EVENTS = ITAB_PAGE__EVENTS;

	/**
	 * The feature id for the '<em><b>Commands</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__COMMANDS = ITAB_PAGE__COMMANDS;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__CONDITIONS_BLOCK = ITAB_PAGE__CONDITIONS_BLOCK;

	/**
	 * The feature id for the '<em><b>Content</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__CONTENT = ITAB_PAGE__CONTENT;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE__REFERENCE = ITAB_PAGE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Referenced Tab Page</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCED_TAB_PAGE_FEATURE_COUNT = ITAB_PAGE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Style</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAYOUT_DATA__STYLE = 0;

	/**
	 * The feature id for the '<em><b>Attachments</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAYOUT_DATA__ATTACHMENTS = 1;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAYOUT_DATA__WIDTH = 2;

	/**
	 * The feature id for the '<em><b>Height</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAYOUT_DATA__HEIGHT = 3;

	/**
	 * The number of structural features of the '<em>Layout Data</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LAYOUT_DATA_FEATURE_COUNT = 4;

	/**
	 * The feature id for the '<em><b>Tabulators</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__TABULATORS = 0;

	/**
	 * The feature id for the '<em><b>Spacing</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA__SPACING = 1;

	/**
	 * The number of structural features of the '<em>Compose Data</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSE_DATA_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PADDING_WIDTH__WIDTH = 0;

	/**
	 * The number of structural features of the '<em>Padding Width</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PADDING_WIDTH_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Relative</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__RELATIVE = 0;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__OFFSET = 1;

	/**
	 * The feature id for the '<em><b>Width</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION__WIDTH = 2;

	/**
	 * The number of structural features of the '<em>Tabulator Position</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TABULATOR_POSITION_FEATURE_COUNT = 3;

	/**
	 * The feature id for the '<em><b>Container Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT__CONTAINER_ITEMS = 0;

	/**
	 * The feature id for the '<em><b>Widget Set Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT__WIDGET_SET_ITEMS = 1;

	/**
	 * The number of structural features of the '<em>Content</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONTENT_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Container Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_CONTENT__CONTAINER_ITEMS = CONTENT__CONTAINER_ITEMS;

	/**
	 * The feature id for the '<em><b>Widget Set Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_CONTENT__WIDGET_SET_ITEMS = CONTENT__WIDGET_SET_ITEMS;

	/**
	 * The number of structural features of the '<em>Page Content</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAGE_CONTENT_FEATURE_COUNT = CONTENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Container Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE_CONTENT__CONTAINER_ITEMS = CONTENT__CONTAINER_ITEMS;

	/**
	 * The feature id for the '<em><b>Widget Set Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE_CONTENT__WIDGET_SET_ITEMS = CONTENT__WIDGET_SET_ITEMS;

	/**
	 * The feature id for the '<em><b>Compose Layout</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE_CONTENT__COMPOSE_LAYOUT = CONTENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Composite Content</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPOSITE_CONTENT_FEATURE_COUNT = CONTENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_OF_SIMPLE_ELEMENTS__ELEMENTS = 0;

	/**
	 * The number of structural features of the '<em>Set Of Simple Elements</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SET_OF_SIMPLE_ELEMENTS_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Own Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT__OWN_POSITION = 0;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT__OFFSET = 1;

	/**
	 * The number of structural features of the '<em>Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTACHMENT_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Own Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__OWN_POSITION = ATTACHMENT__OWN_POSITION;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__OFFSET = ATTACHMENT__OFFSET;

	/**
	 * The feature id for the '<em><b>Distance</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__DISTANCE = ATTACHMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Relative</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT__RELATIVE = ATTACHMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Parent Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARENT_ATTACHMENT_FEATURE_COUNT = ATTACHMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Own Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT__OWN_POSITION = ATTACHMENT__OWN_POSITION;

	/**
	 * The feature id for the '<em><b>Offset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT__OFFSET = ATTACHMENT__OFFSET;

	/**
	 * The feature id for the '<em><b>Sibling Position</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT__SIBLING_POSITION = ATTACHMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Attach To Previous</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT__ATTACH_TO_PREVIOUS = ATTACHMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Sibling</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT__SIBLING = ATTACHMENT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Sibling Attachment</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIBLING_ATTACHMENT_FEATURE_COUNT = ATTACHMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OFFSET__VALUE = 0;

	/**
	 * The number of structural features of the '<em>Offset</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int OFFSET_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Dummy Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DUMMY1__DUMMY_NAME = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Dummy1</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DUMMY1_FEATURE_COUNT = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Atomic Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATOMIC_EXPR_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE__ACCESS = ATOMIC_EXPR_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_FEATURE_COUNT = ATOMIC_EXPR_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_VARIABLE__ACCESS = VARIABLE__ACCESS;

	/**
	 * The feature id for the '<em><b>Field</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_VARIABLE__FIELD = VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Field Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FIELD_VARIABLE_FEATURE_COUNT = VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_VARIABLE__ACCESS = VARIABLE__ACCESS;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_VARIABLE__REFERENCE = VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_VARIABLE_FEATURE_COUNT = VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_VARIABLE__ACCESS = VARIABLE__ACCESS;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_VARIABLE__REFERENCE = VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Xma Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMA_VARIABLE_FEATURE_COUNT = VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Imports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL__IMPORTS = MODEL__IMPORTS;

	/**
	 * The feature id for the '<em><b>Customizations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL__CUSTOMIZATIONS = MODEL_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Component</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL__COMPONENT = MODEL_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Customize Component Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZE_COMPONENT_MODEL_FEATURE_COUNT = MODEL_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_GUI_ELEMENT__PAGE = 0;

	/**
	 * The number of structural features of the '<em>Customization Of Gui Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT = 1;

	/**
	 * The feature id for the '<em><b>Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__PAGE = CUSTOMIZATION_OF_GUI_ELEMENT__PAGE;

	/**
	 * The feature id for the '<em><b>Added Container Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__ADDED_CONTAINER_ITEMS = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Added Widget Set Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__ADDED_WIDGET_SET_ITEMS = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Composite</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE__COMPOSITE = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Customization Of Composite</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_COMPOSITE_FEATURE_COUNT = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_GROUP__PAGE = CUSTOMIZATION_OF_GUI_ELEMENT__PAGE;

	/**
	 * The feature id for the '<em><b>Group</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_GROUP__GROUP = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Added Widget Set Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_GROUP__ADDED_WIDGET_SET_ITEMS = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Added Container Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_GROUP__ADDED_CONTAINER_ITEMS = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Customization Of Group</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_GROUP_FEATURE_COUNT = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Page</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER__PAGE = CUSTOMIZATION_OF_GUI_ELEMENT__PAGE;

	/**
	 * The feature id for the '<em><b>Tab Folder</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER__TAB_FOLDER = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Added Tab Items</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER__ADDED_TAB_ITEMS = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Customization Of Tab Folder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOMIZATION_OF_TAB_FOLDER_FEATURE_COUNT = CUSTOMIZATION_OF_GUI_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_NAME__DOC = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_NAME__NAME = 1;

	/**
	 * The number of structural features of the '<em>IElement With Name</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IELEMENT_WITH_NAME_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ServiceDelegateImpl <em>Service Delegate</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ServiceDelegateImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getServiceDelegate()
	 * @generated
	 */
	int SERVICE_DELEGATE = 97;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_DELEGATE__NAME = 0;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_DELEGATE__DEPENDENCIES = 1;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_DELEGATE__DOC = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ServiceImpl <em>Service</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ServiceImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getService()
	 * @generated
	 */
	int SERVICE = 92;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DependencyImpl <em>Dependency</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DependencyImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDependency()
	 * @generated
	 */
	int DEPENDENCY = 93;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DependantImpl <em>Dependant</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DependantImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDependant()
	 * @generated
	 */
	int DEPENDANT = 94;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ParameterImpl <em>Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ParameterImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getParameter()
	 * @generated
	 */
	int PARAMETER = 95;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ServiceDelegateOperationImpl <em>Service Delegate Operation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ServiceDelegateOperationImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getServiceDelegateOperation()
	 * @generated
	 */
	int SERVICE_DELEGATE_OPERATION = 98;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ServiceOperationImpl <em>Service Operation</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ServiceOperationImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getServiceOperation()
	 * @generated
	 */
	int SERVICE_OPERATION = 96;

	/**
	 * The number of structural features of the '<em>Service Delegate</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_DELEGATE_FEATURE_COUNT = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE__NAME = SERVICE_DELEGATE__NAME;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE__DEPENDENCIES = SERVICE_DELEGATE__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE__DOC = SERVICE_DELEGATE__DOC;

	/**
	 * The feature id for the '<em><b>Operations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE__OPERATIONS = SERVICE_DELEGATE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE__TYPE = SERVICE_DELEGATE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Service</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_FEATURE_COUNT = SERVICE_DELEGATE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Dependency</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEPENDENCY__DEPENDENCY = 0;

	/**
	 * The number of structural features of the '<em>Dependency</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEPENDENCY_FEATURE_COUNT = 1;

	/**
	 * The number of structural features of the '<em>Dependant</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DEPENDANT_FEATURE_COUNT = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER__NAME = 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER__TYPE = 1;

	/**
	 * The feature id for the '<em><b>Collection Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER__COLLECTION_TYPE = 2;

	/**
	 * The feature id for the '<em><b>Map Key Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER__MAP_KEY_TYPE = 3;

	/**
	 * The number of structural features of the '<em>Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_FEATURE_COUNT = 4;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_DELEGATE_OPERATION__DOC = IELEMENT_WITH_NAME__DOC;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_DELEGATE_OPERATION__NAME = IELEMENT_WITH_NAME__NAME;

	/**
	 * The number of structural features of the '<em>Service Delegate Operation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_DELEGATE_OPERATION_FEATURE_COUNT = IELEMENT_WITH_NAME_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_OPERATION__DOC = SERVICE_DELEGATE_OPERATION__DOC;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_OPERATION__NAME = SERVICE_DELEGATE_OPERATION__NAME;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_OPERATION__PARAMETERS = SERVICE_DELEGATE_OPERATION_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Map Key Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_OPERATION__MAP_KEY_TYPE = SERVICE_DELEGATE_OPERATION_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_OPERATION__TYPE = SERVICE_DELEGATE_OPERATION_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Collection Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_OPERATION__COLLECTION_TYPE = SERVICE_DELEGATE_OPERATION_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_OPERATION__VISIBILITY = SERVICE_DELEGATE_OPERATION_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Throws</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_OPERATION__THROWS = SERVICE_DELEGATE_OPERATION_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>Delegate Operation</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_OPERATION__DELEGATE_OPERATION = SERVICE_DELEGATE_OPERATION_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Delegate</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_OPERATION__DELEGATE = SERVICE_DELEGATE_OPERATION_FEATURE_COUNT + 7;

	/**
	 * The number of structural features of the '<em>Service Operation</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SERVICE_OPERATION_FEATURE_COUNT = SERVICE_DELEGATE_OPERATION_FEATURE_COUNT + 8;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ImportImpl <em>Import</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ImportImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getImport()
	 * @generated
	 */
	int IMPORT = 99;

	/**
	 * The feature id for the '<em><b>Datamodel</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMPORT__DATAMODEL = 0;

	/**
	 * The number of structural features of the '<em>Import</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMPORT_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DataTypeImpl <em>Data Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DataTypeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDataType()
	 * @generated
	 */
	int DATA_TYPE = 100;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE__NAME = DOMAIN_OBJECT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE__DOC = DOMAIN_OBJECT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Data Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_FEATURE_COUNT = DOMAIN_OBJECT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ComplexTypeImpl <em>Complex Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ComplexTypeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getComplexType()
	 * @generated
	 */
	int COMPLEX_TYPE = 101;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPLEX_TYPE__NAME = DATA_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPLEX_TYPE__DOC = DATA_TYPE__DOC;

	/**
	 * The feature id for the '<em><b>Attributes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPLEX_TYPE__ATTRIBUTES = DATA_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>References</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPLEX_TYPE__REFERENCES = DATA_TYPE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Complex Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMPLEX_TYPE_FEATURE_COUNT = DATA_TYPE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.SimpleTypeImpl <em>Simple Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.SimpleTypeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getSimpleType()
	 * @generated
	 */
	int SIMPLE_TYPE = 102;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__NAME = DATA_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__DOC = DATA_TYPE__DOC;

	/**
	 * The feature id for the '<em><b>Validator Reference</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__VALIDATOR_REFERENCE = DATA_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type Parameter</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__TYPE_PARAMETER = DATA_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Editor</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__EDITOR = DATA_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Value Model Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__VALUE_MODEL_TYPE = DATA_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Type Definition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__TYPE_DEFINITION = DATA_TYPE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Simple Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE_FEATURE_COUNT = DATA_TYPE_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DataTypeAndTypeParameterImpl <em>Data Type And Type Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DataTypeAndTypeParameterImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDataTypeAndTypeParameter()
	 * @generated
	 */
	int DATA_TYPE_AND_TYPE_PARAMETER = 103;

	/**
	 * The feature id for the '<em><b>Type Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_AND_TYPE_PARAMETER__TYPE_PARAMETERS = 0;

	/**
	 * The feature id for the '<em><b>Data Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_AND_TYPE_PARAMETER__DATA_TYPE = 1;

	/**
	 * The number of structural features of the '<em>Data Type And Type Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_AND_TYPE_PARAMETER_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ValueObjectImpl <em>Value Object</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ValueObjectImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getValueObject()
	 * @generated
	 */
	int VALUE_OBJECT = 104;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALUE_OBJECT__NAME = COMPLEX_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALUE_OBJECT__DOC = COMPLEX_TYPE__DOC;

	/**
	 * The feature id for the '<em><b>Attributes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALUE_OBJECT__ATTRIBUTES = COMPLEX_TYPE__ATTRIBUTES;

	/**
	 * The feature id for the '<em><b>References</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALUE_OBJECT__REFERENCES = COMPLEX_TYPE__REFERENCES;

	/**
	 * The feature id for the '<em><b>Dynamic</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALUE_OBJECT__DYNAMIC = COMPLEX_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Value Object</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALUE_OBJECT_FEATURE_COUNT = COMPLEX_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DataViewSourceImpl <em>Data View Source</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DataViewSourceImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDataViewSource()
	 * @generated
	 */
	int DATA_VIEW_SOURCE = 105;

	/**
	 * The feature id for the '<em><b>Alias</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW_SOURCE__ALIAS = 0;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW_SOURCE__SOURCE = 1;

	/**
	 * The number of structural features of the '<em>Data View Source</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW_SOURCE_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DataViewSourceDefinitionImpl <em>Data View Source Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DataViewSourceDefinitionImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDataViewSourceDefinition()
	 * @generated
	 */
	int DATA_VIEW_SOURCE_DEFINITION = 106;

	/**
	 * The feature id for the '<em><b>Sources</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW_SOURCE_DEFINITION__SOURCES = 0;

	/**
	 * The number of structural features of the '<em>Data View Source Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW_SOURCE_DEFINITION_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DataViewImpl <em>Data View</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DataViewImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDataView()
	 * @generated
	 */
	int DATA_VIEW = 107;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW__NAME = COMPLEX_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW__DOC = COMPLEX_TYPE__DOC;

	/**
	 * The feature id for the '<em><b>Attributes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW__ATTRIBUTES = COMPLEX_TYPE__ATTRIBUTES;

	/**
	 * The feature id for the '<em><b>References</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW__REFERENCES = COMPLEX_TYPE__REFERENCES;

	/**
	 * The feature id for the '<em><b>Super Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW__SUPER_TYPE = COMPLEX_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Source Definition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW__SOURCE_DEFINITION = COMPLEX_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Includes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW__INCLUDES = COMPLEX_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Editable</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW__EDITABLE = COMPLEX_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Excludes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW__EXCLUDES = COMPLEX_TYPE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Data View</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_VIEW_FEATURE_COUNT = COMPLEX_TYPE_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.IncludeExcludeDefinitionImpl <em>Include Exclude Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.IncludeExcludeDefinitionImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getIncludeExcludeDefinition()
	 * @generated
	 */
	int INCLUDE_EXCLUDE_DEFINITION = 108;

	/**
	 * The feature id for the '<em><b>Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_EXCLUDE_DEFINITION__ID = 0;

	/**
	 * The feature id for the '<em><b>Alias</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_EXCLUDE_DEFINITION__ALIAS = 1;

	/**
	 * The feature id for the '<em><b>Attribute With Properties</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_EXCLUDE_DEFINITION__ATTRIBUTE_WITH_PROPERTIES = 2;

	/**
	 * The feature id for the '<em><b>View</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_EXCLUDE_DEFINITION__VIEW = 3;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_EXCLUDE_DEFINITION__REFERENCE = 4;

	/**
	 * The feature id for the '<em><b>All</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_EXCLUDE_DEFINITION__ALL = 5;

	/**
	 * The feature id for the '<em><b>Natural</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_EXCLUDE_DEFINITION__NATURAL = 6;

	/**
	 * The number of structural features of the '<em>Include Exclude Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCLUDE_EXCLUDE_DEFINITION_FEATURE_COUNT = 7;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AttributeHolderImpl <em>Attribute Holder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AttributeHolderImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAttributeHolder()
	 * @generated
	 */
	int ATTRIBUTE_HOLDER = 110;

	/**
	 * The feature id for the '<em><b>Attribut Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_HOLDER__ATTRIBUT_PROPERTIES = 0;

	/**
	 * The number of structural features of the '<em>Attribute Holder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_HOLDER_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AttributeWithPropertiesImpl <em>Attribute With Properties</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AttributeWithPropertiesImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAttributeWithProperties()
	 * @generated
	 */
	int ATTRIBUTE_WITH_PROPERTIES = 109;

	/**
	 * The feature id for the '<em><b>Attribut Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_WITH_PROPERTIES__ATTRIBUT_PROPERTIES = ATTRIBUTE_HOLDER__ATTRIBUT_PROPERTIES;

	/**
	 * The feature id for the '<em><b>Attribute Holder</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_WITH_PROPERTIES__ATTRIBUTE_HOLDER = ATTRIBUTE_HOLDER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Attribute With Properties</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_WITH_PROPERTIES_FEATURE_COUNT = ATTRIBUTE_HOLDER_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.FinderParameterTypeImpl <em>Finder Parameter Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.FinderParameterTypeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getFinderParameterType()
	 * @generated
	 */
	int FINDER_PARAMETER_TYPE = 111;

	/**
	 * The number of structural features of the '<em>Finder Parameter Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FINDER_PARAMETER_TYPE_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.FinderParameterImpl <em>Finder Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.FinderParameterImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getFinderParameter()
	 * @generated
	 */
	int FINDER_PARAMETER = 112;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FINDER_PARAMETER__REFERENCE = 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FINDER_PARAMETER__TYPE = 1;

	/**
	 * The number of structural features of the '<em>Finder Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FINDER_PARAMETER_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.FinderImpl <em>Finder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.FinderImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getFinder()
	 * @generated
	 */
	int FINDER = 113;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FINDER__DOC = SERVICE_DELEGATE_OPERATION__DOC;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FINDER__NAME = SERVICE_DELEGATE_OPERATION__NAME;

	/**
	 * The number of structural features of the '<em>Finder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FINDER_FEATURE_COUNT = SERVICE_DELEGATE_OPERATION_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.BasicFinderImpl <em>Basic Finder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.BasicFinderImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getBasicFinder()
	 * @generated
	 */
	int BASIC_FINDER = 114;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASIC_FINDER__DOC = FINDER__DOC;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASIC_FINDER__NAME = FINDER__NAME;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASIC_FINDER__PARAMETERS = FINDER_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Data View</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASIC_FINDER__DATA_VIEW = FINDER_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Pageable</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASIC_FINDER__PAGEABLE = FINDER_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Sort Order</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASIC_FINDER__SORT_ORDER = FINDER_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Operators</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASIC_FINDER__OPERATORS = FINDER_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Basic Finder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BASIC_FINDER_FEATURE_COUNT = FINDER_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CustomFinderImpl <em>Custom Finder</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CustomFinderImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCustomFinder()
	 * @generated
	 */
	int CUSTOM_FINDER = 115;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_FINDER__DOC = FINDER__DOC;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_FINDER__NAME = FINDER__NAME;

	/**
	 * The feature id for the '<em><b>Parameters</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_FINDER__PARAMETERS = FINDER_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Collection Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_FINDER__COLLECTION_TYPE = FINDER_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Map Key Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_FINDER__MAP_KEY_TYPE = FINDER_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_FINDER__TYPE = FINDER_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Custom Finder</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CUSTOM_FINDER_FEATURE_COUNT = FINDER_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.EntityImpl <em>Entity</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.EntityImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getEntity()
	 * @generated
	 */
	int ENTITY = 116;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__NAME = COMPLEX_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__DOC = COMPLEX_TYPE__DOC;

	/**
	 * The feature id for the '<em><b>Attributes</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__ATTRIBUTES = COMPLEX_TYPE__ATTRIBUTES;

	/**
	 * The feature id for the '<em><b>References</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__REFERENCES = COMPLEX_TYPE__REFERENCES;

	/**
	 * The feature id for the '<em><b>Abstract</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__ABSTRACT = COMPLEX_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Super Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__SUPER_TYPE = COMPLEX_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Finders</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__FINDERS = COMPLEX_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Sort Orders</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__SORT_ORDERS = COMPLEX_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Conditions Block</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__CONDITIONS_BLOCK = COMPLEX_TYPE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Persistence</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY__PERSISTENCE = COMPLEX_TYPE_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Entity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENTITY_FEATURE_COUNT = COMPLEX_TYPE_FEATURE_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ConditionsBlockImpl <em>Conditions Block</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ConditionsBlockImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getConditionsBlock()
	 * @generated
	 */
	int CONDITIONS_BLOCK = 117;

	/**
	 * The feature id for the '<em><b>Status Flags</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITIONS_BLOCK__STATUS_FLAGS = 0;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITIONS_BLOCK__DOC = 1;

	/**
	 * The number of structural features of the '<em>Conditions Block</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONDITIONS_BLOCK_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DataBaseFieldImpl <em>Data Base Field</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DataBaseFieldImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDataBaseField()
	 * @generated
	 */
	int DATA_BASE_FIELD = 125;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BASE_FIELD__DOC = IELEMENT_WITH_NAME__DOC;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BASE_FIELD__NAME = IELEMENT_WITH_NAME__NAME;

	/**
	 * The number of structural features of the '<em>Data Base Field</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BASE_FIELD_FEATURE_COUNT = IELEMENT_WITH_NAME_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ReferenceImpl <em>Reference</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ReferenceImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getReference()
	 * @generated
	 */
	int REFERENCE = 118;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE__DOC = DATA_BASE_FIELD__DOC;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE__NAME = DATA_BASE_FIELD__NAME;

	/**
	 * The feature id for the '<em><b>Containment</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE__CONTAINMENT = DATA_BASE_FIELD_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE__TYPE = DATA_BASE_FIELD_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Opposite</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE__OPPOSITE = DATA_BASE_FIELD_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Required</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE__REQUIRED = DATA_BASE_FIELD_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Collection Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE__COLLECTION_TYPE = DATA_BASE_FIELD_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Read Only</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE__READ_ONLY = DATA_BASE_FIELD_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Reference</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE_FEATURE_COUNT = DATA_BASE_FIELD_FEATURE_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.PersistenceImpl <em>Persistence</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.PersistenceImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getPersistence()
	 * @generated
	 */
	int PERSISTENCE = 119;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__NAME = SERVICE_DELEGATE__NAME;

	/**
	 * The feature id for the '<em><b>Dependencies</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__DEPENDENCIES = SERVICE_DELEGATE__DEPENDENCIES;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__DOC = SERVICE_DELEGATE__DOC;

	/**
	 * The feature id for the '<em><b>One To Many Associations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__ONE_TO_MANY_ASSOCIATIONS = SERVICE_DELEGATE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Table Alias</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__TABLE_ALIAS = SERVICE_DELEGATE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Columns</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__COLUMNS = SERVICE_DELEGATE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Many To One Associations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__MANY_TO_ONE_ASSOCIATIONS = SERVICE_DELEGATE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Lazy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__LAZY = SERVICE_DELEGATE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Data Base Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__DATA_BASE_CONSTRAINTS = SERVICE_DELEGATE_FEATURE_COUNT + 5;

	/**
	 * The feature id for the '<em><b>One To One Associations</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__ONE_TO_ONE_ASSOCIATIONS = SERVICE_DELEGATE_FEATURE_COUNT + 6;

	/**
	 * The feature id for the '<em><b>Query Mappings</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__QUERY_MAPPINGS = SERVICE_DELEGATE_FEATURE_COUNT + 7;

	/**
	 * The feature id for the '<em><b>Table Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__TABLE_NAME = SERVICE_DELEGATE_FEATURE_COUNT + 8;

	/**
	 * The feature id for the '<em><b>Data Source</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE__DATA_SOURCE = SERVICE_DELEGATE_FEATURE_COUNT + 9;

	/**
	 * The number of structural features of the '<em>Persistence</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSISTENCE_FEATURE_COUNT = SERVICE_DELEGATE_FEATURE_COUNT + 10;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.QueryImpl <em>Query</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.QueryImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getQuery()
	 * @generated
	 */
	int QUERY = 120;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUERY__EXPRESSION = 0;

	/**
	 * The feature id for the '<em><b>Finder</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUERY__FINDER = 1;

	/**
	 * The number of structural features of the '<em>Query</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int QUERY_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ColumnImpl <em>Column</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ColumnImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getColumn()
	 * @generated
	 */
	int COLUMN = 121;

	/**
	 * The feature id for the '<em><b>Column Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN__COLUMN_NAME = 0;

	/**
	 * The feature id for the '<em><b>Not Null</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN__NOT_NULL = 1;

	/**
	 * The feature id for the '<em><b>Column Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN__COLUMN_TYPE = 2;

	/**
	 * The feature id for the '<em><b>Versioned</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN__VERSIONED = 3;

	/**
	 * The feature id for the '<em><b>Attribute</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN__ATTRIBUTE = 4;

	/**
	 * The feature id for the '<em><b>User Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN__USER_TYPE = 5;

	/**
	 * The feature id for the '<em><b>Columns</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN__COLUMNS = 6;

	/**
	 * The feature id for the '<em><b>Lazy</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN__LAZY = 7;

	/**
	 * The number of structural features of the '<em>Column</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COLUMN_FEATURE_COUNT = 8;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ManyToOneImpl <em>Many To One</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ManyToOneImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getManyToOne()
	 * @generated
	 */
	int MANY_TO_ONE = 122;

	/**
	 * The feature id for the '<em><b>Columns</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANY_TO_ONE__COLUMNS = 0;

	/**
	 * The feature id for the '<em><b>Cascade</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANY_TO_ONE__CASCADE = 1;

	/**
	 * The feature id for the '<em><b>Column Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANY_TO_ONE__COLUMN_NAME = 2;

	/**
	 * The feature id for the '<em><b>Eager Fetching</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANY_TO_ONE__EAGER_FETCHING = 3;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANY_TO_ONE__REFERENCE = 4;

	/**
	 * The feature id for the '<em><b>Unique</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANY_TO_ONE__UNIQUE = 5;

	/**
	 * The feature id for the '<em><b>Joined</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANY_TO_ONE__JOINED = 6;

	/**
	 * The number of structural features of the '<em>Many To One</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MANY_TO_ONE_FEATURE_COUNT = 7;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.OneToOneImpl <em>One To One</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.OneToOneImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getOneToOne()
	 * @generated
	 */
	int ONE_TO_ONE = 123;

	/**
	 * The feature id for the '<em><b>Constrained</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_ONE__CONSTRAINED = 0;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_ONE__REFERENCE = 1;

	/**
	 * The feature id for the '<em><b>Joined</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_ONE__JOINED = 2;

	/**
	 * The feature id for the '<em><b>Eager Fetching</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_ONE__EAGER_FETCHING = 3;

	/**
	 * The feature id for the '<em><b>Cascade</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_ONE__CASCADE = 4;

	/**
	 * The number of structural features of the '<em>One To One</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_ONE_FEATURE_COUNT = 5;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.OneToManyImpl <em>One To Many</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.OneToManyImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getOneToMany()
	 * @generated
	 */
	int ONE_TO_MANY = 124;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_MANY__REFERENCE = 0;

	/**
	 * The feature id for the '<em><b>Sort Order</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_MANY__SORT_ORDER = 1;

	/**
	 * The feature id for the '<em><b>Eager Fetching</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_MANY__EAGER_FETCHING = 2;

	/**
	 * The feature id for the '<em><b>Column Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_MANY__COLUMN_NAME = 3;

	/**
	 * The feature id for the '<em><b>Joined</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_MANY__JOINED = 4;

	/**
	 * The feature id for the '<em><b>Cascade</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_MANY__CASCADE = 5;

	/**
	 * The number of structural features of the '<em>One To Many</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ONE_TO_MANY_FEATURE_COUNT = 6;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DataBaseConstraintImpl <em>Data Base Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DataBaseConstraintImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDataBaseConstraint()
	 * @generated
	 */
	int DATA_BASE_CONSTRAINT = 126;

	/**
	 * The feature id for the '<em><b>Fields</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BASE_CONSTRAINT__FIELDS = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BASE_CONSTRAINT__NAME = 1;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BASE_CONSTRAINT__TYPE = 2;

	/**
	 * The number of structural features of the '<em>Data Base Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BASE_CONSTRAINT_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.DataBaseFieldWithOrderImpl <em>Data Base Field With Order</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.DataBaseFieldWithOrderImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getDataBaseFieldWithOrder()
	 * @generated
	 */
	int DATA_BASE_FIELD_WITH_ORDER = 127;

	/**
	 * The feature id for the '<em><b>Field</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BASE_FIELD_WITH_ORDER__FIELD = 0;

	/**
	 * The feature id for the '<em><b>Order</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BASE_FIELD_WITH_ORDER__ORDER = 1;

	/**
	 * The number of structural features of the '<em>Data Base Field With Order</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_BASE_FIELD_WITH_ORDER_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.SortOrderImpl <em>Sort Order</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.SortOrderImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getSortOrder()
	 * @generated
	 */
	int SORT_ORDER = 128;

	/**
	 * The feature id for the '<em><b>Order</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SORT_ORDER__ORDER = 0;

	/**
	 * The feature id for the '<em><b>Is Default</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SORT_ORDER__IS_DEFAULT = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SORT_ORDER__NAME = 2;

	/**
	 * The number of structural features of the '<em>Sort Order</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SORT_ORDER_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AttributeImpl <em>Attribute</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AttributeImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAttribute()
	 * @generated
	 */
	int ATTRIBUTE = 129;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE__DOC = FINDER_PARAMETER_TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE__NAME = FINDER_PARAMETER_TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Attribut Properties</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE__ATTRIBUT_PROPERTIES = FINDER_PARAMETER_TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Identifier</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE__IDENTIFIER = FINDER_PARAMETER_TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Type</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE__TYPE = FINDER_PARAMETER_TYPE_FEATURE_COUNT + 4;

	/**
	 * The feature id for the '<em><b>Version</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE__VERSION = FINDER_PARAMETER_TYPE_FEATURE_COUNT + 5;

	/**
	 * The number of structural features of the '<em>Attribute</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_FEATURE_COUNT = FINDER_PARAMETER_TYPE_FEATURE_COUNT + 6;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ConstraintImpl <em>Constraint</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ConstraintImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getConstraint()
	 * @generated
	 */
	int CONSTRAINT = 130;

	/**
	 * The feature id for the '<em><b>Condition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINT__CONDITION = 0;

	/**
	 * The feature id for the '<em><b>Validator Reference</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINT__VALIDATOR_REFERENCE = 1;

	/**
	 * The number of structural features of the '<em>Constraint</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CONSTRAINT_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ValidatorReferenceImpl <em>Validator Reference</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ValidatorReferenceImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getValidatorReference()
	 * @generated
	 */
	int VALIDATOR_REFERENCE = 131;

	/**
	 * The feature id for the '<em><b>Validator</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR_REFERENCE__VALIDATOR = 0;

	/**
	 * The feature id for the '<em><b>Validator Parameter</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR_REFERENCE__VALIDATOR_PARAMETER = 1;

	/**
	 * The number of structural features of the '<em>Validator Reference</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR_REFERENCE_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ParameterValueImpl <em>Parameter Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ParameterValueImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getParameterValue()
	 * @generated
	 */
	int PARAMETER_VALUE = 132;

	/**
	 * The feature id for the '<em><b>Is Null</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_VALUE__IS_NULL = 0;

	/**
	 * The feature id for the '<em><b>Referenced Parameter</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_VALUE__REFERENCED_PARAMETER = 1;

	/**
	 * The number of structural features of the '<em>Parameter Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_VALUE_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.StatusFlagImpl <em>Status Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.StatusFlagImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getStatusFlag()
	 * @generated
	 */
	int STATUS_FLAG = 133;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATUS_FLAG__EXPRESSION = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATUS_FLAG__NAME = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATUS_FLAG__DOC = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Status Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATUS_FLAG_FEATURE_COUNT = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AttributePropertyImpl <em>Attribute Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AttributePropertyImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAttributeProperty()
	 * @generated
	 */
	int ATTRIBUTE_PROPERTY = 138;

	/**
	 * The number of structural features of the '<em>Attribute Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_PROPERTY_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AttributeFlagImpl <em>Attribute Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AttributeFlagImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAttributeFlag()
	 * @generated
	 */
	int ATTRIBUTE_FLAG = 134;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_FLAG__EXPRESSION = ATTRIBUTE_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Attribute Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_FLAG_FEATURE_COUNT = ATTRIBUTE_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.RequiredFlagImpl <em>Required Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.RequiredFlagImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getRequiredFlag()
	 * @generated
	 */
	int REQUIRED_FLAG = 135;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIRED_FLAG__EXPRESSION = ATTRIBUTE_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Required Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REQUIRED_FLAG_FEATURE_COUNT = ATTRIBUTE_FLAG_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ReadOnlyFlagImpl <em>Read Only Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ReadOnlyFlagImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getReadOnlyFlag()
	 * @generated
	 */
	int READ_ONLY_FLAG = 136;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int READ_ONLY_FLAG__EXPRESSION = ATTRIBUTE_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Read Only Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int READ_ONLY_FLAG_FEATURE_COUNT = ATTRIBUTE_FLAG_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AvailableFlagImpl <em>Available Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AvailableFlagImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAvailableFlag()
	 * @generated
	 */
	int AVAILABLE_FLAG = 137;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AVAILABLE_FLAG__EXPRESSION = ATTRIBUTE_FLAG__EXPRESSION;

	/**
	 * The number of structural features of the '<em>Available Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int AVAILABLE_FLAG_FEATURE_COUNT = ATTRIBUTE_FLAG_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AttributeValidationPropertyImpl <em>Attribute Validation Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AttributeValidationPropertyImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAttributeValidationProperty()
	 * @generated
	 */
	int ATTRIBUTE_VALIDATION_PROPERTY = 139;

	/**
	 * The feature id for the '<em><b>Constraints</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_VALIDATION_PROPERTY__CONSTRAINTS = ATTRIBUTE_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Format</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_VALIDATION_PROPERTY__FORMAT = ATTRIBUTE_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Attribute Validation Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_VALIDATION_PROPERTY_FEATURE_COUNT = ATTRIBUTE_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AttributeTextPropertyImpl <em>Attribute Text Property</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AttributeTextPropertyImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAttributeTextProperty()
	 * @generated
	 */
	int ATTRIBUTE_TEXT_PROPERTY = 140;

	/**
	 * The feature id for the '<em><b>Unit Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_TEXT_PROPERTY__UNIT_TEXT = ATTRIBUTE_PROPERTY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Tooltip Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_TEXT_PROPERTY__TOOLTIP_TEXT = ATTRIBUTE_PROPERTY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Unit Attribute</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_TEXT_PROPERTY__UNIT_ATTRIBUTE = ATTRIBUTE_PROPERTY_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Label Text</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_TEXT_PROPERTY__LABEL_TEXT = ATTRIBUTE_PROPERTY_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Attribute Text Property</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATTRIBUTE_TEXT_PROPERTY_FEATURE_COUNT = ATTRIBUTE_PROPERTY_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.IntegerParameterValueImpl <em>Integer Parameter Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.IntegerParameterValueImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getIntegerParameterValue()
	 * @generated
	 */
	int INTEGER_PARAMETER_VALUE = 141;

	/**
	 * The feature id for the '<em><b>Is Null</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_PARAMETER_VALUE__IS_NULL = PARAMETER_VALUE__IS_NULL;

	/**
	 * The feature id for the '<em><b>Referenced Parameter</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_PARAMETER_VALUE__REFERENCED_PARAMETER = PARAMETER_VALUE__REFERENCED_PARAMETER;

	/**
	 * The feature id for the '<em><b>Int Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_PARAMETER_VALUE__INT_VALUE = PARAMETER_VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Integer Parameter Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_PARAMETER_VALUE_FEATURE_COUNT = PARAMETER_VALUE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.StringParameterValueImpl <em>String Parameter Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.StringParameterValueImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getStringParameterValue()
	 * @generated
	 */
	int STRING_PARAMETER_VALUE = 142;

	/**
	 * The feature id for the '<em><b>Is Null</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER_VALUE__IS_NULL = PARAMETER_VALUE__IS_NULL;

	/**
	 * The feature id for the '<em><b>Referenced Parameter</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER_VALUE__REFERENCED_PARAMETER = PARAMETER_VALUE__REFERENCED_PARAMETER;

	/**
	 * The feature id for the '<em><b>String Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER_VALUE__STRING_VALUE = PARAMETER_VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>String Parameter Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER_VALUE_FEATURE_COUNT = PARAMETER_VALUE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.BooleanParameterValueImpl <em>Boolean Parameter Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.BooleanParameterValueImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getBooleanParameterValue()
	 * @generated
	 */
	int BOOLEAN_PARAMETER_VALUE = 143;

	/**
	 * The feature id for the '<em><b>Is Null</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_PARAMETER_VALUE__IS_NULL = PARAMETER_VALUE__IS_NULL;

	/**
	 * The feature id for the '<em><b>Referenced Parameter</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_PARAMETER_VALUE__REFERENCED_PARAMETER = PARAMETER_VALUE__REFERENCED_PARAMETER;

	/**
	 * The feature id for the '<em><b>Boolean Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_PARAMETER_VALUE__BOOLEAN_VALUE = PARAMETER_VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Boolean Parameter Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_PARAMETER_VALUE_FEATURE_COUNT = PARAMETER_VALUE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ParameterDefinitionImpl <em>Parameter Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ParameterDefinitionImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getParameterDefinition()
	 * @generated
	 */
	int PARAMETER_DEFINITION = 144;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_DEFINITION__TYPE = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_DEFINITION__NAME = 1;

	/**
	 * The number of structural features of the '<em>Parameter Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_DEFINITION_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.TypeDefinitionImpl <em>Type Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.TypeDefinitionImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getTypeDefinition()
	 * @generated
	 */
	int TYPE_DEFINITION = 145;

	/**
	 * The feature id for the '<em><b>Definition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION__DEFINITION = 0;

	/**
	 * The feature id for the '<em><b>Javatype</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION__JAVATYPE = 1;

	/**
	 * The number of structural features of the '<em>Type Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ValidatorImpl <em>Validator</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ValidatorImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getValidator()
	 * @generated
	 */
	int VALIDATOR = 146;

	/**
	 * The feature id for the '<em><b>Validator Parameter</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR__VALIDATOR_PARAMETER = 0;

	/**
	 * The feature id for the '<em><b>Javatype</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR__JAVATYPE = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR__NAME = 2;

	/**
	 * The feature id for the '<em><b>Value Model Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR__VALUE_MODEL_TYPE = 3;

	/**
	 * The number of structural features of the '<em>Validator</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.EditorImpl <em>Editor</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.EditorImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getEditor()
	 * @generated
	 */
	int EDITOR = 147;

	/**
	 * The feature id for the '<em><b>Label</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITOR__LABEL = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITOR__NAME = 1;

	/**
	 * The number of structural features of the '<em>Editor</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITOR_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.EqualityExprImpl <em>Equality Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.EqualityExprImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getEqualityExpr()
	 * @generated
	 */
	int EQUALITY_EXPR = 148;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EQUALITY_EXPR__LEFT = 0;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EQUALITY_EXPR__RIGHT = 1;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EQUALITY_EXPR__OP = 2;

	/**
	 * The number of structural features of the '<em>Equality Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EQUALITY_EXPR_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CondORExprImpl <em>Cond OR Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CondORExprImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCondORExpr()
	 * @generated
	 */
	int COND_OR_EXPR = 149;

	/**
	 * The feature id for the '<em><b>Rights</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_EXPR__RIGHTS = 0;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_EXPR__LEFT = 1;

	/**
	 * The number of structural features of the '<em>Cond OR Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_EXPR_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CondORRightsImpl <em>Cond OR Rights</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CondORRightsImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCondORRights()
	 * @generated
	 */
	int COND_OR_RIGHTS = 150;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_RIGHTS__RIGHT = 0;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_RIGHTS__OP = 1;

	/**
	 * The number of structural features of the '<em>Cond OR Rights</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_RIGHTS_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CondANDExprImpl <em>Cond AND Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CondANDExprImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCondANDExpr()
	 * @generated
	 */
	int COND_AND_EXPR = 151;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_EXPR__LEFT = 0;

	/**
	 * The feature id for the '<em><b>Rights</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_EXPR__RIGHTS = 1;

	/**
	 * The number of structural features of the '<em>Cond AND Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_EXPR_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CondANDRightsImpl <em>Cond AND Rights</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CondANDRightsImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCondANDRights()
	 * @generated
	 */
	int COND_AND_RIGHTS = 152;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_RIGHTS__RIGHT = 0;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_RIGHTS__OP = 1;

	/**
	 * The number of structural features of the '<em>Cond AND Rights</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_RIGHTS_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AtomicBoolExprImpl <em>Atomic Bool Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AtomicBoolExprImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAtomicBoolExpr()
	 * @generated
	 */
	int ATOMIC_BOOL_EXPR = 153;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATOMIC_BOOL_EXPR__OP = 0;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATOMIC_BOOL_EXPR__RIGHT = 1;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATOMIC_BOOL_EXPR__LEFT = 2;

	/**
	 * The number of structural features of the '<em>Atomic Bool Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATOMIC_BOOL_EXPR_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.RelationalExprImpl <em>Relational Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.RelationalExprImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getRelationalExpr()
	 * @generated
	 */
	int RELATIONAL_EXPR = 154;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIONAL_EXPR__OP = ATOMIC_BOOL_EXPR__OP;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIONAL_EXPR__RIGHT = ATOMIC_BOOL_EXPR__RIGHT;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIONAL_EXPR__LEFT = ATOMIC_BOOL_EXPR__LEFT;

	/**
	 * The number of structural features of the '<em>Relational Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIONAL_EXPR_FEATURE_COUNT = ATOMIC_BOOL_EXPR_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AdditiveExprImpl <em>Additive Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AdditiveExprImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAdditiveExpr()
	 * @generated
	 */
	int ADDITIVE_EXPR = 155;

	/**
	 * The feature id for the '<em><b>Rights</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_EXPR__RIGHTS = 0;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_EXPR__LEFT = 1;

	/**
	 * The number of structural features of the '<em>Additive Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_EXPR_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.AdditiveRightsImpl <em>Additive Rights</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.AdditiveRightsImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAdditiveRights()
	 * @generated
	 */
	int ADDITIVE_RIGHTS = 156;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_RIGHTS__RIGHT = 0;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_RIGHTS__OP = 1;

	/**
	 * The number of structural features of the '<em>Additive Rights</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_RIGHTS_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.MultiplicativeExprImpl <em>Multiplicative Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.MultiplicativeExprImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getMultiplicativeExpr()
	 * @generated
	 */
	int MULTIPLICATIVE_EXPR = 157;

	/**
	 * The feature id for the '<em><b>Rights</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_EXPR__RIGHTS = 0;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_EXPR__LEFT = 1;

	/**
	 * The number of structural features of the '<em>Multiplicative Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_EXPR_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.MultiplicativeRightsImpl <em>Multiplicative Rights</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.MultiplicativeRightsImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getMultiplicativeRights()
	 * @generated
	 */
	int MULTIPLICATIVE_RIGHTS = 158;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_RIGHTS__OP = 0;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_RIGHTS__RIGHT = 1;

	/**
	 * The number of structural features of the '<em>Multiplicative Rights</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_RIGHTS_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.CallImpl <em>Call</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.CallImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getCall()
	 * @generated
	 */
	int CALL = 160;

	/**
	 * The feature id for the '<em><b>Expr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL__EXPR = ATOMIC_EXPR_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL__NAME = ATOMIC_EXPR_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_FEATURE_COUNT = ATOMIC_EXPR_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.ParenExprImpl <em>Paren Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.ParenExprImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getParenExpr()
	 * @generated
	 */
	int PAREN_EXPR = 161;

	/**
	 * The feature id for the '<em><b>Expr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAREN_EXPR__EXPR = ATOMIC_EXPR_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Paren Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAREN_EXPR_FEATURE_COUNT = ATOMIC_EXPR_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.LiteralImpl <em>Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.LiteralImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getLiteral()
	 * @generated
	 */
	int LITERAL = 162;

	/**
	 * The number of structural features of the '<em>Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LITERAL_FEATURE_COUNT = ATOMIC_EXPR_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.IntLiteralImpl <em>Int Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.IntLiteralImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getIntLiteral()
	 * @generated
	 */
	int INT_LITERAL = 163;

	/**
	 * The feature id for the '<em><b>Number</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_LITERAL__NUMBER = LITERAL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Int Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_LITERAL_FEATURE_COUNT = LITERAL_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.StringLiteralImpl <em>String Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.StringLiteralImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getStringLiteral()
	 * @generated
	 */
	int STRING_LITERAL = 164;

	/**
	 * The feature id for the '<em><b>String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_LITERAL__STRING = LITERAL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>String Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_LITERAL_FEATURE_COUNT = LITERAL_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.BoolLiteralImpl <em>Bool Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.BoolLiteralImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getBoolLiteral()
	 * @generated
	 */
	int BOOL_LITERAL = 165;

	/**
	 * The number of structural features of the '<em>Bool Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOL_LITERAL_FEATURE_COUNT = LITERAL_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.TrueLiteralImpl <em>True Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.TrueLiteralImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getTrueLiteral()
	 * @generated
	 */
	int TRUE_LITERAL = 166;

	/**
	 * The number of structural features of the '<em>True Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUE_LITERAL_FEATURE_COUNT = BOOL_LITERAL_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.impl.FalseLiteralImpl <em>False Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.impl.FalseLiteralImpl
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getFalseLiteral()
	 * @generated
	 */
	int FALSE_LITERAL = 167;

	/**
	 * The number of structural features of the '<em>False Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FALSE_LITERAL_FEATURE_COUNT = BOOL_LITERAL_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.EventType <em>Event Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.EventType
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getEventType()
	 * @generated
	 */
	int EVENT_TYPE = 168;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.AttachmentOwnPosition <em>Attachment Own Position</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.AttachmentOwnPosition
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAttachmentOwnPosition()
	 * @generated
	 */
	int ATTACHMENT_OWN_POSITION = 169;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.AttachmentSiblingPosition <em>Attachment Sibling Position</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.AttachmentSiblingPosition
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAttachmentSiblingPosition()
	 * @generated
	 */
	int ATTACHMENT_SIBLING_POSITION = 170;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.ContentAlignment <em>Content Alignment</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.ContentAlignment
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getContentAlignment()
	 * @generated
	 */
	int CONTENT_ALIGNMENT = 171;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.ServiceType <em>Service Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.ServiceType
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getServiceType()
	 * @generated
	 */
	int SERVICE_TYPE = 172;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.BooleanValue <em>Boolean Value</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.BooleanValue
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getBooleanValue()
	 * @generated
	 */
	int BOOLEAN_VALUE = 173;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.ValueModelType <em>Value Model Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.ValueModelType
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getValueModelType()
	 * @generated
	 */
	int VALUE_MODEL_TYPE = 174;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.ParameterDefinitionType <em>Parameter Definition Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.ParameterDefinitionType
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getParameterDefinitionType()
	 * @generated
	 */
	int PARAMETER_DEFINITION_TYPE = 175;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.MultiplicativeOp <em>Multiplicative Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.MultiplicativeOp
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getMultiplicativeOp()
	 * @generated
	 */
	int MULTIPLICATIVE_OP = 176;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.AdditiveOp <em>Additive Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.AdditiveOp
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAdditiveOp()
	 * @generated
	 */
	int ADDITIVE_OP = 177;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.RelationalOp <em>Relational Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.RelationalOp
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getRelationalOp()
	 * @generated
	 */
	int RELATIONAL_OP = 178;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.EqualityOp <em>Equality Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.EqualityOp
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getEqualityOp()
	 * @generated
	 */
	int EQUALITY_OP = 179;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.OrOp <em>Or Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.OrOp
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getOrOp()
	 * @generated
	 */
	int OR_OP = 180;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.AndOp <em>And Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.AndOp
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getAndOp()
	 * @generated
	 */
	int AND_OP = 181;

	/**
	 * The meta object id for the '{@link org.openxma.xmadsl.model.VariableAccess <em>Variable Access</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.xmadsl.model.VariableAccess
	 * @see org.openxma.xmadsl.model.impl.XmadslPackageImpl#getVariableAccess()
	 * @generated
	 */
	int VARIABLE_ACCESS = 182;


	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Model <em>Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Model</em>'.
	 * @see org.openxma.xmadsl.model.Model
	 * @generated
	 */
	EClass getModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Model#getImports <em>Imports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Imports</em>'.
	 * @see org.openxma.xmadsl.model.Model#getImports()
	 * @see #getModel()
	 * @generated
	 */
	EReference getModel_Imports();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DomainModel <em>Domain Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Domain Model</em>'.
	 * @see org.openxma.xmadsl.model.DomainModel
	 * @generated
	 */
	EClass getDomainModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.DomainModel#getDomainObjects <em>Domain Objects</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Domain Objects</em>'.
	 * @see org.openxma.xmadsl.model.DomainModel#getDomainObjects()
	 * @see #getDomainModel()
	 * @generated
	 */
	EReference getDomainModel_DomainObjects();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.DomainModel#getDoc <em>Doc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Doc</em>'.
	 * @see org.openxma.xmadsl.model.DomainModel#getDoc()
	 * @see #getDomainModel()
	 * @generated
	 */
	EAttribute getDomainModel_Doc();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.DomainModel#getPackage <em>Package</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Package</em>'.
	 * @see org.openxma.xmadsl.model.DomainModel#getPackage()
	 * @see #getDomainModel()
	 * @generated
	 */
	EAttribute getDomainModel_Package();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ApplicationModel <em>Application Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Application Model</em>'.
	 * @see org.openxma.xmadsl.model.ApplicationModel
	 * @generated
	 */
	EClass getApplicationModel();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.ApplicationModel#getApplication <em>Application</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Application</em>'.
	 * @see org.openxma.xmadsl.model.ApplicationModel#getApplication()
	 * @see #getApplicationModel()
	 * @generated
	 */
	EReference getApplicationModel_Application();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.ApplicationModel#getDefaults <em>Defaults</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Defaults</em>'.
	 * @see org.openxma.xmadsl.model.ApplicationModel#getDefaults()
	 * @see #getApplicationModel()
	 * @generated
	 */
	EReference getApplicationModel_Defaults();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.ApplicationModel#getCustomization <em>Customization</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Customization</em>'.
	 * @see org.openxma.xmadsl.model.ApplicationModel#getCustomization()
	 * @see #getApplicationModel()
	 * @generated
	 */
	EReference getApplicationModel_Customization();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ComponentModel <em>Component Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component Model</em>'.
	 * @see org.openxma.xmadsl.model.ComponentModel
	 * @generated
	 */
	EClass getComponentModel();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.ComponentModel#getComponent <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Component</em>'.
	 * @see org.openxma.xmadsl.model.ComponentModel#getComponent()
	 * @see #getComponentModel()
	 * @generated
	 */
	EReference getComponentModel_Component();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DomainObject <em>Domain Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Domain Object</em>'.
	 * @see org.openxma.xmadsl.model.DomainObject
	 * @generated
	 */
	EClass getDomainObject();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Customization <em>Customization</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customization</em>'.
	 * @see org.openxma.xmadsl.model.Customization
	 * @generated
	 */
	EClass getCustomization();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Customization#getStyles <em>Styles</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Styles</em>'.
	 * @see org.openxma.xmadsl.model.Customization#getStyles()
	 * @see #getCustomization()
	 * @generated
	 */
	EReference getCustomization_Styles();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Customization#getValidators <em>Validators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Validators</em>'.
	 * @see org.openxma.xmadsl.model.Customization#getValidators()
	 * @see #getCustomization()
	 * @generated
	 */
	EReference getCustomization_Validators();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Customization#getEditors <em>Editors</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Editors</em>'.
	 * @see org.openxma.xmadsl.model.Customization#getEditors()
	 * @see #getCustomization()
	 * @generated
	 */
	EReference getCustomization_Editors();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Customization#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.Customization#getName()
	 * @see #getCustomization()
	 * @generated
	 */
	EAttribute getCustomization_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Customization#getDatatypes <em>Datatypes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Datatypes</em>'.
	 * @see org.openxma.xmadsl.model.Customization#getDatatypes()
	 * @see #getCustomization()
	 * @generated
	 */
	EReference getCustomization_Datatypes();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Defaults <em>Defaults</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Defaults</em>'.
	 * @see org.openxma.xmadsl.model.Defaults
	 * @generated
	 */
	EClass getDefaults();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Defaults#getDatatypes <em>Datatypes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Datatypes</em>'.
	 * @see org.openxma.xmadsl.model.Defaults#getDatatypes()
	 * @see #getDefaults()
	 * @generated
	 */
	EReference getDefaults_Datatypes();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Defaults#getEditors <em>Editors</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Editors</em>'.
	 * @see org.openxma.xmadsl.model.Defaults#getEditors()
	 * @see #getDefaults()
	 * @generated
	 */
	EReference getDefaults_Editors();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Defaults#getValidators <em>Validators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Validators</em>'.
	 * @see org.openxma.xmadsl.model.Defaults#getValidators()
	 * @see #getDefaults()
	 * @generated
	 */
	EReference getDefaults_Validators();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Property <em>Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Property</em>'.
	 * @see org.openxma.xmadsl.model.Property
	 * @generated
	 */
	EClass getProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Property#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.Property#getName()
	 * @see #getProperty()
	 * @generated
	 */
	EAttribute getProperty_Name();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.Property#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Type</em>'.
	 * @see org.openxma.xmadsl.model.Property#getType()
	 * @see #getProperty()
	 * @generated
	 */
	EReference getProperty_Type();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Style <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style</em>'.
	 * @see org.openxma.xmadsl.model.Style
	 * @generated
	 */
	EClass getStyle();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Style#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.Style#getName()
	 * @see #getStyle()
	 * @generated
	 */
	EAttribute getStyle_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ApplicationSession <em>Application Session</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Application Session</em>'.
	 * @see org.openxma.xmadsl.model.ApplicationSession
	 * @generated
	 */
	EClass getApplicationSession();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.ApplicationSession#getProperties <em>Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Properties</em>'.
	 * @see org.openxma.xmadsl.model.ApplicationSession#getProperties()
	 * @see #getApplicationSession()
	 * @generated
	 */
	EReference getApplicationSession_Properties();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.ApplicationSession#getConditionsBlock <em>Conditions Block</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Conditions Block</em>'.
	 * @see org.openxma.xmadsl.model.ApplicationSession#getConditionsBlock()
	 * @see #getApplicationSession()
	 * @generated
	 */
	EReference getApplicationSession_ConditionsBlock();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.ApplicationSession#getFunctions <em>Functions</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Functions</em>'.
	 * @see org.openxma.xmadsl.model.ApplicationSession#getFunctions()
	 * @see #getApplicationSession()
	 * @generated
	 */
	EReference getApplicationSession_Functions();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ApplicationSession#getSessionClass <em>Session Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Session Class</em>'.
	 * @see org.openxma.xmadsl.model.ApplicationSession#getSessionClass()
	 * @see #getApplicationSession()
	 * @generated
	 */
	EAttribute getApplicationSession_SessionClass();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.SessionFunction <em>Session Function</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Session Function</em>'.
	 * @see org.openxma.xmadsl.model.SessionFunction
	 * @generated
	 */
	EClass getSessionFunction();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.SessionFunction#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.SessionFunction#getName()
	 * @see #getSessionFunction()
	 * @generated
	 */
	EAttribute getSessionFunction_Name();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.SessionFunction#getParameterType <em>Parameter Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Parameter Type</em>'.
	 * @see org.openxma.xmadsl.model.SessionFunction#getParameterType()
	 * @see #getSessionFunction()
	 * @generated
	 */
	EReference getSessionFunction_ParameterType();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.SessionFunction#getParameterName <em>Parameter Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Parameter Name</em>'.
	 * @see org.openxma.xmadsl.model.SessionFunction#getParameterName()
	 * @see #getSessionFunction()
	 * @generated
	 */
	EAttribute getSessionFunction_ParameterName();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.SessionFunction#getResultType <em>Result Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Result Type</em>'.
	 * @see org.openxma.xmadsl.model.SessionFunction#getResultType()
	 * @see #getSessionFunction()
	 * @generated
	 */
	EReference getSessionFunction_ResultType();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.FieldFlag <em>Field Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Flag</em>'.
	 * @see org.openxma.xmadsl.model.FieldFlag
	 * @generated
	 */
	EClass getFieldFlag();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.FieldFlag#getExpression <em>Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Expression</em>'.
	 * @see org.openxma.xmadsl.model.FieldFlag#getExpression()
	 * @see #getFieldFlag()
	 * @generated
	 */
	EReference getFieldFlag_Expression();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.EnabledFlag <em>Enabled Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Enabled Flag</em>'.
	 * @see org.openxma.xmadsl.model.EnabledFlag
	 * @generated
	 */
	EClass getEnabledFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.MandatoryFlag <em>Mandatory Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Mandatory Flag</em>'.
	 * @see org.openxma.xmadsl.model.MandatoryFlag
	 * @generated
	 */
	EClass getMandatoryFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.VisibleFlag <em>Visible Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Visible Flag</em>'.
	 * @see org.openxma.xmadsl.model.VisibleFlag
	 * @generated
	 */
	EClass getVisibleFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CollapsedFlag <em>Collapsed Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Collapsed Flag</em>'.
	 * @see org.openxma.xmadsl.model.CollapsedFlag
	 * @generated
	 */
	EClass getCollapsedFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.EditableFlag <em>Editable Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Editable Flag</em>'.
	 * @see org.openxma.xmadsl.model.EditableFlag
	 * @generated
	 */
	EClass getEditableFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Component <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Component</em>'.
	 * @see org.openxma.xmadsl.model.Component
	 * @generated
	 */
	EClass getComponent();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Component#getPages <em>Pages</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Pages</em>'.
	 * @see org.openxma.xmadsl.model.Component#getPages()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Pages();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Component#getCommands <em>Commands</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Commands</em>'.
	 * @see org.openxma.xmadsl.model.Component#getCommands()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Commands();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.Component#getXmaComponent <em>Xma Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Component</em>'.
	 * @see org.openxma.xmadsl.model.Component#getXmaComponent()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_XmaComponent();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Component#getDataobjects <em>Dataobjects</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Dataobjects</em>'.
	 * @see org.openxma.xmadsl.model.Component#getDataobjects()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Dataobjects();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Component#getCustomizedAttributeList <em>Customized Attribute List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Customized Attribute List</em>'.
	 * @see org.openxma.xmadsl.model.Component#getCustomizedAttributeList()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_CustomizedAttributeList();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Component#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Events</em>'.
	 * @see org.openxma.xmadsl.model.Component#getEvents()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_Events();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Component#getConditionsBlock <em>Conditions Block</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Conditions Block</em>'.
	 * @see org.openxma.xmadsl.model.Component#getConditionsBlock()
	 * @see #getComponent()
	 * @generated
	 */
	EReference getComponent_ConditionsBlock();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ReferencedXMAGuiElement <em>Referenced XMA Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced XMA Gui Element</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedXMAGuiElement
	 * @generated
	 */
	EClass getReferencedXMAGuiElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ReferencedXMAPage <em>Referenced XMA Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced XMA Page</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedXMAPage
	 * @generated
	 */
	EClass getReferencedXMAPage();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.ReferencedXMAPage#getXmaPage <em>Xma Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Page</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedXMAPage#getXmaPage()
	 * @see #getReferencedXMAPage()
	 * @generated
	 */
	EReference getReferencedXMAPage_XmaPage();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.ReferencedXMAPage#getGrayLogic <em>Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Gray Logic</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedXMAPage#getGrayLogic()
	 * @see #getReferencedXMAPage()
	 * @generated
	 */
	EReference getReferencedXMAPage_GrayLogic();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ReferencedXMAComposite <em>Referenced XMA Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced XMA Composite</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedXMAComposite
	 * @generated
	 */
	EClass getReferencedXMAComposite();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.ReferencedXMAComposite#getXmaComposite <em>Xma Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Composite</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedXMAComposite#getXmaComposite()
	 * @see #getReferencedXMAComposite()
	 * @generated
	 */
	EReference getReferencedXMAComposite_XmaComposite();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.GrayLogic <em>Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gray Logic</em>'.
	 * @see org.openxma.xmadsl.model.GrayLogic
	 * @generated
	 */
	EClass getGrayLogic();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.GrayLogic#getWidgetGrayLogic <em>Widget Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Widget Gray Logic</em>'.
	 * @see org.openxma.xmadsl.model.GrayLogic#getWidgetGrayLogic()
	 * @see #getGrayLogic()
	 * @generated
	 */
	EReference getGrayLogic_WidgetGrayLogic();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.XMAWidgetGrayLogic <em>XMA Widget Gray Logic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>XMA Widget Gray Logic</em>'.
	 * @see org.openxma.xmadsl.model.XMAWidgetGrayLogic
	 * @generated
	 */
	EClass getXMAWidgetGrayLogic();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.XMAWidgetGrayLogic#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.xmadsl.model.XMAWidgetGrayLogic#getFieldFlags()
	 * @see #getXMAWidgetGrayLogic()
	 * @generated
	 */
	EReference getXMAWidgetGrayLogic_FieldFlags();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.XMAWidgetGrayLogic#getXmaWidget <em>Xma Widget</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Xma Widget</em>'.
	 * @see org.openxma.xmadsl.model.XMAWidgetGrayLogic#getXmaWidget()
	 * @see #getXMAWidgetGrayLogic()
	 * @generated
	 */
	EReference getXMAWidgetGrayLogic_XmaWidget();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DataObjectVariable <em>Data Object Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Object Variable</em>'.
	 * @see org.openxma.xmadsl.model.DataObjectVariable
	 * @generated
	 */
	EClass getDataObjectVariable();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.DataObjectVariable#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.DataObjectVariable#getName()
	 * @see #getDataObjectVariable()
	 * @generated
	 */
	EAttribute getDataObjectVariable_Name();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.DataObjectVariable#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Type</em>'.
	 * @see org.openxma.xmadsl.model.DataObjectVariable#getType()
	 * @see #getDataObjectVariable()
	 * @generated
	 */
	EReference getDataObjectVariable_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.DataObjectVariable#isIsCollection <em>Is Collection</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Collection</em>'.
	 * @see org.openxma.xmadsl.model.DataObjectVariable#isIsCollection()
	 * @see #getDataObjectVariable()
	 * @generated
	 */
	EAttribute getDataObjectVariable_IsCollection();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.DataObjectVariable#getCustomizedAttributes <em>Customized Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Customized Attributes</em>'.
	 * @see org.openxma.xmadsl.model.DataObjectVariable#getCustomizedAttributes()
	 * @see #getDataObjectVariable()
	 * @generated
	 */
	EReference getDataObjectVariable_CustomizedAttributes();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CustomizeAttributeList <em>Customize Attribute List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customize Attribute List</em>'.
	 * @see org.openxma.xmadsl.model.CustomizeAttributeList
	 * @generated
	 */
	EClass getCustomizeAttributeList();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizeAttributeList#getCustomizedAttributes <em>Customized Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Customized Attributes</em>'.
	 * @see org.openxma.xmadsl.model.CustomizeAttributeList#getCustomizedAttributes()
	 * @see #getCustomizeAttributeList()
	 * @generated
	 */
	EReference getCustomizeAttributeList_CustomizedAttributes();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CustomizedAttribute <em>Customized Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customized Attribute</em>'.
	 * @see org.openxma.xmadsl.model.CustomizedAttribute
	 * @generated
	 */
	EClass getCustomizedAttribute();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CustomizedAttribute#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Properties</em>'.
	 * @see org.openxma.xmadsl.model.CustomizedAttribute#getTextProperties()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_TextProperties();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CustomizedAttribute#getField <em>Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Field</em>'.
	 * @see org.openxma.xmadsl.model.CustomizedAttribute#getField()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_Field();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CustomizedAttribute#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.xmadsl.model.CustomizedAttribute#getFormat()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_Format();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizedAttribute#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.xmadsl.model.CustomizedAttribute#getConstraints()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_Constraints();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizedAttribute#getAttributFlags <em>Attribut Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Attribut Flags</em>'.
	 * @see org.openxma.xmadsl.model.CustomizedAttribute#getAttributFlags()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_AttributFlags();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizedAttribute#getAttributFlag <em>Attribut Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Attribut Flag</em>'.
	 * @see org.openxma.xmadsl.model.CustomizedAttribute#getAttributFlag()
	 * @see #getCustomizedAttribute()
	 * @generated
	 */
	EReference getCustomizedAttribute_AttributFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.TextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Text Properties</em>'.
	 * @see org.openxma.xmadsl.model.TextProperties
	 * @generated
	 */
	EClass getTextProperties();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TextProperties#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label Text</em>'.
	 * @see org.openxma.xmadsl.model.TextProperties#getLabelText()
	 * @see #getTextProperties()
	 * @generated
	 */
	EAttribute getTextProperties_LabelText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TextProperties#getUnitLabelText <em>Unit Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unit Label Text</em>'.
	 * @see org.openxma.xmadsl.model.TextProperties#getUnitLabelText()
	 * @see #getTextProperties()
	 * @generated
	 */
	EAttribute getTextProperties_UnitLabelText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TextProperties#getTooltipText <em>Tooltip Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tooltip Text</em>'.
	 * @see org.openxma.xmadsl.model.TextProperties#getTooltipText()
	 * @see #getTextProperties()
	 * @generated
	 */
	EAttribute getTextProperties_TooltipText();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.IField <em>IField</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IField</em>'.
	 * @see org.openxma.xmadsl.model.IField
	 * @generated
	 */
	EClass getIField();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.IField#getAttributeHolder <em>Attribute Holder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Attribute Holder</em>'.
	 * @see org.openxma.xmadsl.model.IField#getAttributeHolder()
	 * @see #getIField()
	 * @generated
	 */
	EReference getIField_AttributeHolder();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.IField#getObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Object</em>'.
	 * @see org.openxma.xmadsl.model.IField#getObject()
	 * @see #getIField()
	 * @generated
	 */
	EReference getIField_Object();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.FieldReference <em>Field Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Reference</em>'.
	 * @see org.openxma.xmadsl.model.FieldReference
	 * @generated
	 */
	EClass getFieldReference();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CustomizeableField <em>Customizeable Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customizeable Field</em>'.
	 * @see org.openxma.xmadsl.model.CustomizeableField
	 * @generated
	 */
	EClass getCustomizeableField();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CustomizeableField#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Properties</em>'.
	 * @see org.openxma.xmadsl.model.CustomizeableField#getTextProperties()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_TextProperties();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizeableField#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.xmadsl.model.CustomizeableField#getConstraints()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_Constraints();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizeableField#getFieldFlags <em>Field Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Field Flags</em>'.
	 * @see org.openxma.xmadsl.model.CustomizeableField#getFieldFlags()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_FieldFlags();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CustomizeableField#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.xmadsl.model.CustomizeableField#getFormat()
	 * @see #getCustomizeableField()
	 * @generated
	 */
	EReference getCustomizeableField_Format();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Command <em>Command</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Command</em>'.
	 * @see org.openxma.xmadsl.model.Command
	 * @generated
	 */
	EClass getCommand();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Command#isClientOnly <em>Client Only</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Client Only</em>'.
	 * @see org.openxma.xmadsl.model.Command#isClientOnly()
	 * @see #getCommand()
	 * @generated
	 */
	EAttribute getCommand_ClientOnly();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Command#getDoc <em>Doc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Doc</em>'.
	 * @see org.openxma.xmadsl.model.Command#getDoc()
	 * @see #getCommand()
	 * @generated
	 */
	EAttribute getCommand_Doc();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Command#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.Command#getName()
	 * @see #getCommand()
	 * @generated
	 */
	EAttribute getCommand_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.EventMappingList <em>Event Mapping List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Mapping List</em>'.
	 * @see org.openxma.xmadsl.model.EventMappingList
	 * @generated
	 */
	EClass getEventMappingList();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.EventMappingList#getMapping <em>Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Mapping</em>'.
	 * @see org.openxma.xmadsl.model.EventMappingList#getMapping()
	 * @see #getEventMappingList()
	 * @generated
	 */
	EReference getEventMappingList_Mapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.EventMapping <em>Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Event Mapping</em>'.
	 * @see org.openxma.xmadsl.model.EventMapping
	 * @generated
	 */
	EClass getEventMapping();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.EventMapping#getEventFunction <em>Event Function</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Event Function</em>'.
	 * @see org.openxma.xmadsl.model.EventMapping#getEventFunction()
	 * @see #getEventMapping()
	 * @generated
	 */
	EReference getEventMapping_EventFunction();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ControlEventMapping <em>Control Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Control Event Mapping</em>'.
	 * @see org.openxma.xmadsl.model.ControlEventMapping
	 * @generated
	 */
	EClass getControlEventMapping();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ControlEventMapping#getEvent <em>Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Event</em>'.
	 * @see org.openxma.xmadsl.model.ControlEventMapping#getEvent()
	 * @see #getControlEventMapping()
	 * @generated
	 */
	EAttribute getControlEventMapping_Event();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.XMAWidgetEventMapping <em>XMA Widget Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>XMA Widget Event Mapping</em>'.
	 * @see org.openxma.xmadsl.model.XMAWidgetEventMapping
	 * @generated
	 */
	EClass getXMAWidgetEventMapping();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.XMAWidgetEventMapping#getControl <em>Control</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Control</em>'.
	 * @see org.openxma.xmadsl.model.XMAWidgetEventMapping#getControl()
	 * @see #getXMAWidgetEventMapping()
	 * @generated
	 */
	EReference getXMAWidgetEventMapping_Control();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.GuiElementEventMapping <em>Gui Element Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gui Element Event Mapping</em>'.
	 * @see org.openxma.xmadsl.model.GuiElementEventMapping
	 * @generated
	 */
	EClass getGuiElementEventMapping();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.GuiElementEventMapping#getControl <em>Control</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Control</em>'.
	 * @see org.openxma.xmadsl.model.GuiElementEventMapping#getControl()
	 * @see #getGuiElementEventMapping()
	 * @generated
	 */
	EReference getGuiElementEventMapping_Control();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.InitEventMapping <em>Init Event Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Init Event Mapping</em>'.
	 * @see org.openxma.xmadsl.model.InitEventMapping
	 * @generated
	 */
	EClass getInitEventMapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DataMappingList <em>Data Mapping List</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Mapping List</em>'.
	 * @see org.openxma.xmadsl.model.DataMappingList
	 * @generated
	 */
	EClass getDataMappingList();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.DataMappingList#getMapping <em>Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Mapping</em>'.
	 * @see org.openxma.xmadsl.model.DataMappingList#getMapping()
	 * @see #getDataMappingList()
	 * @generated
	 */
	EReference getDataMappingList_Mapping();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DataMapping <em>Data Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Mapping</em>'.
	 * @see org.openxma.xmadsl.model.DataMapping
	 * @generated
	 */
	EClass getDataMapping();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.DataMapping#getControl <em>Control</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Control</em>'.
	 * @see org.openxma.xmadsl.model.DataMapping#getControl()
	 * @see #getDataMapping()
	 * @generated
	 */
	EReference getDataMapping_Control();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.DataMapping#getField <em>Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Field</em>'.
	 * @see org.openxma.xmadsl.model.DataMapping#getField()
	 * @see #getDataMapping()
	 * @generated
	 */
	EReference getDataMapping_Field();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.PageDefinition <em>Page Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page Definition</em>'.
	 * @see org.openxma.xmadsl.model.PageDefinition
	 * @generated
	 */
	EClass getPageDefinition();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Page <em>Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page</em>'.
	 * @see org.openxma.xmadsl.model.Page
	 * @generated
	 */
	EClass getPage();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Page#getComposeLayout <em>Compose Layout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Compose Layout</em>'.
	 * @see org.openxma.xmadsl.model.Page#getComposeLayout()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_ComposeLayout();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Page#getContent <em>Content</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Content</em>'.
	 * @see org.openxma.xmadsl.model.Page#getContent()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Content();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Page#getEvents <em>Events</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Events</em>'.
	 * @see org.openxma.xmadsl.model.Page#getEvents()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Events();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Page#getDataobjects <em>Dataobjects</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Dataobjects</em>'.
	 * @see org.openxma.xmadsl.model.Page#getDataobjects()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Dataobjects();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Page#getConditionsBlock <em>Conditions Block</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Conditions Block</em>'.
	 * @see org.openxma.xmadsl.model.Page#getConditionsBlock()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_ConditionsBlock();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Page#getDataMapping <em>Data Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Data Mapping</em>'.
	 * @see org.openxma.xmadsl.model.Page#getDataMapping()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_DataMapping();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Page#getCommands <em>Commands</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Commands</em>'.
	 * @see org.openxma.xmadsl.model.Page#getCommands()
	 * @see #getPage()
	 * @generated
	 */
	EReference getPage_Commands();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.XmadslPage <em>Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page</em>'.
	 * @see org.openxma.xmadsl.model.XmadslPage
	 * @generated
	 */
	EClass getXmadslPage();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.XmadslPage#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.XmadslPage#getName()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EAttribute getXmadslPage_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.XmadslPage#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label</em>'.
	 * @see org.openxma.xmadsl.model.XmadslPage#getLabel()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EAttribute getXmadslPage_Label();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.XmadslPage#getTemplate <em>Template</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Template</em>'.
	 * @see org.openxma.xmadsl.model.XmadslPage#getTemplate()
	 * @see #getXmadslPage()
	 * @generated
	 */
	EReference getXmadslPage_Template();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.PageCustomization <em>Page Customization</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page Customization</em>'.
	 * @see org.openxma.xmadsl.model.PageCustomization
	 * @generated
	 */
	EClass getPageCustomization();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.PageCustomization#getPageToCustomize <em>Page To Customize</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Page To Customize</em>'.
	 * @see org.openxma.xmadsl.model.PageCustomization#getPageToCustomize()
	 * @see #getPageCustomization()
	 * @generated
	 */
	EReference getPageCustomization_PageToCustomize();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.PageCustomization#getComposites <em>Composites</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Composites</em>'.
	 * @see org.openxma.xmadsl.model.PageCustomization#getComposites()
	 * @see #getPageCustomization()
	 * @generated
	 */
	EReference getPageCustomization_Composites();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.GuiElement <em>Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gui Element</em>'.
	 * @see org.openxma.xmadsl.model.GuiElement
	 * @generated
	 */
	EClass getGuiElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Composite <em>Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Composite</em>'.
	 * @see org.openxma.xmadsl.model.Composite
	 * @generated
	 */
	EClass getComposite();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ComposedElement <em>Composed Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Composed Element</em>'.
	 * @see org.openxma.xmadsl.model.ComposedElement
	 * @generated
	 */
	EClass getComposedElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ComplexElement <em>Complex Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Complex Element</em>'.
	 * @see org.openxma.xmadsl.model.ComplexElement
	 * @generated
	 */
	EClass getComplexElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.SimpleElement <em>Simple Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Simple Element</em>'.
	 * @see org.openxma.xmadsl.model.SimpleElement
	 * @generated
	 */
	EClass getSimpleElement();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.IGuiElementWithEvent <em>IGui Element With Event</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IGui Element With Event</em>'.
	 * @see org.openxma.xmadsl.model.IGuiElementWithEvent
	 * @generated
	 */
	EClass getIGuiElementWithEvent();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.IGuiElementWithEvent#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.IGuiElementWithEvent#getName()
	 * @see #getIGuiElementWithEvent()
	 * @generated
	 */
	EAttribute getIGuiElementWithEvent_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.GuiElementWithEvent_dummy <em>Gui Element With Event dummy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Gui Element With Event dummy</em>'.
	 * @see org.openxma.xmadsl.model.GuiElementWithEvent_dummy
	 * @generated
	 */
	EClass getGuiElementWithEvent_dummy();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Text <em>Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Text</em>'.
	 * @see org.openxma.xmadsl.model.Text
	 * @generated
	 */
	EClass getText();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Text#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.xmadsl.model.Text#getConstraints()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_Constraints();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Text#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.xmadsl.model.Text#getFormat()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_Format();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Text#getTextProperties <em>Text Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Text Properties</em>'.
	 * @see org.openxma.xmadsl.model.Text#getTextProperties()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_TextProperties();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Text#getAttributFlags <em>Attribut Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Attribut Flags</em>'.
	 * @see org.openxma.xmadsl.model.Text#getAttributFlags()
	 * @see #getText()
	 * @generated
	 */
	EReference getText_AttributFlags();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Text#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.Text#getName()
	 * @see #getText()
	 * @generated
	 */
	EAttribute getText_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Label <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Label</em>'.
	 * @see org.openxma.xmadsl.model.Label
	 * @generated
	 */
	EClass getLabel();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Label#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.Label#getName()
	 * @see #getLabel()
	 * @generated
	 */
	EAttribute getLabel_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Label#getText <em>Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Text</em>'.
	 * @see org.openxma.xmadsl.model.Label#getText()
	 * @see #getLabel()
	 * @generated
	 */
	EAttribute getLabel_Text();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Button <em>Button</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Button</em>'.
	 * @see org.openxma.xmadsl.model.Button
	 * @generated
	 */
	EClass getButton();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Button#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label</em>'.
	 * @see org.openxma.xmadsl.model.Button#getLabel()
	 * @see #getButton()
	 * @generated
	 */
	EAttribute getButton_Label();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.IComposite <em>IComposite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IComposite</em>'.
	 * @see org.openxma.xmadsl.model.IComposite
	 * @generated
	 */
	EClass getIComposite();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.IComposite#getContent <em>Content</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Content</em>'.
	 * @see org.openxma.xmadsl.model.IComposite#getContent()
	 * @see #getIComposite()
	 * @generated
	 */
	EReference getIComposite_Content();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.XmadslComposite <em>Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Composite</em>'.
	 * @see org.openxma.xmadsl.model.XmadslComposite
	 * @generated
	 */
	EClass getXmadslComposite();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.XmadslComposite#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.XmadslComposite#getName()
	 * @see #getXmadslComposite()
	 * @generated
	 */
	EAttribute getXmadslComposite_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.XmadslComposite#getScrollable <em>Scrollable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Scrollable</em>'.
	 * @see org.openxma.xmadsl.model.XmadslComposite#getScrollable()
	 * @see #getXmadslComposite()
	 * @generated
	 */
	EReference getXmadslComposite_Scrollable();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ReferencedComposite <em>Referenced Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced Composite</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedComposite
	 * @generated
	 */
	EClass getReferencedComposite();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.ReferencedComposite#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedComposite#getReference()
	 * @see #getReferencedComposite()
	 * @generated
	 */
	EReference getReferencedComposite_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Table <em>Table</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Table</em>'.
	 * @see org.openxma.xmadsl.model.Table
	 * @generated
	 */
	EClass getTable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.Table#getObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Object</em>'.
	 * @see org.openxma.xmadsl.model.Table#getObject()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Object();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Table#getColumns <em>Columns</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Columns</em>'.
	 * @see org.openxma.xmadsl.model.Table#getColumns()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Columns();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Table#getLayoutData <em>Layout Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Layout Data</em>'.
	 * @see org.openxma.xmadsl.model.Table#getLayoutData()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_LayoutData();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Table#getColumnMinWidth <em>Column Min Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Column Min Width</em>'.
	 * @see org.openxma.xmadsl.model.Table#getColumnMinWidth()
	 * @see #getTable()
	 * @generated
	 */
	EAttribute getTable_ColumnMinWidth();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.Table#getKey <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Key</em>'.
	 * @see org.openxma.xmadsl.model.Table#getKey()
	 * @see #getTable()
	 * @generated
	 */
	EReference getTable_Key();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.TableColumn <em>Table Column</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Table Column</em>'.
	 * @see org.openxma.xmadsl.model.TableColumn
	 * @generated
	 */
	EClass getTableColumn();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.TableColumn#getAttributeHolder <em>Attribute Holder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Attribute Holder</em>'.
	 * @see org.openxma.xmadsl.model.TableColumn#getAttributeHolder()
	 * @see #getTableColumn()
	 * @generated
	 */
	EReference getTableColumn_AttributeHolder();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TableColumn#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.xmadsl.model.TableColumn#getWidth()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_Width();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TableColumn#getMaxWidth <em>Max Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Max Width</em>'.
	 * @see org.openxma.xmadsl.model.TableColumn#getMaxWidth()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_MaxWidth();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.TableColumn#getObject <em>Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Object</em>'.
	 * @see org.openxma.xmadsl.model.TableColumn#getObject()
	 * @see #getTableColumn()
	 * @generated
	 */
	EReference getTableColumn_Object();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TableColumn#getAlign <em>Align</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Align</em>'.
	 * @see org.openxma.xmadsl.model.TableColumn#getAlign()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_Align();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TableColumn#getMinWidth <em>Min Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Min Width</em>'.
	 * @see org.openxma.xmadsl.model.TableColumn#getMinWidth()
	 * @see #getTableColumn()
	 * @generated
	 */
	EAttribute getTableColumn_MinWidth();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.IGroup <em>IGroup</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IGroup</em>'.
	 * @see org.openxma.xmadsl.model.IGroup
	 * @generated
	 */
	EClass getIGroup();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.IGroup#getContent <em>Content</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Content</em>'.
	 * @see org.openxma.xmadsl.model.IGroup#getContent()
	 * @see #getIGroup()
	 * @generated
	 */
	EReference getIGroup_Content();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Group <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Group</em>'.
	 * @see org.openxma.xmadsl.model.Group
	 * @generated
	 */
	EClass getGroup();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Group#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label</em>'.
	 * @see org.openxma.xmadsl.model.Group#getLabel()
	 * @see #getGroup()
	 * @generated
	 */
	EAttribute getGroup_Label();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Group#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.Group#getName()
	 * @see #getGroup()
	 * @generated
	 */
	EAttribute getGroup_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ReferencedGroup <em>Referenced Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced Group</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedGroup
	 * @generated
	 */
	EClass getReferencedGroup();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.ReferencedGroup#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedGroup#getReference()
	 * @see #getReferencedGroup()
	 * @generated
	 */
	EReference getReferencedGroup_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ITabFolder <em>ITab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ITab Folder</em>'.
	 * @see org.openxma.xmadsl.model.ITabFolder
	 * @generated
	 */
	EClass getITabFolder();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.ITabFolder#getTabItems <em>Tab Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tab Items</em>'.
	 * @see org.openxma.xmadsl.model.ITabFolder#getTabItems()
	 * @see #getITabFolder()
	 * @generated
	 */
	EReference getITabFolder_TabItems();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.TabFolder <em>Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tab Folder</em>'.
	 * @see org.openxma.xmadsl.model.TabFolder
	 * @generated
	 */
	EClass getTabFolder();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TabFolder#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.TabFolder#getName()
	 * @see #getTabFolder()
	 * @generated
	 */
	EAttribute getTabFolder_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ReferencedTabFolder <em>Referenced Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced Tab Folder</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedTabFolder
	 * @generated
	 */
	EClass getReferencedTabFolder();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.ReferencedTabFolder#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedTabFolder#getReference()
	 * @see #getReferencedTabFolder()
	 * @generated
	 */
	EReference getReferencedTabFolder_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ITabPage <em>ITab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>ITab Page</em>'.
	 * @see org.openxma.xmadsl.model.ITabPage
	 * @generated
	 */
	EClass getITabPage();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.TabPage <em>Tab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tab Page</em>'.
	 * @see org.openxma.xmadsl.model.TabPage
	 * @generated
	 */
	EClass getTabPage();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TabPage#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.TabPage#getName()
	 * @see #getTabPage()
	 * @generated
	 */
	EAttribute getTabPage_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TabPage#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label</em>'.
	 * @see org.openxma.xmadsl.model.TabPage#getLabel()
	 * @see #getTabPage()
	 * @generated
	 */
	EAttribute getTabPage_Label();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ReferencedTabPage <em>Referenced Tab Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenced Tab Page</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedTabPage
	 * @generated
	 */
	EClass getReferencedTabPage();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.ReferencedTabPage#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.ReferencedTabPage#getReference()
	 * @see #getReferencedTabPage()
	 * @generated
	 */
	EReference getReferencedTabPage_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.LayoutData <em>Layout Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Layout Data</em>'.
	 * @see org.openxma.xmadsl.model.LayoutData
	 * @generated
	 */
	EClass getLayoutData();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.LayoutData#getHeight <em>Height</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Height</em>'.
	 * @see org.openxma.xmadsl.model.LayoutData#getHeight()
	 * @see #getLayoutData()
	 * @generated
	 */
	EAttribute getLayoutData_Height();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.LayoutData#getAttachments <em>Attachments</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Attachments</em>'.
	 * @see org.openxma.xmadsl.model.LayoutData#getAttachments()
	 * @see #getLayoutData()
	 * @generated
	 */
	EReference getLayoutData_Attachments();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.LayoutData#getStyle <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Style</em>'.
	 * @see org.openxma.xmadsl.model.LayoutData#getStyle()
	 * @see #getLayoutData()
	 * @generated
	 */
	EReference getLayoutData_Style();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.LayoutData#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.xmadsl.model.LayoutData#getWidth()
	 * @see #getLayoutData()
	 * @generated
	 */
	EAttribute getLayoutData_Width();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ComposeData <em>Compose Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Compose Data</em>'.
	 * @see org.openxma.xmadsl.model.ComposeData
	 * @generated
	 */
	EClass getComposeData();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.ComposeData#getSpacing <em>Spacing</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Spacing</em>'.
	 * @see org.openxma.xmadsl.model.ComposeData#getSpacing()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_Spacing();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.ComposeData#getTabulators <em>Tabulators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Tabulators</em>'.
	 * @see org.openxma.xmadsl.model.ComposeData#getTabulators()
	 * @see #getComposeData()
	 * @generated
	 */
	EReference getComposeData_Tabulators();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.PaddingWidth <em>Padding Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Padding Width</em>'.
	 * @see org.openxma.xmadsl.model.PaddingWidth
	 * @generated
	 */
	EClass getPaddingWidth();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.PaddingWidth#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.xmadsl.model.PaddingWidth#getWidth()
	 * @see #getPaddingWidth()
	 * @generated
	 */
	EAttribute getPaddingWidth_Width();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.TabulatorPosition <em>Tabulator Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Tabulator Position</em>'.
	 * @see org.openxma.xmadsl.model.TabulatorPosition
	 * @generated
	 */
	EClass getTabulatorPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TabulatorPosition#getWidth <em>Width</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Width</em>'.
	 * @see org.openxma.xmadsl.model.TabulatorPosition#getWidth()
	 * @see #getTabulatorPosition()
	 * @generated
	 */
	EAttribute getTabulatorPosition_Width();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.TabulatorPosition#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.openxma.xmadsl.model.TabulatorPosition#getOffset()
	 * @see #getTabulatorPosition()
	 * @generated
	 */
	EReference getTabulatorPosition_Offset();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TabulatorPosition#isRelative <em>Relative</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relative</em>'.
	 * @see org.openxma.xmadsl.model.TabulatorPosition#isRelative()
	 * @see #getTabulatorPosition()
	 * @generated
	 */
	EAttribute getTabulatorPosition_Relative();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Content <em>Content</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Content</em>'.
	 * @see org.openxma.xmadsl.model.Content
	 * @generated
	 */
	EClass getContent();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Content#getContainerItems <em>Container Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Container Items</em>'.
	 * @see org.openxma.xmadsl.model.Content#getContainerItems()
	 * @see #getContent()
	 * @generated
	 */
	EReference getContent_ContainerItems();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Content#getWidgetSetItems <em>Widget Set Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Widget Set Items</em>'.
	 * @see org.openxma.xmadsl.model.Content#getWidgetSetItems()
	 * @see #getContent()
	 * @generated
	 */
	EReference getContent_WidgetSetItems();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.PageContent <em>Page Content</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Page Content</em>'.
	 * @see org.openxma.xmadsl.model.PageContent
	 * @generated
	 */
	EClass getPageContent();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CompositeContent <em>Composite Content</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Composite Content</em>'.
	 * @see org.openxma.xmadsl.model.CompositeContent
	 * @generated
	 */
	EClass getCompositeContent();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CompositeContent#getComposeLayout <em>Compose Layout</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Compose Layout</em>'.
	 * @see org.openxma.xmadsl.model.CompositeContent#getComposeLayout()
	 * @see #getCompositeContent()
	 * @generated
	 */
	EReference getCompositeContent_ComposeLayout();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.SetOfSimpleElements <em>Set Of Simple Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Set Of Simple Elements</em>'.
	 * @see org.openxma.xmadsl.model.SetOfSimpleElements
	 * @generated
	 */
	EClass getSetOfSimpleElements();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.SetOfSimpleElements#getElements <em>Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Elements</em>'.
	 * @see org.openxma.xmadsl.model.SetOfSimpleElements#getElements()
	 * @see #getSetOfSimpleElements()
	 * @generated
	 */
	EReference getSetOfSimpleElements_Elements();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Attachment <em>Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attachment</em>'.
	 * @see org.openxma.xmadsl.model.Attachment
	 * @generated
	 */
	EClass getAttachment();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Attachment#getOffset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Offset</em>'.
	 * @see org.openxma.xmadsl.model.Attachment#getOffset()
	 * @see #getAttachment()
	 * @generated
	 */
	EReference getAttachment_Offset();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Attachment#getOwnPosition <em>Own Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Own Position</em>'.
	 * @see org.openxma.xmadsl.model.Attachment#getOwnPosition()
	 * @see #getAttachment()
	 * @generated
	 */
	EAttribute getAttachment_OwnPosition();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ParentAttachment <em>Parent Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Parent Attachment</em>'.
	 * @see org.openxma.xmadsl.model.ParentAttachment
	 * @generated
	 */
	EClass getParentAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ParentAttachment#getDistance <em>Distance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Distance</em>'.
	 * @see org.openxma.xmadsl.model.ParentAttachment#getDistance()
	 * @see #getParentAttachment()
	 * @generated
	 */
	EAttribute getParentAttachment_Distance();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ParentAttachment#isRelative <em>Relative</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Relative</em>'.
	 * @see org.openxma.xmadsl.model.ParentAttachment#isRelative()
	 * @see #getParentAttachment()
	 * @generated
	 */
	EAttribute getParentAttachment_Relative();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.SiblingAttachment <em>Sibling Attachment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sibling Attachment</em>'.
	 * @see org.openxma.xmadsl.model.SiblingAttachment
	 * @generated
	 */
	EClass getSiblingAttachment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.SiblingAttachment#getSiblingPosition <em>Sibling Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sibling Position</em>'.
	 * @see org.openxma.xmadsl.model.SiblingAttachment#getSiblingPosition()
	 * @see #getSiblingAttachment()
	 * @generated
	 */
	EAttribute getSiblingAttachment_SiblingPosition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.SiblingAttachment#isAttachToPrevious <em>Attach To Previous</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Attach To Previous</em>'.
	 * @see org.openxma.xmadsl.model.SiblingAttachment#isAttachToPrevious()
	 * @see #getSiblingAttachment()
	 * @generated
	 */
	EAttribute getSiblingAttachment_AttachToPrevious();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.SiblingAttachment#getSibling <em>Sibling</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Sibling</em>'.
	 * @see org.openxma.xmadsl.model.SiblingAttachment#getSibling()
	 * @see #getSiblingAttachment()
	 * @generated
	 */
	EReference getSiblingAttachment_Sibling();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Offset <em>Offset</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Offset</em>'.
	 * @see org.openxma.xmadsl.model.Offset
	 * @generated
	 */
	EClass getOffset();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Offset#getValue <em>Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value</em>'.
	 * @see org.openxma.xmadsl.model.Offset#getValue()
	 * @see #getOffset()
	 * @generated
	 */
	EAttribute getOffset_Value();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ReferenceableByXmadslVariable <em>Referenceable By Xmadsl Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenceable By Xmadsl Variable</em>'.
	 * @see org.openxma.xmadsl.model.ReferenceableByXmadslVariable
	 * @generated
	 */
	EClass getReferenceableByXmadslVariable();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Dummy1 <em>Dummy1</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dummy1</em>'.
	 * @see org.openxma.xmadsl.model.Dummy1
	 * @generated
	 */
	EClass getDummy1();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Dummy1#getDummyName <em>Dummy Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dummy Name</em>'.
	 * @see org.openxma.xmadsl.model.Dummy1#getDummyName()
	 * @see #getDummy1()
	 * @generated
	 */
	EAttribute getDummy1_DummyName();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Variable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Variable</em>'.
	 * @see org.openxma.xmadsl.model.Variable
	 * @generated
	 */
	EClass getVariable();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Variable#getAccess <em>Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access</em>'.
	 * @see org.openxma.xmadsl.model.Variable#getAccess()
	 * @see #getVariable()
	 * @generated
	 */
	EAttribute getVariable_Access();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.FieldVariable <em>Field Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Field Variable</em>'.
	 * @see org.openxma.xmadsl.model.FieldVariable
	 * @generated
	 */
	EClass getFieldVariable();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.FieldVariable#getField <em>Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Field</em>'.
	 * @see org.openxma.xmadsl.model.FieldVariable#getField()
	 * @see #getFieldVariable()
	 * @generated
	 */
	EReference getFieldVariable_Field();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.XmadslVariable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Variable</em>'.
	 * @see org.openxma.xmadsl.model.XmadslVariable
	 * @generated
	 */
	EClass getXmadslVariable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.XmadslVariable#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.XmadslVariable#getReference()
	 * @see #getXmadslVariable()
	 * @generated
	 */
	EReference getXmadslVariable_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.XmaVariable <em>Xma Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Xma Variable</em>'.
	 * @see org.openxma.xmadsl.model.XmaVariable
	 * @generated
	 */
	EClass getXmaVariable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.XmaVariable#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.XmaVariable#getReference()
	 * @see #getXmaVariable()
	 * @generated
	 */
	EReference getXmaVariable_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CustomizeComponentModel <em>Customize Component Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customize Component Model</em>'.
	 * @see org.openxma.xmadsl.model.CustomizeComponentModel
	 * @generated
	 */
	EClass getCustomizeComponentModel();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizeComponentModel#getCustomizations <em>Customizations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Customizations</em>'.
	 * @see org.openxma.xmadsl.model.CustomizeComponentModel#getCustomizations()
	 * @see #getCustomizeComponentModel()
	 * @generated
	 */
	EReference getCustomizeComponentModel_Customizations();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.CustomizeComponentModel#getComponent <em>Component</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Component</em>'.
	 * @see org.openxma.xmadsl.model.CustomizeComponentModel#getComponent()
	 * @see #getCustomizeComponentModel()
	 * @generated
	 */
	EReference getCustomizeComponentModel_Component();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CustomizationOfGuiElement <em>Customization Of Gui Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customization Of Gui Element</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfGuiElement
	 * @generated
	 */
	EClass getCustomizationOfGuiElement();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.CustomizationOfGuiElement#getPage <em>Page</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Page</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfGuiElement#getPage()
	 * @see #getCustomizationOfGuiElement()
	 * @generated
	 */
	EReference getCustomizationOfGuiElement_Page();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CustomizationOfComposite <em>Customization Of Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customization Of Composite</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfComposite
	 * @generated
	 */
	EClass getCustomizationOfComposite();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.CustomizationOfComposite#getComposite <em>Composite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Composite</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfComposite#getComposite()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EReference getCustomizationOfComposite_Composite();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizationOfComposite#getAddedWidgetSetItems <em>Added Widget Set Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Added Widget Set Items</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfComposite#getAddedWidgetSetItems()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EReference getCustomizationOfComposite_AddedWidgetSetItems();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizationOfComposite#getAddedContainerItems <em>Added Container Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Added Container Items</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfComposite#getAddedContainerItems()
	 * @see #getCustomizationOfComposite()
	 * @generated
	 */
	EReference getCustomizationOfComposite_AddedContainerItems();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CustomizationOfGroup <em>Customization Of Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customization Of Group</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfGroup
	 * @generated
	 */
	EClass getCustomizationOfGroup();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizationOfGroup#getAddedWidgetSetItems <em>Added Widget Set Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Added Widget Set Items</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfGroup#getAddedWidgetSetItems()
	 * @see #getCustomizationOfGroup()
	 * @generated
	 */
	EReference getCustomizationOfGroup_AddedWidgetSetItems();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.CustomizationOfGroup#getGroup <em>Group</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Group</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfGroup#getGroup()
	 * @see #getCustomizationOfGroup()
	 * @generated
	 */
	EReference getCustomizationOfGroup_Group();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizationOfGroup#getAddedContainerItems <em>Added Container Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Added Container Items</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfGroup#getAddedContainerItems()
	 * @see #getCustomizationOfGroup()
	 * @generated
	 */
	EReference getCustomizationOfGroup_AddedContainerItems();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CustomizationOfTabFolder <em>Customization Of Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Customization Of Tab Folder</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfTabFolder
	 * @generated
	 */
	EClass getCustomizationOfTabFolder();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomizationOfTabFolder#getAddedTabItems <em>Added Tab Items</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Added Tab Items</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfTabFolder#getAddedTabItems()
	 * @see #getCustomizationOfTabFolder()
	 * @generated
	 */
	EReference getCustomizationOfTabFolder_AddedTabItems();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.IElementWithName <em>IElement With Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IElement With Name</em>'.
	 * @see org.openxma.xmadsl.model.IElementWithName
	 * @generated
	 */
	EClass getIElementWithName();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.IElementWithName#getDoc <em>Doc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Doc</em>'.
	 * @see org.openxma.xmadsl.model.IElementWithName#getDoc()
	 * @see #getIElementWithName()
	 * @generated
	 */
	EAttribute getIElementWithName_Doc();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.IElementWithName#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.IElementWithName#getName()
	 * @see #getIElementWithName()
	 * @generated
	 */
	EAttribute getIElementWithName_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.IElementWithLayoutData <em>IElement With Layout Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>IElement With Layout Data</em>'.
	 * @see org.openxma.xmadsl.model.IElementWithLayoutData
	 * @generated
	 */
	EClass getIElementWithLayoutData();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.IElementWithLayoutData#getLayoutData <em>Layout Data</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Layout Data</em>'.
	 * @see org.openxma.xmadsl.model.IElementWithLayoutData#getLayoutData()
	 * @see #getIElementWithLayoutData()
	 * @generated
	 */
	EReference getIElementWithLayoutData_LayoutData();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.CustomizationOfTabFolder#getTabFolder <em>Tab Folder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Tab Folder</em>'.
	 * @see org.openxma.xmadsl.model.CustomizationOfTabFolder#getTabFolder()
	 * @see #getCustomizationOfTabFolder()
	 * @generated
	 */
	EReference getCustomizationOfTabFolder_TabFolder();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Service <em>Service</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Service</em>'.
	 * @see org.openxma.xmadsl.model.Service
	 * @generated
	 */
	EClass getService();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Service#getOperations <em>Operations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Operations</em>'.
	 * @see org.openxma.xmadsl.model.Service#getOperations()
	 * @see #getService()
	 * @generated
	 */
	EReference getService_Operations();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Service#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.openxma.xmadsl.model.Service#getType()
	 * @see #getService()
	 * @generated
	 */
	EAttribute getService_Type();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Dependency <em>Dependency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dependency</em>'.
	 * @see org.openxma.xmadsl.model.Dependency
	 * @generated
	 */
	EClass getDependency();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.Dependency#getDependency <em>Dependency</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Dependency</em>'.
	 * @see org.openxma.xmadsl.model.Dependency#getDependency()
	 * @see #getDependency()
	 * @generated
	 */
	EReference getDependency_Dependency();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Dependant <em>Dependant</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Dependant</em>'.
	 * @see org.openxma.xmadsl.model.Dependant
	 * @generated
	 */
	EClass getDependant();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Parameter <em>Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Parameter</em>'.
	 * @see org.openxma.xmadsl.model.Parameter
	 * @generated
	 */
	EClass getParameter();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Parameter#getMapKeyType <em>Map Key Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Map Key Type</em>'.
	 * @see org.openxma.xmadsl.model.Parameter#getMapKeyType()
	 * @see #getParameter()
	 * @generated
	 */
	EReference getParameter_MapKeyType();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Parameter#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Type</em>'.
	 * @see org.openxma.xmadsl.model.Parameter#getType()
	 * @see #getParameter()
	 * @generated
	 */
	EReference getParameter_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Parameter#getCollectionType <em>Collection Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Collection Type</em>'.
	 * @see org.openxma.xmadsl.model.Parameter#getCollectionType()
	 * @see #getParameter()
	 * @generated
	 */
	EAttribute getParameter_CollectionType();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Parameter#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.Parameter#getName()
	 * @see #getParameter()
	 * @generated
	 */
	EAttribute getParameter_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ServiceOperation <em>Service Operation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Service Operation</em>'.
	 * @see org.openxma.xmadsl.model.ServiceOperation
	 * @generated
	 */
	EClass getServiceOperation();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.ServiceOperation#getMapKeyType <em>Map Key Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Map Key Type</em>'.
	 * @see org.openxma.xmadsl.model.ServiceOperation#getMapKeyType()
	 * @see #getServiceOperation()
	 * @generated
	 */
	EReference getServiceOperation_MapKeyType();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.ServiceOperation#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Type</em>'.
	 * @see org.openxma.xmadsl.model.ServiceOperation#getType()
	 * @see #getServiceOperation()
	 * @generated
	 */
	EReference getServiceOperation_Type();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.ServiceOperation#getParameters <em>Parameters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parameters</em>'.
	 * @see org.openxma.xmadsl.model.ServiceOperation#getParameters()
	 * @see #getServiceOperation()
	 * @generated
	 */
	EReference getServiceOperation_Parameters();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ServiceOperation#getCollectionType <em>Collection Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Collection Type</em>'.
	 * @see org.openxma.xmadsl.model.ServiceOperation#getCollectionType()
	 * @see #getServiceOperation()
	 * @generated
	 */
	EAttribute getServiceOperation_CollectionType();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ServiceOperation#getThrows <em>Throws</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Throws</em>'.
	 * @see org.openxma.xmadsl.model.ServiceOperation#getThrows()
	 * @see #getServiceOperation()
	 * @generated
	 */
	EAttribute getServiceOperation_Throws();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.ServiceOperation#getDelegate <em>Delegate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Delegate</em>'.
	 * @see org.openxma.xmadsl.model.ServiceOperation#getDelegate()
	 * @see #getServiceOperation()
	 * @generated
	 */
	EReference getServiceOperation_Delegate();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ServiceOperation#getVisibility <em>Visibility</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Visibility</em>'.
	 * @see org.openxma.xmadsl.model.ServiceOperation#getVisibility()
	 * @see #getServiceOperation()
	 * @generated
	 */
	EAttribute getServiceOperation_Visibility();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.ServiceOperation#getDelegateOperation <em>Delegate Operation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Delegate Operation</em>'.
	 * @see org.openxma.xmadsl.model.ServiceOperation#getDelegateOperation()
	 * @see #getServiceOperation()
	 * @generated
	 */
	EReference getServiceOperation_DelegateOperation();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ServiceDelegate <em>Service Delegate</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Service Delegate</em>'.
	 * @see org.openxma.xmadsl.model.ServiceDelegate
	 * @generated
	 */
	EClass getServiceDelegate();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.ServiceDelegate#getDependencies <em>Dependencies</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Dependencies</em>'.
	 * @see org.openxma.xmadsl.model.ServiceDelegate#getDependencies()
	 * @see #getServiceDelegate()
	 * @generated
	 */
	EReference getServiceDelegate_Dependencies();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ServiceDelegate#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.ServiceDelegate#getName()
	 * @see #getServiceDelegate()
	 * @generated
	 */
	EAttribute getServiceDelegate_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ServiceDelegate#getDoc <em>Doc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Doc</em>'.
	 * @see org.openxma.xmadsl.model.ServiceDelegate#getDoc()
	 * @see #getServiceDelegate()
	 * @generated
	 */
	EAttribute getServiceDelegate_Doc();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ServiceDelegateOperation <em>Service Delegate Operation</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Service Delegate Operation</em>'.
	 * @see org.openxma.xmadsl.model.ServiceDelegateOperation
	 * @generated
	 */
	EClass getServiceDelegateOperation();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Import <em>Import</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Import</em>'.
	 * @see org.openxma.xmadsl.model.Import
	 * @generated
	 */
	EClass getImport();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Import#getDatamodel <em>Datamodel</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Datamodel</em>'.
	 * @see org.openxma.xmadsl.model.Import#getDatamodel()
	 * @see #getImport()
	 * @generated
	 */
	EAttribute getImport_Datamodel();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Type</em>'.
	 * @see org.openxma.xmadsl.model.DataType
	 * @generated
	 */
	EClass getDataType();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.DataType#getDoc <em>Doc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Doc</em>'.
	 * @see org.openxma.xmadsl.model.DataType#getDoc()
	 * @see #getDataType()
	 * @generated
	 */
	EAttribute getDataType_Doc();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.DataType#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.DataType#getName()
	 * @see #getDataType()
	 * @generated
	 */
	EAttribute getDataType_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ComplexType <em>Complex Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Complex Type</em>'.
	 * @see org.openxma.xmadsl.model.ComplexType
	 * @generated
	 */
	EClass getComplexType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.ComplexType#getAttributes <em>Attributes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Attributes</em>'.
	 * @see org.openxma.xmadsl.model.ComplexType#getAttributes()
	 * @see #getComplexType()
	 * @generated
	 */
	EReference getComplexType_Attributes();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.ComplexType#getReferences <em>References</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>References</em>'.
	 * @see org.openxma.xmadsl.model.ComplexType#getReferences()
	 * @see #getComplexType()
	 * @generated
	 */
	EReference getComplexType_References();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.SimpleType <em>Simple Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Simple Type</em>'.
	 * @see org.openxma.xmadsl.model.SimpleType
	 * @generated
	 */
	EClass getSimpleType();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.SimpleType#getEditor <em>Editor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Editor</em>'.
	 * @see org.openxma.xmadsl.model.SimpleType#getEditor()
	 * @see #getSimpleType()
	 * @generated
	 */
	EReference getSimpleType_Editor();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.SimpleType#getValueModelType <em>Value Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value Model Type</em>'.
	 * @see org.openxma.xmadsl.model.SimpleType#getValueModelType()
	 * @see #getSimpleType()
	 * @generated
	 */
	EAttribute getSimpleType_ValueModelType();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.SimpleType#getTypeDefinition <em>Type Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Type Definition</em>'.
	 * @see org.openxma.xmadsl.model.SimpleType#getTypeDefinition()
	 * @see #getSimpleType()
	 * @generated
	 */
	EReference getSimpleType_TypeDefinition();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.SimpleType#getValidatorReference <em>Validator Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Validator Reference</em>'.
	 * @see org.openxma.xmadsl.model.SimpleType#getValidatorReference()
	 * @see #getSimpleType()
	 * @generated
	 */
	EReference getSimpleType_ValidatorReference();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.SimpleType#getTypeParameter <em>Type Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Type Parameter</em>'.
	 * @see org.openxma.xmadsl.model.SimpleType#getTypeParameter()
	 * @see #getSimpleType()
	 * @generated
	 */
	EReference getSimpleType_TypeParameter();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DataTypeAndTypeParameter <em>Data Type And Type Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Type And Type Parameter</em>'.
	 * @see org.openxma.xmadsl.model.DataTypeAndTypeParameter
	 * @generated
	 */
	EClass getDataTypeAndTypeParameter();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.DataTypeAndTypeParameter#getTypeParameters <em>Type Parameters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Type Parameters</em>'.
	 * @see org.openxma.xmadsl.model.DataTypeAndTypeParameter#getTypeParameters()
	 * @see #getDataTypeAndTypeParameter()
	 * @generated
	 */
	EReference getDataTypeAndTypeParameter_TypeParameters();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.DataTypeAndTypeParameter#getDataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Data Type</em>'.
	 * @see org.openxma.xmadsl.model.DataTypeAndTypeParameter#getDataType()
	 * @see #getDataTypeAndTypeParameter()
	 * @generated
	 */
	EReference getDataTypeAndTypeParameter_DataType();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ValueObject <em>Value Object</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Value Object</em>'.
	 * @see org.openxma.xmadsl.model.ValueObject
	 * @generated
	 */
	EClass getValueObject();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ValueObject#isDynamic <em>Dynamic</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Dynamic</em>'.
	 * @see org.openxma.xmadsl.model.ValueObject#isDynamic()
	 * @see #getValueObject()
	 * @generated
	 */
	EAttribute getValueObject_Dynamic();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DataViewSource <em>Data View Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data View Source</em>'.
	 * @see org.openxma.xmadsl.model.DataViewSource
	 * @generated
	 */
	EClass getDataViewSource();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.DataViewSource#getAlias <em>Alias</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alias</em>'.
	 * @see org.openxma.xmadsl.model.DataViewSource#getAlias()
	 * @see #getDataViewSource()
	 * @generated
	 */
	EAttribute getDataViewSource_Alias();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.DataViewSource#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Source</em>'.
	 * @see org.openxma.xmadsl.model.DataViewSource#getSource()
	 * @see #getDataViewSource()
	 * @generated
	 */
	EReference getDataViewSource_Source();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DataViewSourceDefinition <em>Data View Source Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data View Source Definition</em>'.
	 * @see org.openxma.xmadsl.model.DataViewSourceDefinition
	 * @generated
	 */
	EClass getDataViewSourceDefinition();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.DataViewSourceDefinition#getSources <em>Sources</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Sources</em>'.
	 * @see org.openxma.xmadsl.model.DataViewSourceDefinition#getSources()
	 * @see #getDataViewSourceDefinition()
	 * @generated
	 */
	EReference getDataViewSourceDefinition_Sources();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DataView <em>Data View</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data View</em>'.
	 * @see org.openxma.xmadsl.model.DataView
	 * @generated
	 */
	EClass getDataView();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.DataView#getIncludes <em>Includes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Includes</em>'.
	 * @see org.openxma.xmadsl.model.DataView#getIncludes()
	 * @see #getDataView()
	 * @generated
	 */
	EReference getDataView_Includes();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.DataView#isEditable <em>Editable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Editable</em>'.
	 * @see org.openxma.xmadsl.model.DataView#isEditable()
	 * @see #getDataView()
	 * @generated
	 */
	EAttribute getDataView_Editable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.DataView#getSuperType <em>Super Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Super Type</em>'.
	 * @see org.openxma.xmadsl.model.DataView#getSuperType()
	 * @see #getDataView()
	 * @generated
	 */
	EReference getDataView_SuperType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.DataView#getExcludes <em>Excludes</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Excludes</em>'.
	 * @see org.openxma.xmadsl.model.DataView#getExcludes()
	 * @see #getDataView()
	 * @generated
	 */
	EReference getDataView_Excludes();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.DataView#getSourceDefinition <em>Source Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Source Definition</em>'.
	 * @see org.openxma.xmadsl.model.DataView#getSourceDefinition()
	 * @see #getDataView()
	 * @generated
	 */
	EReference getDataView_SourceDefinition();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.IncludeExcludeDefinition <em>Include Exclude Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Include Exclude Definition</em>'.
	 * @see org.openxma.xmadsl.model.IncludeExcludeDefinition
	 * @generated
	 */
	EClass getIncludeExcludeDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.IncludeExcludeDefinition#getAlias <em>Alias</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Alias</em>'.
	 * @see org.openxma.xmadsl.model.IncludeExcludeDefinition#getAlias()
	 * @see #getIncludeExcludeDefinition()
	 * @generated
	 */
	EAttribute getIncludeExcludeDefinition_Alias();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.IncludeExcludeDefinition#isNatural <em>Natural</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Natural</em>'.
	 * @see org.openxma.xmadsl.model.IncludeExcludeDefinition#isNatural()
	 * @see #getIncludeExcludeDefinition()
	 * @generated
	 */
	EAttribute getIncludeExcludeDefinition_Natural();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.IncludeExcludeDefinition#isAll <em>All</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>All</em>'.
	 * @see org.openxma.xmadsl.model.IncludeExcludeDefinition#isAll()
	 * @see #getIncludeExcludeDefinition()
	 * @generated
	 */
	EAttribute getIncludeExcludeDefinition_All();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.IncludeExcludeDefinition#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.IncludeExcludeDefinition#getReference()
	 * @see #getIncludeExcludeDefinition()
	 * @generated
	 */
	EReference getIncludeExcludeDefinition_Reference();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.IncludeExcludeDefinition#isId <em>Id</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Id</em>'.
	 * @see org.openxma.xmadsl.model.IncludeExcludeDefinition#isId()
	 * @see #getIncludeExcludeDefinition()
	 * @generated
	 */
	EAttribute getIncludeExcludeDefinition_Id();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.IncludeExcludeDefinition#getView <em>View</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>View</em>'.
	 * @see org.openxma.xmadsl.model.IncludeExcludeDefinition#getView()
	 * @see #getIncludeExcludeDefinition()
	 * @generated
	 */
	EReference getIncludeExcludeDefinition_View();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.IncludeExcludeDefinition#getAttributeWithProperties <em>Attribute With Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Attribute With Properties</em>'.
	 * @see org.openxma.xmadsl.model.IncludeExcludeDefinition#getAttributeWithProperties()
	 * @see #getIncludeExcludeDefinition()
	 * @generated
	 */
	EReference getIncludeExcludeDefinition_AttributeWithProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.AttributeWithProperties <em>Attribute With Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attribute With Properties</em>'.
	 * @see org.openxma.xmadsl.model.AttributeWithProperties
	 * @generated
	 */
	EClass getAttributeWithProperties();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.AttributeWithProperties#getAttributeHolder <em>Attribute Holder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Attribute Holder</em>'.
	 * @see org.openxma.xmadsl.model.AttributeWithProperties#getAttributeHolder()
	 * @see #getAttributeWithProperties()
	 * @generated
	 */
	EReference getAttributeWithProperties_AttributeHolder();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.AttributeHolder <em>Attribute Holder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attribute Holder</em>'.
	 * @see org.openxma.xmadsl.model.AttributeHolder
	 * @generated
	 */
	EClass getAttributeHolder();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.AttributeHolder#getAttributProperties <em>Attribut Properties</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Attribut Properties</em>'.
	 * @see org.openxma.xmadsl.model.AttributeHolder#getAttributProperties()
	 * @see #getAttributeHolder()
	 * @generated
	 */
	EReference getAttributeHolder_AttributProperties();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.FinderParameterType <em>Finder Parameter Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Finder Parameter Type</em>'.
	 * @see org.openxma.xmadsl.model.FinderParameterType
	 * @generated
	 */
	EClass getFinderParameterType();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.FinderParameter <em>Finder Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Finder Parameter</em>'.
	 * @see org.openxma.xmadsl.model.FinderParameter
	 * @generated
	 */
	EClass getFinderParameter();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.FinderParameter#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.FinderParameter#getReference()
	 * @see #getFinderParameter()
	 * @generated
	 */
	EReference getFinderParameter_Reference();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.FinderParameter#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Type</em>'.
	 * @see org.openxma.xmadsl.model.FinderParameter#getType()
	 * @see #getFinderParameter()
	 * @generated
	 */
	EReference getFinderParameter_Type();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Finder <em>Finder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Finder</em>'.
	 * @see org.openxma.xmadsl.model.Finder
	 * @generated
	 */
	EClass getFinder();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.BasicFinder <em>Basic Finder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Basic Finder</em>'.
	 * @see org.openxma.xmadsl.model.BasicFinder
	 * @generated
	 */
	EClass getBasicFinder();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.BasicFinder#getParameters <em>Parameters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parameters</em>'.
	 * @see org.openxma.xmadsl.model.BasicFinder#getParameters()
	 * @see #getBasicFinder()
	 * @generated
	 */
	EReference getBasicFinder_Parameters();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.BasicFinder#getSortOrder <em>Sort Order</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Sort Order</em>'.
	 * @see org.openxma.xmadsl.model.BasicFinder#getSortOrder()
	 * @see #getBasicFinder()
	 * @generated
	 */
	EReference getBasicFinder_SortOrder();

	/**
	 * Returns the meta object for the attribute list '{@link org.openxma.xmadsl.model.BasicFinder#getOperators <em>Operators</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Operators</em>'.
	 * @see org.openxma.xmadsl.model.BasicFinder#getOperators()
	 * @see #getBasicFinder()
	 * @generated
	 */
	EAttribute getBasicFinder_Operators();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.BasicFinder#getPageable <em>Pageable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Pageable</em>'.
	 * @see org.openxma.xmadsl.model.BasicFinder#getPageable()
	 * @see #getBasicFinder()
	 * @generated
	 */
	EAttribute getBasicFinder_Pageable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.BasicFinder#getDataView <em>Data View</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Data View</em>'.
	 * @see org.openxma.xmadsl.model.BasicFinder#getDataView()
	 * @see #getBasicFinder()
	 * @generated
	 */
	EReference getBasicFinder_DataView();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CustomFinder <em>Custom Finder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Custom Finder</em>'.
	 * @see org.openxma.xmadsl.model.CustomFinder
	 * @generated
	 */
	EClass getCustomFinder();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CustomFinder#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Type</em>'.
	 * @see org.openxma.xmadsl.model.CustomFinder#getType()
	 * @see #getCustomFinder()
	 * @generated
	 */
	EReference getCustomFinder_Type();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CustomFinder#getMapKeyType <em>Map Key Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Map Key Type</em>'.
	 * @see org.openxma.xmadsl.model.CustomFinder#getMapKeyType()
	 * @see #getCustomFinder()
	 * @generated
	 */
	EReference getCustomFinder_MapKeyType();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.CustomFinder#getCollectionType <em>Collection Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Collection Type</em>'.
	 * @see org.openxma.xmadsl.model.CustomFinder#getCollectionType()
	 * @see #getCustomFinder()
	 * @generated
	 */
	EAttribute getCustomFinder_CollectionType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CustomFinder#getParameters <em>Parameters</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parameters</em>'.
	 * @see org.openxma.xmadsl.model.CustomFinder#getParameters()
	 * @see #getCustomFinder()
	 * @generated
	 */
	EReference getCustomFinder_Parameters();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Entity <em>Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Entity</em>'.
	 * @see org.openxma.xmadsl.model.Entity
	 * @generated
	 */
	EClass getEntity();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Entity#getFinders <em>Finders</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Finders</em>'.
	 * @see org.openxma.xmadsl.model.Entity#getFinders()
	 * @see #getEntity()
	 * @generated
	 */
	EReference getEntity_Finders();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Entity#isAbstract <em>Abstract</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Abstract</em>'.
	 * @see org.openxma.xmadsl.model.Entity#isAbstract()
	 * @see #getEntity()
	 * @generated
	 */
	EAttribute getEntity_Abstract();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.Entity#getSuperType <em>Super Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Super Type</em>'.
	 * @see org.openxma.xmadsl.model.Entity#getSuperType()
	 * @see #getEntity()
	 * @generated
	 */
	EReference getEntity_SuperType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Entity#getSortOrders <em>Sort Orders</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Sort Orders</em>'.
	 * @see org.openxma.xmadsl.model.Entity#getSortOrders()
	 * @see #getEntity()
	 * @generated
	 */
	EReference getEntity_SortOrders();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Entity#getConditionsBlock <em>Conditions Block</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Conditions Block</em>'.
	 * @see org.openxma.xmadsl.model.Entity#getConditionsBlock()
	 * @see #getEntity()
	 * @generated
	 */
	EReference getEntity_ConditionsBlock();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Entity#getPersistence <em>Persistence</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Persistence</em>'.
	 * @see org.openxma.xmadsl.model.Entity#getPersistence()
	 * @see #getEntity()
	 * @generated
	 */
	EReference getEntity_Persistence();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ConditionsBlock <em>Conditions Block</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Conditions Block</em>'.
	 * @see org.openxma.xmadsl.model.ConditionsBlock
	 * @generated
	 */
	EClass getConditionsBlock();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ConditionsBlock#getDoc <em>Doc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Doc</em>'.
	 * @see org.openxma.xmadsl.model.ConditionsBlock#getDoc()
	 * @see #getConditionsBlock()
	 * @generated
	 */
	EAttribute getConditionsBlock_Doc();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.ConditionsBlock#getStatusFlags <em>Status Flags</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Status Flags</em>'.
	 * @see org.openxma.xmadsl.model.ConditionsBlock#getStatusFlags()
	 * @see #getConditionsBlock()
	 * @generated
	 */
	EReference getConditionsBlock_StatusFlags();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Reference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.Reference
	 * @generated
	 */
	EClass getReference();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Reference#getCollectionType <em>Collection Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Collection Type</em>'.
	 * @see org.openxma.xmadsl.model.Reference#getCollectionType()
	 * @see #getReference()
	 * @generated
	 */
	EAttribute getReference_CollectionType();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Reference#isRequired <em>Required</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Required</em>'.
	 * @see org.openxma.xmadsl.model.Reference#isRequired()
	 * @see #getReference()
	 * @generated
	 */
	EAttribute getReference_Required();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.Reference#getOpposite <em>Opposite</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Opposite</em>'.
	 * @see org.openxma.xmadsl.model.Reference#getOpposite()
	 * @see #getReference()
	 * @generated
	 */
	EReference getReference_Opposite();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.Reference#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Type</em>'.
	 * @see org.openxma.xmadsl.model.Reference#getType()
	 * @see #getReference()
	 * @generated
	 */
	EReference getReference_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Reference#isContainment <em>Containment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Containment</em>'.
	 * @see org.openxma.xmadsl.model.Reference#isContainment()
	 * @see #getReference()
	 * @generated
	 */
	EAttribute getReference_Containment();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Reference#isReadOnly <em>Read Only</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Read Only</em>'.
	 * @see org.openxma.xmadsl.model.Reference#isReadOnly()
	 * @see #getReference()
	 * @generated
	 */
	EAttribute getReference_ReadOnly();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Persistence <em>Persistence</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Persistence</em>'.
	 * @see org.openxma.xmadsl.model.Persistence
	 * @generated
	 */
	EClass getPersistence();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Persistence#getQueryMappings <em>Query Mappings</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Query Mappings</em>'.
	 * @see org.openxma.xmadsl.model.Persistence#getQueryMappings()
	 * @see #getPersistence()
	 * @generated
	 */
	EReference getPersistence_QueryMappings();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Persistence#getDataBaseConstraints <em>Data Base Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Data Base Constraints</em>'.
	 * @see org.openxma.xmadsl.model.Persistence#getDataBaseConstraints()
	 * @see #getPersistence()
	 * @generated
	 */
	EReference getPersistence_DataBaseConstraints();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Persistence#getTableName <em>Table Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Table Name</em>'.
	 * @see org.openxma.xmadsl.model.Persistence#getTableName()
	 * @see #getPersistence()
	 * @generated
	 */
	EAttribute getPersistence_TableName();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Persistence#getOneToManyAssociations <em>One To Many Associations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>One To Many Associations</em>'.
	 * @see org.openxma.xmadsl.model.Persistence#getOneToManyAssociations()
	 * @see #getPersistence()
	 * @generated
	 */
	EReference getPersistence_OneToManyAssociations();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Persistence#getOneToOneAssociations <em>One To One Associations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>One To One Associations</em>'.
	 * @see org.openxma.xmadsl.model.Persistence#getOneToOneAssociations()
	 * @see #getPersistence()
	 * @generated
	 */
	EReference getPersistence_OneToOneAssociations();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Persistence#getTableAlias <em>Table Alias</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Table Alias</em>'.
	 * @see org.openxma.xmadsl.model.Persistence#getTableAlias()
	 * @see #getPersistence()
	 * @generated
	 */
	EAttribute getPersistence_TableAlias();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Persistence#getManyToOneAssociations <em>Many To One Associations</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Many To One Associations</em>'.
	 * @see org.openxma.xmadsl.model.Persistence#getManyToOneAssociations()
	 * @see #getPersistence()
	 * @generated
	 */
	EReference getPersistence_ManyToOneAssociations();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Persistence#isLazy <em>Lazy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Lazy</em>'.
	 * @see org.openxma.xmadsl.model.Persistence#isLazy()
	 * @see #getPersistence()
	 * @generated
	 */
	EAttribute getPersistence_Lazy();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Persistence#getDataSource <em>Data Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Data Source</em>'.
	 * @see org.openxma.xmadsl.model.Persistence#getDataSource()
	 * @see #getPersistence()
	 * @generated
	 */
	EAttribute getPersistence_DataSource();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Persistence#getColumns <em>Columns</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Columns</em>'.
	 * @see org.openxma.xmadsl.model.Persistence#getColumns()
	 * @see #getPersistence()
	 * @generated
	 */
	EReference getPersistence_Columns();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Query <em>Query</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Query</em>'.
	 * @see org.openxma.xmadsl.model.Query
	 * @generated
	 */
	EClass getQuery();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Query#getExpression <em>Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Expression</em>'.
	 * @see org.openxma.xmadsl.model.Query#getExpression()
	 * @see #getQuery()
	 * @generated
	 */
	EAttribute getQuery_Expression();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.Query#getFinder <em>Finder</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Finder</em>'.
	 * @see org.openxma.xmadsl.model.Query#getFinder()
	 * @see #getQuery()
	 * @generated
	 */
	EReference getQuery_Finder();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Column <em>Column</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Column</em>'.
	 * @see org.openxma.xmadsl.model.Column
	 * @generated
	 */
	EClass getColumn();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Column#isNotNull <em>Not Null</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Not Null</em>'.
	 * @see org.openxma.xmadsl.model.Column#isNotNull()
	 * @see #getColumn()
	 * @generated
	 */
	EAttribute getColumn_NotNull();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Column#isLazy <em>Lazy</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Lazy</em>'.
	 * @see org.openxma.xmadsl.model.Column#isLazy()
	 * @see #getColumn()
	 * @generated
	 */
	EAttribute getColumn_Lazy();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.Column#getAttribute <em>Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Attribute</em>'.
	 * @see org.openxma.xmadsl.model.Column#getAttribute()
	 * @see #getColumn()
	 * @generated
	 */
	EReference getColumn_Attribute();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Column#isVersioned <em>Versioned</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Versioned</em>'.
	 * @see org.openxma.xmadsl.model.Column#isVersioned()
	 * @see #getColumn()
	 * @generated
	 */
	EAttribute getColumn_Versioned();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Column#getColumns <em>Columns</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Columns</em>'.
	 * @see org.openxma.xmadsl.model.Column#getColumns()
	 * @see #getColumn()
	 * @generated
	 */
	EReference getColumn_Columns();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Column#getColumnName <em>Column Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Column Name</em>'.
	 * @see org.openxma.xmadsl.model.Column#getColumnName()
	 * @see #getColumn()
	 * @generated
	 */
	EAttribute getColumn_ColumnName();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Column#getUserType <em>User Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>User Type</em>'.
	 * @see org.openxma.xmadsl.model.Column#getUserType()
	 * @see #getColumn()
	 * @generated
	 */
	EReference getColumn_UserType();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Column#getColumnType <em>Column Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Column Type</em>'.
	 * @see org.openxma.xmadsl.model.Column#getColumnType()
	 * @see #getColumn()
	 * @generated
	 */
	EReference getColumn_ColumnType();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ManyToOne <em>Many To One</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Many To One</em>'.
	 * @see org.openxma.xmadsl.model.ManyToOne
	 * @generated
	 */
	EClass getManyToOne();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ManyToOne#isUnique <em>Unique</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unique</em>'.
	 * @see org.openxma.xmadsl.model.ManyToOne#isUnique()
	 * @see #getManyToOne()
	 * @generated
	 */
	EAttribute getManyToOne_Unique();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ManyToOne#getCascade <em>Cascade</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cascade</em>'.
	 * @see org.openxma.xmadsl.model.ManyToOne#getCascade()
	 * @see #getManyToOne()
	 * @generated
	 */
	EAttribute getManyToOne_Cascade();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ManyToOne#getColumnName <em>Column Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Column Name</em>'.
	 * @see org.openxma.xmadsl.model.ManyToOne#getColumnName()
	 * @see #getManyToOne()
	 * @generated
	 */
	EAttribute getManyToOne_ColumnName();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.ManyToOne#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.ManyToOne#getReference()
	 * @see #getManyToOne()
	 * @generated
	 */
	EReference getManyToOne_Reference();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ManyToOne#isJoined <em>Joined</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Joined</em>'.
	 * @see org.openxma.xmadsl.model.ManyToOne#isJoined()
	 * @see #getManyToOne()
	 * @generated
	 */
	EAttribute getManyToOne_Joined();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ManyToOne#isEagerFetching <em>Eager Fetching</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Eager Fetching</em>'.
	 * @see org.openxma.xmadsl.model.ManyToOne#isEagerFetching()
	 * @see #getManyToOne()
	 * @generated
	 */
	EAttribute getManyToOne_EagerFetching();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.ManyToOne#getColumns <em>Columns</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Columns</em>'.
	 * @see org.openxma.xmadsl.model.ManyToOne#getColumns()
	 * @see #getManyToOne()
	 * @generated
	 */
	EReference getManyToOne_Columns();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.OneToOne <em>One To One</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>One To One</em>'.
	 * @see org.openxma.xmadsl.model.OneToOne
	 * @generated
	 */
	EClass getOneToOne();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.OneToOne#isConstrained <em>Constrained</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Constrained</em>'.
	 * @see org.openxma.xmadsl.model.OneToOne#isConstrained()
	 * @see #getOneToOne()
	 * @generated
	 */
	EAttribute getOneToOne_Constrained();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.OneToOne#getCascade <em>Cascade</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cascade</em>'.
	 * @see org.openxma.xmadsl.model.OneToOne#getCascade()
	 * @see #getOneToOne()
	 * @generated
	 */
	EAttribute getOneToOne_Cascade();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.OneToOne#isEagerFetching <em>Eager Fetching</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Eager Fetching</em>'.
	 * @see org.openxma.xmadsl.model.OneToOne#isEagerFetching()
	 * @see #getOneToOne()
	 * @generated
	 */
	EAttribute getOneToOne_EagerFetching();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.OneToOne#isJoined <em>Joined</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Joined</em>'.
	 * @see org.openxma.xmadsl.model.OneToOne#isJoined()
	 * @see #getOneToOne()
	 * @generated
	 */
	EAttribute getOneToOne_Joined();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.OneToOne#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.OneToOne#getReference()
	 * @see #getOneToOne()
	 * @generated
	 */
	EReference getOneToOne_Reference();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.OneToMany <em>One To Many</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>One To Many</em>'.
	 * @see org.openxma.xmadsl.model.OneToMany
	 * @generated
	 */
	EClass getOneToMany();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.OneToMany#getCascade <em>Cascade</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Cascade</em>'.
	 * @see org.openxma.xmadsl.model.OneToMany#getCascade()
	 * @see #getOneToMany()
	 * @generated
	 */
	EAttribute getOneToMany_Cascade();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.OneToMany#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.xmadsl.model.OneToMany#getReference()
	 * @see #getOneToMany()
	 * @generated
	 */
	EReference getOneToMany_Reference();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.OneToMany#isJoined <em>Joined</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Joined</em>'.
	 * @see org.openxma.xmadsl.model.OneToMany#isJoined()
	 * @see #getOneToMany()
	 * @generated
	 */
	EAttribute getOneToMany_Joined();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.OneToMany#getSortOrder <em>Sort Order</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Sort Order</em>'.
	 * @see org.openxma.xmadsl.model.OneToMany#getSortOrder()
	 * @see #getOneToMany()
	 * @generated
	 */
	EReference getOneToMany_SortOrder();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.OneToMany#getColumnName <em>Column Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Column Name</em>'.
	 * @see org.openxma.xmadsl.model.OneToMany#getColumnName()
	 * @see #getOneToMany()
	 * @generated
	 */
	EAttribute getOneToMany_ColumnName();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.OneToMany#isEagerFetching <em>Eager Fetching</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Eager Fetching</em>'.
	 * @see org.openxma.xmadsl.model.OneToMany#isEagerFetching()
	 * @see #getOneToMany()
	 * @generated
	 */
	EAttribute getOneToMany_EagerFetching();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DataBaseField <em>Data Base Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Base Field</em>'.
	 * @see org.openxma.xmadsl.model.DataBaseField
	 * @generated
	 */
	EClass getDataBaseField();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DataBaseConstraint <em>Data Base Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Base Constraint</em>'.
	 * @see org.openxma.xmadsl.model.DataBaseConstraint
	 * @generated
	 */
	EClass getDataBaseConstraint();

	/**
	 * Returns the meta object for the reference list '{@link org.openxma.xmadsl.model.DataBaseConstraint#getFields <em>Fields</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Fields</em>'.
	 * @see org.openxma.xmadsl.model.DataBaseConstraint#getFields()
	 * @see #getDataBaseConstraint()
	 * @generated
	 */
	EReference getDataBaseConstraint_Fields();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.DataBaseConstraint#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.DataBaseConstraint#getName()
	 * @see #getDataBaseConstraint()
	 * @generated
	 */
	EAttribute getDataBaseConstraint_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.DataBaseConstraint#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.openxma.xmadsl.model.DataBaseConstraint#getType()
	 * @see #getDataBaseConstraint()
	 * @generated
	 */
	EAttribute getDataBaseConstraint_Type();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.DataBaseFieldWithOrder <em>Data Base Field With Order</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Base Field With Order</em>'.
	 * @see org.openxma.xmadsl.model.DataBaseFieldWithOrder
	 * @generated
	 */
	EClass getDataBaseFieldWithOrder();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.DataBaseFieldWithOrder#getField <em>Field</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Field</em>'.
	 * @see org.openxma.xmadsl.model.DataBaseFieldWithOrder#getField()
	 * @see #getDataBaseFieldWithOrder()
	 * @generated
	 */
	EReference getDataBaseFieldWithOrder_Field();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.DataBaseFieldWithOrder#getOrder <em>Order</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Order</em>'.
	 * @see org.openxma.xmadsl.model.DataBaseFieldWithOrder#getOrder()
	 * @see #getDataBaseFieldWithOrder()
	 * @generated
	 */
	EAttribute getDataBaseFieldWithOrder_Order();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.SortOrder <em>Sort Order</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sort Order</em>'.
	 * @see org.openxma.xmadsl.model.SortOrder
	 * @generated
	 */
	EClass getSortOrder();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.SortOrder#isIsDefault <em>Is Default</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Default</em>'.
	 * @see org.openxma.xmadsl.model.SortOrder#isIsDefault()
	 * @see #getSortOrder()
	 * @generated
	 */
	EAttribute getSortOrder_IsDefault();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.SortOrder#getOrder <em>Order</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Order</em>'.
	 * @see org.openxma.xmadsl.model.SortOrder#getOrder()
	 * @see #getSortOrder()
	 * @generated
	 */
	EReference getSortOrder_Order();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.SortOrder#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.SortOrder#getName()
	 * @see #getSortOrder()
	 * @generated
	 */
	EAttribute getSortOrder_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Attribute <em>Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attribute</em>'.
	 * @see org.openxma.xmadsl.model.Attribute
	 * @generated
	 */
	EClass getAttribute();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Attribute#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Type</em>'.
	 * @see org.openxma.xmadsl.model.Attribute#getType()
	 * @see #getAttribute()
	 * @generated
	 */
	EReference getAttribute_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Attribute#isVersion <em>Version</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Version</em>'.
	 * @see org.openxma.xmadsl.model.Attribute#isVersion()
	 * @see #getAttribute()
	 * @generated
	 */
	EAttribute getAttribute_Version();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Attribute#isIdentifier <em>Identifier</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Identifier</em>'.
	 * @see org.openxma.xmadsl.model.Attribute#isIdentifier()
	 * @see #getAttribute()
	 * @generated
	 */
	EAttribute getAttribute_Identifier();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Constraint <em>Constraint</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Constraint</em>'.
	 * @see org.openxma.xmadsl.model.Constraint
	 * @generated
	 */
	EClass getConstraint();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Constraint#getValidatorReference <em>Validator Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Validator Reference</em>'.
	 * @see org.openxma.xmadsl.model.Constraint#getValidatorReference()
	 * @see #getConstraint()
	 * @generated
	 */
	EReference getConstraint_ValidatorReference();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Constraint#getCondition <em>Condition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Condition</em>'.
	 * @see org.openxma.xmadsl.model.Constraint#getCondition()
	 * @see #getConstraint()
	 * @generated
	 */
	EReference getConstraint_Condition();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ValidatorReference <em>Validator Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Validator Reference</em>'.
	 * @see org.openxma.xmadsl.model.ValidatorReference
	 * @generated
	 */
	EClass getValidatorReference();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.ValidatorReference#getValidator <em>Validator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Validator</em>'.
	 * @see org.openxma.xmadsl.model.ValidatorReference#getValidator()
	 * @see #getValidatorReference()
	 * @generated
	 */
	EReference getValidatorReference_Validator();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.ValidatorReference#getValidatorParameter <em>Validator Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Validator Parameter</em>'.
	 * @see org.openxma.xmadsl.model.ValidatorReference#getValidatorParameter()
	 * @see #getValidatorReference()
	 * @generated
	 */
	EReference getValidatorReference_ValidatorParameter();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ParameterValue <em>Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Parameter Value</em>'.
	 * @see org.openxma.xmadsl.model.ParameterValue
	 * @generated
	 */
	EClass getParameterValue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ParameterValue#isIsNull <em>Is Null</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Null</em>'.
	 * @see org.openxma.xmadsl.model.ParameterValue#isIsNull()
	 * @see #getParameterValue()
	 * @generated
	 */
	EAttribute getParameterValue_IsNull();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.ParameterValue#getReferencedParameter <em>Referenced Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Parameter</em>'.
	 * @see org.openxma.xmadsl.model.ParameterValue#getReferencedParameter()
	 * @see #getParameterValue()
	 * @generated
	 */
	EReference getParameterValue_ReferencedParameter();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.StatusFlag <em>Status Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Status Flag</em>'.
	 * @see org.openxma.xmadsl.model.StatusFlag
	 * @generated
	 */
	EClass getStatusFlag();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.StatusFlag#getExpression <em>Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Expression</em>'.
	 * @see org.openxma.xmadsl.model.StatusFlag#getExpression()
	 * @see #getStatusFlag()
	 * @generated
	 */
	EReference getStatusFlag_Expression();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.StatusFlag#getDoc <em>Doc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Doc</em>'.
	 * @see org.openxma.xmadsl.model.StatusFlag#getDoc()
	 * @see #getStatusFlag()
	 * @generated
	 */
	EAttribute getStatusFlag_Doc();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.StatusFlag#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.StatusFlag#getName()
	 * @see #getStatusFlag()
	 * @generated
	 */
	EAttribute getStatusFlag_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.AttributeFlag <em>Attribute Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attribute Flag</em>'.
	 * @see org.openxma.xmadsl.model.AttributeFlag
	 * @generated
	 */
	EClass getAttributeFlag();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.AttributeFlag#getExpression <em>Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Expression</em>'.
	 * @see org.openxma.xmadsl.model.AttributeFlag#getExpression()
	 * @see #getAttributeFlag()
	 * @generated
	 */
	EReference getAttributeFlag_Expression();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.RequiredFlag <em>Required Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Required Flag</em>'.
	 * @see org.openxma.xmadsl.model.RequiredFlag
	 * @generated
	 */
	EClass getRequiredFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ReadOnlyFlag <em>Read Only Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Read Only Flag</em>'.
	 * @see org.openxma.xmadsl.model.ReadOnlyFlag
	 * @generated
	 */
	EClass getReadOnlyFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.AvailableFlag <em>Available Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Available Flag</em>'.
	 * @see org.openxma.xmadsl.model.AvailableFlag
	 * @generated
	 */
	EClass getAvailableFlag();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.AttributeProperty <em>Attribute Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attribute Property</em>'.
	 * @see org.openxma.xmadsl.model.AttributeProperty
	 * @generated
	 */
	EClass getAttributeProperty();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.AttributeValidationProperty <em>Attribute Validation Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attribute Validation Property</em>'.
	 * @see org.openxma.xmadsl.model.AttributeValidationProperty
	 * @generated
	 */
	EClass getAttributeValidationProperty();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.AttributeValidationProperty#getFormat <em>Format</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Format</em>'.
	 * @see org.openxma.xmadsl.model.AttributeValidationProperty#getFormat()
	 * @see #getAttributeValidationProperty()
	 * @generated
	 */
	EReference getAttributeValidationProperty_Format();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.AttributeValidationProperty#getConstraints <em>Constraints</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Constraints</em>'.
	 * @see org.openxma.xmadsl.model.AttributeValidationProperty#getConstraints()
	 * @see #getAttributeValidationProperty()
	 * @generated
	 */
	EReference getAttributeValidationProperty_Constraints();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.AttributeTextProperty <em>Attribute Text Property</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Attribute Text Property</em>'.
	 * @see org.openxma.xmadsl.model.AttributeTextProperty
	 * @generated
	 */
	EClass getAttributeTextProperty();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.AttributeTextProperty#getLabelText <em>Label Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label Text</em>'.
	 * @see org.openxma.xmadsl.model.AttributeTextProperty#getLabelText()
	 * @see #getAttributeTextProperty()
	 * @generated
	 */
	EAttribute getAttributeTextProperty_LabelText();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.xmadsl.model.AttributeTextProperty#getUnitAttribute <em>Unit Attribute</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Unit Attribute</em>'.
	 * @see org.openxma.xmadsl.model.AttributeTextProperty#getUnitAttribute()
	 * @see #getAttributeTextProperty()
	 * @generated
	 */
	EReference getAttributeTextProperty_UnitAttribute();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.AttributeTextProperty#getTooltipText <em>Tooltip Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Tooltip Text</em>'.
	 * @see org.openxma.xmadsl.model.AttributeTextProperty#getTooltipText()
	 * @see #getAttributeTextProperty()
	 * @generated
	 */
	EAttribute getAttributeTextProperty_TooltipText();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.AttributeTextProperty#getUnitText <em>Unit Text</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Unit Text</em>'.
	 * @see org.openxma.xmadsl.model.AttributeTextProperty#getUnitText()
	 * @see #getAttributeTextProperty()
	 * @generated
	 */
	EAttribute getAttributeTextProperty_UnitText();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.IntegerParameterValue <em>Integer Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Integer Parameter Value</em>'.
	 * @see org.openxma.xmadsl.model.IntegerParameterValue
	 * @generated
	 */
	EClass getIntegerParameterValue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.IntegerParameterValue#getIntValue <em>Int Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Int Value</em>'.
	 * @see org.openxma.xmadsl.model.IntegerParameterValue#getIntValue()
	 * @see #getIntegerParameterValue()
	 * @generated
	 */
	EAttribute getIntegerParameterValue_IntValue();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.StringParameterValue <em>String Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>String Parameter Value</em>'.
	 * @see org.openxma.xmadsl.model.StringParameterValue
	 * @generated
	 */
	EClass getStringParameterValue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.StringParameterValue#getStringValue <em>String Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>String Value</em>'.
	 * @see org.openxma.xmadsl.model.StringParameterValue#getStringValue()
	 * @see #getStringParameterValue()
	 * @generated
	 */
	EAttribute getStringParameterValue_StringValue();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.BooleanParameterValue <em>Boolean Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Boolean Parameter Value</em>'.
	 * @see org.openxma.xmadsl.model.BooleanParameterValue
	 * @generated
	 */
	EClass getBooleanParameterValue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.BooleanParameterValue#getBooleanValue <em>Boolean Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Boolean Value</em>'.
	 * @see org.openxma.xmadsl.model.BooleanParameterValue#getBooleanValue()
	 * @see #getBooleanParameterValue()
	 * @generated
	 */
	EAttribute getBooleanParameterValue_BooleanValue();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ParameterDefinition <em>Parameter Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Parameter Definition</em>'.
	 * @see org.openxma.xmadsl.model.ParameterDefinition
	 * @generated
	 */
	EClass getParameterDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ParameterDefinition#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.openxma.xmadsl.model.ParameterDefinition#getType()
	 * @see #getParameterDefinition()
	 * @generated
	 */
	EAttribute getParameterDefinition_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.ParameterDefinition#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.ParameterDefinition#getName()
	 * @see #getParameterDefinition()
	 * @generated
	 */
	EAttribute getParameterDefinition_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.TypeDefinition <em>Type Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Type Definition</em>'.
	 * @see org.openxma.xmadsl.model.TypeDefinition
	 * @generated
	 */
	EClass getTypeDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.TypeDefinition#getJavatype <em>Javatype</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Javatype</em>'.
	 * @see org.openxma.xmadsl.model.TypeDefinition#getJavatype()
	 * @see #getTypeDefinition()
	 * @generated
	 */
	EAttribute getTypeDefinition_Javatype();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.TypeDefinition#getDefinition <em>Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Definition</em>'.
	 * @see org.openxma.xmadsl.model.TypeDefinition#getDefinition()
	 * @see #getTypeDefinition()
	 * @generated
	 */
	EReference getTypeDefinition_Definition();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Validator <em>Validator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Validator</em>'.
	 * @see org.openxma.xmadsl.model.Validator
	 * @generated
	 */
	EClass getValidator();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Validator#getJavatype <em>Javatype</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Javatype</em>'.
	 * @see org.openxma.xmadsl.model.Validator#getJavatype()
	 * @see #getValidator()
	 * @generated
	 */
	EAttribute getValidator_Javatype();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Validator#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.Validator#getName()
	 * @see #getValidator()
	 * @generated
	 */
	EAttribute getValidator_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.Validator#getValidatorParameter <em>Validator Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Validator Parameter</em>'.
	 * @see org.openxma.xmadsl.model.Validator#getValidatorParameter()
	 * @see #getValidator()
	 * @generated
	 */
	EReference getValidator_ValidatorParameter();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Validator#getValueModelType <em>Value Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value Model Type</em>'.
	 * @see org.openxma.xmadsl.model.Validator#getValueModelType()
	 * @see #getValidator()
	 * @generated
	 */
	EAttribute getValidator_ValueModelType();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Editor <em>Editor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Editor</em>'.
	 * @see org.openxma.xmadsl.model.Editor
	 * @generated
	 */
	EClass getEditor();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Editor#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.Editor#getName()
	 * @see #getEditor()
	 * @generated
	 */
	EAttribute getEditor_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Editor#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label</em>'.
	 * @see org.openxma.xmadsl.model.Editor#getLabel()
	 * @see #getEditor()
	 * @generated
	 */
	EAttribute getEditor_Label();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.EqualityExpr <em>Equality Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Equality Expr</em>'.
	 * @see org.openxma.xmadsl.model.EqualityExpr
	 * @generated
	 */
	EClass getEqualityExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.EqualityExpr#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.xmadsl.model.EqualityExpr#getRight()
	 * @see #getEqualityExpr()
	 * @generated
	 */
	EReference getEqualityExpr_Right();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.EqualityExpr#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.xmadsl.model.EqualityExpr#getOp()
	 * @see #getEqualityExpr()
	 * @generated
	 */
	EAttribute getEqualityExpr_Op();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.EqualityExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.xmadsl.model.EqualityExpr#getLeft()
	 * @see #getEqualityExpr()
	 * @generated
	 */
	EReference getEqualityExpr_Left();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CondORExpr <em>Cond OR Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cond OR Expr</em>'.
	 * @see org.openxma.xmadsl.model.CondORExpr
	 * @generated
	 */
	EClass getCondORExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CondORExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.xmadsl.model.CondORExpr#getLeft()
	 * @see #getCondORExpr()
	 * @generated
	 */
	EReference getCondORExpr_Left();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CondORExpr#getRights <em>Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Rights</em>'.
	 * @see org.openxma.xmadsl.model.CondORExpr#getRights()
	 * @see #getCondORExpr()
	 * @generated
	 */
	EReference getCondORExpr_Rights();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CondORRights <em>Cond OR Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cond OR Rights</em>'.
	 * @see org.openxma.xmadsl.model.CondORRights
	 * @generated
	 */
	EClass getCondORRights();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CondORRights#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.xmadsl.model.CondORRights#getRight()
	 * @see #getCondORRights()
	 * @generated
	 */
	EReference getCondORRights_Right();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.CondORRights#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.xmadsl.model.CondORRights#getOp()
	 * @see #getCondORRights()
	 * @generated
	 */
	EAttribute getCondORRights_Op();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CondANDExpr <em>Cond AND Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cond AND Expr</em>'.
	 * @see org.openxma.xmadsl.model.CondANDExpr
	 * @generated
	 */
	EClass getCondANDExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CondANDExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.xmadsl.model.CondANDExpr#getLeft()
	 * @see #getCondANDExpr()
	 * @generated
	 */
	EReference getCondANDExpr_Left();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.CondANDExpr#getRights <em>Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Rights</em>'.
	 * @see org.openxma.xmadsl.model.CondANDExpr#getRights()
	 * @see #getCondANDExpr()
	 * @generated
	 */
	EReference getCondANDExpr_Rights();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.CondANDRights <em>Cond AND Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cond AND Rights</em>'.
	 * @see org.openxma.xmadsl.model.CondANDRights
	 * @generated
	 */
	EClass getCondANDRights();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.CondANDRights#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.xmadsl.model.CondANDRights#getOp()
	 * @see #getCondANDRights()
	 * @generated
	 */
	EAttribute getCondANDRights_Op();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.CondANDRights#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.xmadsl.model.CondANDRights#getRight()
	 * @see #getCondANDRights()
	 * @generated
	 */
	EReference getCondANDRights_Right();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.AtomicBoolExpr <em>Atomic Bool Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Atomic Bool Expr</em>'.
	 * @see org.openxma.xmadsl.model.AtomicBoolExpr
	 * @generated
	 */
	EClass getAtomicBoolExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.AtomicBoolExpr#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.xmadsl.model.AtomicBoolExpr#getRight()
	 * @see #getAtomicBoolExpr()
	 * @generated
	 */
	EReference getAtomicBoolExpr_Right();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.AtomicBoolExpr#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.xmadsl.model.AtomicBoolExpr#getOp()
	 * @see #getAtomicBoolExpr()
	 * @generated
	 */
	EAttribute getAtomicBoolExpr_Op();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.AtomicBoolExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.xmadsl.model.AtomicBoolExpr#getLeft()
	 * @see #getAtomicBoolExpr()
	 * @generated
	 */
	EReference getAtomicBoolExpr_Left();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.RelationalExpr <em>Relational Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Relational Expr</em>'.
	 * @see org.openxma.xmadsl.model.RelationalExpr
	 * @generated
	 */
	EClass getRelationalExpr();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.AdditiveExpr <em>Additive Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Additive Expr</em>'.
	 * @see org.openxma.xmadsl.model.AdditiveExpr
	 * @generated
	 */
	EClass getAdditiveExpr();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.AdditiveExpr#getRights <em>Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Rights</em>'.
	 * @see org.openxma.xmadsl.model.AdditiveExpr#getRights()
	 * @see #getAdditiveExpr()
	 * @generated
	 */
	EReference getAdditiveExpr_Rights();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.AdditiveExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.xmadsl.model.AdditiveExpr#getLeft()
	 * @see #getAdditiveExpr()
	 * @generated
	 */
	EReference getAdditiveExpr_Left();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.AdditiveRights <em>Additive Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Additive Rights</em>'.
	 * @see org.openxma.xmadsl.model.AdditiveRights
	 * @generated
	 */
	EClass getAdditiveRights();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.AdditiveRights#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.xmadsl.model.AdditiveRights#getRight()
	 * @see #getAdditiveRights()
	 * @generated
	 */
	EReference getAdditiveRights_Right();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.AdditiveRights#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.xmadsl.model.AdditiveRights#getOp()
	 * @see #getAdditiveRights()
	 * @generated
	 */
	EAttribute getAdditiveRights_Op();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.MultiplicativeExpr <em>Multiplicative Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Multiplicative Expr</em>'.
	 * @see org.openxma.xmadsl.model.MultiplicativeExpr
	 * @generated
	 */
	EClass getMultiplicativeExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.MultiplicativeExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.xmadsl.model.MultiplicativeExpr#getLeft()
	 * @see #getMultiplicativeExpr()
	 * @generated
	 */
	EReference getMultiplicativeExpr_Left();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.xmadsl.model.MultiplicativeExpr#getRights <em>Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Rights</em>'.
	 * @see org.openxma.xmadsl.model.MultiplicativeExpr#getRights()
	 * @see #getMultiplicativeExpr()
	 * @generated
	 */
	EReference getMultiplicativeExpr_Rights();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.MultiplicativeRights <em>Multiplicative Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Multiplicative Rights</em>'.
	 * @see org.openxma.xmadsl.model.MultiplicativeRights
	 * @generated
	 */
	EClass getMultiplicativeRights();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.MultiplicativeRights#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.xmadsl.model.MultiplicativeRights#getOp()
	 * @see #getMultiplicativeRights()
	 * @generated
	 */
	EAttribute getMultiplicativeRights_Op();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.MultiplicativeRights#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.xmadsl.model.MultiplicativeRights#getRight()
	 * @see #getMultiplicativeRights()
	 * @generated
	 */
	EReference getMultiplicativeRights_Right();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.AtomicExpr <em>Atomic Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Atomic Expr</em>'.
	 * @see org.openxma.xmadsl.model.AtomicExpr
	 * @generated
	 */
	EClass getAtomicExpr();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Call <em>Call</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Call</em>'.
	 * @see org.openxma.xmadsl.model.Call
	 * @generated
	 */
	EClass getCall();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.Call#getExpr <em>Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Expr</em>'.
	 * @see org.openxma.xmadsl.model.Call#getExpr()
	 * @see #getCall()
	 * @generated
	 */
	EReference getCall_Expr();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.Call#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.xmadsl.model.Call#getName()
	 * @see #getCall()
	 * @generated
	 */
	EAttribute getCall_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.ParenExpr <em>Paren Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Paren Expr</em>'.
	 * @see org.openxma.xmadsl.model.ParenExpr
	 * @generated
	 */
	EClass getParenExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.xmadsl.model.ParenExpr#getExpr <em>Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Expr</em>'.
	 * @see org.openxma.xmadsl.model.ParenExpr#getExpr()
	 * @see #getParenExpr()
	 * @generated
	 */
	EReference getParenExpr_Expr();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.Literal <em>Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Literal</em>'.
	 * @see org.openxma.xmadsl.model.Literal
	 * @generated
	 */
	EClass getLiteral();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.IntLiteral <em>Int Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Int Literal</em>'.
	 * @see org.openxma.xmadsl.model.IntLiteral
	 * @generated
	 */
	EClass getIntLiteral();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.IntLiteral#getNumber <em>Number</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Number</em>'.
	 * @see org.openxma.xmadsl.model.IntLiteral#getNumber()
	 * @see #getIntLiteral()
	 * @generated
	 */
	EAttribute getIntLiteral_Number();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.StringLiteral <em>String Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>String Literal</em>'.
	 * @see org.openxma.xmadsl.model.StringLiteral
	 * @generated
	 */
	EClass getStringLiteral();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.xmadsl.model.StringLiteral#getString <em>String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>String</em>'.
	 * @see org.openxma.xmadsl.model.StringLiteral#getString()
	 * @see #getStringLiteral()
	 * @generated
	 */
	EAttribute getStringLiteral_String();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.BoolLiteral <em>Bool Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bool Literal</em>'.
	 * @see org.openxma.xmadsl.model.BoolLiteral
	 * @generated
	 */
	EClass getBoolLiteral();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.TrueLiteral <em>True Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>True Literal</em>'.
	 * @see org.openxma.xmadsl.model.TrueLiteral
	 * @generated
	 */
	EClass getTrueLiteral();

	/**
	 * Returns the meta object for class '{@link org.openxma.xmadsl.model.FalseLiteral <em>False Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>False Literal</em>'.
	 * @see org.openxma.xmadsl.model.FalseLiteral
	 * @generated
	 */
	EClass getFalseLiteral();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.EventType <em>Event Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Event Type</em>'.
	 * @see org.openxma.xmadsl.model.EventType
	 * @generated
	 */
	EEnum getEventType();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.AttachmentOwnPosition <em>Attachment Own Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Attachment Own Position</em>'.
	 * @see org.openxma.xmadsl.model.AttachmentOwnPosition
	 * @generated
	 */
	EEnum getAttachmentOwnPosition();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.AttachmentSiblingPosition <em>Attachment Sibling Position</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Attachment Sibling Position</em>'.
	 * @see org.openxma.xmadsl.model.AttachmentSiblingPosition
	 * @generated
	 */
	EEnum getAttachmentSiblingPosition();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.ContentAlignment <em>Content Alignment</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Content Alignment</em>'.
	 * @see org.openxma.xmadsl.model.ContentAlignment
	 * @generated
	 */
	EEnum getContentAlignment();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.ServiceType <em>Service Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Service Type</em>'.
	 * @see org.openxma.xmadsl.model.ServiceType
	 * @generated
	 */
	EEnum getServiceType();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.BooleanValue <em>Boolean Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Boolean Value</em>'.
	 * @see org.openxma.xmadsl.model.BooleanValue
	 * @generated
	 */
	EEnum getBooleanValue();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.ValueModelType <em>Value Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Value Model Type</em>'.
	 * @see org.openxma.xmadsl.model.ValueModelType
	 * @generated
	 */
	EEnum getValueModelType();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.ParameterDefinitionType <em>Parameter Definition Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Parameter Definition Type</em>'.
	 * @see org.openxma.xmadsl.model.ParameterDefinitionType
	 * @generated
	 */
	EEnum getParameterDefinitionType();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.MultiplicativeOp <em>Multiplicative Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Multiplicative Op</em>'.
	 * @see org.openxma.xmadsl.model.MultiplicativeOp
	 * @generated
	 */
	EEnum getMultiplicativeOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.AdditiveOp <em>Additive Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Additive Op</em>'.
	 * @see org.openxma.xmadsl.model.AdditiveOp
	 * @generated
	 */
	EEnum getAdditiveOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.RelationalOp <em>Relational Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Relational Op</em>'.
	 * @see org.openxma.xmadsl.model.RelationalOp
	 * @generated
	 */
	EEnum getRelationalOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.EqualityOp <em>Equality Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Equality Op</em>'.
	 * @see org.openxma.xmadsl.model.EqualityOp
	 * @generated
	 */
	EEnum getEqualityOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.OrOp <em>Or Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Or Op</em>'.
	 * @see org.openxma.xmadsl.model.OrOp
	 * @generated
	 */
	EEnum getOrOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.AndOp <em>And Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>And Op</em>'.
	 * @see org.openxma.xmadsl.model.AndOp
	 * @generated
	 */
	EEnum getAndOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.xmadsl.model.VariableAccess <em>Variable Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Variable Access</em>'.
	 * @see org.openxma.xmadsl.model.VariableAccess
	 * @generated
	 */
	EEnum getVariableAccess();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	XmadslFactory getXmadslFactory();

} //XmadslPackage
