grammar xmadsl;
 options{backtrack=true; memoize=true;} 

@lexer::header {
package org.openxma.xmadsl.parser;

import org.openarchitectureware.xtext.parser.ErrorMsg;
import org.openarchitectureware.xtext.parser.impl.AntlrUtil;

}

@parser::header {
package org.openxma.xmadsl.parser;

import org.eclipse.emf.common.util.Enumerator;
import org.eclipse.emf.ecore.EObject;

import org.openarchitectureware.xtext.parser.impl.AntlrUtil;
import org.openarchitectureware.xtext.XtextFile;
import org.openarchitectureware.xtext.parser.impl.EcoreModelFactory;
import org.openarchitectureware.xtext.parser.ErrorMsg;
import org.openarchitectureware.xtext.parser.model.ParseTreeManagerNeu;
import org.openarchitectureware.xtext.parser.parsetree.Node;

import org.openxma.xmadsl.MetaModelRegistration;

}
@lexer::members {
	 private List<ErrorMsg> errors = new ArrayList<ErrorMsg>();
	public List<ErrorMsg> getErrors() {
		return errors;
	}

	public String getErrorMessage(RecognitionException e, String[] tokenNames) {
		String msg = super.getErrorMessage(e,tokenNames);
		errors.add(AntlrUtil.create(msg,e,tokenNames));
		return msg;
	}
}

@parser::members {

	private Token getLastToken() {
		return input.LT(-1);
	}

	protected Object convert(Object arg) {
		if (arg instanceof org.antlr.runtime.Token) {
			Token t = (Token) arg;
			String s = t.getText();
			if (t.getType() == xmadslLexer.RULE_ID && s.startsWith("^")) {
				return s.substring(1);
			} else if (t.getType()==xmadslLexer.RULE_STRING) {
				return s.substring(1,s.length()-1);
			} else if (t.getType()==xmadslLexer.RULE_INT) {
				return Integer.valueOf(s);
			}
			return s;
		}
		return arg;
	}


	private EcoreModelFactory factory = new EcoreModelFactory(MetaModelRegistration.getEPackage());
    private ParseTreeManagerNeu ptm = new ParseTreeManagerNeu();
	private XtextFile xtextfile = MetaModelRegistration.getXtextFile();
	
	{
			factory.addImport("xmaModel", "http:///at/spardat/xma/guidesign.ecore");
			factory.addImport("flexModel", "http:///at/spardat/xma/guidesign/flex.ecore");
		
	}

	public ParseTreeManagerNeu getResult() {
		return ptm;
	}

	private List<ErrorMsg> errors = new ArrayList<ErrorMsg>();
	public List<ErrorMsg> getErrors() {
		return errors;
	}

	@Override
	public void reportError(RecognitionException e) {
		String msg = super.getErrorMessage(e,tokenNames);
		errors.add(AntlrUtil.create(msg,e,tokenNames));
		ptm.addError(msg, e);
		// This doesn't work. ANTLR may simply report an superfluous token. In that case,
		// two nodes will be finished instead of one.
		// ptm.ruleFinished(null, end());
	}

    private boolean skipCurrentToken;
    
	@Override
	protected boolean recoverFromMismatchedElement(IntStream arg0, RecognitionException arg1, BitSet arg2) {
		skipCurrentToken = true;
		return super.recoverFromMismatchedElement(arg0, arg1, arg2);
	}
}


parse returns [Node r]:
	 result=ruleModel
	 // Always return the root node! This prevents that this method is called multiple times
	 // with interesting side effects.
{
if (result != null)
  ptm.setModelElement(result);
$r = ptm.getCurrent();
ptm.ruleFinished(result);}	 EOF
;

ruleModel returns [EObject result]
:
        temp_applicationmodel=ruleApplicationModel {$result=temp_applicationmodel;}	|        temp_domainmodel=ruleDomainModel {$result=temp_domainmodel;}	|        temp_componentmodel=ruleComponentModel {$result=temp_componentmodel;}	|        temp_customizecomponentmodel=ruleCustomizeComponentModel {$result=temp_customizecomponentmodel;}	;

ruleDomainModel returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "DomainModel");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(4)).eContents().get(1)).eContents().get(0)));}temp_Import=
ruleImport{if (temp_Import != null) {
  hasContent = true;
  ptm.setModelElement(temp_Import);
  factory.add($result,"imports",convert(temp_Import),false);
  ptm.ruleFinished(temp_Import);
} else {
  ptm.destroyNode();
}
}
)+

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(4)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

(({skipCurrentToken = false;}'Package'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(4)).eContents().get(1)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(4)).eContents().get(1)).eContents().get(2)).eContents().get(1)));}temp_JavaIdentifier=
ruleJavaIdentifier{if (temp_JavaIdentifier != null) {
  hasContent = true;
  factory.set($result,"package",convert(temp_JavaIdentifier),false);
  ptm.ruleFinished(temp_JavaIdentifier);
} else {
  ptm.destroyNode();
}
}
)
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(4)).eContents().get(1)).eContents().get(3)));}temp_DomainObject=
ruleDomainObject{if (temp_DomainObject != null) {
  hasContent = true;
  ptm.setModelElement(temp_DomainObject);
  factory.add($result,"domainObjects",convert(temp_DomainObject),false);
  ptm.ruleFinished(temp_DomainObject);
} else {
  ptm.destroyNode();
}
}
)+
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleApplicationModel returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ApplicationModel");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(5)).eContents().get(1)).eContents().get(0)));}temp_Import=
ruleImport{if (temp_Import != null) {
  hasContent = true;
  ptm.setModelElement(temp_Import);
  factory.add($result,"imports",convert(temp_Import),false);
  ptm.ruleFinished(temp_Import);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(5)).eContents().get(1)).eContents().get(1)));}temp_Defaults=
ruleDefaults{if (temp_Defaults != null) {
  hasContent = true;
  ptm.setModelElement(temp_Defaults);
  factory.set($result,"defaults",convert(temp_Defaults),false);
  ptm.ruleFinished(temp_Defaults);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(5)).eContents().get(1)).eContents().get(2)));}temp_Customization=
ruleCustomization{if (temp_Customization != null) {
  hasContent = true;
  ptm.setModelElement(temp_Customization);
  factory.set($result,"customization",convert(temp_Customization),false);
  ptm.ruleFinished(temp_Customization);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(5)).eContents().get(1)).eContents().get(3)));}temp_ApplicationSession=
ruleApplicationSession{if (temp_ApplicationSession != null) {
  hasContent = true;
  ptm.setModelElement(temp_ApplicationSession);
  factory.set($result,"application",convert(temp_ApplicationSession),false);
  ptm.ruleFinished(temp_ApplicationSession);
} else {
  ptm.destroyNode();
}
}
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleComponentModel returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ComponentModel");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(6)).eContents().get(1)).eContents().get(0)));}temp_Import=
ruleImport{if (temp_Import != null) {
  hasContent = true;
  ptm.setModelElement(temp_Import);
  factory.add($result,"imports",convert(temp_Import),false);
  ptm.ruleFinished(temp_Import);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(6)).eContents().get(1)).eContents().get(1)));}temp_Component=
ruleComponent{if (temp_Component != null) {
  hasContent = true;
  ptm.setModelElement(temp_Component);
  factory.set($result,"component",convert(temp_Component),false);
  ptm.ruleFinished(temp_Component);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDomainObject returns [EObject result]
:
        temp_service=ruleService {$result=temp_service;}	|        temp_datatype=ruleDataType {$result=temp_datatype;}	;

ruleCustomization returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Customization");
			 }
(({skipCurrentToken = false;}'Customization'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(8)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(8)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(8)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(8)).eContents().get(1)).eContents().get(3)));}temp_Validator=
ruleValidator{if (temp_Validator != null) {
  hasContent = true;
  ptm.setModelElement(temp_Validator);
  factory.add($result,"validators",convert(temp_Validator),false);
  ptm.ruleFinished(temp_Validator);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(8)).eContents().get(1)).eContents().get(4)));}temp_Editor=
ruleEditor{if (temp_Editor != null) {
  hasContent = true;
  ptm.setModelElement(temp_Editor);
  factory.add($result,"editors",convert(temp_Editor),false);
  ptm.ruleFinished(temp_Editor);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(8)).eContents().get(1)).eContents().get(5)));}temp_SimpleType=
ruleSimpleType{if (temp_SimpleType != null) {
  hasContent = true;
  ptm.setModelElement(temp_SimpleType);
  factory.add($result,"datatypes",convert(temp_SimpleType),false);
  ptm.ruleFinished(temp_SimpleType);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(8)).eContents().get(1)).eContents().get(6)));}temp_Style=
ruleStyle{if (temp_Style != null) {
  hasContent = true;
  ptm.setModelElement(temp_Style);
  factory.add($result,"styles",convert(temp_Style),false);
  ptm.ruleFinished(temp_Style);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(8)).eContents().get(1)).eContents().get(7)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDefaults returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Defaults");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(9)).eContents().get(1)).eContents().get(0)));}temp_Validator=
ruleValidator{if (temp_Validator != null) {
  hasContent = true;
  ptm.setModelElement(temp_Validator);
  factory.add($result,"validators",convert(temp_Validator),false);
  ptm.ruleFinished(temp_Validator);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(9)).eContents().get(1)).eContents().get(1)));}temp_Editor=
ruleEditor{if (temp_Editor != null) {
  hasContent = true;
  ptm.setModelElement(temp_Editor);
  factory.add($result,"editors",convert(temp_Editor),false);
  ptm.ruleFinished(temp_Editor);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(9)).eContents().get(1)).eContents().get(2)));}temp_SimpleType=
ruleSimpleType{if (temp_SimpleType != null) {
  hasContent = true;
  ptm.setModelElement(temp_SimpleType);
  factory.add($result,"datatypes",convert(temp_SimpleType),false);
  ptm.ruleFinished(temp_SimpleType);
} else {
  ptm.destroyNode();
}
}
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleProperty returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Property");
			 }
(({skipCurrentToken = false;}'property'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(10)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(10)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"type",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(10)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleStyle returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Style");
			 }
(({skipCurrentToken = false;}'Style'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(11)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(11)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleApplicationSession returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ApplicationSession");
			 }
(({skipCurrentToken = false;}'Context'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(12)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(12)).eContents().get(1)).eContents().get(1)));}temp_JavaIdentifier=
ruleJavaIdentifier{if (temp_JavaIdentifier != null) {
  hasContent = true;
  factory.set($result,"sessionClass",convert(temp_JavaIdentifier),false);
  ptm.ruleFinished(temp_JavaIdentifier);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(12)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(12)).eContents().get(1)).eContents().get(3)));}temp_Property=
ruleProperty{if (temp_Property != null) {
  hasContent = true;
  ptm.setModelElement(temp_Property);
  factory.add($result,"properties",convert(temp_Property),false);
  ptm.ruleFinished(temp_Property);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(12)).eContents().get(1)).eContents().get(4)));}temp_SessionFunction=
ruleSessionFunction{if (temp_SessionFunction != null) {
  hasContent = true;
  ptm.setModelElement(temp_SessionFunction);
  factory.add($result,"functions",convert(temp_SessionFunction),false);
  ptm.ruleFinished(temp_SessionFunction);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(12)).eContents().get(1)).eContents().get(5)));}temp_ConditionsBlock=
ruleConditionsBlock{if (temp_ConditionsBlock != null) {
  hasContent = true;
  ptm.setModelElement(temp_ConditionsBlock);
  factory.set($result,"conditionsBlock",convert(temp_ConditionsBlock),false);
  ptm.ruleFinished(temp_ConditionsBlock);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(12)).eContents().get(1)).eContents().get(6)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleSessionFunction returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "SessionFunction");
			 }
(({skipCurrentToken = false;}'Function'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(13)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(13)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"resultType",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(13)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(13)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(13)).eContents().get(1)).eContents().get(4)));
  factory.set($result,"parameterType",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(13)).eContents().get(1)).eContents().get(5)));
  factory.set($result,"parameterName",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(13)).eContents().get(1)).eContents().get(6)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleFieldFlag returns [EObject result]
:
        temp_enabledflag=ruleEnabledFlag {$result=temp_enabledflag;}	|        temp_mandatoryflag=ruleMandatoryFlag {$result=temp_mandatoryflag;}	|        temp_visibleflag=ruleVisibleFlag {$result=temp_visibleflag;}	|        temp_collapsedflag=ruleCollapsedFlag {$result=temp_collapsedflag;}	|        temp_editableflag=ruleEditableFlag {$result=temp_editableflag;}	;

ruleEnabledFlag returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "EnabledFlag");
			 }
(({skipCurrentToken = false;}'enabled='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(15)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(15)).eContents().get(1)).eContents().get(1)));}temp_EqualityExpr=
ruleEqualityExpr{if (temp_EqualityExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_EqualityExpr);
  factory.set($result,"expression",convert(temp_EqualityExpr),false);
  ptm.ruleFinished(temp_EqualityExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleMandatoryFlag returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "MandatoryFlag");
			 }
(({skipCurrentToken = false;}'mandatory='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(16)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(16)).eContents().get(1)).eContents().get(1)));}temp_EqualityExpr=
ruleEqualityExpr{if (temp_EqualityExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_EqualityExpr);
  factory.set($result,"expression",convert(temp_EqualityExpr),false);
  ptm.ruleFinished(temp_EqualityExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleVisibleFlag returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "VisibleFlag");
			 }
(({skipCurrentToken = false;}'visible='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(17)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(17)).eContents().get(1)).eContents().get(1)));}temp_EqualityExpr=
ruleEqualityExpr{if (temp_EqualityExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_EqualityExpr);
  factory.set($result,"expression",convert(temp_EqualityExpr),false);
  ptm.ruleFinished(temp_EqualityExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCollapsedFlag returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CollapsedFlag");
			 }
(({skipCurrentToken = false;}'collapsed='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(18)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(18)).eContents().get(1)).eContents().get(1)));}temp_EqualityExpr=
ruleEqualityExpr{if (temp_EqualityExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_EqualityExpr);
  factory.set($result,"expression",convert(temp_EqualityExpr),false);
  ptm.ruleFinished(temp_EqualityExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleEditableFlag returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "EditableFlag");
			 }
(({skipCurrentToken = false;}'editable='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(19)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(19)).eContents().get(1)).eContents().get(1)));}temp_EqualityExpr=
ruleEqualityExpr{if (temp_EqualityExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_EqualityExpr);
  factory.set($result,"expression",convert(temp_EqualityExpr),false);
  ptm.ruleFinished(temp_EqualityExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleComponent returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Component");
			 }
(({skipCurrentToken = false;}'Component'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'xma'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"xmaComponent",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(4)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(5)));}temp_DataObjectVariable=
ruleDataObjectVariable{if (temp_DataObjectVariable != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataObjectVariable);
  factory.add($result,"dataobjects",convert(temp_DataObjectVariable),false);
  ptm.ruleFinished(temp_DataObjectVariable);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(6)));}temp_CustomizeAttributeList=
ruleCustomizeAttributeList{if (temp_CustomizeAttributeList != null) {
  hasContent = true;
  ptm.setModelElement(temp_CustomizeAttributeList);
  factory.set($result,"customizedAttributeList",convert(temp_CustomizeAttributeList),false);
  ptm.ruleFinished(temp_CustomizeAttributeList);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(7)));}temp_Command=
ruleCommand{if (temp_Command != null) {
  hasContent = true;
  ptm.setModelElement(temp_Command);
  factory.add($result,"commands",convert(temp_Command),false);
  ptm.ruleFinished(temp_Command);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(8)));}temp_EventMappingList=
ruleEventMappingList{if (temp_EventMappingList != null) {
  hasContent = true;
  ptm.setModelElement(temp_EventMappingList);
  factory.set($result,"events",convert(temp_EventMappingList),false);
  ptm.ruleFinished(temp_EventMappingList);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(9)));}temp_ConditionsBlock=
ruleConditionsBlock{if (temp_ConditionsBlock != null) {
  hasContent = true;
  ptm.setModelElement(temp_ConditionsBlock);
  factory.set($result,"conditionsBlock",convert(temp_ConditionsBlock),false);
  ptm.ruleFinished(temp_ConditionsBlock);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(10)));}temp_Page=
rulePage{if (temp_Page != null) {
  hasContent = true;
  ptm.setModelElement(temp_Page);
  factory.add($result,"pages",convert(temp_Page),false);
  ptm.ruleFinished(temp_Page);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(20)).eContents().get(1)).eContents().get(11)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleReferencedXMAPage returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ReferencedXMAPage");
			 }
(({skipCurrentToken = false;}'Page'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'xma'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"xmaPage",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(4)));}temp_ComposeData=
ruleComposeData{if (temp_ComposeData != null) {
  hasContent = true;
  ptm.setModelElement(temp_ComposeData);
  factory.set($result,"composeLayout",convert(temp_ComposeData),false);
  ptm.ruleFinished(temp_ComposeData);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(6)));}temp_DataObjectVariable=
ruleDataObjectVariable{if (temp_DataObjectVariable != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataObjectVariable);
  factory.add($result,"dataobjects",convert(temp_DataObjectVariable),false);
  ptm.ruleFinished(temp_DataObjectVariable);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(7)));}temp_DataMappingList=
ruleDataMappingList{if (temp_DataMappingList != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataMappingList);
  factory.set($result,"dataMapping",convert(temp_DataMappingList),false);
  ptm.ruleFinished(temp_DataMappingList);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(8)));}temp_Command=
ruleCommand{if (temp_Command != null) {
  hasContent = true;
  ptm.setModelElement(temp_Command);
  factory.add($result,"commands",convert(temp_Command),false);
  ptm.ruleFinished(temp_Command);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(9)));}temp_EventMappingList=
ruleEventMappingList{if (temp_EventMappingList != null) {
  hasContent = true;
  ptm.setModelElement(temp_EventMappingList);
  factory.set($result,"events",convert(temp_EventMappingList),false);
  ptm.ruleFinished(temp_EventMappingList);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(10)));}temp_ConditionsBlock=
ruleConditionsBlock{if (temp_ConditionsBlock != null) {
  hasContent = true;
  ptm.setModelElement(temp_ConditionsBlock);
  factory.set($result,"conditionsBlock",convert(temp_ConditionsBlock),false);
  ptm.ruleFinished(temp_ConditionsBlock);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(11)));}temp_PageContent=
rulePageContent{if (temp_PageContent != null) {
  hasContent = true;
  ptm.setModelElement(temp_PageContent);
  factory.set($result,"content",convert(temp_PageContent),false);
  ptm.ruleFinished(temp_PageContent);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(12)));}temp_GrayLogic=
ruleGrayLogic{if (temp_GrayLogic != null) {
  hasContent = true;
  ptm.setModelElement(temp_GrayLogic);
  factory.set($result,"grayLogic",convert(temp_GrayLogic),false);
  ptm.ruleFinished(temp_GrayLogic);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(22)).eContents().get(1)).eContents().get(13)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleReferencedXMAComposite returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ReferencedXMAComposite");
			 }
(({skipCurrentToken = false;}'Composite'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(23)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'xma'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(23)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(23)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(23)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"xmaComposite",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(23)).eContents().get(1)).eContents().get(4)));}temp_CompositeContent=
ruleCompositeContent{if (temp_CompositeContent != null) {
  hasContent = true;
  ptm.setModelElement(temp_CompositeContent);
  factory.set($result,"content",convert(temp_CompositeContent),false);
  ptm.ruleFinished(temp_CompositeContent);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleGrayLogic returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "GrayLogic");
			 }
(({skipCurrentToken = false;}'Graylogic'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(24)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(24)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(24)).eContents().get(1)).eContents().get(2)));}temp_XMAWidgetGrayLogic=
ruleXMAWidgetGrayLogic{if (temp_XMAWidgetGrayLogic != null) {
  hasContent = true;
  ptm.setModelElement(temp_XMAWidgetGrayLogic);
  factory.add($result,"widgetGrayLogic",convert(temp_XMAWidgetGrayLogic),false);
  ptm.ruleFinished(temp_XMAWidgetGrayLogic);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(24)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleXMAWidgetGrayLogic returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "XMAWidgetGrayLogic");
			 }
(({skipCurrentToken = false;}'xma'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(25)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(25)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(25)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"xmaWidget",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(25)).eContents().get(1)).eContents().get(3)));}temp_FieldFlag=
ruleFieldFlag{if (temp_FieldFlag != null) {
  hasContent = true;
  ptm.setModelElement(temp_FieldFlag);
  factory.add($result,"fieldFlags",convert(temp_FieldFlag),false);
  ptm.ruleFinished(temp_FieldFlag);
} else {
  ptm.destroyNode();
}
}
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDataObjectVariable returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "DataObjectVariable");
			 }
(({skipCurrentToken = false;}'Data'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(26)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(26)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"type",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
'[]'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(26)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"isCollection",true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(26)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(26)).eContents().get(1)).eContents().get(4)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(26)).eContents().get(1)).eContents().get(4)).eContents().get(1)));}temp_CustomizedAttribute=
ruleCustomizedAttribute{if (temp_CustomizedAttribute != null) {
  hasContent = true;
  ptm.setModelElement(temp_CustomizedAttribute);
  factory.add($result,"customizedAttributes",convert(temp_CustomizedAttribute),false);
  ptm.ruleFinished(temp_CustomizedAttribute);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(26)).eContents().get(1)).eContents().get(4)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCustomizeAttributeList returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CustomizeAttributeList");
			 }
(({skipCurrentToken = false;}'customize'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(27)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(27)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(27)).eContents().get(1)).eContents().get(2)));}temp_CustomizedAttribute=
ruleCustomizedAttribute{if (temp_CustomizedAttribute != null) {
  hasContent = true;
  ptm.setModelElement(temp_CustomizedAttribute);
  factory.add($result,"customizedAttributes",convert(temp_CustomizedAttribute),false);
  ptm.ruleFinished(temp_CustomizedAttribute);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(27)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCustomizedAttribute returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CustomizedAttribute");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(28)).eContents().get(1)).eContents().get(0)));}temp_IField=
ruleIField{if (temp_IField != null) {
  hasContent = true;
  ptm.setModelElement(temp_IField);
  factory.set($result,"field",convert(temp_IField),false);
  ptm.ruleFinished(temp_IField);
} else {
  ptm.destroyNode();
}
}
)

(({skipCurrentToken = false;}'constraints='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(28)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(28)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_Constraint=
ruleConstraint{if (temp_Constraint != null) {
  hasContent = true;
  ptm.setModelElement(temp_Constraint);
  factory.add($result,"constraints",convert(temp_Constraint),false);
  ptm.ruleFinished(temp_Constraint);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(28)).eContents().get(1)).eContents().get(1)).eContents().get(2)));}temp_Constraint=
ruleConstraint{if (temp_Constraint != null) {
  hasContent = true;
  ptm.setModelElement(temp_Constraint);
  factory.add($result,"constraints",convert(temp_Constraint),false);
  ptm.ruleFinished(temp_Constraint);
} else {
  ptm.destroyNode();
}
}
)*
)?

(({skipCurrentToken = false;}'format='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(28)).eContents().get(1)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(28)).eContents().get(1)).eContents().get(2)).eContents().get(1)));}temp_ValidatorReference=
ruleValidatorReference{if (temp_ValidatorReference != null) {
  hasContent = true;
  ptm.setModelElement(temp_ValidatorReference);
  factory.set($result,"format",convert(temp_ValidatorReference),false);
  ptm.ruleFinished(temp_ValidatorReference);
} else {
  ptm.destroyNode();
}
}
)
)?

(({skipCurrentToken = false;}'flags='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(28)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(28)).eContents().get(1)).eContents().get(3)).eContents().get(1)));}temp_AttributeFlag=
ruleAttributeFlag{if (temp_AttributeFlag != null) {
  hasContent = true;
  ptm.setModelElement(temp_AttributeFlag);
  factory.add($result,"attributFlag",convert(temp_AttributeFlag),false);
  ptm.ruleFinished(temp_AttributeFlag);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(28)).eContents().get(1)).eContents().get(3)).eContents().get(2)));}temp_AttributeFlag=
ruleAttributeFlag{if (temp_AttributeFlag != null) {
  hasContent = true;
  ptm.setModelElement(temp_AttributeFlag);
  factory.add($result,"attributFlags",convert(temp_AttributeFlag),false);
  ptm.ruleFinished(temp_AttributeFlag);
} else {
  ptm.destroyNode();
}
}
)*
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(28)).eContents().get(1)).eContents().get(4)));}temp_TextProperties=
ruleTextProperties{if (temp_TextProperties != null) {
  hasContent = true;
  ptm.setModelElement(temp_TextProperties);
  factory.set($result,"textProperties",convert(temp_TextProperties),false);
  ptm.ruleFinished(temp_TextProperties);
} else {
  ptm.destroyNode();
}
}
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleTextProperties returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "TextProperties");
			 }
((({skipCurrentToken = false;}'label='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(29)).eContents().get(1)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(29)).eContents().get(1)).eContents().get(0)).eContents().get(1)));
  factory.set($result,"labelText",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?

(({skipCurrentToken = false;}'tooltip='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(29)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(29)).eContents().get(1)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"tooltipText",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?

(({skipCurrentToken = false;}'unitlabel='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(29)).eContents().get(1)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(29)).eContents().get(1)).eContents().get(2)).eContents().get(1)));
  factory.set($result,"unitLabelText",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleIField returns [EObject result]
:
        temp_fieldreference=ruleFieldReference {$result=temp_fieldreference;}	|        temp_customizeablefield=ruleCustomizeableField {$result=temp_customizeablefield;}	;

ruleFieldReference returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "FieldReference");
			 }
(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(31)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"object",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(31)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(31)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"attributeHolder",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCustomizeableField returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CustomizeableField");
			 }
(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(32)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"object",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(32)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(32)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"attributeHolder",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'constraints='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(32)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(32)).eContents().get(1)).eContents().get(3)).eContents().get(1)));}temp_Constraint=
ruleConstraint{if (temp_Constraint != null) {
  hasContent = true;
  ptm.setModelElement(temp_Constraint);
  factory.add($result,"constraints",convert(temp_Constraint),false);
  ptm.ruleFinished(temp_Constraint);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(32)).eContents().get(1)).eContents().get(3)).eContents().get(2)));}temp_Constraint=
ruleConstraint{if (temp_Constraint != null) {
  hasContent = true;
  ptm.setModelElement(temp_Constraint);
  factory.add($result,"constraints",convert(temp_Constraint),false);
  ptm.ruleFinished(temp_Constraint);
} else {
  ptm.destroyNode();
}
}
)*
)?

(({skipCurrentToken = false;}'format='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(32)).eContents().get(1)).eContents().get(4)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(32)).eContents().get(1)).eContents().get(4)).eContents().get(1)));}temp_ValidatorReference=
ruleValidatorReference{if (temp_ValidatorReference != null) {
  hasContent = true;
  ptm.setModelElement(temp_ValidatorReference);
  factory.set($result,"format",convert(temp_ValidatorReference),false);
  ptm.ruleFinished(temp_ValidatorReference);
} else {
  ptm.destroyNode();
}
}
)
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(32)).eContents().get(1)).eContents().get(5)));}temp_FieldFlag=
ruleFieldFlag{if (temp_FieldFlag != null) {
  hasContent = true;
  ptm.setModelElement(temp_FieldFlag);
  factory.add($result,"fieldFlags",convert(temp_FieldFlag),false);
  ptm.ruleFinished(temp_FieldFlag);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(32)).eContents().get(1)).eContents().get(6)));}temp_TextProperties=
ruleTextProperties{if (temp_TextProperties != null) {
  hasContent = true;
  ptm.setModelElement(temp_TextProperties);
  factory.set($result,"textProperties",convert(temp_TextProperties),false);
  ptm.ruleFinished(temp_TextProperties);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(32)).eContents().get(1)).eContents().get(7)));}temp_LayoutData=
ruleLayoutData{if (temp_LayoutData != null) {
  hasContent = true;
  ptm.setModelElement(temp_LayoutData);
  factory.set($result,"layoutData",convert(temp_LayoutData),false);
  ptm.ruleFinished(temp_LayoutData);
} else {
  ptm.destroyNode();
}
}
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCommand returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Command");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(33)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

(({skipCurrentToken = false;}'Command'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(33)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})
	|
({skipCurrentToken = false;}
'UICommand'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(33)).eContents().get(1)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"clientOnly",true);
  ptm.ruleFinished(temp);
}}
)
)

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(33)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleEventMappingList returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "EventMappingList");
			 }
(({skipCurrentToken = false;}'EventMapping'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(34)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(34)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(34)).eContents().get(1)).eContents().get(2)));}temp_EventMapping=
ruleEventMapping{if (temp_EventMapping != null) {
  hasContent = true;
  ptm.setModelElement(temp_EventMapping);
  factory.add($result,"mapping",convert(temp_EventMapping),false);
  ptm.ruleFinished(temp_EventMapping);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(34)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleEventMapping returns [EObject result]
:
        temp_controleventmapping=ruleControlEventMapping {$result=temp_controleventmapping;}	|        temp_initeventmapping=ruleInitEventMapping {$result=temp_initeventmapping;}	;

ruleControlEventMapping returns [EObject result]
:
        temp_xmawidgeteventmapping=ruleXMAWidgetEventMapping {$result=temp_xmawidgeteventmapping;}	|        temp_guielementeventmapping=ruleGuiElementEventMapping {$result=temp_guielementeventmapping;}	;

ruleXMAWidgetEventMapping returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "XMAWidgetEventMapping");
			 }
(({skipCurrentToken = false;}'xma'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(37)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(37)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(37)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"control",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(37)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(37)).eContents().get(1)).eContents().get(3)).eContents().get(1)));}temp_EventType=
ruleEventType{if (temp_EventType != null) {
  hasContent = true;
  factory.set($result,"event",convert(temp_EventType),false);
  ptm.ruleFinished(temp_EventType);
} else {
  ptm.destroyNode();
}
}
)
)?

({skipCurrentToken = false;}'->'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(37)).eContents().get(1)).eContents().get(4)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(37)).eContents().get(1)).eContents().get(5)));
  factory.set($result,"eventFunction",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleGuiElementEventMapping returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "GuiElementEventMapping");
			 }
(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(38)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"control",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(38)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(38)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_EventType=
ruleEventType{if (temp_EventType != null) {
  hasContent = true;
  factory.set($result,"event",convert(temp_EventType),false);
  ptm.ruleFinished(temp_EventType);
} else {
  ptm.destroyNode();
}
}
)
)?

({skipCurrentToken = false;}'->'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(38)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(38)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"eventFunction",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleInitEventMapping returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "InitEventMapping");
			 }
(({skipCurrentToken = false;}'onInit'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(39)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'->'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(39)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(39)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"eventFunction",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDataMappingList returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "DataMappingList");
			 }
(({skipCurrentToken = false;}'DataMapping'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(40)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(40)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(40)).eContents().get(1)).eContents().get(2)));}temp_DataMapping=
ruleDataMapping{if (temp_DataMapping != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataMapping);
  factory.add($result,"mapping",convert(temp_DataMapping),false);
  ptm.ruleFinished(temp_DataMapping);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(40)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDataMapping returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "DataMapping");
			 }
(({skipCurrentToken = false;}'xma'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(41)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(41)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(41)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"control",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'<->'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(41)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(41)).eContents().get(1)).eContents().get(4)));}temp_FieldReference=
ruleFieldReference{if (temp_FieldReference != null) {
  hasContent = true;
  ptm.setModelElement(temp_FieldReference);
  factory.set($result,"field",convert(temp_FieldReference),false);
  ptm.ruleFinished(temp_FieldReference);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleEventType returns [Enumerator r] :
		 'onSelection'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(42)).eContents().get(1)));
$r=factory.enumLit("", "EventType","onSelection");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'onDefaultSelection'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(42)).eContents().get(2)));
$r=factory.enumLit("", "EventType","onDefaultSelection");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'onExpand'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(42)).eContents().get(3)));
$r=factory.enumLit("", "EventType","onExpand");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'onCollapse'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(42)).eContents().get(4)));
$r=factory.enumLit("", "EventType","onCollapse");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

rulePage returns [EObject result]
:
        temp_referencedxmapage=ruleReferencedXMAPage {$result=temp_referencedxmapage;}	|        temp_xmadslpage=ruleXmadslPage {$result=temp_xmadslpage;}	|        temp_itabpage=ruleITabPage {$result=temp_itabpage;}	;

ruleXmadslPage returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "XmadslPage");
			 }
(({skipCurrentToken = false;}'Page'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

(({skipCurrentToken = false;}'<'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"template",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'>'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})
)?

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"label",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(4)));}temp_ComposeData=
ruleComposeData{if (temp_ComposeData != null) {
  hasContent = true;
  ptm.setModelElement(temp_ComposeData);
  factory.set($result,"composeLayout",convert(temp_ComposeData),false);
  ptm.ruleFinished(temp_ComposeData);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(6)));}temp_DataObjectVariable=
ruleDataObjectVariable{if (temp_DataObjectVariable != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataObjectVariable);
  factory.add($result,"dataobjects",convert(temp_DataObjectVariable),false);
  ptm.ruleFinished(temp_DataObjectVariable);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(7)));}temp_DataMappingList=
ruleDataMappingList{if (temp_DataMappingList != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataMappingList);
  factory.set($result,"dataMapping",convert(temp_DataMappingList),false);
  ptm.ruleFinished(temp_DataMappingList);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(8)));}temp_Command=
ruleCommand{if (temp_Command != null) {
  hasContent = true;
  ptm.setModelElement(temp_Command);
  factory.add($result,"commands",convert(temp_Command),false);
  ptm.ruleFinished(temp_Command);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(9)));}temp_EventMappingList=
ruleEventMappingList{if (temp_EventMappingList != null) {
  hasContent = true;
  ptm.setModelElement(temp_EventMappingList);
  factory.set($result,"events",convert(temp_EventMappingList),false);
  ptm.ruleFinished(temp_EventMappingList);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(10)));}temp_ConditionsBlock=
ruleConditionsBlock{if (temp_ConditionsBlock != null) {
  hasContent = true;
  ptm.setModelElement(temp_ConditionsBlock);
  factory.set($result,"conditionsBlock",convert(temp_ConditionsBlock),false);
  ptm.ruleFinished(temp_ConditionsBlock);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(11)));}temp_PageContent=
rulePageContent{if (temp_PageContent != null) {
  hasContent = true;
  ptm.setModelElement(temp_PageContent);
  factory.set($result,"content",convert(temp_PageContent),false);
  ptm.ruleFinished(temp_PageContent);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(45)).eContents().get(1)).eContents().get(12)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

rulePageCustomization returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "PageCustomization");
			 }
(({skipCurrentToken = false;}'customize'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(46)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'Page'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(46)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(46)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"pageToCustomize",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(46)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(46)).eContents().get(1)).eContents().get(4)));}temp_Composite=
ruleComposite{if (temp_Composite != null) {
  hasContent = true;
  ptm.setModelElement(temp_Composite);
  factory.add($result,"composites",convert(temp_Composite),false);
  ptm.ruleFinished(temp_Composite);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(46)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleComposite returns [EObject result]
:
        temp_icomposite=ruleIComposite {$result=temp_icomposite;}	|        temp_igroup=ruleIGroup {$result=temp_igroup;}	|        temp_page=rulePage {$result=temp_page;}	;

ruleComposedElement returns [EObject result]
:
        temp_complexelement=ruleComplexElement {$result=temp_complexelement;}	|        temp_simpleelement=ruleSimpleElement {$result=temp_simpleelement;}	;

ruleComplexElement returns [EObject result]
:
        temp_icomposite=ruleIComposite {$result=temp_icomposite;}	|        temp_igroup=ruleIGroup {$result=temp_igroup;}	|        temp_itabfolder=ruleITabFolder {$result=temp_itabfolder;}	|        temp_table=ruleTable {$result=temp_table;}	;

ruleSimpleElement returns [EObject result]
:
        temp_customizeablefield=ruleCustomizeableField {$result=temp_customizeablefield;}	|        temp_text=ruleText {$result=temp_text;}	|        temp_label=ruleLabel {$result=temp_label;}	|        temp_button=ruleButton {$result=temp_button;}	;

ruleGuiElementWithEvent_dummy returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "GuiElementWithEvent_dummy");
			 }
({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(53)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleText returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Text");
			 }
(({skipCurrentToken = false;}'Text'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(54)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(54)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(54)).eContents().get(1)).eContents().get(2)));}temp_LayoutData=
ruleLayoutData{if (temp_LayoutData != null) {
  hasContent = true;
  ptm.setModelElement(temp_LayoutData);
  factory.set($result,"layoutData",convert(temp_LayoutData),false);
  ptm.ruleFinished(temp_LayoutData);
} else {
  ptm.destroyNode();
}
}
)?

(({skipCurrentToken = false;}'constraints='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(54)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(54)).eContents().get(1)).eContents().get(3)).eContents().get(1)));}temp_Constraint=
ruleConstraint{if (temp_Constraint != null) {
  hasContent = true;
  ptm.setModelElement(temp_Constraint);
  factory.add($result,"constraints",convert(temp_Constraint),false);
  ptm.ruleFinished(temp_Constraint);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(54)).eContents().get(1)).eContents().get(3)).eContents().get(2)));}temp_Constraint=
ruleConstraint{if (temp_Constraint != null) {
  hasContent = true;
  ptm.setModelElement(temp_Constraint);
  factory.add($result,"constraints",convert(temp_Constraint),false);
  ptm.ruleFinished(temp_Constraint);
} else {
  ptm.destroyNode();
}
}
)*
)?

(({skipCurrentToken = false;}'format='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(54)).eContents().get(1)).eContents().get(4)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(54)).eContents().get(1)).eContents().get(4)).eContents().get(1)));}temp_ValidatorReference=
ruleValidatorReference{if (temp_ValidatorReference != null) {
  hasContent = true;
  ptm.setModelElement(temp_ValidatorReference);
  factory.set($result,"format",convert(temp_ValidatorReference),false);
  ptm.ruleFinished(temp_ValidatorReference);
} else {
  ptm.destroyNode();
}
}
)
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(54)).eContents().get(1)).eContents().get(5)));}temp_AttributeFlag=
ruleAttributeFlag{if (temp_AttributeFlag != null) {
  hasContent = true;
  ptm.setModelElement(temp_AttributeFlag);
  factory.add($result,"attributFlags",convert(temp_AttributeFlag),false);
  ptm.ruleFinished(temp_AttributeFlag);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(54)).eContents().get(1)).eContents().get(6)));}temp_TextProperties=
ruleTextProperties{if (temp_TextProperties != null) {
  hasContent = true;
  ptm.setModelElement(temp_TextProperties);
  factory.set($result,"textProperties",convert(temp_TextProperties),false);
  ptm.ruleFinished(temp_TextProperties);
} else {
  ptm.destroyNode();
}
}
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleLabel returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Label");
			 }
(({skipCurrentToken = false;}'Label'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(55)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(55)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(55)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"text",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(55)).eContents().get(1)).eContents().get(3)));}temp_LayoutData=
ruleLayoutData{if (temp_LayoutData != null) {
  hasContent = true;
  ptm.setModelElement(temp_LayoutData);
  factory.set($result,"layoutData",convert(temp_LayoutData),false);
  ptm.ruleFinished(temp_LayoutData);
} else {
  ptm.destroyNode();
}
}
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleButton returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Button");
			 }
(({skipCurrentToken = false;}'Button'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(56)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(56)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(56)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"label",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(56)).eContents().get(1)).eContents().get(3)));}temp_LayoutData=
ruleLayoutData{if (temp_LayoutData != null) {
  hasContent = true;
  ptm.setModelElement(temp_LayoutData);
  factory.set($result,"layoutData",convert(temp_LayoutData),false);
  ptm.ruleFinished(temp_LayoutData);
} else {
  ptm.destroyNode();
}
}
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleIComposite returns [EObject result]
:
        temp_referencedxmacomposite=ruleReferencedXMAComposite {$result=temp_referencedxmacomposite;}	|        temp_xmadslcomposite=ruleXmadslComposite {$result=temp_xmadslcomposite;}	|        temp_referencedcomposite=ruleReferencedComposite {$result=temp_referencedcomposite;}	;

ruleXmadslComposite returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "XmadslComposite");
			 }
(({skipCurrentToken = false;}'Composite'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(58)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(58)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(58)).eContents().get(1)).eContents().get(2)).eContents().get(0)));}temp_LayoutData=
ruleLayoutData{if (temp_LayoutData != null) {
  hasContent = true;
  ptm.setModelElement(temp_LayoutData);
  factory.set($result,"layoutData",convert(temp_LayoutData),false);
  ptm.ruleFinished(temp_LayoutData);
} else {
  ptm.destroyNode();
}
}
)
	|
(({skipCurrentToken = false;}'scrollable'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(58)).eContents().get(1)).eContents().get(2)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(58)).eContents().get(1)).eContents().get(2)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(58)).eContents().get(1)).eContents().get(2)).eContents().get(1)).eContents().get(2)));}temp_BoolLiteral=
ruleBoolLiteral{if (temp_BoolLiteral != null) {
  hasContent = true;
  ptm.setModelElement(temp_BoolLiteral);
  factory.set($result,"scrollable",convert(temp_BoolLiteral),false);
  ptm.ruleFinished(temp_BoolLiteral);
} else {
  ptm.destroyNode();
}
}
)
)
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(58)).eContents().get(1)).eContents().get(3)));}temp_CompositeContent=
ruleCompositeContent{if (temp_CompositeContent != null) {
  hasContent = true;
  ptm.setModelElement(temp_CompositeContent);
  factory.set($result,"content",convert(temp_CompositeContent),false);
  ptm.ruleFinished(temp_CompositeContent);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleReferencedComposite returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ReferencedComposite");
			 }
(({skipCurrentToken = false;}'Composite'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(59)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(59)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(59)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"reference",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(59)).eContents().get(1)).eContents().get(3)));}temp_CompositeContent=
ruleCompositeContent{if (temp_CompositeContent != null) {
  hasContent = true;
  ptm.setModelElement(temp_CompositeContent);
  factory.set($result,"content",convert(temp_CompositeContent),false);
  ptm.ruleFinished(temp_CompositeContent);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleTable returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Table");
			 }
(({skipCurrentToken = false;}'Table'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'key='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"object",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(4)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(5)));
  factory.set($result,"key",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(6)));}temp_LayoutData=
ruleLayoutData{if (temp_LayoutData != null) {
  hasContent = true;
  ptm.setModelElement(temp_LayoutData);
  factory.set($result,"layoutData",convert(temp_LayoutData),false);
  ptm.ruleFinished(temp_LayoutData);
} else {
  ptm.destroyNode();
}
}
)?

(({skipCurrentToken = false;}'columnMinWidth='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(7)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(7)).eContents().get(1)));
  factory.set($result,"columnMinWidth",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(8)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(9)));}temp_TableColumn=
ruleTableColumn{if (temp_TableColumn != null) {
  hasContent = true;
  ptm.setModelElement(temp_TableColumn);
  factory.add($result,"columns",convert(temp_TableColumn),false);
  ptm.ruleFinished(temp_TableColumn);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(60)).eContents().get(1)).eContents().get(10)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleTableColumn returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "TableColumn");
			 }
((({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(61)).eContents().get(1)).eContents().get(0)).eContents().get(0)));
  factory.set($result,"object",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(61)).eContents().get(1)).eContents().get(0)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
)?

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(61)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"attributeHolder",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

((({skipCurrentToken = false;}'align='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(61)).eContents().get(1)).eContents().get(2)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(61)).eContents().get(1)).eContents().get(2)).eContents().get(0)).eContents().get(1)));}temp_ContentAlignment=
ruleContentAlignment{if (temp_ContentAlignment != null) {
  hasContent = true;
  factory.set($result,"align",convert(temp_ContentAlignment),false);
  ptm.ruleFinished(temp_ContentAlignment);
} else {
  ptm.destroyNode();
}
}
)
)
	|
(({skipCurrentToken = false;}'width='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(61)).eContents().get(1)).eContents().get(2)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(61)).eContents().get(1)).eContents().get(2)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"width",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
	|
(({skipCurrentToken = false;}'minWidth='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(61)).eContents().get(1)).eContents().get(2)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(61)).eContents().get(1)).eContents().get(2)).eContents().get(2)).eContents().get(1)));
  factory.set($result,"minWidth",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
	|
(({skipCurrentToken = false;}'maxWidth='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(61)).eContents().get(1)).eContents().get(2)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(61)).eContents().get(1)).eContents().get(2)).eContents().get(3)).eContents().get(1)));
  factory.set($result,"maxWidth",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleIGroup returns [EObject result]
:
        temp_group=ruleGroup {$result=temp_group;}	|        temp_referencedgroup=ruleReferencedGroup {$result=temp_referencedgroup;}	;

ruleGroup returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Group");
			 }
(({skipCurrentToken = false;}'Group'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(63)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(63)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(63)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"label",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(63)).eContents().get(1)).eContents().get(3)));}temp_LayoutData=
ruleLayoutData{if (temp_LayoutData != null) {
  hasContent = true;
  ptm.setModelElement(temp_LayoutData);
  factory.set($result,"layoutData",convert(temp_LayoutData),false);
  ptm.ruleFinished(temp_LayoutData);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(63)).eContents().get(1)).eContents().get(4)));}temp_CompositeContent=
ruleCompositeContent{if (temp_CompositeContent != null) {
  hasContent = true;
  ptm.setModelElement(temp_CompositeContent);
  factory.set($result,"content",convert(temp_CompositeContent),false);
  ptm.ruleFinished(temp_CompositeContent);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleReferencedGroup returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ReferencedGroup");
			 }
(({skipCurrentToken = false;}'group'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(64)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(64)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(64)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"reference",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(64)).eContents().get(1)).eContents().get(3)));}temp_CompositeContent=
ruleCompositeContent{if (temp_CompositeContent != null) {
  hasContent = true;
  ptm.setModelElement(temp_CompositeContent);
  factory.set($result,"content",convert(temp_CompositeContent),false);
  ptm.ruleFinished(temp_CompositeContent);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleITabFolder returns [EObject result]
:
        temp_tabfolder=ruleTabFolder {$result=temp_tabfolder;}	|        temp_referencedtabfolder=ruleReferencedTabFolder {$result=temp_referencedtabfolder;}	;

ruleTabFolder returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "TabFolder");
			 }
(({skipCurrentToken = false;}'Tabfolder'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(66)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(66)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(66)).eContents().get(1)).eContents().get(2)));}temp_LayoutData=
ruleLayoutData{if (temp_LayoutData != null) {
  hasContent = true;
  ptm.setModelElement(temp_LayoutData);
  factory.set($result,"layoutData",convert(temp_LayoutData),false);
  ptm.ruleFinished(temp_LayoutData);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(66)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(66)).eContents().get(1)).eContents().get(4)));}temp_TabPage=
ruleTabPage{if (temp_TabPage != null) {
  hasContent = true;
  ptm.setModelElement(temp_TabPage);
  factory.add($result,"tabItems",convert(temp_TabPage),false);
  ptm.ruleFinished(temp_TabPage);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(66)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleReferencedTabFolder returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ReferencedTabFolder");
			 }
(({skipCurrentToken = false;}'Tabfolder'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(67)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(67)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(67)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"reference",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(67)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(67)).eContents().get(1)).eContents().get(4)));}temp_TabPage=
ruleTabPage{if (temp_TabPage != null) {
  hasContent = true;
  ptm.setModelElement(temp_TabPage);
  factory.add($result,"tabItems",convert(temp_TabPage),false);
  ptm.ruleFinished(temp_TabPage);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(67)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleITabPage returns [EObject result]
:
        temp_tabpage=ruleTabPage {$result=temp_tabpage;}	|        temp_referencedtabpage=ruleReferencedTabPage {$result=temp_referencedtabpage;}	;

ruleTabPage returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "TabPage");
			 }
(({skipCurrentToken = false;}'Tabpage'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"label",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(3)));}temp_ComposeData=
ruleComposeData{if (temp_ComposeData != null) {
  hasContent = true;
  ptm.setModelElement(temp_ComposeData);
  factory.set($result,"composeLayout",convert(temp_ComposeData),false);
  ptm.ruleFinished(temp_ComposeData);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(4)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(5)));}temp_DataObjectVariable=
ruleDataObjectVariable{if (temp_DataObjectVariable != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataObjectVariable);
  factory.add($result,"dataobjects",convert(temp_DataObjectVariable),false);
  ptm.ruleFinished(temp_DataObjectVariable);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(6)));}temp_DataMappingList=
ruleDataMappingList{if (temp_DataMappingList != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataMappingList);
  factory.set($result,"dataMapping",convert(temp_DataMappingList),false);
  ptm.ruleFinished(temp_DataMappingList);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(7)));}temp_Command=
ruleCommand{if (temp_Command != null) {
  hasContent = true;
  ptm.setModelElement(temp_Command);
  factory.add($result,"commands",convert(temp_Command),false);
  ptm.ruleFinished(temp_Command);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(8)));}temp_EventMappingList=
ruleEventMappingList{if (temp_EventMappingList != null) {
  hasContent = true;
  ptm.setModelElement(temp_EventMappingList);
  factory.set($result,"events",convert(temp_EventMappingList),false);
  ptm.ruleFinished(temp_EventMappingList);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(9)));}temp_ConditionsBlock=
ruleConditionsBlock{if (temp_ConditionsBlock != null) {
  hasContent = true;
  ptm.setModelElement(temp_ConditionsBlock);
  factory.set($result,"conditionsBlock",convert(temp_ConditionsBlock),false);
  ptm.ruleFinished(temp_ConditionsBlock);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(10)));}temp_PageContent=
rulePageContent{if (temp_PageContent != null) {
  hasContent = true;
  ptm.setModelElement(temp_PageContent);
  factory.set($result,"content",convert(temp_PageContent),false);
  ptm.ruleFinished(temp_PageContent);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(69)).eContents().get(1)).eContents().get(11)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleReferencedTabPage returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ReferencedTabPage");
			 }
(({skipCurrentToken = false;}'Tabpage'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"reference",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(3)));}temp_ComposeData=
ruleComposeData{if (temp_ComposeData != null) {
  hasContent = true;
  ptm.setModelElement(temp_ComposeData);
  factory.set($result,"composeLayout",convert(temp_ComposeData),false);
  ptm.ruleFinished(temp_ComposeData);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(4)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(5)));}temp_DataObjectVariable=
ruleDataObjectVariable{if (temp_DataObjectVariable != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataObjectVariable);
  factory.add($result,"dataobjects",convert(temp_DataObjectVariable),false);
  ptm.ruleFinished(temp_DataObjectVariable);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(6)));}temp_DataMappingList=
ruleDataMappingList{if (temp_DataMappingList != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataMappingList);
  factory.set($result,"dataMapping",convert(temp_DataMappingList),false);
  ptm.ruleFinished(temp_DataMappingList);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(7)));}temp_Command=
ruleCommand{if (temp_Command != null) {
  hasContent = true;
  ptm.setModelElement(temp_Command);
  factory.add($result,"commands",convert(temp_Command),false);
  ptm.ruleFinished(temp_Command);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(8)));}temp_EventMappingList=
ruleEventMappingList{if (temp_EventMappingList != null) {
  hasContent = true;
  ptm.setModelElement(temp_EventMappingList);
  factory.set($result,"events",convert(temp_EventMappingList),false);
  ptm.ruleFinished(temp_EventMappingList);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(9)));}temp_ConditionsBlock=
ruleConditionsBlock{if (temp_ConditionsBlock != null) {
  hasContent = true;
  ptm.setModelElement(temp_ConditionsBlock);
  factory.set($result,"conditionsBlock",convert(temp_ConditionsBlock),false);
  ptm.ruleFinished(temp_ConditionsBlock);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(10)));}temp_PageContent=
rulePageContent{if (temp_PageContent != null) {
  hasContent = true;
  ptm.setModelElement(temp_PageContent);
  factory.set($result,"content",convert(temp_PageContent),false);
  ptm.ruleFinished(temp_PageContent);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(70)).eContents().get(1)).eContents().get(11)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleLayoutData returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "LayoutData");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(71)).eContents().get(1)).eContents().get(0)));}temp_Attachment=
ruleAttachment{if (temp_Attachment != null) {
  hasContent = true;
  ptm.setModelElement(temp_Attachment);
  factory.add($result,"attachments",convert(temp_Attachment),false);
  ptm.ruleFinished(temp_Attachment);
} else {
  ptm.destroyNode();
}
}
)
	|
(({skipCurrentToken = false;}'style='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(71)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(71)).eContents().get(1)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"style",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)
	|
(({skipCurrentToken = false;}'width='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(71)).eContents().get(1)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(71)).eContents().get(1)).eContents().get(2)).eContents().get(1)));
  factory.set($result,"width",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
	|
(({skipCurrentToken = false;}'height='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(71)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(71)).eContents().get(1)).eContents().get(3)).eContents().get(1)));
  factory.set($result,"height",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
)+
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleComposeData returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ComposeData");
			 }
((({skipCurrentToken = false;}'tabulator='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(72)).eContents().get(1)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(72)).eContents().get(1)).eContents().get(0)).eContents().get(1)));}temp_TabulatorPosition=
ruleTabulatorPosition{if (temp_TabulatorPosition != null) {
  hasContent = true;
  ptm.setModelElement(temp_TabulatorPosition);
  factory.add($result,"tabulators",convert(temp_TabulatorPosition),false);
  ptm.ruleFinished(temp_TabulatorPosition);
} else {
  ptm.destroyNode();
}
}
)?

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(72)).eContents().get(1)).eContents().get(0)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(72)).eContents().get(1)).eContents().get(0)).eContents().get(2)).eContents().get(1)));}temp_TabulatorPosition=
ruleTabulatorPosition{if (temp_TabulatorPosition != null) {
  hasContent = true;
  ptm.setModelElement(temp_TabulatorPosition);
  factory.add($result,"tabulators",convert(temp_TabulatorPosition),false);
  ptm.ruleFinished(temp_TabulatorPosition);
} else {
  ptm.destroyNode();
}
}
)
)*
)
	|
(({skipCurrentToken = false;}'spacing='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(72)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(72)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_PaddingWidth=
rulePaddingWidth{if (temp_PaddingWidth != null) {
  hasContent = true;
  ptm.setModelElement(temp_PaddingWidth);
  factory.set($result,"spacing",convert(temp_PaddingWidth),false);
  ptm.ruleFinished(temp_PaddingWidth);
} else {
  ptm.destroyNode();
}
}
)
)
)+
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

rulePaddingWidth returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "PaddingWidth");
			 }
({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(73)).eContents().get(1)));
  factory.set($result,"width",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleTabulatorPosition returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "TabulatorPosition");
			 }
(({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(74)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"width",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}
'%'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(74)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"relative",true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(74)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_Offset=
ruleOffset{if (temp_Offset != null) {
  hasContent = true;
  ptm.setModelElement(temp_Offset);
  factory.set($result,"offset",convert(temp_Offset),false);
  ptm.ruleFinished(temp_Offset);
} else {
  ptm.destroyNode();
}
}
)?
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

rulePageContent returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "PageContent");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(76)).eContents().get(1)).eContents().get(0)));}temp_SetOfSimpleElements=
ruleSetOfSimpleElements{if (temp_SetOfSimpleElements != null) {
  hasContent = true;
  ptm.setModelElement(temp_SetOfSimpleElements);
  factory.add($result,"widgetSetItems",convert(temp_SetOfSimpleElements),false);
  ptm.ruleFinished(temp_SetOfSimpleElements);
} else {
  ptm.destroyNode();
}
}
)*
	|
({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(76)).eContents().get(1)).eContents().get(1)));}temp_ComplexElement=
ruleComplexElement{if (temp_ComplexElement != null) {
  hasContent = true;
  ptm.setModelElement(temp_ComplexElement);
  factory.add($result,"containerItems",convert(temp_ComplexElement),false);
  ptm.ruleFinished(temp_ComplexElement);
} else {
  ptm.destroyNode();
}
}
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCompositeContent returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CompositeContent");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(77)).eContents().get(1)).eContents().get(0)));}temp_ComposeData=
ruleComposeData{if (temp_ComposeData != null) {
  hasContent = true;
  ptm.setModelElement(temp_ComposeData);
  factory.set($result,"composeLayout",convert(temp_ComposeData),false);
  ptm.ruleFinished(temp_ComposeData);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(77)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(77)).eContents().get(1)).eContents().get(2)).eContents().get(0)));}temp_SetOfSimpleElements=
ruleSetOfSimpleElements{if (temp_SetOfSimpleElements != null) {
  hasContent = true;
  ptm.setModelElement(temp_SetOfSimpleElements);
  factory.add($result,"widgetSetItems",convert(temp_SetOfSimpleElements),false);
  ptm.ruleFinished(temp_SetOfSimpleElements);
} else {
  ptm.destroyNode();
}
}
)*
	|
({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(77)).eContents().get(1)).eContents().get(2)).eContents().get(1)));}temp_ComplexElement=
ruleComplexElement{if (temp_ComplexElement != null) {
  hasContent = true;
  ptm.setModelElement(temp_ComplexElement);
  factory.add($result,"containerItems",convert(temp_ComplexElement),false);
  ptm.ruleFinished(temp_ComplexElement);
} else {
  ptm.destroyNode();
}
}
)*
)

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(77)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleSetOfSimpleElements returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "SetOfSimpleElements");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(78)).eContents().get(1)).eContents().get(0)));}temp_SimpleElement=
ruleSimpleElement{if (temp_SimpleElement != null) {
  hasContent = true;
  ptm.setModelElement(temp_SimpleElement);
  factory.add($result,"elements",convert(temp_SimpleElement),false);
  ptm.ruleFinished(temp_SimpleElement);
} else {
  ptm.destroyNode();
}
}
)

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(78)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(78)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_SimpleElement=
ruleSimpleElement{if (temp_SimpleElement != null) {
  hasContent = true;
  ptm.setModelElement(temp_SimpleElement);
  factory.add($result,"elements",convert(temp_SimpleElement),false);
  ptm.ruleFinished(temp_SimpleElement);
} else {
  ptm.destroyNode();
}
}
)
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAttachment returns [EObject result]
:
        temp_parentattachment=ruleParentAttachment {$result=temp_parentattachment;}	|        temp_siblingattachment=ruleSiblingAttachment {$result=temp_siblingattachment;}	;

ruleParentAttachment returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ParentAttachment");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(80)).eContents().get(1)).eContents().get(0)));}temp_AttachmentOwnPosition=
ruleAttachmentOwnPosition{if (temp_AttachmentOwnPosition != null) {
  hasContent = true;
  factory.set($result,"ownPosition",convert(temp_AttachmentOwnPosition),false);
  ptm.ruleFinished(temp_AttachmentOwnPosition);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(80)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(80)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"distance",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}
'%'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(80)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  factory.set($result,"relative",true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(80)).eContents().get(1)).eContents().get(3)).eContents().get(1)));}temp_Offset=
ruleOffset{if (temp_Offset != null) {
  hasContent = true;
  ptm.setModelElement(temp_Offset);
  factory.set($result,"offset",convert(temp_Offset),false);
  ptm.ruleFinished(temp_Offset);
} else {
  ptm.destroyNode();
}
}
)?
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleSiblingAttachment returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "SiblingAttachment");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(81)).eContents().get(1)).eContents().get(0)));}temp_AttachmentOwnPosition=
ruleAttachmentOwnPosition{if (temp_AttachmentOwnPosition != null) {
  hasContent = true;
  factory.set($result,"ownPosition",convert(temp_AttachmentOwnPosition),false);
  ptm.ruleFinished(temp_AttachmentOwnPosition);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(81)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(81)).eContents().get(1)).eContents().get(2)).eContents().get(0)));
  factory.set($result,"sibling",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
	|
({skipCurrentToken = false;}
'@'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(81)).eContents().get(1)).eContents().get(2)).eContents().get(1)));
  factory.set($result,"attachToPrevious",true);
  ptm.ruleFinished(temp);
}}
)
)

(({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(81)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(81)).eContents().get(1)).eContents().get(3)).eContents().get(1)));}temp_AttachmentSiblingPosition=
ruleAttachmentSiblingPosition{if (temp_AttachmentSiblingPosition != null) {
  hasContent = true;
  factory.set($result,"siblingPosition",convert(temp_AttachmentSiblingPosition),false);
  ptm.ruleFinished(temp_AttachmentSiblingPosition);
} else {
  ptm.destroyNode();
}
}
)
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(81)).eContents().get(1)).eContents().get(4)));}temp_Offset=
ruleOffset{if (temp_Offset != null) {
  hasContent = true;
  ptm.setModelElement(temp_Offset);
  factory.set($result,"offset",convert(temp_Offset),false);
  ptm.ruleFinished(temp_Offset);
} else {
  ptm.destroyNode();
}
}
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleOffset returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Offset");
			 }
(({skipCurrentToken = false;}'+'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(82)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})?

({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(82)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"value",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAttachmentOwnPosition returns [Enumerator r] :
		 'left'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(83)).eContents().get(1)));
$r=factory.enumLit("", "AttachmentOwnPosition","LEFT");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'right'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(83)).eContents().get(2)));
$r=factory.enumLit("", "AttachmentOwnPosition","RIGHT");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'top'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(83)).eContents().get(3)));
$r=factory.enumLit("", "AttachmentOwnPosition","TOP");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'bottom'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(83)).eContents().get(4)));
$r=factory.enumLit("", "AttachmentOwnPosition","BOTTOM");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'vcenter'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(83)).eContents().get(5)));
$r=factory.enumLit("", "AttachmentOwnPosition","VCENTER");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'hcenter'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(83)).eContents().get(6)));
$r=factory.enumLit("", "AttachmentOwnPosition","HCENTER");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleAttachmentSiblingPosition returns [Enumerator r] :
		 'left'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(84)).eContents().get(1)));
$r=factory.enumLit("", "AttachmentSiblingPosition","LEFT");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'right'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(84)).eContents().get(2)));
$r=factory.enumLit("", "AttachmentSiblingPosition","RIGHT");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'top'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(84)).eContents().get(3)));
$r=factory.enumLit("", "AttachmentSiblingPosition","TOP");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'bottom'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(84)).eContents().get(4)));
$r=factory.enumLit("", "AttachmentSiblingPosition","BOTTOM");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'center'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(84)).eContents().get(5)));
$r=factory.enumLit("", "AttachmentSiblingPosition","CENTER");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleContentAlignment returns [Enumerator r] :
		 'left'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(85)).eContents().get(1)));
$r=factory.enumLit("", "ContentAlignment","LEFT");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'right'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(85)).eContents().get(2)));
$r=factory.enumLit("", "ContentAlignment","RIGHT");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'center'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(85)).eContents().get(3)));
$r=factory.enumLit("", "ContentAlignment","CENTER");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleDummy1 returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Dummy1");
			 }
({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(87)).eContents().get(1)));
  factory.set($result,"dummyName",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleVariable returns [EObject result]
:
        temp_xmadslvariable=ruleXmadslVariable {$result=temp_xmadslvariable;}	|        temp_xmavariable=ruleXmaVariable {$result=temp_xmavariable;}	|        temp_fieldvariable=ruleFieldVariable {$result=temp_fieldvariable;}	;

ruleFieldVariable returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "FieldVariable");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(89)).eContents().get(1)).eContents().get(0)));}temp_FieldReference=
ruleFieldReference{if (temp_FieldReference != null) {
  hasContent = true;
  ptm.setModelElement(temp_FieldReference);
  factory.set($result,"field",convert(temp_FieldReference),false);
  ptm.ruleFinished(temp_FieldReference);
} else {
  ptm.destroyNode();
}
}
)

(({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(89)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(89)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_VariableAccess=
ruleVariableAccess{if (temp_VariableAccess != null) {
  hasContent = true;
  factory.set($result,"access",convert(temp_VariableAccess),false);
  ptm.ruleFinished(temp_VariableAccess);
} else {
  ptm.destroyNode();
}
}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleXmadslVariable returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "XmadslVariable");
			 }
(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(90)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"reference",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(90)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(90)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_VariableAccess=
ruleVariableAccess{if (temp_VariableAccess != null) {
  hasContent = true;
  factory.set($result,"access",convert(temp_VariableAccess),false);
  ptm.ruleFinished(temp_VariableAccess);
} else {
  ptm.destroyNode();
}
}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleXmaVariable returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "XmaVariable");
			 }
(({skipCurrentToken = false;}'xma'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(91)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(91)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(91)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"reference",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(91)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(91)).eContents().get(1)).eContents().get(3)).eContents().get(1)));}temp_VariableAccess=
ruleVariableAccess{if (temp_VariableAccess != null) {
  hasContent = true;
  factory.set($result,"access",convert(temp_VariableAccess),false);
  ptm.ruleFinished(temp_VariableAccess);
} else {
  ptm.destroyNode();
}
}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCustomizeComponentModel returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CustomizeComponentModel");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(92)).eContents().get(1)).eContents().get(0)));}temp_Import=
ruleImport{if (temp_Import != null) {
  hasContent = true;
  ptm.setModelElement(temp_Import);
  factory.add($result,"imports",convert(temp_Import),false);
  ptm.ruleFinished(temp_Import);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'customize'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(92)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'Component'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(92)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(92)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"component",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(92)).eContents().get(1)).eContents().get(4)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(92)).eContents().get(1)).eContents().get(5)));}temp_CustomizationOfGuiElement=
ruleCustomizationOfGuiElement{if (temp_CustomizationOfGuiElement != null) {
  hasContent = true;
  ptm.setModelElement(temp_CustomizationOfGuiElement);
  factory.add($result,"customizations",convert(temp_CustomizationOfGuiElement),false);
  ptm.ruleFinished(temp_CustomizationOfGuiElement);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(92)).eContents().get(1)).eContents().get(6)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCustomizationOfGuiElement returns [EObject result]
:
        temp_customizationofcomposite=ruleCustomizationOfComposite {$result=temp_customizationofcomposite;}	|        temp_customizationofgroup=ruleCustomizationOfGroup {$result=temp_customizationofgroup;}	|        temp_customizationoftabfolder=ruleCustomizationOfTabFolder {$result=temp_customizationoftabfolder;}	;

ruleCustomizationOfComposite returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CustomizationOfComposite");
			 }
(({skipCurrentToken = false;}'extend'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(94)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'Composite'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(94)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(94)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"page",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(94)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(94)).eContents().get(1)).eContents().get(4)));
  factory.set($result,"composite",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(94)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(94)).eContents().get(1)).eContents().get(6)).eContents().get(0)));}temp_SetOfSimpleElements=
ruleSetOfSimpleElements{if (temp_SetOfSimpleElements != null) {
  hasContent = true;
  ptm.setModelElement(temp_SetOfSimpleElements);
  factory.add($result,"addedWidgetSetItems",convert(temp_SetOfSimpleElements),false);
  ptm.ruleFinished(temp_SetOfSimpleElements);
} else {
  ptm.destroyNode();
}
}
)*
	|
({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(94)).eContents().get(1)).eContents().get(6)).eContents().get(1)));}temp_ComplexElement=
ruleComplexElement{if (temp_ComplexElement != null) {
  hasContent = true;
  ptm.setModelElement(temp_ComplexElement);
  factory.add($result,"addedContainerItems",convert(temp_ComplexElement),false);
  ptm.ruleFinished(temp_ComplexElement);
} else {
  ptm.destroyNode();
}
}
)*
)

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(94)).eContents().get(1)).eContents().get(7)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCustomizationOfGroup returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CustomizationOfGroup");
			 }
(({skipCurrentToken = false;}'extend'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(95)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'Group'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(95)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(95)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"page",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(95)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(95)).eContents().get(1)).eContents().get(4)));
  factory.set($result,"group",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(95)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(95)).eContents().get(1)).eContents().get(6)).eContents().get(0)));}temp_SetOfSimpleElements=
ruleSetOfSimpleElements{if (temp_SetOfSimpleElements != null) {
  hasContent = true;
  ptm.setModelElement(temp_SetOfSimpleElements);
  factory.add($result,"addedWidgetSetItems",convert(temp_SetOfSimpleElements),false);
  ptm.ruleFinished(temp_SetOfSimpleElements);
} else {
  ptm.destroyNode();
}
}
)*
	|
({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(95)).eContents().get(1)).eContents().get(6)).eContents().get(1)));}temp_ComplexElement=
ruleComplexElement{if (temp_ComplexElement != null) {
  hasContent = true;
  ptm.setModelElement(temp_ComplexElement);
  factory.add($result,"addedContainerItems",convert(temp_ComplexElement),false);
  ptm.ruleFinished(temp_ComplexElement);
} else {
  ptm.destroyNode();
}
}
)*
)

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(95)).eContents().get(1)).eContents().get(7)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCustomizationOfTabFolder returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CustomizationOfTabFolder");
			 }
(({skipCurrentToken = false;}'extend'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(96)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'Tabfolder'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(96)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(96)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"page",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'::'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(96)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(96)).eContents().get(1)).eContents().get(4)));
  factory.set($result,"tabFolder",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(96)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(96)).eContents().get(1)).eContents().get(6)));}temp_TabPage=
ruleTabPage{if (temp_TabPage != null) {
  hasContent = true;
  ptm.setModelElement(temp_TabPage);
  factory.add($result,"addedTabItems",convert(temp_TabPage),false);
  ptm.ruleFinished(temp_TabPage);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(96)).eContents().get(1)).eContents().get(7)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleService returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Service");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(99)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(99)).eContents().get(1)).eContents().get(1)));}temp_ServiceType=
ruleServiceType{if (temp_ServiceType != null) {
  hasContent = true;
  factory.set($result,"type",convert(temp_ServiceType),false);
  ptm.ruleFinished(temp_ServiceType);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'Service'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(99)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(99)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(99)).eContents().get(1)).eContents().get(4)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(99)).eContents().get(1)).eContents().get(5)));}temp_Dependency=
ruleDependency{if (temp_Dependency != null) {
  hasContent = true;
  ptm.setModelElement(temp_Dependency);
  factory.add($result,"dependencies",convert(temp_Dependency),false);
  ptm.ruleFinished(temp_Dependency);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(99)).eContents().get(1)).eContents().get(6)));}temp_ServiceOperation=
ruleServiceOperation{if (temp_ServiceOperation != null) {
  hasContent = true;
  ptm.setModelElement(temp_ServiceOperation);
  factory.add($result,"operations",convert(temp_ServiceOperation),false);
  ptm.ruleFinished(temp_ServiceOperation);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(99)).eContents().get(1)).eContents().get(7)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDependency returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Dependency");
			 }
((({skipCurrentToken = false;}'>'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(100)).eContents().get(1)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})
	|
({skipCurrentToken = false;}'uses'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(100)).eContents().get(1)).eContents().get(0)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
)

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(100)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"dependency",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleParameter returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Parameter");
			 }
((({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(102)).eContents().get(1)).eContents().get(0)).eContents().get(0)));}temp_CollectionType=
ruleCollectionType{if (temp_CollectionType != null) {
  hasContent = true;
  factory.set($result,"collectionType",convert(temp_CollectionType),false);
  ptm.ruleFinished(temp_CollectionType);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'<'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(102)).eContents().get(1)).eContents().get(0)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
)?

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(102)).eContents().get(1)).eContents().get(1)).eContents().get(0)));}temp_MapCollectionType=
ruleMapCollectionType{if (temp_MapCollectionType != null) {
  hasContent = true;
  factory.set($result,"collectionType",convert(temp_MapCollectionType),false);
  ptm.ruleFinished(temp_MapCollectionType);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'<'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(102)).eContents().get(1)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(102)).eContents().get(1)).eContents().get(1)).eContents().get(2)));}temp_DataTypeAndTypeParameter=
ruleDataTypeAndTypeParameter{if (temp_DataTypeAndTypeParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataTypeAndTypeParameter);
  factory.set($result,"mapKeyType",convert(temp_DataTypeAndTypeParameter),false);
  ptm.ruleFinished(temp_DataTypeAndTypeParameter);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(102)).eContents().get(1)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(102)).eContents().get(1)).eContents().get(2)));}temp_DataTypeAndTypeParameter=
ruleDataTypeAndTypeParameter{if (temp_DataTypeAndTypeParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataTypeAndTypeParameter);
  factory.set($result,"type",convert(temp_DataTypeAndTypeParameter),false);
  ptm.ruleFinished(temp_DataTypeAndTypeParameter);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'>'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(102)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})?

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(102)).eContents().get(1)).eContents().get(4)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleServiceOperation returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ServiceOperation");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(1)));}temp_Visibility=
ruleVisibility{if (temp_Visibility != null) {
  hasContent = true;
  factory.set($result,"visibility",convert(temp_Visibility),false);
  ptm.ruleFinished(temp_Visibility);
} else {
  ptm.destroyNode();
}
}
)?

(({skipCurrentToken = false;}'operation'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})
	|
({skipCurrentToken = false;}'op'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(2)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
)

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(3)).eContents().get(0)));}temp_CollectionType=
ruleCollectionType{if (temp_CollectionType != null) {
  hasContent = true;
  factory.set($result,"collectionType",convert(temp_CollectionType),false);
  ptm.ruleFinished(temp_CollectionType);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'<'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(3)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
)?

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(4)).eContents().get(0)));}temp_MapCollectionType=
ruleMapCollectionType{if (temp_MapCollectionType != null) {
  hasContent = true;
  factory.set($result,"collectionType",convert(temp_MapCollectionType),false);
  ptm.ruleFinished(temp_MapCollectionType);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'<'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(4)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(4)).eContents().get(2)));}temp_DataTypeAndTypeParameter=
ruleDataTypeAndTypeParameter{if (temp_DataTypeAndTypeParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataTypeAndTypeParameter);
  factory.set($result,"mapKeyType",convert(temp_DataTypeAndTypeParameter),false);
  ptm.ruleFinished(temp_DataTypeAndTypeParameter);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(4)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(5)));}temp_DataTypeAndTypeParameter=
ruleDataTypeAndTypeParameter{if (temp_DataTypeAndTypeParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataTypeAndTypeParameter);
  factory.set($result,"type",convert(temp_DataTypeAndTypeParameter),false);
  ptm.ruleFinished(temp_DataTypeAndTypeParameter);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'>'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(6)));
  ptm.ruleFinished(getLastToken());
}})?

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(7)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(8)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(8)).eContents().get(1)));}temp_Parameter=
ruleParameter{if (temp_Parameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_Parameter);
  factory.add($result,"parameters",convert(temp_Parameter),false);
  ptm.ruleFinished(temp_Parameter);
} else {
  ptm.destroyNode();
}
}
)?

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(8)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(8)).eContents().get(2)).eContents().get(1)));}temp_Parameter=
ruleParameter{if (temp_Parameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_Parameter);
  factory.add($result,"parameters",convert(temp_Parameter),false);
  ptm.ruleFinished(temp_Parameter);
} else {
  ptm.destroyNode();
}
}
)
)*

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(8)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)?

(({skipCurrentToken = false;}'throws'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(9)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(9)).eContents().get(1)));}temp_ThrowsIdentifier=
ruleThrowsIdentifier{if (temp_ThrowsIdentifier != null) {
  hasContent = true;
  factory.set($result,"throws",convert(temp_ThrowsIdentifier),false);
  ptm.ruleFinished(temp_ThrowsIdentifier);
} else {
  ptm.destroyNode();
}
}
)
)?

(({skipCurrentToken = false;}'delegates-to'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(10)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(10)).eContents().get(1)));
  factory.set($result,"delegate",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(10)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(103)).eContents().get(1)).eContents().get(10)).eContents().get(3)));
  factory.set($result,"delegateOperation",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleServiceDelegateOperation returns [EObject result]
:
        temp_finder=ruleFinder {$result=temp_finder;}	|        temp_serviceoperation=ruleServiceOperation {$result=temp_serviceoperation;}	;

ruleServiceType returns [Enumerator r] :
		 'remote'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(106)).eContents().get(1)));
$r=factory.enumLit("", "ServiceType","remote");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'local'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(106)).eContents().get(2)));
$r=factory.enumLit("", "ServiceType","local");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleImport returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Import");
			 }
(({skipCurrentToken = false;}'Import'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(107)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
 RULE_STRING
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(107)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"datamodel",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDataType returns [EObject result]
:
        temp_complextype=ruleComplexType {$result=temp_complextype;}	|        temp_simpletype=ruleSimpleType {$result=temp_simpletype;}	;

ruleComplexType returns [EObject result]
:
        temp_entity=ruleEntity {$result=temp_entity;}	|        temp_dataview=ruleDataView {$result=temp_dataview;}	|        temp_valueobject=ruleValueObject {$result=temp_valueobject;}	;

ruleSimpleType returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "SimpleType");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}'Type'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

(({skipCurrentToken = false;}'<'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(2)).eContents().get(1)));}temp_ValueModelType=
ruleValueModelType{if (temp_ValueModelType != null) {
  hasContent = true;
  factory.set($result,"valueModelType",convert(temp_ValueModelType),false);
  ptm.ruleFinished(temp_ValueModelType);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'>'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(2)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})
)?

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(4)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(4)).eContents().get(1)));}temp_ParameterDefinition=
ruleParameterDefinition{if (temp_ParameterDefinition != null) {
  hasContent = true;
  ptm.setModelElement(temp_ParameterDefinition);
  factory.add($result,"typeParameter",convert(temp_ParameterDefinition),false);
  ptm.ruleFinished(temp_ParameterDefinition);
} else {
  ptm.destroyNode();
}
}
)

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(4)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(4)).eContents().get(2)).eContents().get(1)));}temp_ParameterDefinition=
ruleParameterDefinition{if (temp_ParameterDefinition != null) {
  hasContent = true;
  ptm.setModelElement(temp_ParameterDefinition);
  factory.add($result,"typeParameter",convert(temp_ParameterDefinition),false);
  ptm.ruleFinished(temp_ParameterDefinition);
} else {
  ptm.destroyNode();
}
}
)
)*

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(4)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)?

(({skipCurrentToken = false;}'validation'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(5)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(5)).eContents().get(1)));}temp_ValidatorReference=
ruleValidatorReference{if (temp_ValidatorReference != null) {
  hasContent = true;
  ptm.setModelElement(temp_ValidatorReference);
  factory.set($result,"validatorReference",convert(temp_ValidatorReference),false);
  ptm.ruleFinished(temp_ValidatorReference);
} else {
  ptm.destroyNode();
}
}
)
)?

(({skipCurrentToken = false;}'editor'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(6)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(6)).eContents().get(1)));
  factory.set($result,"editor",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(110)).eContents().get(1)).eContents().get(7)));}temp_TypeDefinition=
ruleTypeDefinition{if (temp_TypeDefinition != null) {
  hasContent = true;
  ptm.setModelElement(temp_TypeDefinition);
  factory.set($result,"typeDefinition",convert(temp_TypeDefinition),false);
  ptm.ruleFinished(temp_TypeDefinition);
} else {
  ptm.destroyNode();
}
}
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDataTypeAndTypeParameter returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "DataTypeAndTypeParameter");
			 }
(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(111)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"dataType",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(111)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(111)).eContents().get(1)).eContents().get(1)).eContents().get(1)).eContents().get(0)));}temp_ParameterValue=
ruleParameterValue{if (temp_ParameterValue != null) {
  hasContent = true;
  ptm.setModelElement(temp_ParameterValue);
  factory.add($result,"typeParameters",convert(temp_ParameterValue),false);
  ptm.ruleFinished(temp_ParameterValue);
} else {
  ptm.destroyNode();
}
}
)

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(111)).eContents().get(1)).eContents().get(1)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(111)).eContents().get(1)).eContents().get(1)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_ParameterValue=
ruleParameterValue{if (temp_ParameterValue != null) {
  hasContent = true;
  ptm.setModelElement(temp_ParameterValue);
  factory.add($result,"typeParameters",convert(temp_ParameterValue),false);
  ptm.ruleFinished(temp_ParameterValue);
} else {
  ptm.destroyNode();
}
}
)
)*
)?

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(111)).eContents().get(1)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleValueObject returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ValueObject");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(112)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
'dynamic'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(112)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"dynamic",true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}'Struct'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(112)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(112)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(112)).eContents().get(1)).eContents().get(4)));
  ptm.ruleFinished(getLastToken());
}})

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(112)).eContents().get(1)).eContents().get(5)).eContents().get(0)));}temp_Attribute=
ruleAttribute{if (temp_Attribute != null) {
  hasContent = true;
  ptm.setModelElement(temp_Attribute);
  factory.add($result,"attributes",convert(temp_Attribute),false);
  ptm.ruleFinished(temp_Attribute);
} else {
  ptm.destroyNode();
}
}
)
	|
({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(112)).eContents().get(1)).eContents().get(5)).eContents().get(1)));}temp_Reference=
ruleReference{if (temp_Reference != null) {
  hasContent = true;
  ptm.setModelElement(temp_Reference);
  factory.add($result,"references",convert(temp_Reference),false);
  ptm.ruleFinished(temp_Reference);
} else {
  ptm.destroyNode();
}
}
)
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(112)).eContents().get(1)).eContents().get(6)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDataViewSource returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "DataViewSource");
			 }
(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(113)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"source",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(113)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"alias",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDataViewSourceDefinition returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "DataViewSourceDefinition");
			 }
(({skipCurrentToken = false;}'of'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(114)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(114)).eContents().get(1)).eContents().get(1)));}temp_DataViewSource=
ruleDataViewSource{if (temp_DataViewSource != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataViewSource);
  factory.add($result,"sources",convert(temp_DataViewSource),false);
  ptm.ruleFinished(temp_DataViewSource);
} else {
  ptm.destroyNode();
}
}
)

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(114)).eContents().get(1)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(114)).eContents().get(1)).eContents().get(2)).eContents().get(1)));}temp_DataViewSource=
ruleDataViewSource{if (temp_DataViewSource != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataViewSource);
  factory.add($result,"sources",convert(temp_DataViewSource),false);
  ptm.ruleFinished(temp_DataViewSource);
} else {
  ptm.destroyNode();
}
}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDataView returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "DataView");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
'editable'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"editable",true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}'DataView'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(4)).eContents().get(0)));}temp_DataViewSourceDefinition=
ruleDataViewSourceDefinition{if (temp_DataViewSourceDefinition != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataViewSourceDefinition);
  factory.set($result,"sourceDefinition",convert(temp_DataViewSourceDefinition),false);
  ptm.ruleFinished(temp_DataViewSourceDefinition);
} else {
  ptm.destroyNode();
}
}
)
	|
(({skipCurrentToken = false;}'extends'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(4)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(4)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"superType",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)
)

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(6)));}temp_IncludeExcludeDefinition=
ruleIncludeExcludeDefinition{if (temp_IncludeExcludeDefinition != null) {
  hasContent = true;
  ptm.setModelElement(temp_IncludeExcludeDefinition);
  factory.add($result,"includes",convert(temp_IncludeExcludeDefinition),false);
  ptm.ruleFinished(temp_IncludeExcludeDefinition);
} else {
  ptm.destroyNode();
}
}
)*

(({skipCurrentToken = false;}'excludes'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(7)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(7)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(7)).eContents().get(2)));}temp_IncludeExcludeDefinition=
ruleIncludeExcludeDefinition{if (temp_IncludeExcludeDefinition != null) {
  hasContent = true;
  ptm.setModelElement(temp_IncludeExcludeDefinition);
  factory.add($result,"excludes",convert(temp_IncludeExcludeDefinition),false);
  ptm.ruleFinished(temp_IncludeExcludeDefinition);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(7)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(8)));}temp_Attribute=
ruleAttribute{if (temp_Attribute != null) {
  hasContent = true;
  ptm.setModelElement(temp_Attribute);
  factory.add($result,"attributes",convert(temp_Attribute),false);
  ptm.ruleFinished(temp_Attribute);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(9)));}temp_Reference=
ruleReference{if (temp_Reference != null) {
  hasContent = true;
  ptm.setModelElement(temp_Reference);
  factory.add($result,"references",convert(temp_Reference),false);
  ptm.ruleFinished(temp_Reference);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(115)).eContents().get(1)).eContents().get(10)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleIncludeExcludeDefinition returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "IncludeExcludeDefinition");
			 }
(({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(116)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"alias",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(116)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(116)).eContents().get(1)).eContents().get(2)).eContents().get(0)));}temp_AttributeWithProperties=
ruleAttributeWithProperties{if (temp_AttributeWithProperties != null) {
  hasContent = true;
  ptm.setModelElement(temp_AttributeWithProperties);
  factory.set($result,"attributeWithProperties",convert(temp_AttributeWithProperties),false);
  ptm.ruleFinished(temp_AttributeWithProperties);
} else {
  ptm.destroyNode();
}
}
)
	|
({skipCurrentToken = false;}
'*'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(116)).eContents().get(1)).eContents().get(2)).eContents().get(1)));
  factory.set($result,"all",true);
  ptm.ruleFinished(temp);
}}
)
	|
({skipCurrentToken = false;}
'id'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(116)).eContents().get(1)).eContents().get(2)).eContents().get(2)));
  factory.set($result,"id",true);
  ptm.ruleFinished(temp);
}}
)
	|
({skipCurrentToken = false;}
'natural'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(116)).eContents().get(1)).eContents().get(2)).eContents().get(3)));
  factory.set($result,"natural",true);
  ptm.ruleFinished(temp);
}}
)
	|
(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(116)).eContents().get(1)).eContents().get(2)).eContents().get(4)).eContents().get(0)));
  factory.set($result,"reference",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'<'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(116)).eContents().get(1)).eContents().get(2)).eContents().get(4)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(116)).eContents().get(1)).eContents().get(2)).eContents().get(4)).eContents().get(2)));
  factory.set($result,"view",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'>'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(116)).eContents().get(1)).eContents().get(2)).eContents().get(4)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAttributeWithProperties returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "AttributeWithProperties");
			 }
(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(117)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"attributeHolder",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(117)).eContents().get(1)).eContents().get(1)));}temp_AttributeProperty=
ruleAttributeProperty{if (temp_AttributeProperty != null) {
  hasContent = true;
  ptm.setModelElement(temp_AttributeProperty);
  factory.add($result,"attributProperties",convert(temp_AttributeProperty),false);
  ptm.ruleFinished(temp_AttributeProperty);
} else {
  ptm.destroyNode();
}
}
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleFinderParameter returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "FinderParameter");
			 }
((({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(120)).eContents().get(1)).eContents().get(0)).eContents().get(0)));
  factory.set($result,"reference",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'.'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(120)).eContents().get(1)).eContents().get(0)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
)?

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(120)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"type",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleFinder returns [EObject result]
:
        temp_basicfinder=ruleBasicFinder {$result=temp_basicfinder;}	|        temp_customfinder=ruleCustomFinder {$result=temp_customfinder;}	;

ruleBasicFinder returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "BasicFinder");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}'finder'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"dataView",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(4)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(4)).eContents().get(1)));}temp_FinderParameter=
ruleFinderParameter{if (temp_FinderParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_FinderParameter);
  factory.add($result,"parameters",convert(temp_FinderParameter),false);
  ptm.ruleFinished(temp_FinderParameter);
} else {
  ptm.destroyNode();
}
}
)

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(4)).eContents().get(2)).eContents().get(0)));}temp_FinderOperator=
ruleFinderOperator{if (temp_FinderOperator != null) {
  hasContent = true;
  factory.add($result,"operators",convert(temp_FinderOperator),false);
  ptm.ruleFinished(temp_FinderOperator);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(4)).eContents().get(2)).eContents().get(1)));}temp_FinderParameter=
ruleFinderParameter{if (temp_FinderParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_FinderParameter);
  factory.add($result,"parameters",convert(temp_FinderParameter),false);
  ptm.ruleFinished(temp_FinderParameter);
} else {
  ptm.destroyNode();
}
}
)
)*

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(4)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)?

({skipCurrentToken = false;}
'with-paging'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(5)));
  factory.set($result,"pageable",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

(({skipCurrentToken = false;}'order-by'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(6)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(122)).eContents().get(1)).eContents().get(6)).eContents().get(1)));
  factory.set($result,"sortOrder",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCustomFinder returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CustomFinder");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}'custom-finder'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(2)).eContents().get(0)));}temp_CollectionType=
ruleCollectionType{if (temp_CollectionType != null) {
  hasContent = true;
  factory.set($result,"collectionType",convert(temp_CollectionType),false);
  ptm.ruleFinished(temp_CollectionType);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'<'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(2)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
)?

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(3)).eContents().get(0)));}temp_MapCollectionType=
ruleMapCollectionType{if (temp_MapCollectionType != null) {
  hasContent = true;
  factory.set($result,"collectionType",convert(temp_MapCollectionType),false);
  ptm.ruleFinished(temp_MapCollectionType);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'<'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(3)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(3)).eContents().get(2)));}temp_DataTypeAndTypeParameter=
ruleDataTypeAndTypeParameter{if (temp_DataTypeAndTypeParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataTypeAndTypeParameter);
  factory.set($result,"mapKeyType",convert(temp_DataTypeAndTypeParameter),false);
  ptm.ruleFinished(temp_DataTypeAndTypeParameter);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(3)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(4)));}temp_DataTypeAndTypeParameter=
ruleDataTypeAndTypeParameter{if (temp_DataTypeAndTypeParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataTypeAndTypeParameter);
  factory.set($result,"type",convert(temp_DataTypeAndTypeParameter),false);
  ptm.ruleFinished(temp_DataTypeAndTypeParameter);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'>'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})?

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(6)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(7)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(8)));}temp_Parameter=
ruleParameter{if (temp_Parameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_Parameter);
  factory.add($result,"parameters",convert(temp_Parameter),false);
  ptm.ruleFinished(temp_Parameter);
} else {
  ptm.destroyNode();
}
}
)

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(9)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(9)).eContents().get(1)));}temp_Parameter=
ruleParameter{if (temp_Parameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_Parameter);
  factory.add($result,"parameters",convert(temp_Parameter),false);
  ptm.ruleFinished(temp_Parameter);
} else {
  ptm.destroyNode();
}
}
)
)*

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(123)).eContents().get(1)).eContents().get(10)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleEntity returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Entity");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
'abstract'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"abstract",true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}'Entity'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'extends'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(4)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(4)).eContents().get(1)));
  factory.set($result,"superType",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)?

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(6)));}temp_ConditionsBlock=
ruleConditionsBlock{if (temp_ConditionsBlock != null) {
  hasContent = true;
  ptm.setModelElement(temp_ConditionsBlock);
  factory.set($result,"conditionsBlock",convert(temp_ConditionsBlock),false);
  ptm.ruleFinished(temp_ConditionsBlock);
} else {
  ptm.destroyNode();
}
}
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(7)));}temp_Attribute=
ruleAttribute{if (temp_Attribute != null) {
  hasContent = true;
  ptm.setModelElement(temp_Attribute);
  factory.add($result,"attributes",convert(temp_Attribute),false);
  ptm.ruleFinished(temp_Attribute);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(8)));}temp_Reference=
ruleReference{if (temp_Reference != null) {
  hasContent = true;
  ptm.setModelElement(temp_Reference);
  factory.add($result,"references",convert(temp_Reference),false);
  ptm.ruleFinished(temp_Reference);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(9)));}temp_SortOrder=
ruleSortOrder{if (temp_SortOrder != null) {
  hasContent = true;
  ptm.setModelElement(temp_SortOrder);
  factory.add($result,"sortOrders",convert(temp_SortOrder),false);
  ptm.ruleFinished(temp_SortOrder);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(10)));}temp_Finder=
ruleFinder{if (temp_Finder != null) {
  hasContent = true;
  ptm.setModelElement(temp_Finder);
  factory.add($result,"finders",convert(temp_Finder),false);
  ptm.ruleFinished(temp_Finder);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(11)));}temp_Persistence=
rulePersistence{if (temp_Persistence != null) {
  hasContent = true;
  ptm.setModelElement(temp_Persistence);
  factory.set($result,"persistence",convert(temp_Persistence),false);
  ptm.ruleFinished(temp_Persistence);
} else {
  ptm.destroyNode();
}
}
)?

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(124)).eContents().get(1)).eContents().get(12)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleConditionsBlock returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ConditionsBlock");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(125)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}'Conditions'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(125)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(125)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(125)).eContents().get(1)).eContents().get(3)));}temp_StatusFlag=
ruleStatusFlag{if (temp_StatusFlag != null) {
  hasContent = true;
  ptm.setModelElement(temp_StatusFlag);
  factory.add($result,"statusFlags",convert(temp_StatusFlag),false);
  ptm.ruleFinished(temp_StatusFlag);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(125)).eContents().get(1)).eContents().get(4)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleReference returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Reference");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

(({skipCurrentToken = false;}'ref'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})
	|
({skipCurrentToken = false;}'reference'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
	|
({skipCurrentToken = false;}
'containment'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"containment",true);
  ptm.ruleFinished(temp);
}}
)
)

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(2)).eContents().get(0)));}temp_CollectionType=
ruleCollectionType{if (temp_CollectionType != null) {
  hasContent = true;
  factory.set($result,"collectionType",convert(temp_CollectionType),false);
  ptm.ruleFinished(temp_CollectionType);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'<'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(2)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
)?

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"type",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'>'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(4)));
  ptm.ruleFinished(getLastToken());
}})?

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(5)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}
'readonly'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(6)).eContents().get(0)));
  factory.set($result,"readOnly",true);
  ptm.ruleFinished(temp);
}}
)
	|
({skipCurrentToken = false;}
'required'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(6)).eContents().get(1)));
  factory.set($result,"required",true);
  ptm.ruleFinished(temp);
}}
)
)*

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(7)).eContents().get(0)));}
temp_MappingOperator=ruleMappingOperator
{if (temp_MappingOperator != null) {
  hasContent = true;
  ptm.ruleFinished(temp_MappingOperator);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(126)).eContents().get(1)).eContents().get(7)).eContents().get(1)));
  factory.set($result,"opposite",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

rulePersistence returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Persistence");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}'Persistence'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
'lazy'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"lazy",true);
  ptm.ruleFinished(temp);
}}
)?

(({skipCurrentToken = false;}'dataSource='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(4)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(4)).eContents().get(1)));
  factory.set($result,"dataSource",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?

(({skipCurrentToken = false;}'table='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(5)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(5)).eContents().get(1)));
  factory.set($result,"tableName",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?

(({skipCurrentToken = false;}'alias='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(6)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(6)).eContents().get(1)));
  factory.set($result,"tableAlias",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(7)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(8)));}temp_Dependency=
ruleDependency{if (temp_Dependency != null) {
  hasContent = true;
  ptm.setModelElement(temp_Dependency);
  factory.add($result,"dependencies",convert(temp_Dependency),false);
  ptm.ruleFinished(temp_Dependency);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(9)));}temp_DataBaseConstraint=
ruleDataBaseConstraint{if (temp_DataBaseConstraint != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataBaseConstraint);
  factory.add($result,"dataBaseConstraints",convert(temp_DataBaseConstraint),false);
  ptm.ruleFinished(temp_DataBaseConstraint);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(10)));}temp_Query=
ruleQuery{if (temp_Query != null) {
  hasContent = true;
  ptm.setModelElement(temp_Query);
  factory.add($result,"queryMappings",convert(temp_Query),false);
  ptm.ruleFinished(temp_Query);
} else {
  ptm.destroyNode();
}
}
)*

(({skipCurrentToken = false;}'ColumnMapping'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(11)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(11)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(11)).eContents().get(2)));}temp_Column=
ruleColumn{if (temp_Column != null) {
  hasContent = true;
  ptm.setModelElement(temp_Column);
  factory.add($result,"columns",convert(temp_Column),false);
  ptm.ruleFinished(temp_Column);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(11)).eContents().get(3)));}temp_ManyToOne=
ruleManyToOne{if (temp_ManyToOne != null) {
  hasContent = true;
  ptm.setModelElement(temp_ManyToOne);
  factory.add($result,"manyToOneAssociations",convert(temp_ManyToOne),false);
  ptm.ruleFinished(temp_ManyToOne);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(11)).eContents().get(4)));}temp_OneToOne=
ruleOneToOne{if (temp_OneToOne != null) {
  hasContent = true;
  ptm.setModelElement(temp_OneToOne);
  factory.add($result,"oneToOneAssociations",convert(temp_OneToOne),false);
  ptm.ruleFinished(temp_OneToOne);
} else {
  ptm.destroyNode();
}
}
)*

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(11)).eContents().get(5)));}temp_OneToMany=
ruleOneToMany{if (temp_OneToMany != null) {
  hasContent = true;
  ptm.setModelElement(temp_OneToMany);
  factory.add($result,"oneToManyAssociations",convert(temp_OneToMany),false);
  ptm.ruleFinished(temp_OneToMany);
} else {
  ptm.destroyNode();
}
}
)*

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(11)).eContents().get(6)));
  ptm.ruleFinished(getLastToken());
}})
)?

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(127)).eContents().get(1)).eContents().get(12)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleQuery returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Query");
			 }
(({skipCurrentToken = false;}'query'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(128)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(128)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"finder",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(128)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(128)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"expression",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleColumn returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Column");
			 }
(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"attribute",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(1)).eContents().get(0)));}
temp_MappingOperator=ruleMappingOperator
{if (temp_MappingOperator != null) {
  hasContent = true;
  ptm.ruleFinished(temp_MappingOperator);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"columnName",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?

(({skipCurrentToken = false;}'userType='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(2)).eContents().get(1)));}temp_DataTypeAndTypeParameter=
ruleDataTypeAndTypeParameter{if (temp_DataTypeAndTypeParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataTypeAndTypeParameter);
  factory.set($result,"userType",convert(temp_DataTypeAndTypeParameter),false);
  ptm.ruleFinished(temp_DataTypeAndTypeParameter);
} else {
  ptm.destroyNode();
}
}
)
)?

(({skipCurrentToken = false;}'columnType='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(3)).eContents().get(1)));}temp_DataTypeAndTypeParameter=
ruleDataTypeAndTypeParameter{if (temp_DataTypeAndTypeParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataTypeAndTypeParameter);
  factory.set($result,"columnType",convert(temp_DataTypeAndTypeParameter),false);
  ptm.ruleFinished(temp_DataTypeAndTypeParameter);
} else {
  ptm.destroyNode();
}
}
)
)?

({skipCurrentToken = false;}
'lazy'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(4)));
  factory.set($result,"lazy",true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
'not-null'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(5)));
  factory.set($result,"notNull",true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
'versioned'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(6)));
  factory.set($result,"versioned",true);
  ptm.ruleFinished(temp);
}}
)?

(({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(7)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(7)).eContents().get(1)));}temp_Column=
ruleColumn{if (temp_Column != null) {
  hasContent = true;
  ptm.setModelElement(temp_Column);
  factory.add($result,"columns",convert(temp_Column),false);
  ptm.ruleFinished(temp_Column);
} else {
  ptm.destroyNode();
}
}
)+

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(129)).eContents().get(1)).eContents().get(7)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleManyToOne returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ManyToOne");
			 }
(({skipCurrentToken = false;}'many-to-one'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"reference",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(2)).eContents().get(0)));}
temp_MappingOperator=ruleMappingOperator
{if (temp_MappingOperator != null) {
  hasContent = true;
  ptm.ruleFinished(temp_MappingOperator);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(2)).eContents().get(1)));
  factory.set($result,"columnName",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?

({skipCurrentToken = false;}
'unique'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"unique",true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
'eager'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(4)));
  factory.set($result,"eagerFetching",true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
'joined'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(5)));
  factory.set($result,"joined",true);
  ptm.ruleFinished(temp);
}}
)?

(({skipCurrentToken = false;}'cascade='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(6)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(6)).eContents().get(1)));
  factory.set($result,"cascade",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?

(({skipCurrentToken = false;}'{'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(7)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(7)).eContents().get(1)));}temp_Column=
ruleColumn{if (temp_Column != null) {
  hasContent = true;
  ptm.setModelElement(temp_Column);
  factory.add($result,"columns",convert(temp_Column),false);
  ptm.ruleFinished(temp_Column);
} else {
  ptm.destroyNode();
}
}
)+

({skipCurrentToken = false;}'}'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(130)).eContents().get(1)).eContents().get(7)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleOneToOne returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "OneToOne");
			 }
(({skipCurrentToken = false;}'one-to-one'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(131)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(131)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"reference",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
'constrained'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(131)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"constrained",true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
'eager'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(131)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"eagerFetching",true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
'joined'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(131)).eContents().get(1)).eContents().get(4)));
  factory.set($result,"joined",true);
  ptm.ruleFinished(temp);
}}
)?

(({skipCurrentToken = false;}'cascade='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(131)).eContents().get(1)).eContents().get(5)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(131)).eContents().get(1)).eContents().get(5)).eContents().get(1)));
  factory.set($result,"cascade",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleOneToMany returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "OneToMany");
			 }
(({skipCurrentToken = false;}'one-to-many'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(132)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(132)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"reference",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(132)).eContents().get(1)).eContents().get(2)));}
temp_MappingOperator=ruleMappingOperator
{if (temp_MappingOperator != null) {
  hasContent = true;
  ptm.ruleFinished(temp_MappingOperator);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(132)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"columnName",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
'eager'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(132)).eContents().get(1)).eContents().get(4)));
  factory.set($result,"eagerFetching",true);
  ptm.ruleFinished(temp);
}}
)?

({skipCurrentToken = false;}
'joined'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(132)).eContents().get(1)).eContents().get(5)));
  factory.set($result,"joined",true);
  ptm.ruleFinished(temp);
}}
)?

(({skipCurrentToken = false;}'order-by='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(132)).eContents().get(1)).eContents().get(6)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(132)).eContents().get(1)).eContents().get(6)).eContents().get(1)));
  factory.set($result,"sortOrder",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)?

(({skipCurrentToken = false;}'cascade='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(132)).eContents().get(1)).eContents().get(7)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(132)).eContents().get(1)).eContents().get(7)).eContents().get(1)));
  factory.set($result,"cascade",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDataBaseField returns [EObject result]
:
        temp_attribute=ruleAttribute {$result=temp_attribute;}	|        temp_reference=ruleReference {$result=temp_reference;}	;

ruleDataBaseConstraint returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "DataBaseConstraint");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(134)).eContents().get(1)).eContents().get(0)));}temp_DataBaseConstraintType=
ruleDataBaseConstraintType{if (temp_DataBaseConstraintType != null) {
  hasContent = true;
  factory.set($result,"type",convert(temp_DataBaseConstraintType),false);
  ptm.ruleFinished(temp_DataBaseConstraintType);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(134)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(134)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(134)).eContents().get(1)).eContents().get(3)));
  factory.add($result,"fields",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(134)).eContents().get(1)).eContents().get(4)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(134)).eContents().get(1)).eContents().get(4)).eContents().get(1)));
  factory.add($result,"fields",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)*

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(134)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleDataBaseFieldWithOrder returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "DataBaseFieldWithOrder");
			 }
(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(135)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"field",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(135)).eContents().get(1)).eContents().get(1)));}temp_OrderType=
ruleOrderType{if (temp_OrderType != null) {
  hasContent = true;
  factory.set($result,"order",convert(temp_OrderType),false);
  ptm.ruleFinished(temp_OrderType);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleSortOrder returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "SortOrder");
			 }
(({skipCurrentToken = false;}'sort-order'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(136)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(136)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(136)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(136)).eContents().get(1)).eContents().get(3)));}temp_DataBaseFieldWithOrder=
ruleDataBaseFieldWithOrder{if (temp_DataBaseFieldWithOrder != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataBaseFieldWithOrder);
  factory.add($result,"order",convert(temp_DataBaseFieldWithOrder),false);
  ptm.ruleFinished(temp_DataBaseFieldWithOrder);
} else {
  ptm.destroyNode();
}
}
)

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(136)).eContents().get(1)).eContents().get(4)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(136)).eContents().get(1)).eContents().get(4)).eContents().get(1)));}temp_DataBaseFieldWithOrder=
ruleDataBaseFieldWithOrder{if (temp_DataBaseFieldWithOrder != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataBaseFieldWithOrder);
  factory.add($result,"order",convert(temp_DataBaseFieldWithOrder),false);
  ptm.ruleFinished(temp_DataBaseFieldWithOrder);
} else {
  ptm.destroyNode();
}
}
)
)*

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(136)).eContents().get(1)).eContents().get(5)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
'default'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(136)).eContents().get(1)).eContents().get(6)));
  factory.set($result,"isDefault",true);
  ptm.ruleFinished(temp);
}}
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAttribute returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Attribute");
			 }
(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(137)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?

(({skipCurrentToken = false;}'attribute'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(137)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})
	|
({skipCurrentToken = false;}'attr'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(137)).eContents().get(1)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
	|
(({skipCurrentToken = false;}
'identifier'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(137)).eContents().get(1)).eContents().get(1)).eContents().get(2)).eContents().get(0)));
  factory.set($result,"identifier",true);
  ptm.ruleFinished(temp);
}}
)
	|
({skipCurrentToken = false;}
'version'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(137)).eContents().get(1)).eContents().get(1)).eContents().get(2)).eContents().get(1)));
  factory.set($result,"version",true);
  ptm.ruleFinished(temp);
}}
)
)
)?

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(137)).eContents().get(1)).eContents().get(2)));}temp_DataTypeAndTypeParameter=
ruleDataTypeAndTypeParameter{if (temp_DataTypeAndTypeParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataTypeAndTypeParameter);
  factory.set($result,"type",convert(temp_DataTypeAndTypeParameter),false);
  ptm.ruleFinished(temp_DataTypeAndTypeParameter);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(137)).eContents().get(1)).eContents().get(3)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(137)).eContents().get(1)).eContents().get(4)));}temp_AttributeProperty=
ruleAttributeProperty{if (temp_AttributeProperty != null) {
  hasContent = true;
  ptm.setModelElement(temp_AttributeProperty);
  factory.add($result,"attributProperties",convert(temp_AttributeProperty),false);
  ptm.ruleFinished(temp_AttributeProperty);
} else {
  ptm.destroyNode();
}
}
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleConstraint returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Constraint");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(138)).eContents().get(1)).eContents().get(0)));}temp_ValidatorReference=
ruleValidatorReference{if (temp_ValidatorReference != null) {
  hasContent = true;
  ptm.setModelElement(temp_ValidatorReference);
  factory.set($result,"validatorReference",convert(temp_ValidatorReference),false);
  ptm.ruleFinished(temp_ValidatorReference);
} else {
  ptm.destroyNode();
}
}
)

(({skipCurrentToken = false;}'['{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(138)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(138)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_EqualityExpr=
ruleEqualityExpr{if (temp_EqualityExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_EqualityExpr);
  factory.set($result,"condition",convert(temp_EqualityExpr),false);
  ptm.ruleFinished(temp_EqualityExpr);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}']'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(138)).eContents().get(1)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleValidatorReference returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ValidatorReference");
			 }
(({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(139)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"validator",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(139)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(139)).eContents().get(1)).eContents().get(2)));}temp_ParameterValue=
ruleParameterValue{if (temp_ParameterValue != null) {
  hasContent = true;
  ptm.setModelElement(temp_ParameterValue);
  factory.add($result,"validatorParameter",convert(temp_ParameterValue),false);
  ptm.ruleFinished(temp_ParameterValue);
} else {
  ptm.destroyNode();
}
}
)?

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(139)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(139)).eContents().get(1)).eContents().get(3)).eContents().get(1)));}temp_ParameterValue=
ruleParameterValue{if (temp_ParameterValue != null) {
  hasContent = true;
  ptm.setModelElement(temp_ParameterValue);
  factory.add($result,"validatorParameter",convert(temp_ParameterValue),false);
  ptm.ruleFinished(temp_ParameterValue);
} else {
  ptm.destroyNode();
}
}
)
)*

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(139)).eContents().get(1)).eContents().get(4)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleParameterValue returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ParameterValue");
			 }
(({skipCurrentToken = false;}
'null'{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(140)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"isNull",true);
  ptm.ruleFinished(temp);
}}
)
	|
({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(140)).eContents().get(1)).eContents().get(1)));}
temp_IntegerParameterValue=ruleIntegerParameterValue
{if (temp_IntegerParameterValue != null) {
  hasContent = true;
  ptm.setModelElement(temp_IntegerParameterValue);
  ptm.ruleFinished(temp_IntegerParameterValue);
  $result=temp_IntegerParameterValue;
} else {
  ptm.destroyNode();
}
}
)
	|
({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(140)).eContents().get(1)).eContents().get(2)));}
temp_StringParameterValue=ruleStringParameterValue
{if (temp_StringParameterValue != null) {
  hasContent = true;
  ptm.setModelElement(temp_StringParameterValue);
  ptm.ruleFinished(temp_StringParameterValue);
  $result=temp_StringParameterValue;
} else {
  ptm.destroyNode();
}
}
)
	|
({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(140)).eContents().get(1)).eContents().get(3)));}
temp_BooleanParameterValue=ruleBooleanParameterValue
{if (temp_BooleanParameterValue != null) {
  hasContent = true;
  ptm.setModelElement(temp_BooleanParameterValue);
  ptm.ruleFinished(temp_BooleanParameterValue);
  $result=temp_BooleanParameterValue;
} else {
  ptm.destroyNode();
}
}
)
	|
({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(140)).eContents().get(1)).eContents().get(4)));
  factory.set($result,"referencedParameter",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleStatusFlag returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "StatusFlag");
			 }
(({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(141)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(141)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(141)).eContents().get(1)).eContents().get(2)));}temp_EqualityExpr=
ruleEqualityExpr{if (temp_EqualityExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_EqualityExpr);
  factory.set($result,"expression",convert(temp_EqualityExpr),false);
  ptm.ruleFinished(temp_EqualityExpr);
} else {
  ptm.destroyNode();
}
}
)?

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(141)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(141)).eContents().get(1)).eContents().get(3)).eContents().get(1)));
  factory.set($result,"doc",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)?
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAttributeFlag returns [EObject result]
:
        temp_requiredflag=ruleRequiredFlag {$result=temp_requiredflag;}	|        temp_readonlyflag=ruleReadOnlyFlag {$result=temp_readonlyflag;}	|        temp_availableflag=ruleAvailableFlag {$result=temp_availableflag;}	;

ruleRequiredFlag returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "RequiredFlag");
			 }
(({skipCurrentToken = false;}'required='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(143)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(143)).eContents().get(1)).eContents().get(1)));}temp_EqualityExpr=
ruleEqualityExpr{if (temp_EqualityExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_EqualityExpr);
  factory.set($result,"expression",convert(temp_EqualityExpr),false);
  ptm.ruleFinished(temp_EqualityExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleReadOnlyFlag returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ReadOnlyFlag");
			 }
(({skipCurrentToken = false;}'readonly='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(144)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(144)).eContents().get(1)).eContents().get(1)));}temp_EqualityExpr=
ruleEqualityExpr{if (temp_EqualityExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_EqualityExpr);
  factory.set($result,"expression",convert(temp_EqualityExpr),false);
  ptm.ruleFinished(temp_EqualityExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAvailableFlag returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "AvailableFlag");
			 }
(({skipCurrentToken = false;}'available='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(145)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(145)).eContents().get(1)).eContents().get(1)));}temp_EqualityExpr=
ruleEqualityExpr{if (temp_EqualityExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_EqualityExpr);
  factory.set($result,"expression",convert(temp_EqualityExpr),false);
  ptm.ruleFinished(temp_EqualityExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAttributeProperty returns [EObject result]
:
        temp_attributeflag=ruleAttributeFlag {$result=temp_attributeflag;}	|        temp_attributevalidationproperty=ruleAttributeValidationProperty {$result=temp_attributevalidationproperty;}	|        temp_attributetextproperty=ruleAttributeTextProperty {$result=temp_attributetextproperty;}	;

ruleAttributeValidationProperty returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "AttributeValidationProperty");
			 }
((({skipCurrentToken = false;}'constraints='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(147)).eContents().get(1)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(147)).eContents().get(1)).eContents().get(0)).eContents().get(1)));}temp_Constraint=
ruleConstraint{if (temp_Constraint != null) {
  hasContent = true;
  ptm.setModelElement(temp_Constraint);
  factory.add($result,"constraints",convert(temp_Constraint),false);
  ptm.ruleFinished(temp_Constraint);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(147)).eContents().get(1)).eContents().get(0)).eContents().get(2)));}temp_Constraint=
ruleConstraint{if (temp_Constraint != null) {
  hasContent = true;
  ptm.setModelElement(temp_Constraint);
  factory.add($result,"constraints",convert(temp_Constraint),false);
  ptm.ruleFinished(temp_Constraint);
} else {
  ptm.destroyNode();
}
}
)*
)
	|
(({skipCurrentToken = false;}'format='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(147)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(147)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_ValidatorReference=
ruleValidatorReference{if (temp_ValidatorReference != null) {
  hasContent = true;
  ptm.setModelElement(temp_ValidatorReference);
  factory.set($result,"format",convert(temp_ValidatorReference),false);
  ptm.ruleFinished(temp_ValidatorReference);
} else {
  ptm.destroyNode();
}
}
)
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAttributeTextProperty returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "AttributeTextProperty");
			 }
((({skipCurrentToken = false;}'label='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(148)).eContents().get(1)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(148)).eContents().get(1)).eContents().get(0)).eContents().get(1)));
  factory.set($result,"labelText",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
	|
(({skipCurrentToken = false;}'tooltip='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(148)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(148)).eContents().get(1)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"tooltipText",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
	|
(({skipCurrentToken = false;}'unit='{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(148)).eContents().get(1)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

(({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(148)).eContents().get(1)).eContents().get(2)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"unitText",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
	|
({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(148)).eContents().get(1)).eContents().get(2)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"unitAttribute",convert(temp),true);
  ptm.ruleFinished(temp);
}}
)
)
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleIntegerParameterValue returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "IntegerParameterValue");
			 }
({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(149)).eContents().get(1)));
  factory.set($result,"intValue",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleStringParameterValue returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "StringParameterValue");
			 }
({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(150)).eContents().get(1)));
  factory.set($result,"stringValue",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleBooleanParameterValue returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "BooleanParameterValue");
			 }
({ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(151)).eContents().get(1)));}temp_BooleanValue=
ruleBooleanValue{if (temp_BooleanValue != null) {
  hasContent = true;
  factory.set($result,"booleanValue",convert(temp_BooleanValue),false);
  ptm.ruleFinished(temp_BooleanValue);
} else {
  ptm.destroyNode();
}
}
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleBooleanValue returns [Enumerator r] :
		 'true'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(152)).eContents().get(1)));
$r=factory.enumLit("", "BooleanValue","true");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'false'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(152)).eContents().get(2)));
$r=factory.enumLit("", "BooleanValue","false");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleParameterDefinition returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ParameterDefinition");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(153)).eContents().get(1)).eContents().get(0)));}temp_ParameterDefinitionType=
ruleParameterDefinitionType{if (temp_ParameterDefinitionType != null) {
  hasContent = true;
  factory.set($result,"type",convert(temp_ParameterDefinitionType),false);
  ptm.ruleFinished(temp_ParameterDefinitionType);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(153)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleTypeDefinition returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "TypeDefinition");
			 }
((({skipCurrentToken = false;}'native'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(154)).eContents().get(1)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(154)).eContents().get(1)).eContents().get(0)).eContents().get(1)));}temp_JavaIdentifier=
ruleJavaIdentifier{if (temp_JavaIdentifier != null) {
  hasContent = true;
  factory.set($result,"javatype",convert(temp_JavaIdentifier),false);
  ptm.ruleFinished(temp_JavaIdentifier);
} else {
  ptm.destroyNode();
}
}
)
)
	|
(({skipCurrentToken = false;}'redefines'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(154)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(154)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_DataTypeAndTypeParameter=
ruleDataTypeAndTypeParameter{if (temp_DataTypeAndTypeParameter != null) {
  hasContent = true;
  ptm.setModelElement(temp_DataTypeAndTypeParameter);
  factory.set($result,"definition",convert(temp_DataTypeAndTypeParameter),false);
  ptm.ruleFinished(temp_DataTypeAndTypeParameter);
} else {
  ptm.destroyNode();
}
}
)
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleValidator returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Validator");
			 }
(({skipCurrentToken = false;}'Validator'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

(({skipCurrentToken = false;}'<'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_ValueModelType=
ruleValueModelType{if (temp_ValueModelType != null) {
  hasContent = true;
  factory.set($result,"valueModelType",convert(temp_ValueModelType),false);
  ptm.ruleFinished(temp_ValueModelType);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}'>'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})
)?

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

(({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(3)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(3)).eContents().get(1)));}temp_ParameterDefinition=
ruleParameterDefinition{if (temp_ParameterDefinition != null) {
  hasContent = true;
  ptm.setModelElement(temp_ParameterDefinition);
  factory.add($result,"validatorParameter",convert(temp_ParameterDefinition),false);
  ptm.ruleFinished(temp_ParameterDefinition);
} else {
  ptm.destroyNode();
}
}
)

(({skipCurrentToken = false;}','{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(3)).eContents().get(2)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(3)).eContents().get(2)).eContents().get(1)));}temp_ParameterDefinition=
ruleParameterDefinition{if (temp_ParameterDefinition != null) {
  hasContent = true;
  ptm.setModelElement(temp_ParameterDefinition);
  factory.add($result,"validatorParameter",convert(temp_ParameterDefinition),false);
  ptm.ruleFinished(temp_ParameterDefinition);
} else {
  ptm.destroyNode();
}
}
)
)*

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(3)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)?

(({skipCurrentToken = false;}'native'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(4)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(155)).eContents().get(1)).eContents().get(4)).eContents().get(1)));}temp_JavaIdentifier=
ruleJavaIdentifier{if (temp_JavaIdentifier != null) {
  hasContent = true;
  factory.set($result,"javatype",convert(temp_JavaIdentifier),false);
  ptm.ruleFinished(temp_JavaIdentifier);
} else {
  ptm.destroyNode();
}
}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleEditor returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Editor");
			 }
(({skipCurrentToken = false;}'Editor'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(156)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(156)).eContents().get(1)).eContents().get(1)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(156)).eContents().get(1)).eContents().get(2)));
  factory.set($result,"label",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleValueModelType returns [Enumerator r] :
		 'string'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(157)).eContents().get(1)));
$r=factory.enumLit("", "ValueModelType","string");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'number'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(157)).eContents().get(2)));
$r=factory.enumLit("", "ValueModelType","number");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'boolean'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(157)).eContents().get(3)));
$r=factory.enumLit("", "ValueModelType","boolean");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'date'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(157)).eContents().get(4)));
$r=factory.enumLit("", "ValueModelType","date");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'timestamp'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(157)).eContents().get(5)));
$r=factory.enumLit("", "ValueModelType","timestamp");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'enumeration'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(157)).eContents().get(6)));
$r=factory.enumLit("", "ValueModelType","enumeration");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleParameterDefinitionType returns [Enumerator r] :
		 'integer'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(158)).eContents().get(1)));
$r=factory.enumLit("", "ParameterDefinitionType","integer");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'string'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(158)).eContents().get(2)));
$r=factory.enumLit("", "ParameterDefinitionType","string");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'boolean'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(158)).eContents().get(3)));
$r=factory.enumLit("", "ParameterDefinitionType","boolean");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleDataBaseConstraintType returns [String s] @init {StringBuffer buff = new StringBuffer(); boolean hasContent = false;} :
	 

((	{skipCurrentToken = false;}	'index' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(159)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'unique-key' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(159)).eContents().get(0)).eContents().get(1)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'natural-key' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(159)).eContents().get(0)).eContents().get(2)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'primary-key' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(159)).eContents().get(0)).eContents().get(3)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
))

{if (hasContent)
  $s =buff.toString();}
;
catch [RecognitionException re] {if (hasContent)
$s =buff.toString();
reportError(re);
recover(input,re);}

ruleFinderOperator returns [String s] @init {StringBuffer buff = new StringBuffer(); boolean hasContent = false;} :
	 

((	{skipCurrentToken = false;}	',' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(160)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'|' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(160)).eContents().get(0)).eContents().get(1)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'and' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(160)).eContents().get(0)).eContents().get(2)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'or' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(160)).eContents().get(0)).eContents().get(3)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
))

{if (hasContent)
  $s =buff.toString();}
;
catch [RecognitionException re] {if (hasContent)
$s =buff.toString();
reportError(re);
recover(input,re);}

ruleOrderType returns [String s] @init {StringBuffer buff = new StringBuffer(); boolean hasContent = false;} :
	 

((	{skipCurrentToken = false;}	'asc' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(161)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'desc' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(161)).eContents().get(0)).eContents().get(1)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
))

{if (hasContent)
  $s =buff.toString();}
;
catch [RecognitionException re] {if (hasContent)
$s =buff.toString();
reportError(re);
recover(input,re);}

ruleCollectionType returns [String s] @init {StringBuffer buff = new StringBuffer(); boolean hasContent = false;} :
	 

((	{skipCurrentToken = false;}	'Collection' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(162)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'Set' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(162)).eContents().get(0)).eContents().get(1)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'List' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(162)).eContents().get(0)).eContents().get(2)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
))

{if (hasContent)
  $s =buff.toString();}
;
catch [RecognitionException re] {if (hasContent)
$s =buff.toString();
reportError(re);
recover(input,re);}

ruleMapCollectionType returns [String s] @init {StringBuffer buff = new StringBuffer(); boolean hasContent = false;} :
	 

(	{skipCurrentToken = false;}	'Map' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(163)).eContents().get(0)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
)

{if (hasContent)
  $s =buff.toString();}
;
catch [RecognitionException re] {if (hasContent)
$s =buff.toString();
reportError(re);
recover(input,re);}

ruleVisibility returns [String s] @init {StringBuffer buff = new StringBuffer(); boolean hasContent = false;} :
	 

((	{skipCurrentToken = false;}	'public' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(164)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'protected' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(164)).eContents().get(0)).eContents().get(1)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'package' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(164)).eContents().get(0)).eContents().get(2)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
) |
(	{skipCurrentToken = false;}	'private' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(164)).eContents().get(0)).eContents().get(3)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
))

{if (hasContent)
  $s =buff.toString();}
;
catch [RecognitionException re] {if (hasContent)
$s =buff.toString();
reportError(re);
recover(input,re);}

ruleMappingOperator returns [String s] @init {StringBuffer buff = new StringBuffer(); boolean hasContent = false;} :
	 

(	{skipCurrentToken = false;}	'<->' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(165)).eContents().get(0)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
)

{if (hasContent)
  $s =buff.toString();}
;
catch [RecognitionException re] {if (hasContent)
$s =buff.toString();
reportError(re);
recover(input,re);}

ruleJavaIdentifier returns [String s] @init {StringBuffer buff = new StringBuffer(); boolean hasContent = false;} :
	 

((({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(166)).eContents().get(0)).eContents().get(0)));
  ptm.ruleFinished(temp);
  if (temp.getType() == xmadslLexer.RULE_ID)
    temp.setText((String) convert(temp));
  buff.append(temp.getText());
}})
(((	{skipCurrentToken = false;}	'.' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(166)).eContents().get(0)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
)
({skipCurrentToken = false;}
RULE_ID
{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(166)).eContents().get(0)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(temp);
  if (temp.getType() == xmadslLexer.RULE_ID)
    temp.setText((String) convert(temp));
  buff.append(temp.getText());
}}))
)*)
)

{if (hasContent)
  $s =buff.toString();}
;
catch [RecognitionException re] {if (hasContent)
$s =buff.toString();
reportError(re);
recover(input,re);}

ruleThrowsIdentifier returns [String s] @init {StringBuffer buff = new StringBuffer(); boolean hasContent = false;} :
	 

((({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(167)).eContents().get(0)).eContents().get(0)));}temp_JavaIdentifier=
ruleJavaIdentifier
{if (temp_JavaIdentifier != null) {
  /* FIXME: Enum-Rule ?? */
  hasContent = true;
  ptm.ruleFinished(temp_JavaIdentifier);
  buff.append(temp_JavaIdentifier);
} else {
  ptm.destroyNode();
}}
)
(((	{skipCurrentToken = false;}	',' {if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(167)).eContents().get(0)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(temp);
  buff.append(temp.getText());
}}
)
({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(167)).eContents().get(0)).eContents().get(1)).eContents().get(1)));}temp_JavaIdentifier=
ruleJavaIdentifier
{if (temp_JavaIdentifier != null) {
  /* FIXME: Enum-Rule ?? */
  hasContent = true;
  ptm.ruleFinished(temp_JavaIdentifier);
  buff.append(temp_JavaIdentifier);
} else {
  ptm.destroyNode();
}}
))
)*)
)

{if (hasContent)
  $s =buff.toString();}
;
catch [RecognitionException re] {if (hasContent)
$s =buff.toString();
reportError(re);
recover(input,re);}

ruleEqualityExpr returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "EqualityExpr");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(168)).eContents().get(1)).eContents().get(0)));}temp_CondORExpr=
ruleCondORExpr{if (temp_CondORExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_CondORExpr);
  factory.set($result,"left",convert(temp_CondORExpr),false);
  ptm.ruleFinished(temp_CondORExpr);
} else {
  ptm.destroyNode();
}
}
)

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(168)).eContents().get(1)).eContents().get(1)).eContents().get(0)));}temp_EqualityOp=
ruleEqualityOp{if (temp_EqualityOp != null) {
  hasContent = true;
  factory.set($result,"op",convert(temp_EqualityOp),false);
  ptm.ruleFinished(temp_EqualityOp);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(168)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_CondORExpr=
ruleCondORExpr{if (temp_CondORExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_CondORExpr);
  factory.set($result,"right",convert(temp_CondORExpr),false);
  ptm.ruleFinished(temp_CondORExpr);
} else {
  ptm.destroyNode();
}
}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCondORExpr returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CondORExpr");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(169)).eContents().get(1)).eContents().get(0)));}temp_CondANDExpr=
ruleCondANDExpr{if (temp_CondANDExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_CondANDExpr);
  factory.set($result,"left",convert(temp_CondANDExpr),false);
  ptm.ruleFinished(temp_CondANDExpr);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(169)).eContents().get(1)).eContents().get(1)));}temp_CondORRights=
ruleCondORRights{if (temp_CondORRights != null) {
  hasContent = true;
  ptm.setModelElement(temp_CondORRights);
  factory.add($result,"rights",convert(temp_CondORRights),false);
  ptm.ruleFinished(temp_CondORRights);
} else {
  ptm.destroyNode();
}
}
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCondORRights returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CondORRights");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(170)).eContents().get(1)).eContents().get(0)));}temp_OrOp=
ruleOrOp{if (temp_OrOp != null) {
  hasContent = true;
  factory.set($result,"op",convert(temp_OrOp),false);
  ptm.ruleFinished(temp_OrOp);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(170)).eContents().get(1)).eContents().get(1)));}temp_CondANDExpr=
ruleCondANDExpr{if (temp_CondANDExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_CondANDExpr);
  factory.set($result,"right",convert(temp_CondANDExpr),false);
  ptm.ruleFinished(temp_CondANDExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCondANDExpr returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CondANDExpr");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(171)).eContents().get(1)).eContents().get(0)));}temp_AtomicBoolExpr=
ruleAtomicBoolExpr{if (temp_AtomicBoolExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_AtomicBoolExpr);
  factory.set($result,"left",convert(temp_AtomicBoolExpr),false);
  ptm.ruleFinished(temp_AtomicBoolExpr);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(171)).eContents().get(1)).eContents().get(1)));}temp_CondANDRights=
ruleCondANDRights{if (temp_CondANDRights != null) {
  hasContent = true;
  ptm.setModelElement(temp_CondANDRights);
  factory.add($result,"rights",convert(temp_CondANDRights),false);
  ptm.ruleFinished(temp_CondANDRights);
} else {
  ptm.destroyNode();
}
}
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleCondANDRights returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "CondANDRights");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(172)).eContents().get(1)).eContents().get(0)));}temp_AndOp=
ruleAndOp{if (temp_AndOp != null) {
  hasContent = true;
  factory.set($result,"op",convert(temp_AndOp),false);
  ptm.ruleFinished(temp_AndOp);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(172)).eContents().get(1)).eContents().get(1)));}temp_AtomicBoolExpr=
ruleAtomicBoolExpr{if (temp_AtomicBoolExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_AtomicBoolExpr);
  factory.set($result,"right",convert(temp_AtomicBoolExpr),false);
  ptm.ruleFinished(temp_AtomicBoolExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAtomicBoolExpr returns [EObject result]
:
        temp_relationalexpr=ruleRelationalExpr {$result=temp_relationalexpr;}	;

ruleRelationalExpr returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "RelationalExpr");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(174)).eContents().get(1)).eContents().get(0)));}temp_AdditiveExpr=
ruleAdditiveExpr{if (temp_AdditiveExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_AdditiveExpr);
  factory.set($result,"left",convert(temp_AdditiveExpr),false);
  ptm.ruleFinished(temp_AdditiveExpr);
} else {
  ptm.destroyNode();
}
}
)

(({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(174)).eContents().get(1)).eContents().get(1)).eContents().get(0)));}temp_RelationalOp=
ruleRelationalOp{if (temp_RelationalOp != null) {
  hasContent = true;
  factory.set($result,"op",convert(temp_RelationalOp),false);
  ptm.ruleFinished(temp_RelationalOp);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)((EObject)xtextfile.eContents().get(174)).eContents().get(1)).eContents().get(1)).eContents().get(1)));}temp_AdditiveExpr=
ruleAdditiveExpr{if (temp_AdditiveExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_AdditiveExpr);
  factory.set($result,"right",convert(temp_AdditiveExpr),false);
  ptm.ruleFinished(temp_AdditiveExpr);
} else {
  ptm.destroyNode();
}
}
)
)?
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAdditiveExpr returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "AdditiveExpr");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(175)).eContents().get(1)).eContents().get(0)));}temp_MultiplicativeExpr=
ruleMultiplicativeExpr{if (temp_MultiplicativeExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_MultiplicativeExpr);
  factory.set($result,"left",convert(temp_MultiplicativeExpr),false);
  ptm.ruleFinished(temp_MultiplicativeExpr);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(175)).eContents().get(1)).eContents().get(1)));}temp_AdditiveRights=
ruleAdditiveRights{if (temp_AdditiveRights != null) {
  hasContent = true;
  ptm.setModelElement(temp_AdditiveRights);
  factory.add($result,"rights",convert(temp_AdditiveRights),false);
  ptm.ruleFinished(temp_AdditiveRights);
} else {
  ptm.destroyNode();
}
}
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAdditiveRights returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "AdditiveRights");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(176)).eContents().get(1)).eContents().get(0)));}temp_AdditiveOp=
ruleAdditiveOp{if (temp_AdditiveOp != null) {
  hasContent = true;
  factory.set($result,"op",convert(temp_AdditiveOp),false);
  ptm.ruleFinished(temp_AdditiveOp);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(176)).eContents().get(1)).eContents().get(1)));}temp_MultiplicativeExpr=
ruleMultiplicativeExpr{if (temp_MultiplicativeExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_MultiplicativeExpr);
  factory.set($result,"right",convert(temp_MultiplicativeExpr),false);
  ptm.ruleFinished(temp_MultiplicativeExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleMultiplicativeExpr returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "MultiplicativeExpr");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(177)).eContents().get(1)).eContents().get(0)));}temp_AtomicExpr=
ruleAtomicExpr{if (temp_AtomicExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_AtomicExpr);
  factory.set($result,"left",convert(temp_AtomicExpr),false);
  ptm.ruleFinished(temp_AtomicExpr);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(177)).eContents().get(1)).eContents().get(1)));}temp_MultiplicativeRights=
ruleMultiplicativeRights{if (temp_MultiplicativeRights != null) {
  hasContent = true;
  ptm.setModelElement(temp_MultiplicativeRights);
  factory.add($result,"rights",convert(temp_MultiplicativeRights),false);
  ptm.ruleFinished(temp_MultiplicativeRights);
} else {
  ptm.destroyNode();
}
}
)*
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleMultiplicativeRights returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "MultiplicativeRights");
			 }
(({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(178)).eContents().get(1)).eContents().get(0)));}temp_MultiplicativeOp=
ruleMultiplicativeOp{if (temp_MultiplicativeOp != null) {
  hasContent = true;
  factory.set($result,"op",convert(temp_MultiplicativeOp),false);
  ptm.ruleFinished(temp_MultiplicativeOp);
} else {
  ptm.destroyNode();
}
}
)

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(178)).eContents().get(1)).eContents().get(1)));}temp_AtomicExpr=
ruleAtomicExpr{if (temp_AtomicExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_AtomicExpr);
  factory.set($result,"right",convert(temp_AtomicExpr),false);
  ptm.ruleFinished(temp_AtomicExpr);
} else {
  ptm.destroyNode();
}
}
)
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleAtomicExpr returns [EObject result]
:
        temp_variable=ruleVariable {$result=temp_variable;}	|        temp_literal=ruleLiteral {$result=temp_literal;}	|        temp_parenexpr=ruleParenExpr {$result=temp_parenexpr;}	|        temp_call=ruleCall {$result=temp_call;}	;

ruleCall returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "Call");
			 }
(({skipCurrentToken = false;}
RULE_ID{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(180)).eContents().get(1)).eContents().get(0)));
  factory.set($result,"name",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)

({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(180)).eContents().get(1)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(180)).eContents().get(1)).eContents().get(2)));}temp_Literal=
ruleLiteral{if (temp_Literal != null) {
  hasContent = true;
  ptm.setModelElement(temp_Literal);
  factory.set($result,"expr",convert(temp_Literal),false);
  ptm.ruleFinished(temp_Literal);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(180)).eContents().get(1)).eContents().get(3)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleParenExpr returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "ParenExpr");
			 }
(({skipCurrentToken = false;}'('{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(181)).eContents().get(1)).eContents().get(0)));
  ptm.ruleFinished(getLastToken());
}})

({ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(181)).eContents().get(1)).eContents().get(1)));}temp_EqualityExpr=
ruleEqualityExpr{if (temp_EqualityExpr != null) {
  hasContent = true;
  ptm.setModelElement(temp_EqualityExpr);
  factory.set($result,"expr",convert(temp_EqualityExpr),false);
  ptm.ruleFinished(temp_EqualityExpr);
} else {
  ptm.destroyNode();
}
}
)

({skipCurrentToken = false;}')'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)((EObject)xtextfile.eContents().get(181)).eContents().get(1)).eContents().get(2)));
  ptm.ruleFinished(getLastToken());
}})
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleLiteral returns [EObject result]
:
        temp_intliteral=ruleIntLiteral {$result=temp_intliteral;}	|        temp_boolliteral=ruleBoolLiteral {$result=temp_boolliteral;}	|        temp_stringliteral=ruleStringLiteral {$result=temp_stringliteral;}	;

ruleIntLiteral returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "IntLiteral");
			 }
({skipCurrentToken = false;}
RULE_INT{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(183)).eContents().get(1)));
  factory.set($result,"number",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleStringLiteral returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "StringLiteral");
			 }
({skipCurrentToken = false;}
RULE_STRING{if (!skipCurrentToken) {
  hasContent = true;
  Token temp = getLastToken();
  ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(184)).eContents().get(1)));
  factory.set($result,"string",convert(temp),false);
  ptm.ruleFinished(temp);
}}
)
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleBoolLiteral returns [EObject result]
:
        temp_trueliteral=ruleTrueLiteral {$result=temp_trueliteral;}	|        temp_falseliteral=ruleFalseLiteral {$result=temp_falseliteral;}	;

ruleTrueLiteral returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "TrueLiteral");
			 }
({skipCurrentToken = false;}'true'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(186)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleFalseLiteral returns [EObject result]
@init {boolean hasContent = false;}
:
			{
				$result = factory.create("", "FalseLiteral");
			 }
({skipCurrentToken = false;}'false'{if (!skipCurrentToken) {
  hasContent = true;
  ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(187)).eContents().get(1)));
  ptm.ruleFinished(getLastToken());
}})
 {if (!hasContent)
  $result = null;};
catch [RecognitionException re] {if (!hasContent)
    $result = null;
reportError(re);
recover(input,re);}

ruleMultiplicativeOp returns [Enumerator r] :
		 '*'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(188)).eContents().get(1)));
$r=factory.enumLit("", "MultiplicativeOp","TIMES");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 '/'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(188)).eContents().get(2)));
$r=factory.enumLit("", "MultiplicativeOp","DIVIDE");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 '%'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(188)).eContents().get(3)));
$r=factory.enumLit("", "MultiplicativeOp","MOD");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleAdditiveOp returns [Enumerator r] :
		 '+'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(189)).eContents().get(1)));
$r=factory.enumLit("", "AdditiveOp","PLUS");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 '-'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(189)).eContents().get(2)));
$r=factory.enumLit("", "AdditiveOp","MINUS");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleRelationalOp returns [Enumerator r] :
		 '<'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(190)).eContents().get(1)));
$r=factory.enumLit("", "RelationalOp","LT");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 '<='
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(190)).eContents().get(2)));
$r=factory.enumLit("", "RelationalOp","LE");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 '>'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(190)).eContents().get(3)));
$r=factory.enumLit("", "RelationalOp","GT");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 '>='
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(190)).eContents().get(4)));
$r=factory.enumLit("", "RelationalOp","GE");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleEqualityOp returns [Enumerator r] :
		 '=='
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(191)).eContents().get(1)));
$r=factory.enumLit("", "EqualityOp","EQ");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 '!='
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(191)).eContents().get(2)));
$r=factory.enumLit("", "EqualityOp","NE");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleOrOp returns [Enumerator r] :
		 '||'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(192)).eContents().get(1)));
$r=factory.enumLit("", "OrOp","OR");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleAndOp returns [Enumerator r] :
		 '&&'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(193)).eContents().get(1)));
$r=factory.enumLit("", "AndOp","AND");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

ruleVariableAccess returns [Enumerator r] :
		 'getValue()'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(194)).eContents().get(1)));
$r=factory.enumLit("", "VariableAccess","VALUE");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'hasValue()'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(194)).eContents().get(2)));
$r=factory.enumLit("", "VariableAccess","HAS_VALUE");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'getSelectedValue()'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(194)).eContents().get(3)));
$r=factory.enumLit("", "VariableAccess","GET_SELECTED");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'isSelected()'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(194)).eContents().get(4)));
$r=factory.enumLit("", "VariableAccess","IS_SELECTED");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'getSelectionCount()'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(194)).eContents().get(5)));
$r=factory.enumLit("", "VariableAccess","GET_SELECTION_COUNT");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'size()'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(194)).eContents().get(6)));
$r=factory.enumLit("", "VariableAccess","SIZE");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
	 |		 'isValid()'
		 {ptm.createNode(((EObject)((EObject)xtextfile.eContents().get(194)).eContents().get(7)));
$r=factory.enumLit("", "VariableAccess","IS_VALID");
ptm.setModelElement($r);
ptm.ruleFinished(getLastToken());
}
;

RULE_ID :

	 ('^')?('a'..'z'|'A'..'Z'|'_') ('a'..'z'|'A'..'Z'|'_'|'0'..'9')*
	 
;

RULE_STRING :

	 '\"' ( '\\' ('b'|'t'|'n'|'f'|'r'|'\"'|'\''|'\\') | ~('\\'|'\"') )* '\"' |
	 '\'' ( '\\' ('b'|'t'|'n'|'f'|'r'|'\"'|'\''|'\\') | ~('\\'|'\'') )* '\''
	 
;

RULE_INT :

	 ('-')?('0'..'9')+
	 
;

RULE_WS :

	 (' '|'\t'|'\r'|'\n')+ {$channel=HIDDEN;}
	 
;

RULE_ML_COMMENT :

	 '/*' ( options {greedy=false;} : . )* '*/' {$channel=HIDDEN;}
	 
;

RULE_SL_COMMENT :

	 '//' ~('\n'|'\r')* '\r'? '\n' {$channel=HIDDEN;}
	 
;

